;;  Horn Clause Representation of Hindi Kinship Term-of-Reference Rules

;;  The following 'header' gives some basic parameters of this kinship system:
(languageName, "Hindi") (author, "Thomas Trautmann") (date, "1981-01-01") (citation, "Thomas Trautmann, DRAVIDIAN KINSHIP pp. 91-103") 
(non_term, [aux], brother, children, half_brother, half_sister, parents, sibling, siblings, sister, spice, step_brother, step_daughter, step_father, step_mother, step_sister, step_son) (partial, false) (polygamyOK, false) (address, false) (recursiveLevels, 2)
(overlaps, (bahen, (bahu)), (bahu, (bahen, bhabhi)), (bhabhi, (bahu, sali)), (bhai, (sarhu)), (bhanja, (bhatija, jija, pota)), (bhanji, (bhatiji, poti)), (bhatija, (bhanja, pota)), (bhatiji, (bhanji, poti)), (caca, (tau)), (caci, (tai)), (daurani, (jethani)), (devar, (jeth)), (jeth, (devar)), (jethani, (daurani)), (jija, (bhanja)), (mausa, (samdhi)), (mausas, (mavsi, mavsa)), (mausasara, (mavsa, mavsi)), (mausi, (samdhin)), (mavsa, (mausas, mausasara, samdhi)), (mavsi, (mausas, mausasara, samdhin)), (pitas, (tayas)), (pitasara, (tayasara)), (pota, (bhanja, bhatija)), (poti, (bhanji, bhatiji)), (sali, (bhabhi)), (samdhi, (mausa, mavsa)), (samdhin, (mausi, mavsi)), (sarhu, (bhai)), (tai, (caci)), (tau, (caca)), (tayas, (pitas)), (tayasara, (pitasara)))


;;  Kin Term Definitions:
;;	(Standard Macros are automatically incorporated.)

baba(Alter, Ego) :-  father(A, Ego), parent_equiv[aux]20(Alter, A), male(Alter).
{"FaFa_FaFaBro_FaFaSisHu_FaMoBro_FaMoSisHu"}
;; 0
%baba:0, parent_equiv[aux]20:0%
 Lvl=2,  PC=2, S=0, Star=0,  {FaFa}  
 father(A, Ego), parent(Alter, A), male(Alter).
;; 1
%baba:0, parent_equiv[aux]20:1, parents:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaMoBro}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 2
%baba:0, parent_equiv[aux]20:1, parents:1, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaFaBro}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 3
%baba:0, parent_equiv[aux]20:2, parents:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaMoSisHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), male(Alter).
;; 4
%baba:0, parent_equiv[aux]20:2, parents:1, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaFaSisHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), male(Alter).


bahen(Alter, Ego) :-  bahen[aux]20gn(Alter, Ego).
                  |   bahen[aux]20femalego(Alter, Ego).
                  |   bahen[aux]20malego(Alter, Ego).
{"FaBroDa_FaSisDa_HuBroWiSis_MoBroDa_MoSisDa_Sis_SisHuBroWi_SisHuSisHuBroWi_WiSisHuSis"}
;; 0
%bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 1
%bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D), female(Alter).
;; 2
%bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D), female(Alter).
;; 3
%bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroDa}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D), female(Alter).
;; 4
%bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisDa}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D), female(Alter).
;; 5
%bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {SisHuBroWi}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(Alter, G).
;; 6
%bahen:1, bahen[aux]20femalego:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuBroWiSis}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), female(Alter).
;; 7
%bahen:2, bahen[aux]20malego:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiSisHuSis}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), female(Alter).
;; 8
%bahen:2, bahen[aux]20malego:1, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {SisHuSisHuBroWi}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(Alter, K).


bahen[aux]20femalego(Alter, Ego) :- [ext],  husband(A, Ego), brother(B, A), wife(C, B), sister(Alter, C).
;; 0
%bahen[aux]20femalego:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), female(Alter).


bahen[aux]20gn(Alter, Ego) :-  generation[aux]20small(Alter, Ego), female(Alter).
                           |  [ext],  sister(A, Ego), husband(B, A), brother(C, B), wife(Alter, C).
                           |  [ext],  brother(A, Ego), wife(B, A), sister(C, B), husband(D, C), sister(Alter, D).
;; 0
%bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 1
%bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D), female(Alter).
;; 2
%bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D), female(Alter).
;; 3
%bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D), female(Alter).
;; 4
%bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D), female(Alter).
;; 5
%bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(Alter, G).


bahen[aux]20malego(Alter, Ego) :- [ext],  wife(A, Ego), sister(B, A), husband(C, B), sister(Alter, C).
                               |  [ext],  male(Ego), sister(A, Ego), husband(B, A), sister(C, B), husband(D, C), brother(E, D), wife(Alter, E).
;; 0
%bahen[aux]20malego:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), female(Alter).
;; 1
%bahen[aux]20malego:1, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(Alter, K).


bahu(Alter, Ego) :-  beta(A, Ego), wife(Alter, A).
                 |  [ext],  bhatija(A, Ego), wife(Alter, A).
                 |  [ext],  bhanja(A, Ego), wife(Alter, A).
                 |  [ext],  pota(A, Ego), wife(Alter, A).
                 |  [ext],  dhevta(A, Ego), wife(Alter, A).
{"BroDaSoWi_BroSoSoWi_BroSoWi_BroWiBroSoWi_BroWiBroWi_BroWiBroWiBroSoWi_BroWiBroWiBroWi_BroWiBroWiSisSoWi_BroWiSisDaSoWi_BroWiSisSoSoWi_BroWiSisSoWi_DaSoWi_FaBroDaDaSoWi_FaBroDaSoSoWi_FaBroDaSoWi_FaBroSoDaSoWi_FaBroSoSoSoWi_FaBroSoSoWi_FaSisDaDaSoWi_FaSisDaSoSoWi_FaSisDaSoWi_FaSisSoDaSoWi_FaSisSoSoSoWi_FaSisSoSoWi_HuBroDaSoWi_HuBroSoSoWi_HuBroSoWi_HuBroWiBroSoWi_HuBroWiSisDaSoWi_HuBroWiSisSoSoWi_HuBroWiSisSoWi_HuFaBroDaDaSoWi_HuFaBroDaSoSoWi_HuFaBroDaSoWi_HuFaBroSoDaSoWi_HuFaBroSoSoSoWi_HuFaBroSoSoWi_HuFaSisDaDaSoWi_HuFaSisDaSoSoWi_HuFaSisDaSoWi_HuFaSisSoDaSoWi_HuFaSisSoSoSoWi_HuFaSisSoSoWi_HuMoBroDaDaSoWi_HuMoBroDaSoSoWi_HuMoBroDaSoWi_HuMoBroSoDaSoWi_HuMoBroSoSoSoWi_HuMoBroSoSoWi_HuMoSisDaDaSoWi_HuMoSisDaSoSoWi_HuMoSisDaSoWi_HuMoSisSoDaSoWi_HuMoSisSoSoSoWi_HuMoSisSoSoWi_HuSisDaSoWi_HuSisHuBroDaSoWi_HuSisHuBroSoSoWi_HuSisHuBroSoWi_HuSisHuSisSoWi_HuSisSoSoWi_HuSisSoWi_MoBroDaDaSoWi_MoBroDaSoSoWi_MoBroDaSoWi_MoBroSoDaSoWi_MoBroSoSoSoWi_MoBroSoSoWi_MoSisDaDaSoWi_MoSisDaSoSoWi_MoSisDaSoWi_MoSisSoDaSoWi_MoSisSoSoSoWi_MoSisSoSoWi_SisDaSoWi_SisHuBroDaSoWi_SisHuBroSoSoWi_SisHuBroSoWi_SisHuBroWi_SisHuSisDaSoWi_SisHuSisHuBroSoWi_SisHuSisHuBroWi_SisHuSisHuSisDaSoWi_SisHuSisHuSisSoSoWi_SisHuSisHuSisSoWi_SisHuSisSoSoWi_SisHuSisSoWi_SisSoSoWi_SisSoWi_SoSoWi_SoWi_WiBroDaSoWi_WiBroSoSoWi_WiBroSoWi_WiBroWiBroSoWi_WiBroWiSisDaSoWi_WiBroWiSisSoSoWi_WiBroWiSisSoWi_WiFaBroDaDaSoWi_WiFaBroDaSoSoWi_WiFaBroDaSoWi_WiFaBroSoDaSoWi_WiFaBroSoSoSoWi_WiFaBroSoSoWi_WiFaSisDaDaSoWi_WiFaSisDaSoSoWi_WiFaSisDaSoWi_WiFaSisSoDaSoWi_WiFaSisSoSoSoWi_WiFaSisSoSoWi_WiMoBroDaDaSoWi_WiMoBroDaSoSoWi_WiMoBroDaSoWi_WiMoBroSoDaSoWi_WiMoBroSoSoSoWi_WiMoBroSoSoWi_WiMoSisDaDaSoWi_WiMoSisDaSoSoWi_WiMoSisDaSoWi_WiMoSisSoDaSoWi_WiMoSisSoSoSoWi_WiMoSisSoSoWi_WiSisDaSoWi_WiSisHuBroDaSoWi_WiSisHuBroSoSoWi_WiSisHuBroSoWi_WiSisHuSisDaSoWi_WiSisHuSisSoSoWi_WiSisHuSisSoWi_WiSisSoSoWi_WiSisSoWi"}
;; 0
%bahu:0, beta:0%
 Lvl=-1,  PC=1, S=1, Star=0,  {SoWi}  
 son(A, Ego), wife(Alter, A).
;; 1
%bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {BroSoWi}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), wife(Alter, D).
;; 2
%bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroSoSoWi}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), wife(Alter, F).
;; 3
%bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoSisSoSoWi}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), wife(Alter, F).
;; 4
%bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaBroSoSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), wife(Alter, F).
;; 5
%bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaSisSoSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), wife(Alter, F).
;; 6
%bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {BroWiSisSoWi}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), son(I, H), wife(Alter, I).
;; 7
%bahu:1, bhatija:0, bhai:1, bhai[aux]20femalego:0, brother:0, sibling:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=4, Star=0,  {BroWiBroWiSisSoWi}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(L, K), son(M, L), wife(Alter, M).
;; 8
%bahu:1, bhatija:0, bhai:1, bhai[aux]20femalego:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuBroWiBroSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), wife(Alter, I).
;; 9
%bahu:1, bhatija:0, bhai:2, bhai[aux]20malego:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {WiSisHuBroSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), wife(Alter, I).
;; 10
%bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {HuBroSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(Alter, E).
;; 11
%bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuMoBroSoSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(Alter, G).
;; 12
%bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuMoSisSoSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(Alter, G).
;; 13
%bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuFaBroSoSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(Alter, G).
;; 14
%bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuFaSisSoSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(Alter, G).
;; 15
%bahu:1, bhatija:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=4, Star=0,  {HuBroWiSisSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), wife(Alter, J).
;; 16
%bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {WiBroSoWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(Alter, E).
;; 17
%bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiMoBroSoSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(Alter, G).
;; 18
%bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiMoSisSoSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(Alter, G).
;; 19
%bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiFaBroSoSoWi}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(Alter, G).
;; 20
%bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiFaSisSoSoWi}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(Alter, G).
;; 21
%bahu:1, bhatija:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=4, Star=0,  {WiBroWiSisSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), wife(Alter, J).
;; 22
%bahu:1, bhatija:2, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {WiBroSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(Alter, E).
;; 23
%bahu:1, bhatija:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {WiBroSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(Alter, E).
;; 24
%bahu:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiMoBroSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(Alter, G).
;; 25
%bahu:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiMoSisSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(Alter, G).
;; 26
%bahu:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiFaBroSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(Alter, G).
;; 27
%bahu:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiFaSisSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(Alter, G).
;; 28
%bahu:1, bhatija:2, sala:2, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {WiBroWiBroSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), wife(Alter, I).
;; 29
%bahu:1, bhatija:3, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=3, Star=0,  {BroSoWi}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(Alter, F).
;; 30
%bahu:1, bhatija:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=3, Star=0,  {BroSoWi}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(Alter, F).
;; 31
%bahu:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoBroSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), wife(Alter, H).
;; 32
%bahu:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoSisSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), wife(Alter, H).
;; 33
%bahu:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {FaBroSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), wife(Alter, H).
;; 34
%bahu:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {FaSisSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), wife(Alter, H).
;; 35
%bahu:1, bhatija:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {HuBroSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), son(E, D), wife(Alter, E).
;; 36
%bahu:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuMoBroSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), wife(Alter, G).
;; 37
%bahu:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuMoSisSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), wife(Alter, G).
;; 38
%bahu:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuFaBroSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), wife(Alter, G).
;; 39
%bahu:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuFaSisSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), wife(Alter, G).
;; 40
%bahu:1, bhatija:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=3, Star=0,  {BroSoWi}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), son(F, E), wife(Alter, F).
;; 41
%bahu:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoBroSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), wife(Alter, H).
;; 42
%bahu:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoSisSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), wife(Alter, H).
;; 43
%bahu:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {FaBroSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), wife(Alter, H).
;; 44
%bahu:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {FaSisSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), wife(Alter, H).
;; 45
%bahu:1, bhatija:6, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {BroWiBroWi}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(Alter, G).
;; 46
%bahu:1, bhatija:7, brother:0, sibling:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {BroWiBroWiBroWi}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(Alter, K).
;; 47
%bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SisSoWi}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), wife(Alter, D).
;; 48
%bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroDaSoWi}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), wife(Alter, F).
;; 49
%bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoSisDaSoWi}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), wife(Alter, F).
;; 50
%bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaBroDaSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), wife(Alter, F).
;; 51
%bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaSisDaSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), wife(Alter, F).
;; 52
%bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {SisHuBroSoWi}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), son(I, H), wife(Alter, I).
;; 53
%bahu:2, bhanja:0, bahen:1, bahen[aux]20femalego:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuBroWiSisSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(Alter, I).
;; 54
%bahu:2, bhanja:0, bahen:2, bahen[aux]20malego:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {WiSisHuSisSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(Alter, I).
;; 55
%bahu:2, bhanja:0, bahen:2, bahen[aux]20malego:1, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=4, Star=0,  {SisHuSisHuBroSoWi}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), son(M, L), wife(Alter, M).
;; 56
%bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {HuSisSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), wife(Alter, E).
;; 57
%bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuMoBroDaSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), wife(Alter, G).
;; 58
%bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuMoSisDaSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), wife(Alter, G).
;; 59
%bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuFaBroDaSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), wife(Alter, G).
;; 60
%bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuFaSisDaSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), wife(Alter, G).
;; 61
%bahu:2, bhanja:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=4, Star=0,  {HuSisHuBroSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), wife(Alter, J).
;; 62
%bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {WiSisSoWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), wife(Alter, E).
;; 63
%bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiMoBroDaSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), wife(Alter, G).
;; 64
%bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiMoSisDaSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), wife(Alter, G).
;; 65
%bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiFaBroDaSoWi}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), wife(Alter, G).
;; 66
%bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiFaSisDaSoWi}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), wife(Alter, G).
;; 67
%bahu:2, bhanja:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=4, Star=0,  {WiSisHuBroSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), wife(Alter, J).
;; 68
%bahu:2, bhanja:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=3, Star=0,  {SisSoWi}  
[ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(Alter, F).
;; 69
%bahu:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoBroDaSoWi}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), wife(Alter, H).
;; 70
%bahu:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoSisDaSoWi}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), wife(Alter, H).
;; 71
%bahu:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {FaBroDaSoWi}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), wife(Alter, H).
;; 72
%bahu:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {FaSisDaSoWi}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), wife(Alter, H).
;; 73
%bahu:2, bhanja:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuBroWiSisSoWi}  
[ext], [ext], [ext],  spouse(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(Alter, I).
;; 74
%bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuSisSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), wife(Alter, H).
;; 75
%bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuSisSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), wife(Alter, H).
;; 76
%bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuMoBroDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(Alter, J).
;; 77
%bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuMoBroDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(Alter, J).
;; 78
%bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuMoSisDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(Alter, J).
;; 79
%bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuMoSisDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(Alter, J).
;; 80
%bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuFaBroDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(Alter, J).
;; 81
%bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuFaBroDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(Alter, J).
;; 82
%bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuFaSisDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(Alter, J).
;; 83
%bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuFaSisDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(Alter, J).
;; 84
%bahu:2, bhanja:3, nanad:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuSisHuSisSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(Alter, I).
;; 85
%bahu:2, bhanja:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=4, Star=0,  {HuSisHuBroSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), wife(Alter, J).
;; 86
%bahu:2, bhanja:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {SisHuSisSoWi}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), wife(Alter, H).
;; 87
%bahu:2, bhanja:3, nanad:4, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=4, Star=0,  {SisHuSisHuBroSoWi}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), son(M, L), wife(Alter, M).
;; 88
%bahu:2, bhanja:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {SisHuSisHuSisSoWi}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), son(L, K), wife(Alter, L).
;; 89
%bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {SisSoWi}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(Alter, I).
;; 90
%bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {SisSoWi}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(Alter, I).
;; 91
%bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {MoBroDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(Alter, K).
;; 92
%bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {MoBroDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(Alter, K).
;; 93
%bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {MoSisDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(Alter, K).
;; 94
%bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {MoSisDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(Alter, K).
;; 95
%bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {FaBroDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(Alter, K).
;; 96
%bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {FaBroDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(Alter, K).
;; 97
%bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {FaSisDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(Alter, K).
;; 98
%bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {FaSisDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(Alter, K).
;; 99
%bahu:2, bhanja:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {WiSisHuSisSoWi}  
[ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(Alter, I).
;; 100
%bahu:2, bhanja:5, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {SisHuBroWi}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(Alter, G).
;; 101
%bahu:2, bhanja:6, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {SisHuSisHuBroWi}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(Alter, K).
;; 102
%bahu:3, pota:0%
 Lvl=-2,  PC=2, S=1, Star=0,  {SoSoWi}  
[ext],  son(A, Ego), son(B, A), wife(Alter, B).
;; 103
%bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroSoSoWi}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(E, D), wife(Alter, E).
;; 104
%bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), son(G, F), wife(Alter, G).
;; 105
%bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), son(G, F), wife(Alter, G).
;; 106
%bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoSoSoWi}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), son(G, F), wife(Alter, G).
;; 107
%bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoSoSoWi}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), son(G, F), wife(Alter, G).
;; 108
%bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {BroWiSisSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), son(I, H), son(J, I), wife(Alter, J).
;; 109
%bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroSoSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(Alter, F).
;; 110
%bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoBroSoSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 111
%bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoSisSoSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 112
%bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaBroSoSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 113
%bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaSisSoSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 114
%bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {HuBroWiSisSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), son(K, J), wife(Alter, K).
;; 115
%bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroSoSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(Alter, F).
;; 116
%bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoBroSoSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 117
%bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoSisSoSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 118
%bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaBroSoSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 119
%bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaSisSoSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 120
%bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {WiBroWiSisSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), son(K, J), wife(Alter, K).
;; 121
%bahu:3, pota:1, bhatija:2, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(Alter, F).
;; 122
%bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(Alter, F).
;; 123
%bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoBroSoSoSoWi}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 124
%bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoSisSoSoSoWi}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 125
%bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaBroSoSoSoWi}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 126
%bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaSisSoSoSoWi}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 127
%bahu:3, pota:1, bhatija:3, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {BroSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), wife(Alter, G).
;; 128
%bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {BroSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), wife(Alter, G).
;; 129
%bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoBroSoSoSoWi}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), son(I, H), wife(Alter, I).
;; 130
%bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoSisSoSoSoWi}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), son(I, H), wife(Alter, I).
;; 131
%bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaBroSoSoSoWi}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), son(I, H), wife(Alter, I).
;; 132
%bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaSisSoSoSoWi}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), son(I, H), wife(Alter, I).
;; 133
%bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), son(E, D), son(F, E), wife(Alter, F).
;; 134
%bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoBroSoSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 135
%bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoSisSoSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 136
%bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaBroSoSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 137
%bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaSisSoSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 138
%bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {BroSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), son(F, E), son(G, F), wife(Alter, G).
;; 139
%bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoBroSoSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), son(I, H), wife(Alter, I).
;; 140
%bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoSisSoSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), son(I, H), wife(Alter, I).
;; 141
%bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaBroSoSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), son(I, H), wife(Alter, I).
;; 142
%bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaSisSoSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), son(I, H), wife(Alter, I).
;; 143
%bahu:3, pota:1, bhatija:6, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {BroWiBroSoWi}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), wife(Alter, H).
;; 144
%bahu:3, pota:1, bhatija:7, brother:0, sibling:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {BroWiBroWiBroSoWi}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), son(L, K), wife(Alter, L).
;; 145
%bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisSoSoWi}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), son(E, D), wife(Alter, E).
;; 146
%bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), son(G, F), wife(Alter, G).
;; 147
%bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), son(G, F), wife(Alter, G).
;; 148
%bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaSoSoWi}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), son(G, F), wife(Alter, G).
;; 149
%bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaSoSoWi}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), son(G, F), wife(Alter, G).
;; 150
%bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {SisHuBroSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), son(I, H), son(J, I), wife(Alter, J).
;; 151
%bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuSisSoSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), wife(Alter, F).
;; 152
%bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoBroDaSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(H, G), wife(Alter, H).
;; 153
%bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoSisDaSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(H, G), wife(Alter, H).
;; 154
%bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaBroDaSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(H, G), wife(Alter, H).
;; 155
%bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaSisDaSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(H, G), wife(Alter, H).
;; 156
%bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {HuSisHuBroSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), son(K, J), wife(Alter, K).
;; 157
%bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiSisSoSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), wife(Alter, F).
;; 158
%bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoBroDaSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(H, G), wife(Alter, H).
;; 159
%bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoSisDaSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(H, G), wife(Alter, H).
;; 160
%bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaBroDaSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(H, G), wife(Alter, H).
;; 161
%bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaSisDaSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(H, G), wife(Alter, H).
;; 162
%bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {WiSisHuBroSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), son(K, J), wife(Alter, K).
;; 163
%bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {SisSoSoWi}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), wife(Alter, G).
;; 164
%bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoBroDaSoSoWi}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), son(I, H), wife(Alter, I).
;; 165
%bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoSisDaSoSoWi}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), son(I, H), wife(Alter, I).
;; 166
%bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaBroDaSoSoWi}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), son(I, H), wife(Alter, I).
;; 167
%bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaSisDaSoSoWi}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), son(I, H), wife(Alter, I).
;; 168
%bahu:3, pota:2, bhanja:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuBroWiSisSoSoWi}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(J, I), wife(Alter, J).
;; 169
%bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuSisSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(I, H), wife(Alter, I).
;; 170
%bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuSisSoSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(I, H), wife(Alter, I).
;; 171
%bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoBroDaSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(Alter, K).
;; 172
%bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoBroDaSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(Alter, K).
;; 173
%bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoSisDaSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(Alter, K).
;; 174
%bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoSisDaSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(Alter, K).
;; 175
%bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaBroDaSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(Alter, K).
;; 176
%bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaBroDaSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(Alter, K).
;; 177
%bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaSisDaSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(Alter, K).
;; 178
%bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaSisDaSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(Alter, K).
;; 179
%bahu:3, pota:2, bhanja:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {HuSisHuBroSoSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), son(K, J), wife(Alter, K).
;; 180
%bahu:3, pota:2, bhanja:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisHuSisSoSoWi}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(I, H), wife(Alter, I).
;; 181
%bahu:3, pota:2, bhanja:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {SisHuSisHuSisSoSoWi}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), son(L, K), son(M, L), wife(Alter, M).
;; 182
%bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {SisSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(J, I), wife(Alter, J).
;; 183
%bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {SisSoSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(J, I), wife(Alter, J).
;; 184
%bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoBroDaSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(Alter, L).
;; 185
%bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoBroDaSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(Alter, L).
;; 186
%bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoSisDaSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(Alter, L).
;; 187
%bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoSisDaSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(Alter, L).
;; 188
%bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaBroDaSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(Alter, L).
;; 189
%bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaBroDaSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(Alter, L).
;; 190
%bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaSisDaSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(Alter, L).
;; 191
%bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaSisDaSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(Alter, L).
;; 192
%bahu:3, pota:2, bhanja:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {WiSisHuSisSoSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(J, I), wife(Alter, J).
;; 193
%bahu:3, pota:2, bhanja:5, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {SisHuBroSoWi}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), wife(Alter, H).
;; 194
%bahu:3, pota:2, bhanja:6, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {SisHuSisHuBroSoWi}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), son(L, K), wife(Alter, L).
;; 195
%bahu:4, dhevta:0%
 Lvl=-2,  PC=2, S=1, Star=0,  {DaSoWi}  
[ext],  daughter(A, Ego), son(B, A), wife(Alter, B).
;; 196
%bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroDaSoWi}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), son(E, D), wife(Alter, E).
;; 197
%bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 198
%bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 199
%bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoDaSoWi}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 200
%bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoDaSoWi}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 201
%bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {BroWiSisDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), daughter(I, H), son(J, I), wife(Alter, J).
;; 202
%bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroDaSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(Alter, F).
;; 203
%bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoBroSoDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 204
%bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoSisSoDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 205
%bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaBroSoDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 206
%bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaSisSoDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 207
%bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {HuBroWiSisDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), son(K, J), wife(Alter, K).
;; 208
%bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroDaSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(Alter, F).
;; 209
%bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoBroSoDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 210
%bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoSisSoDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 211
%bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaBroSoDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 212
%bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaSisSoDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 213
%bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {WiBroWiSisDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), son(K, J), wife(Alter, K).
;; 214
%bahu:4, dhevta:1, bhatiji:2, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(Alter, F).
;; 215
%bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(Alter, F).
;; 216
%bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoBroSoDaSoWi}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 217
%bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoSisSoDaSoWi}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 218
%bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaBroSoDaSoWi}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 219
%bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaSisSoDaSoWi}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 220
%bahu:4, dhevta:1, bhatiji:3, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {BroDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 221
%bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {BroDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 222
%bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoBroSoDaSoWi}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 223
%bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoSisSoDaSoWi}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 224
%bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaBroSoDaSoWi}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 225
%bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaSisSoDaSoWi}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 226
%bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), daughter(E, D), son(F, E), wife(Alter, F).
;; 227
%bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoBroSoDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 228
%bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoSisSoDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 229
%bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaBroSoDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 230
%bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaSisSoDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 231
%bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {BroDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 232
%bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoBroSoDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 233
%bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoSisSoDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 234
%bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaBroSoDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 235
%bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaSisSoDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 236
%bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisDaSoWi}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), son(E, D), wife(Alter, E).
;; 237
%bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 238
%bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 239
%bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaDaSoWi}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 240
%bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaDaSoWi}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 241
%bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {SisHuBroDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), daughter(I, H), son(J, I), wife(Alter, J).
;; 242
%bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuSisDaSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), wife(Alter, F).
;; 243
%bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoBroDaDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 244
%bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoSisDaDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 245
%bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaBroDaDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 246
%bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaSisDaDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 247
%bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {HuSisHuBroDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), son(K, J), wife(Alter, K).
;; 248
%bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiSisDaSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), wife(Alter, F).
;; 249
%bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoBroDaDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 250
%bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoSisDaDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 251
%bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaBroDaDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 252
%bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaSisDaDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 253
%bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {WiSisHuBroDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), son(K, J), wife(Alter, K).
;; 254
%bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {SisDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 255
%bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoBroDaDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 256
%bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoSisDaDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 257
%bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaBroDaDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 258
%bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaSisDaDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 259
%bahu:4, dhevta:2, bhanji:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuBroWiSisDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(J, I), wife(Alter, J).
;; 260
%bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuSisDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 261
%bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuSisDaSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 262
%bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoBroDaDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(Alter, K).
;; 263
%bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoBroDaDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(Alter, K).
;; 264
%bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoSisDaDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(Alter, K).
;; 265
%bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoSisDaDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(Alter, K).
;; 266
%bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaBroDaDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(Alter, K).
;; 267
%bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaBroDaDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(Alter, K).
;; 268
%bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaSisDaDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(Alter, K).
;; 269
%bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaSisDaDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(Alter, K).
;; 270
%bahu:4, dhevta:2, bhanji:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {HuSisHuBroDaSoWi}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), son(K, J), wife(Alter, K).
;; 271
%bahu:4, dhevta:2, bhanji:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisHuSisDaSoWi}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(I, H), wife(Alter, I).
;; 272
%bahu:4, dhevta:2, bhanji:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {SisHuSisHuSisDaSoWi}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), daughter(L, K), son(M, L), wife(Alter, M).
;; 273
%bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {SisDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(J, I), wife(Alter, J).
;; 274
%bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {SisDaSoWi}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(J, I), wife(Alter, J).
;; 275
%bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoBroDaDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(Alter, L).
;; 276
%bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoBroDaDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(Alter, L).
;; 277
%bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoSisDaDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(Alter, L).
;; 278
%bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoSisDaDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(Alter, L).
;; 279
%bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaBroDaDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(Alter, L).
;; 280
%bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaBroDaDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(Alter, L).
;; 281
%bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaSisDaDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(Alter, L).
;; 282
%bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaSisDaDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(Alter, L).
;; 283
%bahu:4, dhevta:2, bhanji:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {WiSisHuSisDaSoWi}  
[ext], [ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(J, I), wife(Alter, J).


bap(Alter, Ego) :-  father(Alter, Ego).
{"Fa"}
;; 0
%bap:0%
 Lvl=1,  PC=1, S=0, Star=0,  {Fa}  
 father(Alter, Ego).


beta(Alter, Ego) :-  son(Alter, Ego).
{"So"}
;; 0
%beta:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {So}  
 son(Alter, Ego).


beti(Alter, Ego) :-  daughter(Alter, Ego).
{"Da"}
;; 0
%beti:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {Da}  
 daughter(Alter, Ego).


bhabhi(Alter, Ego) :-  bhai(A, Ego), wife(Alter, A).
                   |  [ext],  female(Ego), brother(A, Ego), wife(B, A), brother(C, B), wife(Alter, C).
{"BroWi_BroWiBroWi_BroWiBroWiSis_BroWiSis_FaBroSoWi_FaSisSoWi_HuBroWiBroWi_MoBroSoWi_MoSisSoWi_WiSisHuBroWi"}
;; 0
%bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {BroWi}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(Alter, C).
;; 1
%bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoBroSoWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), wife(Alter, E).
;; 2
%bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisSoWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), wife(Alter, E).
;; 3
%bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroSoWi}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), wife(Alter, E).
;; 4
%bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaSisSoWi}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), wife(Alter, E).
;; 5
%bhabhi:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {BroWiSis}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), wife(Alter, H).
;; 6
%bhabhi:0, bhai:1, bhai[aux]20femalego:0, brother:0, sibling:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=4, Star=0,  {BroWiBroWiSis}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(L, K), wife(Alter, L).
;; 7
%bhabhi:0, bhai:1, bhai[aux]20femalego:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {HuBroWiBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(Alter, H).
;; 8
%bhabhi:0, bhai:2, bhai[aux]20malego:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {WiSisHuBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(Alter, H).
;; 9
%bhabhi:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {BroWiBroWi}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(Alter, G).


bhai(Alter, Ego) :-  bhai[aux]20gn(Alter, Ego).
                 |   bhai[aux]20femalego(Alter, Ego).
                 |   bhai[aux]20malego(Alter, Ego).
{"Bro_BroWiBroWiSisHu_BroWiSisHu_FaBroSo_FaSisSo_HuBroWiBro_MoBroSo_MoSisSo_WiSisHuBro"}
;; 0
%bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D), male(Alter).
;; 2
%bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D), male(Alter).
;; 3
%bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroSo}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D), male(Alter).
;; 4
%bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisSo}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D), male(Alter).
;; 5
%bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {BroWiSisHu}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(Alter, G).
;; 6
%bhai:1, bhai[aux]20femalego:0, brother:0, sibling:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {BroWiBroWiSisHu}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(Alter, K).
;; 7
%bhai:1, bhai[aux]20femalego:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuBroWiBro}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), male(Alter).
;; 8
%bhai:2, bhai[aux]20malego:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiSisHuBro}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), male(Alter).


bhai[aux]20femalego(Alter, Ego) :- [ext],  female(Ego), brother(A, Ego), wife(B, A), brother(C, B), wife(D, C), sister(E, D), husband(Alter, E).
                                |  [ext],  husband(A, Ego), brother(B, A), wife(C, B), brother(Alter, C).
;; 0
%bhai[aux]20femalego:0, brother:0, sibling:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(Alter, K).
;; 1
%bhai[aux]20femalego:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), male(Alter).


bhai[aux]20gn(Alter, Ego) :-  generation[aux]20small(Alter, Ego), male(Alter).
                          |  [ext],  sister(A, Ego), husband(B, A), brother(C, B), wife(D, C), brother(Alter, D).
                          |  [ext],  brother(A, Ego), wife(B, A), sister(C, B), husband(Alter, C).
;; 0
%bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D), male(Alter).
;; 2
%bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D), male(Alter).
;; 3
%bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D), male(Alter).
;; 4
%bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D), male(Alter).
;; 5
%bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(Alter, G).


bhai[aux]20malego(Alter, Ego) :- [ext],  wife(A, Ego), sister(B, A), husband(C, B), brother(Alter, C).
;; 0
%bhai[aux]20malego:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), male(Alter).


bhanja(Alter, Ego) :-  bahen(A, Ego), son(Alter, A).
                   |   spice(A, Ego), bahen[aux]20gn(B, A), son(Alter, B).
                   |  [ext],  spouse(A, Ego), sali(B, A), son(Alter, B).
                   |  [ext],  nanad(A, Ego), son(Alter, A).
                   |  [ext],  wife(A, Ego), nanad(B, A), son(Alter, B).
                   |  [ext],  male(Ego), sister(A, Ego), husband(B, A), brother(Alter, B).
                   |  [ext],  male(Ego), sister(A, Ego), husband(B, A), sister(C, B), husband(D, C), brother(Alter, D).
{"FaBroDaSo_FaSisDaSo_HuBroWiSisSo_HuFaBroDaSo_HuFaSisDaSo_HuMoBroDaSo_HuMoSisDaSo_HuSisHuBroSo_HuSisHuSisSo_HuSisSo_MoBroDaSo_MoSisDaSo_SisHuBro_SisHuBroSo_SisHuSisHuBro_SisHuSisHuBroSo_SisHuSisHuSisSo_SisHuSisSo_SisSo_WiFaBroDaSo_WiFaSisDaSo_WiMoBroDaSo_WiMoSisDaSo_WiSisHuBroSo_WiSisHuSisSo_WiSisSo"}
;; 0
%bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(Alter, C).
;; 1
%bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(Alter, E).
;; 2
%bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(Alter, E).
;; 3
%bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaSo}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(Alter, E).
;; 4
%bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaSo}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(Alter, E).
;; 5
%bhanja:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {SisHuBroSo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), son(Alter, H).
;; 6
%bhanja:0, bahen:1, bahen[aux]20femalego:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuBroWiSisSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(Alter, H).
;; 7
%bhanja:0, bahen:2, bahen[aux]20malego:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiSisHuSisSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(Alter, H).
;; 8
%bhanja:0, bahen:2, bahen[aux]20malego:1, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {SisHuSisHuBroSo}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), son(Alter, L).
;; 9
%bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuSisSo}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 10
%bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroDaSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(Alter, F).
;; 11
%bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisDaSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(Alter, F).
;; 12
%bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(Alter, F).
;; 13
%bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(Alter, F).
;; 14
%bhanja:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuSisHuBroSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(Alter, I).
;; 15
%bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiSisSo}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 16
%bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroDaSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(Alter, F).
;; 17
%bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisDaSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(Alter, F).
;; 18
%bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(Alter, F).
;; 19
%bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(Alter, F).
;; 20
%bhanja:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {WiSisHuBroSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(Alter, I).
;; 21
%bhanja:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {SisSo}  
[ext],  spouse(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 22
%bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoBroDaSo}  
[ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(Alter, G).
;; 23
%bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoSisDaSo}  
[ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(Alter, G).
;; 24
%bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaBroDaSo}  
[ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(Alter, G).
;; 25
%bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaSisDaSo}  
[ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(Alter, G).
;; 26
%bhanja:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuBroWiSisSo}  
[ext], [ext],  spouse(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(Alter, H).
;; 27
%bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuSisSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 28
%bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuSisSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 29
%bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuMoBroDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(Alter, I).
;; 30
%bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuMoBroDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(Alter, I).
;; 31
%bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuMoSisDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(Alter, I).
;; 32
%bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuMoSisDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(Alter, I).
;; 33
%bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuFaBroDaSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(Alter, I).
;; 34
%bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuFaBroDaSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(Alter, I).
;; 35
%bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuFaSisDaSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(Alter, I).
;; 36
%bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuFaSisDaSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(Alter, I).
;; 37
%bhanja:3, nanad:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuSisHuSisSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(Alter, H).
;; 38
%bhanja:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuSisHuBroSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(Alter, I).
;; 39
%bhanja:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {SisHuSisSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 40
%bhanja:3, nanad:4, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {SisHuSisHuBroSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), son(Alter, L).
;; 41
%bhanja:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {SisHuSisHuSisSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), son(Alter, K).
;; 42
%bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {SisSo}  
[ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(Alter, H).
;; 43
%bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {SisSo}  
[ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(Alter, H).
;; 44
%bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {MoBroDaSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(Alter, J).
;; 45
%bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {MoBroDaSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(Alter, J).
;; 46
%bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {MoSisDaSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(Alter, J).
;; 47
%bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {MoSisDaSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(Alter, J).
;; 48
%bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaBroDaSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(Alter, J).
;; 49
%bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaBroDaSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(Alter, J).
;; 50
%bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaSisDaSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(Alter, J).
;; 51
%bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaSisDaSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(Alter, J).
;; 52
%bhanja:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiSisHuSisSo}  
[ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(Alter, H).
;; 53
%bhanja:5, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {SisHuBro}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 54
%bhanja:6, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {SisHuSisHuBro}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(Alter, I), child(Alter, J), not(equal(Alter, H)), male(Alter).


bhanji(Alter, Ego) :-  bahen(A, Ego), daughter(Alter, A).
                   |   spice(A, Ego), bahen[aux]20gn(B, A), daughter(Alter, B).
                   |  [ext],  husband(A, Ego), sali(B, A), daughter(Alter, B).
                   |  [ext],  nanad(A, Ego), daughter(Alter, A).
                   |  [ext],  wife(A, Ego), nanad(B, A), daughter(Alter, B).
{"FaBroDaDa_FaSisDaDa_HuBroWiSisDa_HuFaBroDaDa_HuFaSisDaDa_HuMoBroDaDa_HuMoSisDaDa_HuSisDa_HuSisHuBroDa_HuSisHuSisDa_MoBroDaDa_MoSisDaDa_SisDa_SisHuBroDa_SisHuSisDa_SisHuSisHuBroDa_SisHuSisHuSisDa_WiFaBroDaDa_WiFaSisDaDa_WiMoBroDaDa_WiMoSisDaDa_WiSisDa_WiSisHuBroDa_WiSisHuSisDa"}
;; 0
%bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(Alter, C).
;; 1
%bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(Alter, E).
;; 2
%bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(Alter, E).
;; 3
%bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaDa}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(Alter, E).
;; 4
%bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaDa}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(Alter, E).
;; 5
%bhanji:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {SisHuBroDa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), daughter(Alter, H).
;; 6
%bhanji:0, bahen:1, bahen[aux]20femalego:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuBroWiSisDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(Alter, H).
;; 7
%bhanji:0, bahen:2, bahen[aux]20malego:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiSisHuSisDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(Alter, H).
;; 8
%bhanji:0, bahen:2, bahen[aux]20malego:1, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {SisHuSisHuBroDa}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), daughter(Alter, L).
;; 9
%bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuSisDa}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 10
%bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroDaDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(Alter, F).
;; 11
%bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisDaDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(Alter, F).
;; 12
%bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(Alter, F).
;; 13
%bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(Alter, F).
;; 14
%bhanji:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuSisHuBroDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(Alter, I).
;; 15
%bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiSisDa}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 16
%bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroDaDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(Alter, F).
;; 17
%bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisDaDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(Alter, F).
;; 18
%bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(Alter, F).
;; 19
%bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(Alter, F).
;; 20
%bhanji:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {WiSisHuBroDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(Alter, I).
;; 21
%bhanji:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {SisDa}  
[ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E).
;; 22
%bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoBroDaDa}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(Alter, G).
;; 23
%bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoSisDaDa}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(Alter, G).
;; 24
%bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaBroDaDa}  
[ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(Alter, G).
;; 25
%bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaSisDaDa}  
[ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(Alter, G).
;; 26
%bhanji:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuBroWiSisDa}  
[ext], [ext],  husband(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(Alter, H).
;; 27
%bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuSisDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 28
%bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuSisDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 29
%bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuMoBroDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(Alter, I).
;; 30
%bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuMoBroDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(Alter, I).
;; 31
%bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuMoSisDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(Alter, I).
;; 32
%bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuMoSisDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(Alter, I).
;; 33
%bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuFaBroDaDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(Alter, I).
;; 34
%bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuFaBroDaDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(Alter, I).
;; 35
%bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuFaSisDaDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(Alter, I).
;; 36
%bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {HuFaSisDaDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(Alter, I).
;; 37
%bhanji:3, nanad:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuSisHuSisDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(Alter, H).
;; 38
%bhanji:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuSisHuBroDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(Alter, I).
;; 39
%bhanji:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {SisHuSisDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 40
%bhanji:3, nanad:4, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {SisHuSisHuBroDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), daughter(Alter, L).
;; 41
%bhanji:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {SisHuSisHuSisDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), daughter(Alter, K).
;; 42
%bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {SisDa}  
[ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(Alter, H).
;; 43
%bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {SisDa}  
[ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(Alter, H).
;; 44
%bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {MoBroDaDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(Alter, J).
;; 45
%bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {MoBroDaDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(Alter, J).
;; 46
%bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {MoSisDaDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(Alter, J).
;; 47
%bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {MoSisDaDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(Alter, J).
;; 48
%bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaBroDaDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(Alter, J).
;; 49
%bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaBroDaDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(Alter, J).
;; 50
%bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaSisDaDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(Alter, J).
;; 51
%bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaSisDaDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(Alter, J).
;; 52
%bhanji:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiSisHuSisDa}  
[ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(Alter, H).


bhatija(Alter, Ego) :-  bhai(A, Ego), son(Alter, A).
                    |   spice(A, Ego), bhai[aux]20gn(B, A), son(Alter, B).
                    |  [ext],  sala(A, Ego), son(Alter, A).
                    |  [ext],  husband(A, Ego), sala(B, A), son(Alter, B).
                    |  [ext],  jeth(A, Ego), son(Alter, A).
                    |  [ext],  wife(A, Ego), jeth(B, A), son(Alter, B).
                    |  [ext],  female(Ego), brother(A, Ego), wife(B, A), brother(Alter, B).
                    |  [ext],  female(Ego), brother(A, Ego), wife(B, A), brother(C, B), wife(D, C), brother(Alter, D).
{"BroSo_BroWiBro_BroWiBroWiBro_BroWiBroWiSisSo_BroWiSisSo_FaBroSoSo_FaSisSoSo_HuBroSo_HuBroWiBroSo_HuBroWiSisSo_HuFaBroSoSo_HuFaSisSoSo_HuMoBroSoSo_HuMoSisSoSo_MoBroSoSo_MoSisSoSo_WiBroSo_WiBroWiBroSo_WiBroWiSisSo_WiFaBroSoSo_WiFaSisSoSo_WiMoBroSoSo_WiMoSisSoSo_WiSisHuBroSo"}
;; 0
%bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(Alter, C).
;; 1
%bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(Alter, E).
;; 2
%bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(Alter, E).
;; 3
%bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoSo}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(Alter, E).
;; 4
%bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoSo}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(Alter, E).
;; 5
%bhatija:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {BroWiSisSo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), son(Alter, H).
;; 6
%bhatija:0, bhai:1, bhai[aux]20femalego:0, brother:0, sibling:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {BroWiBroWiSisSo}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(L, K), son(Alter, L).
;; 7
%bhatija:0, bhai:1, bhai[aux]20femalego:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuBroWiBroSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(Alter, H).
;; 8
%bhatija:0, bhai:2, bhai[aux]20malego:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiSisHuBroSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(Alter, H).
;; 9
%bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuBroSo}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 10
%bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroSoSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(Alter, F).
;; 11
%bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisSoSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(Alter, F).
;; 12
%bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(Alter, F).
;; 13
%bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(Alter, F).
;; 14
%bhatija:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuBroWiSisSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(Alter, I).
;; 15
%bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiBroSo}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 16
%bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroSoSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(Alter, F).
;; 17
%bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisSoSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(Alter, F).
;; 18
%bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(Alter, F).
;; 19
%bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(Alter, F).
;; 20
%bhatija:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {WiBroWiSisSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(Alter, I).
;; 21
%bhatija:2, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiBroSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 22
%bhatija:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiBroSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 23
%bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroSoSo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(Alter, F).
;; 24
%bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisSoSo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(Alter, F).
;; 25
%bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroSoSo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(Alter, F).
;; 26
%bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisSoSo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(Alter, F).
;; 27
%bhatija:2, sala:2, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiBroWiBroSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(Alter, H).
;; 28
%bhatija:3, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {BroSo}  
[ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 29
%bhatija:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {BroSo}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 30
%bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoBroSoSo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(Alter, G).
;; 31
%bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoSisSoSo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(Alter, G).
;; 32
%bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaBroSoSo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(Alter, G).
;; 33
%bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaSisSoSo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(Alter, G).
;; 34
%bhatija:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuBroSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), son(Alter, D).
;; 35
%bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(Alter, F).
;; 36
%bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(Alter, F).
;; 37
%bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroSoSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(Alter, F).
;; 38
%bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisSoSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(Alter, F).
;; 39
%bhatija:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {BroSo}  
[ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), son(Alter, E).
;; 40
%bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoBroSoSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(Alter, G).
;; 41
%bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoSisSoSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(Alter, G).
;; 42
%bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaBroSoSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(Alter, G).
;; 43
%bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaSisSoSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(Alter, G).
;; 44
%bhatija:6, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {BroWiBro}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 45
%bhatija:7, brother:0, sibling:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {BroWiBroWiBro}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(Alter, I), child(Alter, J), not(equal(Alter, H)), male(Alter).


bhatiji(Alter, Ego) :-  bhai(A, Ego), daughter(Alter, A).
                    |   spice(A, Ego), bhai[aux]20gn(B, A), daughter(Alter, B).
                    |  [ext],  sala(A, Ego), daughter(Alter, A).
                    |  [ext],  husband(A, Ego), sala(B, A), daughter(Alter, B).
                    |  [ext],  jeth(A, Ego), daughter(Alter, A).
                    |  [ext],  wife(A, Ego), jeth(B, A), daughter(Alter, B).
{"BroDa_BroWiBroWiSisDa_BroWiSisDa_FaBroSoDa_FaSisSoDa_HuBroDa_HuBroWiBroDa_HuBroWiSisDa_HuFaBroSoDa_HuFaSisSoDa_HuMoBroSoDa_HuMoSisSoDa_MoBroSoDa_MoSisSoDa_WiBroDa_WiBroWiBroDa_WiBroWiSisDa_WiFaBroSoDa_WiFaSisSoDa_WiMoBroSoDa_WiMoSisSoDa_WiSisHuBroDa"}
;; 0
%bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(Alter, C).
;; 1
%bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(Alter, E).
;; 2
%bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(Alter, E).
;; 3
%bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoDa}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(Alter, E).
;; 4
%bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoDa}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(Alter, E).
;; 5
%bhatiji:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {BroWiSisDa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), daughter(Alter, H).
;; 6
%bhatiji:0, bhai:1, bhai[aux]20femalego:0, brother:0, sibling:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {BroWiBroWiSisDa}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(L, K), daughter(Alter, L).
;; 7
%bhatiji:0, bhai:1, bhai[aux]20femalego:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuBroWiBroDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(Alter, H).
;; 8
%bhatiji:0, bhai:2, bhai[aux]20malego:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiSisHuBroDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(Alter, H).
;; 9
%bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuBroDa}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 10
%bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroSoDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(Alter, F).
;; 11
%bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisSoDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(Alter, F).
;; 12
%bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(Alter, F).
;; 13
%bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(Alter, F).
;; 14
%bhatiji:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuBroWiSisDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(Alter, I).
;; 15
%bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiBroDa}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 16
%bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroSoDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(Alter, F).
;; 17
%bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisSoDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(Alter, F).
;; 18
%bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(Alter, F).
;; 19
%bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(Alter, F).
;; 20
%bhatiji:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {WiBroWiSisDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(Alter, I).
;; 21
%bhatiji:2, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiBroDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 22
%bhatiji:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiBroDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 23
%bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroSoDa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(Alter, F).
;; 24
%bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisSoDa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(Alter, F).
;; 25
%bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroSoDa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(Alter, F).
;; 26
%bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisSoDa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(Alter, F).
;; 27
%bhatiji:2, sala:2, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiBroWiBroDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(Alter, H).
;; 28
%bhatiji:3, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {BroDa}  
[ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 29
%bhatiji:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {BroDa}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 30
%bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoBroSoDa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(Alter, G).
;; 31
%bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoSisSoDa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(Alter, G).
;; 32
%bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaBroSoDa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(Alter, G).
;; 33
%bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaSisSoDa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(Alter, G).
;; 34
%bhatiji:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuBroDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), daughter(Alter, D).
;; 35
%bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(Alter, F).
;; 36
%bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(Alter, F).
;; 37
%bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroSoDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(Alter, F).
;; 38
%bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisSoDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(Alter, F).
;; 39
%bhatiji:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {BroDa}  
[ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), daughter(Alter, E).
;; 40
%bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoBroSoDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(Alter, G).
;; 41
%bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoSisSoDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(Alter, G).
;; 42
%bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaBroSoDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(Alter, G).
;; 43
%bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaSisSoDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(Alter, G).


brother(Alter, Ego) :-  sibling(Alter, Ego), male(Alter).
;; 0
%brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).


bua(Alter, Ego) :-  father(A, Ego), sister(Alter, A).
                |  [ext],  father(A, Ego), generation[aux]20(Alter, A), female(Alter).
                |  [ext],  parents(A, Ego), sister(B, A), husband(C, B), sister(Alter, C).
                |  [ext],  father(A, Ego), sister(B, A), husband(C, B), brother(D, C), wife(Alter, D).
{"FaFaBroDa_FaFaFaBroDaDa_FaFaFaBroSoDa_FaFaFaSisDaDa_FaFaFaSisSoDa_FaFaMoBroDaDa_FaFaMoBroSoDa_FaFaMoSisDaDa_FaFaMoSisSoDa_FaFaSisDa_FaMoBroDa_FaMoFaBroDaDa_FaMoFaBroSoDa_FaMoFaSisDaDa_FaMoFaSisSoDa_FaMoMoBroDaDa_FaMoMoBroSoDa_FaMoMoSisDaDa_FaMoMoSisSoDa_FaMoSisDa_FaSis_FaSisHuBroWi_FaSisHuSis_MoSisHuSis"}
;; 0
%bua:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaSis}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 1
%bua:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaSis}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 2
%bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoBroDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), female(Alter).
;; 3
%bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoSisDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), female(Alter).
;; 4
%bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoBroSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 5
%bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoBroDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 6
%bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoSisSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 7
%bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoSisDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 8
%bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaBroSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 9
%bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaBroDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 10
%bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaSisSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 11
%bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaSisDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 12
%bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaBroDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), female(Alter).
;; 13
%bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaSisDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), female(Alter).
;; 14
%bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoBroSoDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 15
%bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoBroDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 16
%bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoSisSoDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 17
%bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoSisDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 18
%bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaBroSoDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 19
%bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaBroDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 20
%bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaSisSoDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 21
%bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaSisDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 22
%bua:2, parents:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoSisHuSis}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), female(Alter).
;; 23
%bua:2, parents:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaSisHuSis}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), female(Alter).
;; 24
%bua:3, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {FaSisHuBroWi}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(Alter, H).


caca(Alter, Ego) :-  father(A, Ego), generation[aux]20(Alter, A), male(Alter), younger(Alter, A).
{"FaBro_FaFaBroSo_FaFaFaBroDaSo_FaFaFaBroSoSo_FaFaFaSisDaSo_FaFaFaSisSoSo_FaFaMoBroDaSo_FaFaMoBroSoSo_FaFaMoSisDaSo_FaFaMoSisSoSo_FaFaSisSo_FaMoBroSo_FaMoFaBroDaSo_FaMoFaBroSoSo_FaMoFaSisDaSo_FaMoFaSisSoSo_FaMoMoBroDaSo_FaMoMoBroSoSo_FaMoMoSisDaSo_FaMoMoSisSoSo_FaMoSisSo"}
;; 0
%caca:0, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaBro}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter), younger(Alter, A).
;; 1
%caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoBroSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), male(Alter), younger(Alter, A).
;; 2
%caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoSisSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), male(Alter), younger(Alter, A).
;; 3
%caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoBroSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 4
%caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoBroDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 5
%caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoSisSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 6
%caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoSisDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 7
%caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaBroSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 8
%caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaBroDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 9
%caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaSisSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 10
%caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaSisDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 11
%caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaBroSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), male(Alter), younger(Alter, A).
;; 12
%caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaSisSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), male(Alter), younger(Alter, A).
;; 13
%caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoBroSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 14
%caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoBroDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 15
%caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoSisSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 16
%caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoSisDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 17
%caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaBroSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 18
%caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaBroDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 19
%caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaSisSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter), younger(Alter, A).
;; 20
%caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaSisDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter), younger(Alter, A).


caci(Alter, Ego) :-  caca(A, Ego), wife(Alter, A).
{"FaBroWi_FaFaBroSoWi_FaFaFaBroDaSoWi_FaFaFaBroSoSoWi_FaFaFaSisDaSoWi_FaFaFaSisSoSoWi_FaFaMoBroDaSoWi_FaFaMoBroSoSoWi_FaFaMoSisDaSoWi_FaFaMoSisSoSoWi_FaFaSisSoWi_FaMoBroSoWi_FaMoFaBroDaSoWi_FaMoFaBroSoSoWi_FaMoFaSisDaSoWi_FaMoFaSisSoSoWi_FaMoMoBroDaSoWi_FaMoMoBroSoSoWi_FaMoMoSisDaSoWi_FaMoMoSisSoSoWi_FaMoSisSoWi"}
;; 0
%caci:0, caca:0, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaBroWi}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), younger(D, A), wife(Alter, D).
;; 1
%caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoBroSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), younger(F, A), wife(Alter, F).
;; 2
%caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoSisSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), younger(F, A), wife(Alter, F).
;; 3
%caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoBroSoSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 4
%caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoBroDaSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 5
%caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoSisSoSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 6
%caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoSisDaSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 7
%caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaBroSoSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 8
%caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaBroDaSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 9
%caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaSisSoSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 10
%caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaSisDaSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 11
%caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaBroSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), younger(F, A), wife(Alter, F).
;; 12
%caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaSisSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), younger(F, A), wife(Alter, F).
;; 13
%caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoBroSoSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 14
%caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoBroDaSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 15
%caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoSisSoSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 16
%caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoSisDaSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 17
%caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaBroSoSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 18
%caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaBroDaSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 19
%caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaSisSoSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).
;; 20
%caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaSisDaSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), male(H), younger(H, A), wife(Alter, H).


children(Alter, Ego) :-  son(Alter, Ego).
                     |   daughter(Alter, Ego).
;; 0
%children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(Alter, Ego).
;; 1
%children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(Alter, Ego).


dadas(Alter, Ego) :-  spice(A, Ego), dadi(Alter, A).
{"HuFaFaBroWi_HuFaFaSis_HuFaMo_HuFaMoBroWi_HuFaMoSis_WiFaFaBroWi_WiFaFaSis_WiFaMo_WiFaMoBroWi_WiFaMoSis"}
;; 0
%dadas:0, spice:0, dadi:0, parent_equiv[aux]20:0%
 Lvl=2,  PC=2, S=1, Star=0,  {HuFaMo}  
 husband(A, Ego), father(B, A), parent(Alter, B), female(Alter).
;; 1
%dadas:0, spice:0, dadi:0, parent_equiv[aux]20:1, parents:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaMoSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 2
%dadas:0, spice:0, dadi:0, parent_equiv[aux]20:1, parents:1, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaFaSis}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 3
%dadas:0, spice:0, dadi:0, parent_equiv[aux]20:2, parents:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaMoBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 4
%dadas:0, spice:0, dadi:0, parent_equiv[aux]20:2, parents:1, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaFaBroWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 5
%dadas:0, spice:1, dadi:0, parent_equiv[aux]20:0%
 Lvl=2,  PC=2, S=1, Star=0,  {WiFaMo}  
 wife(A, Ego), father(B, A), parent(Alter, B), female(Alter).
;; 6
%dadas:0, spice:1, dadi:0, parent_equiv[aux]20:1, parents:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaMoSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 7
%dadas:0, spice:1, dadi:0, parent_equiv[aux]20:1, parents:1, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaFaSis}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 8
%dadas:0, spice:1, dadi:0, parent_equiv[aux]20:2, parents:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaMoBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 9
%dadas:0, spice:1, dadi:0, parent_equiv[aux]20:2, parents:1, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaFaBroWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).


dadi(Alter, Ego) :-  father(A, Ego), parent_equiv[aux]20(Alter, A), female(Alter).
{"FaFaBroWi_FaFaSis_FaMo_FaMoBroWi_FaMoSis"}
;; 0
%dadi:0, parent_equiv[aux]20:0%
 Lvl=2,  PC=2, S=0, Star=0,  {FaMo}  
 father(A, Ego), parent(Alter, A), female(Alter).
;; 1
%dadi:0, parent_equiv[aux]20:1, parents:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaMoSis}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 2
%dadi:0, parent_equiv[aux]20:1, parents:1, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaFaSis}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 3
%dadi:0, parent_equiv[aux]20:2, parents:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaMoBroWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), female(Alter).
;; 4
%dadi:0, parent_equiv[aux]20:2, parents:1, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaFaBroWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), female(Alter).


dadsara(Alter, Ego) :-  spice(A, Ego), baba(Alter, A).
{"HuFaFa_HuFaFaBro_HuFaFaSisHu_HuFaMoBro_HuFaMoSisHu_WiFaFa_WiFaFaBro_WiFaFaSisHu_WiFaMoBro_WiFaMoSisHu"}
;; 0
%dadsara:0, spice:0, baba:0, parent_equiv[aux]20:0%
 Lvl=2,  PC=2, S=1, Star=0,  {HuFaFa}  
 husband(A, Ego), father(B, A), parent(Alter, B), male(Alter).
;; 1
%dadsara:0, spice:0, baba:0, parent_equiv[aux]20:1, parents:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaMoBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 2
%dadsara:0, spice:0, baba:0, parent_equiv[aux]20:1, parents:1, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaFaBro}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 3
%dadsara:0, spice:0, baba:0, parent_equiv[aux]20:2, parents:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaMoSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 4
%dadsara:0, spice:0, baba:0, parent_equiv[aux]20:2, parents:1, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaFaSisHu}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 5
%dadsara:0, spice:1, baba:0, parent_equiv[aux]20:0%
 Lvl=2,  PC=2, S=1, Star=0,  {WiFaFa}  
 wife(A, Ego), father(B, A), parent(Alter, B), male(Alter).
;; 6
%dadsara:0, spice:1, baba:0, parent_equiv[aux]20:1, parents:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaMoBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 7
%dadsara:0, spice:1, baba:0, parent_equiv[aux]20:1, parents:1, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaFaBro}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 8
%dadsara:0, spice:1, baba:0, parent_equiv[aux]20:2, parents:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaMoSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 9
%dadsara:0, spice:1, baba:0, parent_equiv[aux]20:2, parents:1, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaFaSisHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).


daurani(Alter, Ego) :-  husband(A, Ego), generation[aux]20(B, A), younger(B, A), wife(Alter, B).
{"HuBroWi_HuFaBroSoWi_HuFaFaBroDaSoWi_HuFaFaBroSoSoWi_HuFaFaSisDaSoWi_HuFaFaSisSoSoWi_HuFaMoBroDaSoWi_HuFaMoBroSoSoWi_HuFaMoSisDaSoWi_HuFaMoSisSoSoWi_HuFaSisSoWi_HuMoBroSoWi_HuMoFaBroDaSoWi_HuMoFaBroSoSoWi_HuMoFaSisDaSoWi_HuMoFaSisSoSoWi_HuMoMoBroDaSoWi_HuMoMoBroSoSoWi_HuMoMoSisDaSoWi_HuMoMoSisSoSoWi_HuMoSisSoWi"}
;; 0
%daurani:0, generation[aux]20:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {HuBroWi}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), younger(D, A), wife(Alter, D).
;; 1
%daurani:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoBroSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), younger(F, A), wife(Alter, F).
;; 2
%daurani:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoSisSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), younger(F, A), wife(Alter, F).
;; 3
%daurani:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoMoBroSoSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 4
%daurani:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoMoBroDaSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 5
%daurani:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoMoSisSoSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 6
%daurani:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoMoSisDaSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 7
%daurani:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoFaBroSoSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 8
%daurani:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoFaBroDaSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 9
%daurani:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoFaSisSoSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 10
%daurani:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoFaSisDaSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 11
%daurani:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaBroSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), younger(F, A), wife(Alter, F).
;; 12
%daurani:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaSisSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), younger(F, A), wife(Alter, F).
;; 13
%daurani:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaMoBroSoSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 14
%daurani:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaMoBroDaSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 15
%daurani:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaMoSisSoSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 16
%daurani:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaMoSisDaSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 17
%daurani:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaFaBroSoSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 18
%daurani:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaFaBroDaSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 19
%daurani:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaFaSisSoSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), younger(H, A), wife(Alter, H).
;; 20
%daurani:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaFaSisDaSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), younger(H, A), wife(Alter, H).


devar(Alter, Ego) :-  husband(A, Ego), generation[aux]20small(Alter, A), younger(Alter, A), male(Alter).
{"HuBro_HuFaBroSo_HuFaSisSo_HuMoBroSo_HuMoSisSo"}
;; 0
%devar:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {HuBro}  
 husband(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), younger(Alter, A), male(Alter).
;; 1
%devar:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {HuMoBroSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), younger(Alter, A), male(Alter).
;; 2
%devar:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {HuMoSisSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), younger(Alter, A), male(Alter).
;; 3
%devar:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {HuFaBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), younger(Alter, A), male(Alter).
;; 4
%devar:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {HuFaSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), younger(Alter, A), male(Alter).


dhevta(Alter, Ego) :-  daughter(A, Ego), son(Alter, A).
                   |  [ext],  bhatiji(A, Ego), son(Alter, A).
                   |  [ext],  bhanji(A, Ego), son(Alter, A).
{"BroDaSo_BroWiBroWiSisDaSo_BroWiSisDaSo_DaSo_FaBroDaDaSo_FaBroSoDaSo_FaSisDaDaSo_FaSisSoDaSo_HuBroDaSo_HuBroWiBroDaSo_HuBroWiSisDaSo_HuFaBroDaDaSo_HuFaBroSoDaSo_HuFaSisDaDaSo_HuFaSisSoDaSo_HuMoBroDaDaSo_HuMoBroSoDaSo_HuMoSisDaDaSo_HuMoSisSoDaSo_HuSisDaSo_HuSisHuBroDaSo_HuSisHuSisDaSo_MoBroDaDaSo_MoBroSoDaSo_MoSisDaDaSo_MoSisSoDaSo_SisDaSo_SisHuBroDaSo_SisHuSisDaSo_SisHuSisHuBroDaSo_SisHuSisHuSisDaSo_WiBroDaSo_WiBroWiBroDaSo_WiBroWiSisDaSo_WiFaBroDaDaSo_WiFaBroSoDaSo_WiFaSisDaDaSo_WiFaSisSoDaSo_WiMoBroDaDaSo_WiMoBroSoDaSo_WiMoSisDaDaSo_WiMoSisSoDaSo_WiSisDaSo_WiSisHuBroDaSo_WiSisHuSisDaSo"}
;; 0
%dhevta:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaSo}  
 daughter(A, Ego), son(Alter, A).
;; 1
%dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaSo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), son(Alter, D).
;; 2
%dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), son(Alter, F).
;; 3
%dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), son(Alter, F).
;; 4
%dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), son(Alter, F).
;; 5
%dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), son(Alter, F).
;; 6
%dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {BroWiSisDaSo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), daughter(I, H), son(Alter, I).
;; 7
%dhevta:1, bhatiji:0, bhai:1, bhai[aux]20femalego:0, brother:0, sibling:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {BroWiBroWiSisDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(L, K), daughter(M, L), son(Alter, M).
;; 8
%dhevta:1, bhatiji:0, bhai:1, bhai[aux]20femalego:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuBroWiBroDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 9
%dhevta:1, bhatiji:0, bhai:2, bhai[aux]20malego:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiSisHuBroDaSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 10
%dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroDaSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E).
;; 11
%dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(Alter, G).
;; 12
%dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(Alter, G).
;; 13
%dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoDaSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(Alter, G).
;; 14
%dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoDaSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(Alter, G).
;; 15
%dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuBroWiSisDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), son(Alter, J).
;; 16
%dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroDaSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E).
;; 17
%dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoDaSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(Alter, G).
;; 18
%dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoDaSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(Alter, G).
;; 19
%dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoDaSo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(Alter, G).
;; 20
%dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoDaSo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(Alter, G).
;; 21
%dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {WiBroWiSisDaSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), son(Alter, J).
;; 22
%dhevta:1, bhatiji:2, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroDaSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E).
;; 23
%dhevta:1, bhatiji:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroDaSo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E).
;; 24
%dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoDaSo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(Alter, G).
;; 25
%dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoDaSo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(Alter, G).
;; 26
%dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoDaSo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(Alter, G).
;; 27
%dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoDaSo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(Alter, G).
;; 28
%dhevta:1, bhatiji:2, sala:2, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiBroWiBroDaSo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 29
%dhevta:1, bhatiji:3, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {BroDaSo}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 30
%dhevta:1, bhatiji:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {BroDaSo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 31
%dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoBroSoDaSo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), son(Alter, H).
;; 32
%dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoSisSoDaSo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), son(Alter, H).
;; 33
%dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaBroSoDaSo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), son(Alter, H).
;; 34
%dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaSisSoDaSo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), son(Alter, H).
;; 35
%dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), daughter(E, D), son(Alter, E).
;; 36
%dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoDaSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(Alter, G).
;; 37
%dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoDaSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(Alter, G).
;; 38
%dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoDaSo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(Alter, G).
;; 39
%dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoDaSo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(Alter, G).
;; 40
%dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {BroDaSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), daughter(F, E), son(Alter, F).
;; 41
%dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoBroSoDaSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(Alter, H).
;; 42
%dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoSisSoDaSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(Alter, H).
;; 43
%dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaBroSoDaSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(Alter, H).
;; 44
%dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaSisSoDaSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(Alter, H).
;; 45
%dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaSo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), son(Alter, D).
;; 46
%dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), son(Alter, F).
;; 47
%dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), son(Alter, F).
;; 48
%dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), son(Alter, F).
;; 49
%dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), son(Alter, F).
;; 50
%dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisHuBroDaSo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), daughter(I, H), son(Alter, I).
;; 51
%dhevta:2, bhanji:0, bahen:1, bahen[aux]20femalego:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuBroWiSisDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 52
%dhevta:2, bhanji:0, bahen:2, bahen[aux]20malego:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiSisHuSisDaSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 53
%dhevta:2, bhanji:0, bahen:2, bahen[aux]20malego:1, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {SisHuSisHuBroDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), daughter(M, L), son(Alter, M).
;; 54
%dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisDaSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(Alter, E).
;; 55
%dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroDaDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(Alter, G).
;; 56
%dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisDaDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(Alter, G).
;; 57
%dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroDaDaSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(Alter, G).
;; 58
%dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisDaDaSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(Alter, G).
;; 59
%dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuSisHuBroDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), son(Alter, J).
;; 60
%dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisDaSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(Alter, E).
;; 61
%dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroDaDaSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(Alter, G).
;; 62
%dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisDaDaSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(Alter, G).
;; 63
%dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroDaDaSo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(Alter, G).
;; 64
%dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisDaDaSo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(Alter, G).
;; 65
%dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {WiSisHuBroDaSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), son(Alter, J).
;; 66
%dhevta:2, bhanji:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {SisDaSo}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 67
%dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoBroDaDaSo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), son(Alter, H).
;; 68
%dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoSisDaDaSo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), son(Alter, H).
;; 69
%dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaBroDaDaSo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), son(Alter, H).
;; 70
%dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaSisDaDaSo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), son(Alter, H).
;; 71
%dhevta:2, bhanji:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuBroWiSisDaSo}  
[ext], [ext], [ext],  husband(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 72
%dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {HuSisDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 73
%dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {HuSisDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 74
%dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoBroDaDaSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(Alter, J).
;; 75
%dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoBroDaDaSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(Alter, J).
;; 76
%dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoSisDaDaSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(Alter, J).
;; 77
%dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoSisDaDaSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(Alter, J).
;; 78
%dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaBroDaDaSo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(Alter, J).
;; 79
%dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaBroDaDaSo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(Alter, J).
;; 80
%dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaSisDaDaSo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(Alter, J).
;; 81
%dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaSisDaDaSo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(Alter, J).
;; 82
%dhevta:2, bhanji:3, nanad:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuSisHuSisDaSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 83
%dhevta:2, bhanji:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuSisHuBroDaSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), son(Alter, J).
;; 84
%dhevta:2, bhanji:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {SisHuSisDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 85
%dhevta:2, bhanji:3, nanad:4, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {SisHuSisHuBroDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), daughter(M, L), son(Alter, M).
;; 86
%dhevta:2, bhanji:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=14, S=2, Star=0,  {SisHuSisHuSisDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), daughter(L, K), son(Alter, L).
;; 87
%dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisDaSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 88
%dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisDaSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 89
%dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoBroDaDaSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(Alter, K).
;; 90
%dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoBroDaDaSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(Alter, K).
;; 91
%dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoSisDaDaSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(Alter, K).
;; 92
%dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoSisDaDaSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(Alter, K).
;; 93
%dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaBroDaDaSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(Alter, K).
;; 94
%dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaBroDaDaSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(Alter, K).
;; 95
%dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaSisDaDaSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(Alter, K).
;; 96
%dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaSisDaDaSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(Alter, K).
;; 97
%dhevta:2, bhanji:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiSisHuSisDaSo}  
[ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).


dhevti(Alter, Ego) :-  daughter(A, Ego), daughter(Alter, A).
                   |  [ext],  bhatiji(A, Ego), daughter(Alter, A).
                   |  [ext],  bhanji(A, Ego), daughter(Alter, A).
{"BroDaDa_BroWiBroWiSisDaDa_BroWiSisDaDa_DaDa_FaBroDaDaDa_FaBroSoDaDa_FaSisDaDaDa_FaSisSoDaDa_HuBroDaDa_HuBroWiBroDaDa_HuBroWiSisDaDa_HuFaBroDaDaDa_HuFaBroSoDaDa_HuFaSisDaDaDa_HuFaSisSoDaDa_HuMoBroDaDaDa_HuMoBroSoDaDa_HuMoSisDaDaDa_HuMoSisSoDaDa_HuSisDaDa_HuSisHuBroDaDa_HuSisHuSisDaDa_MoBroDaDaDa_MoBroSoDaDa_MoSisDaDaDa_MoSisSoDaDa_SisDaDa_SisHuBroDaDa_SisHuSisDaDa_SisHuSisHuBroDaDa_SisHuSisHuSisDaDa_WiBroDaDa_WiBroWiBroDaDa_WiBroWiSisDaDa_WiFaBroDaDaDa_WiFaBroSoDaDa_WiFaSisDaDaDa_WiFaSisSoDaDa_WiMoBroDaDaDa_WiMoBroSoDaDa_WiMoSisDaDaDa_WiMoSisSoDaDa_WiSisDaDa_WiSisHuBroDaDa_WiSisHuSisDaDa"}
;; 0
%dhevti:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaDa}  
 daughter(A, Ego), daughter(Alter, A).
;; 1
%dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaDa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), daughter(Alter, D).
;; 2
%dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), daughter(Alter, F).
;; 3
%dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), daughter(Alter, F).
;; 4
%dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), daughter(Alter, F).
;; 5
%dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), daughter(Alter, F).
;; 6
%dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {BroWiSisDaDa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), daughter(I, H), daughter(Alter, I).
;; 7
%dhevti:1, bhatiji:0, bhai:1, bhai[aux]20femalego:0, brother:0, sibling:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {BroWiBroWiSisDaDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(L, K), daughter(M, L), daughter(Alter, M).
;; 8
%dhevti:1, bhatiji:0, bhai:1, bhai[aux]20femalego:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuBroWiBroDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 9
%dhevti:1, bhatiji:0, bhai:2, bhai[aux]20malego:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiSisHuBroDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 10
%dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroDaDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E).
;; 11
%dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(Alter, G).
;; 12
%dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(Alter, G).
;; 13
%dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoDaDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(Alter, G).
;; 14
%dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoDaDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(Alter, G).
;; 15
%dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuBroWiSisDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), daughter(Alter, J).
;; 16
%dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroDaDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E).
;; 17
%dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(Alter, G).
;; 18
%dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(Alter, G).
;; 19
%dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoDaDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(Alter, G).
;; 20
%dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoDaDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(Alter, G).
;; 21
%dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {WiBroWiSisDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), daughter(Alter, J).
;; 22
%dhevti:1, bhatiji:2, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E).
;; 23
%dhevti:1, bhatiji:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroDaDa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E).
;; 24
%dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoDaDa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(Alter, G).
;; 25
%dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoDaDa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(Alter, G).
;; 26
%dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoDaDa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(Alter, G).
;; 27
%dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoDaDa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(Alter, G).
;; 28
%dhevti:1, bhatiji:2, sala:2, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiBroWiBroDaDa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 29
%dhevti:1, bhatiji:3, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {BroDaDa}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 30
%dhevti:1, bhatiji:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {BroDaDa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 31
%dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoBroSoDaDa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), daughter(Alter, H).
;; 32
%dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoSisSoDaDa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), daughter(Alter, H).
;; 33
%dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaBroSoDaDa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), daughter(Alter, H).
;; 34
%dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaSisSoDaDa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), daughter(Alter, H).
;; 35
%dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), daughter(E, D), daughter(Alter, E).
;; 36
%dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoDaDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(Alter, G).
;; 37
%dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoDaDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(Alter, G).
;; 38
%dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoDaDa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(Alter, G).
;; 39
%dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoDaDa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(Alter, G).
;; 40
%dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {BroDaDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), daughter(F, E), daughter(Alter, F).
;; 41
%dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoBroSoDaDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(Alter, H).
;; 42
%dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoSisSoDaDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(Alter, H).
;; 43
%dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaBroSoDaDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(Alter, H).
;; 44
%dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaSisSoDaDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(Alter, H).
;; 45
%dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaDa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), daughter(Alter, D).
;; 46
%dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), daughter(Alter, F).
;; 47
%dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), daughter(Alter, F).
;; 48
%dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), daughter(Alter, F).
;; 49
%dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), daughter(Alter, F).
;; 50
%dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisHuBroDaDa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), daughter(I, H), daughter(Alter, I).
;; 51
%dhevti:2, bhanji:0, bahen:1, bahen[aux]20femalego:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuBroWiSisDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 52
%dhevti:2, bhanji:0, bahen:2, bahen[aux]20malego:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiSisHuSisDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 53
%dhevti:2, bhanji:0, bahen:2, bahen[aux]20malego:1, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {SisHuSisHuBroDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), daughter(M, L), daughter(Alter, M).
;; 54
%dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisDaDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(Alter, E).
;; 55
%dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroDaDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(Alter, G).
;; 56
%dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisDaDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(Alter, G).
;; 57
%dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroDaDaDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(Alter, G).
;; 58
%dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisDaDaDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(Alter, G).
;; 59
%dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuSisHuBroDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), daughter(Alter, J).
;; 60
%dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisDaDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(Alter, E).
;; 61
%dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroDaDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(Alter, G).
;; 62
%dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisDaDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(Alter, G).
;; 63
%dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroDaDaDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(Alter, G).
;; 64
%dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisDaDaDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(Alter, G).
;; 65
%dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {WiSisHuBroDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), daughter(Alter, J).
;; 66
%dhevti:2, bhanji:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {SisDaDa}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 67
%dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoBroDaDaDa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), daughter(Alter, H).
;; 68
%dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoSisDaDaDa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), daughter(Alter, H).
;; 69
%dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaBroDaDaDa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), daughter(Alter, H).
;; 70
%dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaSisDaDaDa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), daughter(Alter, H).
;; 71
%dhevti:2, bhanji:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuBroWiSisDaDa}  
[ext], [ext], [ext],  husband(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 72
%dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {HuSisDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 73
%dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {HuSisDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 74
%dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoBroDaDaDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(Alter, J).
;; 75
%dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoBroDaDaDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(Alter, J).
;; 76
%dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoSisDaDaDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(Alter, J).
;; 77
%dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoSisDaDaDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(Alter, J).
;; 78
%dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaBroDaDaDa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(Alter, J).
;; 79
%dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaBroDaDaDa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(Alter, J).
;; 80
%dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaSisDaDaDa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(Alter, J).
;; 81
%dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaSisDaDaDa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(Alter, J).
;; 82
%dhevti:2, bhanji:3, nanad:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuSisHuSisDaDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 83
%dhevti:2, bhanji:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuSisHuBroDaDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), daughter(Alter, J).
;; 84
%dhevti:2, bhanji:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {SisHuSisDaDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 85
%dhevti:2, bhanji:3, nanad:4, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {SisHuSisHuBroDaDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), daughter(M, L), daughter(Alter, M).
;; 86
%dhevti:2, bhanji:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=14, S=2, Star=0,  {SisHuSisHuSisDaDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), daughter(L, K), daughter(Alter, L).
;; 87
%dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisDaDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 88
%dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisDaDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 89
%dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoBroDaDaDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(Alter, K).
;; 90
%dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoBroDaDaDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(Alter, K).
;; 91
%dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoSisDaDaDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(Alter, K).
;; 92
%dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoSisDaDaDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(Alter, K).
;; 93
%dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaBroDaDaDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(Alter, K).
;; 94
%dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaBroDaDaDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(Alter, K).
;; 95
%dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaSisDaDaDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(Alter, K).
;; 96
%dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaSisDaDaDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(Alter, K).
;; 97
%dhevti:2, bhanji:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiSisHuSisDaDa}  
[ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).


generation[aux]20(Alter, Ego) :-  sibling(Alter, Ego).
                              |  [ext],  parents(A, Ego), generation[aux]20gs(B, A), child(Alter, B).
;; 0
%generation[aux]20:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 4
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 5
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 6
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 7
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 8
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 9
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 10
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 11
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 12
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 13
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 14
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 15
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 16
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 17
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 18
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 19
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 20
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 21
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 22
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 23
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 24
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 25
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 26
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 27
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 28
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 29
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 30
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 31
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 32
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 33
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 34
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 35
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 36
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 37
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 38
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 39
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 40
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 41
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 42
%generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 43
%generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 44
%generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 45
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 46
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 47
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 48
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 49
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 50
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 51
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 52
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 53
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 54
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 55
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 56
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 57
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 58
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 59
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 60
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 61
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 62
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 63
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 64
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 65
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 66
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 67
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 68
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 69
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 70
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 71
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 72
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 73
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 74
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 75
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 76
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 77
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 78
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 79
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 80
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 81
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 82
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 83
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 84
%generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).


generation[aux]20gs(Alter, Ego) :-  siblings(Alter, Ego).
                                |  [ext],  parents(A, Ego), generation[aux]20gs(B, A), children(Alter, B).
;; 0
%generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 2
%generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 3
%generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 4
%generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 6
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 7
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 8
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 9
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 10
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 11
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 12
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 13
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 14
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 15
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 16
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 17
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 18
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 19
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 20
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 21
%generation[aux]20gs:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 22
%generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 23
%generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 24
%generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 25
%generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 26
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 27
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 28
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 29
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 30
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 31
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 32
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 33
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 34
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 35
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 36
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 37
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 38
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 39
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 40
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 41
%generation[aux]20gs:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).


generation[aux]20small(Alter, Ego) :-  sibling(Alter, Ego).
                                   |  [ext],  parents(A, Ego), siblings(B, A), child(Alter, B).
;; 0
%generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 4
%generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).


generation[aux]20smallGS(Alter, Ego) :-  siblings(Alter, Ego).
                                     |  [ext],  parents(A, Ego), siblings(B, A), children(Alter, B).
;; 0
%generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 2
%generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 3
%generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 4
%generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 6
%generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 7
%generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 8
%generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 9
%generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).


half_brother(Alter, Ego) :-  mother(A, Ego), father(B, Ego), wife(C, B), son(Alter, C), son(Alter, B), not(equal(C, A)).
                         |   mother(A, Ego), father(B, Ego), husband(C, A), son(Alter, C), son(Alter, A), not(equal(C, B)).
;; 0
%half_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), wife(C, B), son(Alter, C), son(Alter, B), not(equal(C, A)).
;; 1
%half_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), husband(C, A), son(Alter, C), son(Alter, A), not(equal(C, B)).


half_sister(Alter, Ego) :-  mother(A, Ego), father(B, Ego), wife(C, B), daughter(Alter, C), daughter(Alter, B), not(equal(C, A)).
                        |   mother(A, Ego), father(B, Ego), husband(C, A), daughter(Alter, C), daughter(Alter, A), not(equal(C, B)).
;; 0
%half_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), wife(C, B), daughter(Alter, C), daughter(Alter, B), not(equal(C, A)).
;; 1
%half_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), husband(C, A), daughter(Alter, C), daughter(Alter, A), not(equal(C, B)).


jamai(Alter, Ego) :-  beti(A, Ego), husband(Alter, A).
                  |  [ext],  bhatiji(A, Ego), husband(Alter, A).
                  |  [ext],  bhanji(A, Ego), husband(Alter, A).
                  |  [ext],  poti(A, Ego), husband(Alter, A).
                  |  [ext],  dhevti(A, Ego), husband(Alter, A).
{"BroDaDaHu_BroDaHu_BroSoDaHu_BroWiBroDaHu_BroWiBroWiBroDaHu_BroWiBroWiSisDaHu_BroWiSisDaDaHu_BroWiSisDaHu_BroWiSisSoDaHu_DaDaHu_DaHu_FaBroDaDaDaHu_FaBroDaDaHu_FaBroDaSoDaHu_FaBroSoDaDaHu_FaBroSoDaHu_FaBroSoSoDaHu_FaSisDaDaDaHu_FaSisDaDaHu_FaSisDaSoDaHu_FaSisSoDaDaHu_FaSisSoDaHu_FaSisSoSoDaHu_HuBroDaDaHu_HuBroDaHu_HuBroSoDaHu_HuBroWiBroDaHu_HuBroWiSisDaDaHu_HuBroWiSisDaHu_HuBroWiSisSoDaHu_HuFaBroDaDaDaHu_HuFaBroDaDaHu_HuFaBroDaSoDaHu_HuFaBroSoDaDaHu_HuFaBroSoDaHu_HuFaBroSoSoDaHu_HuFaSisDaDaDaHu_HuFaSisDaDaHu_HuFaSisDaSoDaHu_HuFaSisSoDaDaHu_HuFaSisSoDaHu_HuFaSisSoSoDaHu_HuMoBroDaDaDaHu_HuMoBroDaDaHu_HuMoBroDaSoDaHu_HuMoBroSoDaDaHu_HuMoBroSoDaHu_HuMoBroSoSoDaHu_HuMoSisDaDaDaHu_HuMoSisDaDaHu_HuMoSisDaSoDaHu_HuMoSisSoDaDaHu_HuMoSisSoDaHu_HuMoSisSoSoDaHu_HuSisDaDaHu_HuSisDaHu_HuSisHuBroDaDaHu_HuSisHuBroDaHu_HuSisHuBroSoDaHu_HuSisHuSisDaHu_HuSisSoDaHu_MoBroDaDaDaHu_MoBroDaDaHu_MoBroDaSoDaHu_MoBroSoDaDaHu_MoBroSoDaHu_MoBroSoSoDaHu_MoSisDaDaDaHu_MoSisDaDaHu_MoSisDaSoDaHu_MoSisSoDaDaHu_MoSisSoDaHu_MoSisSoSoDaHu_SisDaDaHu_SisDaHu_SisHuBroDaDaHu_SisHuBroDaHu_SisHuBroSoDaHu_SisHuSisDaDaHu_SisHuSisDaHu_SisHuSisHuBroDaHu_SisHuSisHuSisDaDaHu_SisHuSisHuSisDaHu_SisHuSisHuSisSoDaHu_SisHuSisSoDaHu_SisSoDaHu_SoDaHu_WiBroDaDaHu_WiBroDaHu_WiBroSoDaHu_WiBroWiBroDaHu_WiBroWiSisDaDaHu_WiBroWiSisDaHu_WiBroWiSisSoDaHu_WiFaBroDaDaDaHu_WiFaBroDaDaHu_WiFaBroDaSoDaHu_WiFaBroSoDaDaHu_WiFaBroSoDaHu_WiFaBroSoSoDaHu_WiFaSisDaDaDaHu_WiFaSisDaDaHu_WiFaSisDaSoDaHu_WiFaSisSoDaDaHu_WiFaSisSoDaHu_WiFaSisSoSoDaHu_WiMoBroDaDaDaHu_WiMoBroDaDaHu_WiMoBroDaSoDaHu_WiMoBroSoDaDaHu_WiMoBroSoDaHu_WiMoBroSoSoDaHu_WiMoSisDaDaDaHu_WiMoSisDaDaHu_WiMoSisDaSoDaHu_WiMoSisSoDaDaHu_WiMoSisSoDaHu_WiMoSisSoSoDaHu_WiSisDaDaHu_WiSisDaHu_WiSisHuBroDaDaHu_WiSisHuBroDaHu_WiSisHuBroSoDaHu_WiSisHuSisDaDaHu_WiSisHuSisDaHu_WiSisHuSisSoDaHu_WiSisSoDaHu"}
;; 0
%jamai:0, beti:0%
 Lvl=-1,  PC=1, S=1, Star=0,  {DaHu}  
 daughter(A, Ego), husband(Alter, A).
;; 1
%jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {BroDaHu}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), husband(Alter, D).
;; 2
%jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroSoDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), husband(Alter, F).
;; 3
%jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoSisSoDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), husband(Alter, F).
;; 4
%jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaBroSoDaHu}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), husband(Alter, F).
;; 5
%jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaSisSoDaHu}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), husband(Alter, F).
;; 6
%jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {BroWiSisDaHu}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), daughter(I, H), husband(Alter, I).
;; 7
%jamai:1, bhatiji:0, bhai:1, bhai[aux]20femalego:0, brother:0, sibling:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=4, Star=0,  {BroWiBroWiSisDaHu}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(L, K), daughter(M, L), husband(Alter, M).
;; 8
%jamai:1, bhatiji:0, bhai:1, bhai[aux]20femalego:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuBroWiBroDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), husband(Alter, I).
;; 9
%jamai:1, bhatiji:0, bhai:2, bhai[aux]20malego:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {WiSisHuBroDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), husband(Alter, I).
;; 10
%jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {HuBroDaHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(Alter, E).
;; 11
%jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuMoBroSoDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(Alter, G).
;; 12
%jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuMoSisSoDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(Alter, G).
;; 13
%jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuFaBroSoDaHu}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(Alter, G).
;; 14
%jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuFaSisSoDaHu}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(Alter, G).
;; 15
%jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=4, Star=0,  {HuBroWiSisDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), husband(Alter, J).
;; 16
%jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {WiBroDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(Alter, E).
;; 17
%jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiMoBroSoDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(Alter, G).
;; 18
%jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiMoSisSoDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(Alter, G).
;; 19
%jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiFaBroSoDaHu}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(Alter, G).
;; 20
%jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiFaSisSoDaHu}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(Alter, G).
;; 21
%jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=4, Star=0,  {WiBroWiSisDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), husband(Alter, J).
;; 22
%jamai:1, bhatiji:2, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {WiBroDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(Alter, E).
;; 23
%jamai:1, bhatiji:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {WiBroDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(Alter, E).
;; 24
%jamai:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiMoBroSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(Alter, G).
;; 25
%jamai:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiMoSisSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(Alter, G).
;; 26
%jamai:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiFaBroSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(Alter, G).
;; 27
%jamai:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiFaSisSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(Alter, G).
;; 28
%jamai:1, bhatiji:2, sala:2, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {WiBroWiBroDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), husband(Alter, I).
;; 29
%jamai:1, bhatiji:3, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=3, Star=0,  {BroDaHu}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(Alter, F).
;; 30
%jamai:1, bhatiji:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=3, Star=0,  {BroDaHu}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(Alter, F).
;; 31
%jamai:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoBroSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), husband(Alter, H).
;; 32
%jamai:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoSisSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), husband(Alter, H).
;; 33
%jamai:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {FaBroSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), husband(Alter, H).
;; 34
%jamai:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {FaSisSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), husband(Alter, H).
;; 35
%jamai:1, bhatiji:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {HuBroDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), daughter(E, D), husband(Alter, E).
;; 36
%jamai:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuMoBroSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), husband(Alter, G).
;; 37
%jamai:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuMoSisSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), husband(Alter, G).
;; 38
%jamai:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuFaBroSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), husband(Alter, G).
;; 39
%jamai:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuFaSisSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), husband(Alter, G).
;; 40
%jamai:1, bhatiji:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=3, Star=0,  {BroDaHu}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), daughter(F, E), husband(Alter, F).
;; 41
%jamai:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoBroSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), husband(Alter, H).
;; 42
%jamai:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoSisSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), husband(Alter, H).
;; 43
%jamai:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {FaBroSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), husband(Alter, H).
;; 44
%jamai:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {FaSisSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), husband(Alter, H).
;; 45
%jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SisDaHu}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), husband(Alter, D).
;; 46
%jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroDaDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), husband(Alter, F).
;; 47
%jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoSisDaDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), husband(Alter, F).
;; 48
%jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaBroDaDaHu}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), husband(Alter, F).
;; 49
%jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaSisDaDaHu}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), husband(Alter, F).
;; 50
%jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {SisHuBroDaHu}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), daughter(I, H), husband(Alter, I).
;; 51
%jamai:2, bhanji:0, bahen:1, bahen[aux]20femalego:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuBroWiSisDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(Alter, I).
;; 52
%jamai:2, bhanji:0, bahen:2, bahen[aux]20malego:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {WiSisHuSisDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(Alter, I).
;; 53
%jamai:2, bhanji:0, bahen:2, bahen[aux]20malego:1, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=4, Star=0,  {SisHuSisHuBroDaHu}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), daughter(M, L), husband(Alter, M).
;; 54
%jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {HuSisDaHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), husband(Alter, E).
;; 55
%jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuMoBroDaDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), husband(Alter, G).
;; 56
%jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuMoSisDaDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), husband(Alter, G).
;; 57
%jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuFaBroDaDaHu}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), husband(Alter, G).
;; 58
%jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuFaSisDaDaHu}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), husband(Alter, G).
;; 59
%jamai:2, bhanji:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=4, Star=0,  {HuSisHuBroDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), husband(Alter, J).
;; 60
%jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {WiSisDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), husband(Alter, E).
;; 61
%jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiMoBroDaDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), husband(Alter, G).
;; 62
%jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiMoSisDaDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), husband(Alter, G).
;; 63
%jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiFaBroDaDaHu}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), husband(Alter, G).
;; 64
%jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiFaSisDaDaHu}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), husband(Alter, G).
;; 65
%jamai:2, bhanji:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=4, Star=0,  {WiSisHuBroDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), husband(Alter, J).
;; 66
%jamai:2, bhanji:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=5, S=3, Star=0,  {SisDaHu}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), husband(Alter, F).
;; 67
%jamai:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoBroDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), husband(Alter, H).
;; 68
%jamai:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoSisDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), husband(Alter, H).
;; 69
%jamai:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {FaBroDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), husband(Alter, H).
;; 70
%jamai:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {FaSisDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), husband(Alter, H).
;; 71
%jamai:2, bhanji:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuBroWiSisDaHu}  
[ext], [ext], [ext],  husband(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(Alter, I).
;; 72
%jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuSisDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), husband(Alter, H).
;; 73
%jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuSisDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), husband(Alter, H).
;; 74
%jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuMoBroDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(Alter, J).
;; 75
%jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuMoBroDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(Alter, J).
;; 76
%jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuMoSisDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(Alter, J).
;; 77
%jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuMoSisDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(Alter, J).
;; 78
%jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuFaBroDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(Alter, J).
;; 79
%jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuFaBroDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(Alter, J).
;; 80
%jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuFaSisDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(Alter, J).
;; 81
%jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuFaSisDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(Alter, J).
;; 82
%jamai:2, bhanji:3, nanad:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {HuSisHuSisDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(Alter, I).
;; 83
%jamai:2, bhanji:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=4, Star=0,  {HuSisHuBroDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), husband(Alter, J).
;; 84
%jamai:2, bhanji:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {SisHuSisDaHu}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), husband(Alter, H).
;; 85
%jamai:2, bhanji:3, nanad:4, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=4, Star=0,  {SisHuSisHuBroDaHu}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), daughter(M, L), husband(Alter, M).
;; 86
%jamai:2, bhanji:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {SisHuSisHuSisDaHu}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), daughter(L, K), husband(Alter, L).
;; 87
%jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {SisDaHu}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(Alter, I).
;; 88
%jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {SisDaHu}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(Alter, I).
;; 89
%jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {MoBroDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(Alter, K).
;; 90
%jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {MoBroDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(Alter, K).
;; 91
%jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {MoSisDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(Alter, K).
;; 92
%jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {MoSisDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(Alter, K).
;; 93
%jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {FaBroDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(Alter, K).
;; 94
%jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {FaBroDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(Alter, K).
;; 95
%jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {FaSisDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(Alter, K).
;; 96
%jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {FaSisDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(Alter, K).
;; 97
%jamai:2, bhanji:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {WiSisHuSisDaHu}  
[ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(Alter, I).
;; 98
%jamai:3, poti:0%
 Lvl=-2,  PC=2, S=1, Star=0,  {SoDaHu}  
[ext],  son(A, Ego), daughter(B, A), husband(Alter, B).
;; 99
%jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroSoDaHu}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), daughter(E, D), husband(Alter, E).
;; 100
%jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 101
%jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 102
%jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoSoDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 103
%jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoSoDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 104
%jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {BroWiSisSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), son(I, H), daughter(J, I), husband(Alter, J).
;; 105
%jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroSoDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(Alter, F).
;; 106
%jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoBroSoSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 107
%jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoSisSoSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 108
%jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaBroSoSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 109
%jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaSisSoSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 110
%jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {HuBroWiSisSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), daughter(K, J), husband(Alter, K).
;; 111
%jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroSoDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(Alter, F).
;; 112
%jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoBroSoSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 113
%jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoSisSoSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 114
%jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaBroSoSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 115
%jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaSisSoSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 116
%jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {WiBroWiSisSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), daughter(K, J), husband(Alter, K).
;; 117
%jamai:3, poti:1, bhatija:2, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(Alter, F).
;; 118
%jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(Alter, F).
;; 119
%jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoBroSoSoDaHu}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 120
%jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoSisSoSoDaHu}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 121
%jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaBroSoSoDaHu}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 122
%jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaSisSoSoDaHu}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 123
%jamai:3, poti:1, bhatija:3, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {BroSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 124
%jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {BroSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 125
%jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoBroSoSoDaHu}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 126
%jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoSisSoSoDaHu}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 127
%jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaBroSoSoDaHu}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 128
%jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaSisSoSoDaHu}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 129
%jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), son(E, D), daughter(F, E), husband(Alter, F).
;; 130
%jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoBroSoSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 131
%jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoSisSoSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 132
%jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaBroSoSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 133
%jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaSisSoSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 134
%jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {BroSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 135
%jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoBroSoSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 136
%jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoSisSoSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 137
%jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaBroSoSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 138
%jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaSisSoSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 139
%jamai:3, poti:1, bhatija:6, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {BroWiBroDaHu}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), husband(Alter, H).
;; 140
%jamai:3, poti:1, bhatija:7, brother:0, sibling:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {BroWiBroWiBroDaHu}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), daughter(L, K), husband(Alter, L).
;; 141
%jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisSoDaHu}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), daughter(E, D), husband(Alter, E).
;; 142
%jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 143
%jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 144
%jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaSoDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 145
%jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaSoDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 146
%jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {SisHuBroSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), son(I, H), daughter(J, I), husband(Alter, J).
;; 147
%jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuSisSoDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), husband(Alter, F).
;; 148
%jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoBroDaSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 149
%jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoSisDaSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 150
%jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaBroDaSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 151
%jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaSisDaSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 152
%jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {HuSisHuBroSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), daughter(K, J), husband(Alter, K).
;; 153
%jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiSisSoDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), husband(Alter, F).
;; 154
%jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoBroDaSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 155
%jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoSisDaSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 156
%jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaBroDaSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 157
%jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaSisDaSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(Alter, H).
;; 158
%jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {WiSisHuBroSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), daughter(K, J), husband(Alter, K).
;; 159
%jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {SisSoDaHu}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 160
%jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoBroDaSoDaHu}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 161
%jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoSisDaSoDaHu}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 162
%jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaBroDaSoDaHu}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 163
%jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaSisDaSoDaHu}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 164
%jamai:3, poti:2, bhanja:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuBroWiSisSoDaHu}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(J, I), husband(Alter, J).
;; 165
%jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuSisSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 166
%jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuSisSoDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 167
%jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoBroDaSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(Alter, K).
;; 168
%jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoBroDaSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(Alter, K).
;; 169
%jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoSisDaSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(Alter, K).
;; 170
%jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoSisDaSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(Alter, K).
;; 171
%jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaBroDaSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(Alter, K).
;; 172
%jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaBroDaSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(Alter, K).
;; 173
%jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaSisDaSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(Alter, K).
;; 174
%jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaSisDaSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(Alter, K).
;; 175
%jamai:3, poti:2, bhanja:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {HuSisHuBroSoDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), daughter(K, J), husband(Alter, K).
;; 176
%jamai:3, poti:2, bhanja:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisHuSisSoDaHu}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(I, H), husband(Alter, I).
;; 177
%jamai:3, poti:2, bhanja:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {SisHuSisHuSisSoDaHu}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), son(L, K), daughter(M, L), husband(Alter, M).
;; 178
%jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {SisSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(J, I), husband(Alter, J).
;; 179
%jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {SisSoDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(J, I), husband(Alter, J).
;; 180
%jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoBroDaSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(Alter, L).
;; 181
%jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoBroDaSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(Alter, L).
;; 182
%jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoSisDaSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(Alter, L).
;; 183
%jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoSisDaSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(Alter, L).
;; 184
%jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaBroDaSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(Alter, L).
;; 185
%jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaBroDaSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(Alter, L).
;; 186
%jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaSisDaSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(Alter, L).
;; 187
%jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaSisDaSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(Alter, L).
;; 188
%jamai:3, poti:2, bhanja:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {WiSisHuSisSoDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(J, I), husband(Alter, J).
;; 189
%jamai:3, poti:2, bhanja:5, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {SisHuBroDaHu}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), husband(Alter, H).
;; 190
%jamai:3, poti:2, bhanja:6, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {SisHuSisHuBroDaHu}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), daughter(L, K), husband(Alter, L).
;; 191
%jamai:4, dhevti:0%
 Lvl=-2,  PC=2, S=1, Star=0,  {DaDaHu}  
[ext],  daughter(A, Ego), daughter(B, A), husband(Alter, B).
;; 192
%jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroDaDaHu}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), daughter(E, D), husband(Alter, E).
;; 193
%jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), daughter(G, F), husband(Alter, G).
;; 194
%jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), daughter(G, F), husband(Alter, G).
;; 195
%jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoDaDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), daughter(G, F), husband(Alter, G).
;; 196
%jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoDaDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), daughter(G, F), husband(Alter, G).
;; 197
%jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {BroWiSisDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), daughter(I, H), daughter(J, I), husband(Alter, J).
;; 198
%jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroDaDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), husband(Alter, F).
;; 199
%jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoBroSoDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 200
%jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoSisSoDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 201
%jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaBroSoDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 202
%jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaSisSoDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 203
%jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {HuBroWiSisDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), daughter(K, J), husband(Alter, K).
;; 204
%jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroDaDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), husband(Alter, F).
;; 205
%jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoBroSoDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 206
%jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoSisSoDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 207
%jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaBroSoDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 208
%jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaSisSoDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 209
%jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {WiBroWiSisDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), daughter(K, J), husband(Alter, K).
;; 210
%jamai:4, dhevti:1, bhatiji:2, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), husband(Alter, F).
;; 211
%jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), husband(Alter, F).
;; 212
%jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoBroSoDaDaHu}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 213
%jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoSisSoDaDaHu}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 214
%jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaBroSoDaDaHu}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 215
%jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaSisSoDaDaHu}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 216
%jamai:4, dhevti:1, bhatiji:3, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {BroDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), husband(Alter, G).
;; 217
%jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {BroDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), husband(Alter, G).
;; 218
%jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoBroSoDaDaHu}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 219
%jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoSisSoDaDaHu}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 220
%jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaBroSoDaDaHu}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 221
%jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaSisSoDaDaHu}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 222
%jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), daughter(E, D), daughter(F, E), husband(Alter, F).
;; 223
%jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoBroSoDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 224
%jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoSisSoDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 225
%jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaBroSoDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 226
%jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaSisSoDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 227
%jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {BroDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), daughter(F, E), daughter(G, F), husband(Alter, G).
;; 228
%jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoBroSoDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 229
%jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoSisSoDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 230
%jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaBroSoDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 231
%jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaSisSoDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 232
%jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisDaDaHu}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), daughter(E, D), husband(Alter, E).
;; 233
%jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), daughter(G, F), husband(Alter, G).
;; 234
%jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), daughter(G, F), husband(Alter, G).
;; 235
%jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaDaDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), daughter(G, F), husband(Alter, G).
;; 236
%jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaDaDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), daughter(G, F), husband(Alter, G).
;; 237
%jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {SisHuBroDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), daughter(I, H), daughter(J, I), husband(Alter, J).
;; 238
%jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuSisDaDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), husband(Alter, F).
;; 239
%jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoBroDaDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 240
%jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuMoSisDaDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 241
%jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaBroDaDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 242
%jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {HuFaSisDaDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 243
%jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {HuSisHuBroDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), daughter(K, J), husband(Alter, K).
;; 244
%jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiSisDaDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), husband(Alter, F).
;; 245
%jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoBroDaDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 246
%jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiMoSisDaDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 247
%jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaBroDaDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 248
%jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {WiFaSisDaDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 249
%jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {WiSisHuBroDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), daughter(K, J), husband(Alter, K).
;; 250
%jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=3, Star=0,  {SisDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), husband(Alter, G).
;; 251
%jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoBroDaDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 252
%jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {MoSisDaDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 253
%jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaBroDaDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 254
%jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=3, Star=0,  {FaSisDaDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 255
%jamai:4, dhevti:2, bhanji:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuBroWiSisDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(J, I), husband(Alter, J).
;; 256
%jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuSisDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 257
%jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuSisDaDaHu}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 258
%jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoBroDaDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(Alter, K).
;; 259
%jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoBroDaDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(Alter, K).
;; 260
%jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoSisDaDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(Alter, K).
;; 261
%jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuMoSisDaDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(Alter, K).
;; 262
%jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaBroDaDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(Alter, K).
;; 263
%jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaBroDaDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(Alter, K).
;; 264
%jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaSisDaDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(Alter, K).
;; 265
%jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {HuFaSisDaDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(Alter, K).
;; 266
%jamai:4, dhevti:2, bhanji:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=4, Star=0,  {HuSisHuBroDaDaHu}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), daughter(K, J), husband(Alter, K).
;; 267
%jamai:4, dhevti:2, bhanji:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisHuSisDaDaHu}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(I, H), husband(Alter, I).
;; 268
%jamai:4, dhevti:2, bhanji:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {SisHuSisHuSisDaDaHu}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), daughter(L, K), daughter(M, L), husband(Alter, M).
;; 269
%jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {SisDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(J, I), husband(Alter, J).
;; 270
%jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {SisDaDaHu}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(J, I), husband(Alter, J).
;; 271
%jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoBroDaDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(Alter, L).
;; 272
%jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoBroDaDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(Alter, L).
;; 273
%jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoSisDaDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(Alter, L).
;; 274
%jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {MoSisDaDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(Alter, L).
;; 275
%jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaBroDaDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(Alter, L).
;; 276
%jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaBroDaDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(Alter, L).
;; 277
%jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaSisDaDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(Alter, L).
;; 278
%jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=3, Star=0,  {FaSisDaDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(Alter, L).
;; 279
%jamai:4, dhevti:2, bhanji:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {WiSisHuSisDaDaHu}  
[ext], [ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(J, I), husband(Alter, J).


jeth(Alter, Ego) :-  husband(A, Ego), generation[aux]20small(Alter, A), elder(Alter, A), male(Alter).
{"HuBro_HuFaBroSo_HuFaSisSo_HuMoBroSo_HuMoSisSo"}
;; 0
%jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {HuBro}  
 husband(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), elder(Alter, A), male(Alter).
;; 1
%jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {HuMoBroSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), elder(Alter, A), male(Alter).
;; 2
%jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {HuMoSisSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), elder(Alter, A), male(Alter).
;; 3
%jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {HuFaBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), elder(Alter, A), male(Alter).
;; 4
%jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {HuFaSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), elder(Alter, A), male(Alter).


jethani(Alter, Ego) :-  husband(A, Ego), generation[aux]20small(B, A), elder(B, A), wife(Alter, B).
{"HuBroWi_HuFaBroSoWi_HuFaSisSoWi_HuMoBroSoWi_HuMoSisSoWi"}
;; 0
%jethani:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {HuBroWi}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), wife(Alter, D).
;; 1
%jethani:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoBroSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), wife(Alter, F).
;; 2
%jethani:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoSisSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), wife(Alter, F).
;; 3
%jethani:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaBroSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), wife(Alter, F).
;; 4
%jethani:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaSisSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), wife(Alter, F).


jija(Alter, Ego) :-  bahen(A, Ego), husband(Alter, A).
                 |  [ext],  bahen(A, Ego), husband(B, A), brother(Alter, B).
                 |  [ext],  male(Ego), sister(A, Ego), husband(B, A), sister(C, B), husband(D, C), sister(E, D), husband(Alter, E).
{"FaBroDaHu_FaBroDaHuBro_FaSisDaHu_FaSisDaHuBro_HuBroWiSisHu_MoBroDaHu_MoBroDaHuBro_MoSisDaHu_MoSisDaHuBro_SisHu_SisHuBro_SisHuSisHuBro_SisHuSisHuSisHu_WiSisHuSisHu"}
;; 0
%jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {SisHu}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(Alter, C).
;; 1
%jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoBroDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), husband(Alter, E).
;; 2
%jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), husband(Alter, E).
;; 3
%jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroDaHu}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), husband(Alter, E).
;; 4
%jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaSisDaHu}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), husband(Alter, E).
;; 5
%jija:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {SisHuBro}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), husband(Alter, H).
;; 6
%jija:0, bahen:1, bahen[aux]20femalego:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {HuBroWiSisHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(Alter, H).
;; 7
%jija:0, bahen:2, bahen[aux]20malego:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {WiSisHuSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(Alter, H).
;; 8
%jija:0, bahen:2, bahen[aux]20malego:1, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=12, S=4, Star=0,  {SisHuSisHuBro}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), husband(Alter, L).
;; 9
%jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {SisHuBro}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 10
%jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {MoBroDaHuBro}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), husband(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), male(Alter).
;; 11
%jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {MoSisDaHuBro}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), husband(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), male(Alter).
;; 12
%jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {FaBroDaHuBro}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), husband(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), male(Alter).
;; 13
%jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {FaSisDaHuBro}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), husband(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), male(Alter).
;; 14
%jija:2, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {SisHuSisHuSisHu}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(Alter, K).


ma(Alter, Ego) :-  mother(Alter, Ego).
{"Mo"}
;; 0
%ma:0%
 Lvl=1,  PC=1, S=0, Star=0,  {Mo}  
 mother(Alter, Ego).


mama(Alter, Ego) :-  mother(A, Ego), brother(Alter, A).
                 |  [ext],  mother(A, Ego), generation[aux]20(Alter, A), male(Alter).
                 |  [ext],  parents(A, Ego), siblings(B, A), wife_giver[aux]201(Alter, B), male(Alter).
                 |  [ext],  parents(A, Ego), sibling(B, A), wife_giver[aux]202(Alter, B), male(Alter).
                 |  [ext],  mother(A, Ego), brother(B, A), wife(C, B), sister(D, C), husband(Alter, D).
{"FaBroWiBro_MoBro_MoBroWiBro_MoBroWiSisHu_MoFaBroSo_MoFaFaBroDaSo_MoFaFaBroSoSo_MoFaFaSisDaSo_MoFaFaSisSoSo_MoFaMoBroDaSo_MoFaMoBroSoSo_MoFaMoSisDaSo_MoFaMoSisSoSo_MoFaSisSo_MoMoBroSo_MoMoFaBroDaSo_MoMoFaBroSoSo_MoMoFaSisDaSo_MoMoFaSisSoSo_MoMoMoBroDaSo_MoMoMoBroSoSo_MoMoMoSisDaSo_MoMoMoSisSoSo_MoMoSisSo"}
;; 0
%mama:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoBro}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 1
%mama:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoBro}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 2
%mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoBroSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), male(Alter).
;; 3
%mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoSisSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), male(Alter).
;; 4
%mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoBroSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter).
;; 5
%mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoBroDaSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter).
;; 6
%mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoSisSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter).
;; 7
%mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoSisDaSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter).
;; 8
%mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaBroSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter).
;; 9
%mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaBroDaSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter).
;; 10
%mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaSisSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter).
;; 11
%mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaSisDaSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter).
;; 12
%mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaBroSo}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), male(Alter).
;; 13
%mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaSisSo}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), male(Alter).
;; 14
%mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaMoBroSoSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter).
;; 15
%mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaMoBroDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter).
;; 16
%mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaMoSisSoSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter).
;; 17
%mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaMoSisDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter).
;; 18
%mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaFaBroSoSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter).
;; 19
%mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaFaBroDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter).
;; 20
%mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaFaSisSoSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter).
;; 21
%mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaFaSisDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter).
;; 22
%mama:2, parents:0, siblings:0, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=1, Star=0,  {MoBroWiBro}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(Alter, I), child(Alter, J), not(equal(Alter, H)), male(Alter).
;; 23
%mama:2, parents:0, siblings:1, sister:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=1, Star=0,  {MoBroWiBro}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(Alter, I), child(Alter, J), not(equal(Alter, H)), male(Alter).
;; 24
%mama:2, parents:1, siblings:0, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=1, Star=0,  {MoBro}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(Alter, I), child(Alter, J), not(equal(Alter, H)), male(Alter).
;; 25
%mama:2, parents:1, siblings:1, sister:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=1, Star=0,  {MoBro}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(Alter, I), child(Alter, J), not(equal(Alter, H)), male(Alter).
;; 26
%mama:3, parents:0, sibling:0, wife_giver[aux]202:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoBroWiBro}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), wife(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), male(Alter).
;; 27
%mama:3, parents:1, sibling:0, wife_giver[aux]202:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaBroWiBro}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), wife(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), male(Alter).
;; 28
%mama:4, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {MoBroWiSisHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(Alter, H).


mami(Alter, Ego) :-  mama(A, Ego), wife(Alter, A).
{"FaBroWiBroWi_MoBroWi_MoBroWiBroWi_MoBroWiSis_MoFaBroSoWi_MoFaFaBroDaSoWi_MoFaFaBroSoSoWi_MoFaFaSisDaSoWi_MoFaFaSisSoSoWi_MoFaMoBroDaSoWi_MoFaMoBroSoSoWi_MoFaMoSisDaSoWi_MoFaMoSisSoSoWi_MoFaSisSoWi_MoMoBroSoWi_MoMoFaBroDaSoWi_MoMoFaBroSoSoWi_MoMoFaSisDaSoWi_MoMoFaSisSoSoWi_MoMoMoBroDaSoWi_MoMoMoBroSoSoWi_MoMoMoSisDaSoWi_MoMoMoSisSoSoWi_MoMoSisSoWi"}
;; 0
%mami:0, mama:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoBroWi}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(Alter, D).
;; 1
%mami:0, mama:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoBroWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(Alter, D).
;; 2
%mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoBroSoWi}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), wife(Alter, F).
;; 3
%mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoSisSoWi}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), wife(Alter, F).
;; 4
%mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoBroSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), male(H), wife(Alter, H).
;; 5
%mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoBroDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), male(H), wife(Alter, H).
;; 6
%mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoSisSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), male(H), wife(Alter, H).
;; 7
%mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoSisDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), male(H), wife(Alter, H).
;; 8
%mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaBroSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), male(H), wife(Alter, H).
;; 9
%mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaBroDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), male(H), wife(Alter, H).
;; 10
%mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaSisSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), male(H), wife(Alter, H).
;; 11
%mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaSisDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), male(H), wife(Alter, H).
;; 12
%mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaBroSoWi}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), wife(Alter, F).
;; 13
%mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaSisSoWi}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), wife(Alter, F).
;; 14
%mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaMoBroSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), male(H), wife(Alter, H).
;; 15
%mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaMoBroDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), male(H), wife(Alter, H).
;; 16
%mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaMoSisSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), male(H), wife(Alter, H).
;; 17
%mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaMoSisDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), male(H), wife(Alter, H).
;; 18
%mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaFaBroSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), male(H), wife(Alter, H).
;; 19
%mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaFaBroDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), male(H), wife(Alter, H).
;; 20
%mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaFaSisSoSoWi}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), male(H), wife(Alter, H).
;; 21
%mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaFaSisDaSoWi}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), male(H), wife(Alter, H).
;; 22
%mami:0, mama:2, parents:0, siblings:0, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=2, Star=0,  {MoBroWiBroWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(Alter, K).
;; 23
%mami:0, mama:2, parents:0, siblings:1, sister:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=2, Star=0,  {MoBroWiBroWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(Alter, K).
;; 24
%mami:0, mama:2, parents:1, siblings:0, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=2, Star=0,  {MoBroWi}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(Alter, K).
;; 25
%mami:0, mama:2, parents:1, siblings:1, sister:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=2, Star=0,  {MoBroWi}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(Alter, K).
;; 26
%mami:0, mama:3, parents:0, sibling:0, wife_giver[aux]202:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {MoBroWiBroWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(Alter, H).
;; 27
%mami:0, mama:3, parents:1, sibling:0, wife_giver[aux]202:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {FaBroWiBroWi}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(Alter, H).
;; 28
%mami:0, mama:4, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {MoBroWiSis}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), wife(Alter, I).


maulas(Alter, Ego) :-  spice(A, Ego), mami(Alter, A).
{"HuFaBroWiBroWi_HuMoBroWi_HuMoBroWiBroWi_HuMoFaBroSoWi_HuMoFaSisSoWi_HuMoMoBroSoWi_HuMoMoSisSoWi_WiFaBroWiBroWi_WiMoBroWi_WiMoBroWiBroWi_WiMoFaBroSoWi_WiMoFaSisSoWi_WiMoMoBroSoWi_WiMoMoSisSoWi"}
;; 0
%maulas:0, spice:0, mami:0, mama:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuMoBroWi}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(Alter, E).
;; 1
%maulas:0, spice:0, mami:0, mama:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(Alter, E).
;; 2
%maulas:0, spice:0, mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoMoBroSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), wife(Alter, G).
;; 3
%maulas:0, spice:0, mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoMoSisSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), wife(Alter, G).
;; 4
%maulas:0, spice:0, mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoFaBroSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), wife(Alter, G).
;; 5
%maulas:0, spice:0, mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoFaSisSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), wife(Alter, G).
;; 6
%maulas:0, spice:0, mami:0, mama:2, parents:0, siblings:0, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {HuMoBroWiBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(L, J), child(L, K), not(equal(L, I)), male(L), wife(Alter, L).
;; 7
%maulas:0, spice:0, mami:0, mama:2, parents:0, siblings:1, sister:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {HuMoBroWiBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(L, J), child(L, K), not(equal(L, I)), male(L), wife(Alter, L).
;; 8
%maulas:0, spice:0, mami:0, mama:2, parents:1, siblings:0, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {HuMoBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(L, J), child(L, K), not(equal(L, I)), male(L), wife(Alter, L).
;; 9
%maulas:0, spice:0, mami:0, mama:2, parents:1, siblings:1, sister:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {HuMoBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(L, J), child(L, K), not(equal(L, I)), male(L), wife(Alter, L).
;; 10
%maulas:0, spice:0, mami:0, mama:3, parents:0, sibling:0, wife_giver[aux]202:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {HuMoBroWiBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), wife(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), wife(Alter, I).
;; 11
%maulas:0, spice:0, mami:0, mama:3, parents:1, sibling:0, wife_giver[aux]202:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {HuFaBroWiBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), wife(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), wife(Alter, I).
;; 12
%maulas:0, spice:1, mami:0, mama:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiMoBroWi}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(Alter, E).
;; 13
%maulas:0, spice:1, mami:0, mama:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(Alter, E).
;; 14
%maulas:0, spice:1, mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoMoBroSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), wife(Alter, G).
;; 15
%maulas:0, spice:1, mami:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoMoSisSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), wife(Alter, G).
;; 16
%maulas:0, spice:1, mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoFaBroSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), wife(Alter, G).
;; 17
%maulas:0, spice:1, mami:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoFaSisSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), wife(Alter, G).
;; 18
%maulas:0, spice:1, mami:0, mama:2, parents:0, siblings:0, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {WiMoBroWiBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(L, J), child(L, K), not(equal(L, I)), male(L), wife(Alter, L).
;; 19
%maulas:0, spice:1, mami:0, mama:2, parents:0, siblings:1, sister:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {WiMoBroWiBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(L, J), child(L, K), not(equal(L, I)), male(L), wife(Alter, L).
;; 20
%maulas:0, spice:1, mami:0, mama:2, parents:1, siblings:0, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {WiMoBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(L, J), child(L, K), not(equal(L, I)), male(L), wife(Alter, L).
;; 21
%maulas:0, spice:1, mami:0, mama:2, parents:1, siblings:1, sister:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {WiMoBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(L, J), child(L, K), not(equal(L, I)), male(L), wife(Alter, L).
;; 22
%maulas:0, spice:1, mami:0, mama:3, parents:0, sibling:0, wife_giver[aux]202:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {WiMoBroWiBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), wife(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), wife(Alter, I).
;; 23
%maulas:0, spice:1, mami:0, mama:3, parents:1, sibling:0, wife_giver[aux]202:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {WiFaBroWiBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), wife(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), wife(Alter, I).


maulasara(Alter, Ego) :-  spice(A, Ego), mama(Alter, A).
{"HuFaBroWiBro_HuMoBro_HuMoBroWiBro_HuMoFaBroSo_HuMoFaSisSo_HuMoMoBroSo_HuMoMoSisSo_WiFaBroWiBro_WiMoBro_WiMoBroWiBro_WiMoFaBroSo_WiMoFaSisSo_WiMoMoBroSo_WiMoMoSisSo"}
;; 0
%maulasara:0, spice:0, mama:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuMoBro}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 1
%maulasara:0, spice:0, mama:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuMoBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 2
%maulasara:0, spice:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoBroSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 3
%maulasara:0, spice:0, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoSisSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 4
%maulasara:0, spice:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaBroSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 5
%maulasara:0, spice:0, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaSisSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 6
%maulasara:0, spice:0, mama:2, parents:0, siblings:0, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=2, Star=0,  {HuMoBroWiBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(Alter, J), child(Alter, K), not(equal(Alter, I)), male(Alter).
;; 7
%maulasara:0, spice:0, mama:2, parents:0, siblings:1, sister:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=2, Star=0,  {HuMoBroWiBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(Alter, J), child(Alter, K), not(equal(Alter, I)), male(Alter).
;; 8
%maulasara:0, spice:0, mama:2, parents:1, siblings:0, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=2, Star=0,  {HuMoBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(Alter, J), child(Alter, K), not(equal(Alter, I)), male(Alter).
;; 9
%maulasara:0, spice:0, mama:2, parents:1, siblings:1, sister:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=2, Star=0,  {HuMoBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(Alter, J), child(Alter, K), not(equal(Alter, I)), male(Alter).
;; 10
%maulasara:0, spice:0, mama:3, parents:0, sibling:0, wife_giver[aux]202:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {HuMoBroWiBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), wife(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), male(Alter).
;; 11
%maulasara:0, spice:0, mama:3, parents:1, sibling:0, wife_giver[aux]202:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {HuFaBroWiBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), wife(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), male(Alter).
;; 12
%maulasara:0, spice:1, mama:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiMoBro}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 13
%maulasara:0, spice:1, mama:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiMoBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 14
%maulasara:0, spice:1, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoBroSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 15
%maulasara:0, spice:1, mama:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoSisSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 16
%maulasara:0, spice:1, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaBroSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 17
%maulasara:0, spice:1, mama:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaSisSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 18
%maulasara:0, spice:1, mama:2, parents:0, siblings:0, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=2, Star=0,  {WiMoBroWiBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(Alter, J), child(Alter, K), not(equal(Alter, I)), male(Alter).
;; 19
%maulasara:0, spice:1, mama:2, parents:0, siblings:1, sister:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=2, Star=0,  {WiMoBroWiBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(Alter, J), child(Alter, K), not(equal(Alter, I)), male(Alter).
;; 20
%maulasara:0, spice:1, mama:2, parents:1, siblings:0, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=2, Star=0,  {WiMoBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(Alter, J), child(Alter, K), not(equal(Alter, I)), male(Alter).
;; 21
%maulasara:0, spice:1, mama:2, parents:1, siblings:1, sister:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=1,  PC=13, S=2, Star=0,  {WiMoBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(J, I), father(K, I), child(Alter, J), child(Alter, K), not(equal(Alter, I)), male(Alter).
;; 22
%maulasara:0, spice:1, mama:3, parents:0, sibling:0, wife_giver[aux]202:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {WiMoBroWiBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), wife(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), male(Alter).
;; 23
%maulasara:0, spice:1, mama:3, parents:1, sibling:0, wife_giver[aux]202:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {WiFaBroWiBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), wife(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), male(Alter).


mausa(Alter, Ego) :-  mausi(A, Ego), husband(Alter, A).
{"BroWiSisHuFa_FaBroWiSisHu_HuBroWiFa_MoFaBroDaHu_MoFaFaBroDaDaHu_MoFaFaBroSoDaHu_MoFaFaSisDaDaHu_MoFaFaSisSoDaHu_MoFaMoBroDaDaHu_MoFaMoBroSoDaHu_MoFaMoSisDaDaHu_MoFaMoSisSoDaHu_MoFaSisDaHu_MoMoBroDaHu_MoMoFaBroDaDaHu_MoMoFaBroSoDaHu_MoMoFaSisDaDaHu_MoMoFaSisSoDaHu_MoMoMoBroDaDaHu_MoMoMoBroSoDaHu_MoMoMoSisDaDaHu_MoMoMoSisSoDaHu_MoMoSisDaHu_MoSisHu_MoSisHuBro_SisHuBroWiFa_WiSisHuFa"}
;; 0
%mausa:0, mausi:0, mausi[aux]20gn:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoSisHu}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(Alter, D).
;; 1
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoSisHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(Alter, D).
;; 2
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoBroDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), husband(Alter, F).
;; 3
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoSisDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), husband(Alter, F).
;; 4
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoBroSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 5
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoBroDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 6
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoSisSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 7
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoSisDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 8
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaBroSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 9
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaBroDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 10
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaSisSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 11
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaSisDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 12
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaBroDaHu}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), husband(Alter, F).
;; 13
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaSisDaHu}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), husband(Alter, F).
;; 14
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaMoBroSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 15
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaMoBroDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 16
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaMoSisSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 17
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaMoSisDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 18
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaFaBroSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 19
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaFaBroDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 20
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaFaSisSoDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 21
%mausa:0, mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaFaSisDaDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 22
%mausa:0, mausi:0, mausi[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {FaBroWiSisHu}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(Alter, H).
;; 23
%mausa:0, mausi:0, mausi[aux]20gn:3, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {MoSisHuBro}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), husband(Alter, I).
;; 24
%mausa:0, mausi:0, mausi[aux]20gn:4, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {SisHuBroWiFa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), husband(Alter, I).
;; 25
%mausa:0, mausi:0, mausi[aux]20gn:5, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {BroWiSisHuFa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), husband(Alter, I).
;; 26
%mausa:0, mausi:1, mausi[aux]20malego:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=3, Star=0,  {WiSisHuFa}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), husband(Alter, F).
;; 27
%mausa:0, mausi:2, mausi[aux]20femalego:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=3, Star=0,  {HuBroWiFa}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), husband(Alter, F).


mausas(Alter, Ego) :-  spice(A, Ego), mausi[aux]20gn(B, A), husband(Alter, B).
                   |   husband(A, Ego), mausi[aux]20malego(B, A), husband(Alter, B).
                   |   wife(A, Ego), mausi[aux]20femalego(B, A), husband(Alter, B).
{"BroWiFa_HuMoFaBroDaHu_HuMoFaSisDaHu_HuMoMoBroDaHu_HuMoMoSisDaHu_HuMoSisHu_SisHuFa_WiMoFaBroDaHu_WiMoFaSisDaHu_WiMoMoBroDaHu_WiMoMoSisDaHu_WiMoSisHu"}
;; 0
%mausas:0, spice:0, mausi[aux]20gn:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuMoSisHu}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 1
%mausas:0, spice:0, mausi[aux]20gn:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 2
%mausas:0, spice:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoMoBroDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), husband(Alter, G).
;; 3
%mausas:0, spice:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoMoSisDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), husband(Alter, G).
;; 4
%mausas:0, spice:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoFaBroDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), husband(Alter, G).
;; 5
%mausas:0, spice:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoFaSisDaHu}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), husband(Alter, G).
;; 6
%mausas:0, spice:1, mausi[aux]20gn:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiMoSisHu}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 7
%mausas:0, spice:1, mausi[aux]20gn:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 8
%mausas:0, spice:1, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoMoBroDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), husband(Alter, G).
;; 9
%mausas:0, spice:1, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoMoSisDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), husband(Alter, G).
;; 10
%mausas:0, spice:1, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoFaBroDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), husband(Alter, G).
;; 11
%mausas:0, spice:1, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoFaSisDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), husband(Alter, G).
;; 12
%mausas:1, mausi[aux]20malego:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=4, Star=0,  {SisHuFa}  
 husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(F, E), mother(G, F), husband(Alter, G).
;; 13
%mausas:2, mausi[aux]20femalego:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=4, Star=0,  {BroWiFa}  
 wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(F, E), mother(G, F), husband(Alter, G).


mausasara(Alter, Ego) :-  spice(A, Ego), mausi[aux]20gn(Alter, A).
                      |   husband(A, Ego), mausi[aux]20malego(Alter, A).
                      |   wife(A, Ego), mausi[aux]20femalego(Alter, A).
{"BroWiMo_HuBroWiSisHuMo_HuMoFaBroDa_HuMoFaSisDa_HuMoMoBroDa_HuMoMoSisDa_HuMoSis_HuSisHuBroWiMo_SisHuMo_WiBroWiSisHuMo_WiMoFaBroDa_WiMoFaSisDa_WiMoMoBroDa_WiMoMoSisDa_WiMoSis_WiSisHuBroWiMo"}
;; 0
%mausasara:0, spice:0, mausi[aux]20gn:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuMoSis}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 1
%mausasara:0, spice:0, mausi[aux]20gn:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuMoSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 2
%mausasara:0, spice:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoBroDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 3
%mausasara:0, spice:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoSisDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 4
%mausasara:0, spice:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaBroDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 5
%mausasara:0, spice:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaSisDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 6
%mausasara:0, spice:0, mausi[aux]20gn:4, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {HuSisHuBroWiMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(Alter, I).
;; 7
%mausasara:0, spice:0, mausi[aux]20gn:5, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {HuBroWiSisHuMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), mother(Alter, I).
;; 8
%mausasara:0, spice:1, mausi[aux]20gn:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiMoSis}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 9
%mausasara:0, spice:1, mausi[aux]20gn:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiMoSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 10
%mausasara:0, spice:1, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoBroDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 11
%mausasara:0, spice:1, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoSisDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 12
%mausasara:0, spice:1, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaBroDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 13
%mausasara:0, spice:1, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaSisDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 14
%mausasara:0, spice:1, mausi[aux]20gn:4, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {WiSisHuBroWiMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(Alter, I).
;; 15
%mausasara:0, spice:1, mausi[aux]20gn:5, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {WiBroWiSisHuMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), mother(Alter, I).
;; 16
%mausasara:1, mausi[aux]20malego:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=3, Star=0,  {SisHuMo}  
 husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(F, E), mother(Alter, F).
;; 17
%mausasara:2, mausi[aux]20femalego:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=3, Star=0,  {BroWiMo}  
 wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(F, E), mother(Alter, F).


mausi(Alter, Ego) :-  mausi[aux]20gn(Alter, Ego).
                  |   mausi[aux]20malego(Alter, Ego).
                  |   mausi[aux]20femalego(Alter, Ego).
{"BroWiSisHuMo_FaBroWiSis_HuBroWiMo_MoFaBroDa_MoFaFaBroDaDa_MoFaFaBroSoDa_MoFaFaSisDaDa_MoFaFaSisSoDa_MoFaMoBroDaDa_MoFaMoBroSoDa_MoFaMoSisDaDa_MoFaMoSisSoDa_MoFaSisDa_MoMoBroDa_MoMoFaBroDaDa_MoMoFaBroSoDa_MoMoFaSisDaDa_MoMoFaSisSoDa_MoMoMoBroDaDa_MoMoMoBroSoDa_MoMoMoSisDaDa_MoMoMoSisSoDa_MoMoSisDa_MoSis_MoSisHuBroWi_SisHuBroWiMo_WiSisHuMo"}
;; 0
%mausi:0, mausi[aux]20gn:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoSis}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 1
%mausi:0, mausi[aux]20gn:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoSis}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 2
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoBroDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), female(Alter).
;; 3
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoSisDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), female(Alter).
;; 4
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoBroSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 5
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoBroDaDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 6
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoSisSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 7
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoSisDaDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 8
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaBroSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 9
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaBroDaDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 10
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaSisSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 11
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaSisDaDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 12
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaBroDa}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), female(Alter).
;; 13
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaSisDa}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), female(Alter).
;; 14
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaMoBroSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 15
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaMoBroDaDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 16
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaMoSisSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 17
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaMoSisDaDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 18
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaFaBroSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 19
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaFaBroDaDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 20
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaFaSisSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 21
%mausi:0, mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaFaSisDaDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 22
%mausi:0, mausi[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaBroWiSis}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), female(Alter).
;; 23
%mausi:0, mausi[aux]20gn:3, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {MoSisHuBroWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(Alter, H).
;; 24
%mausi:0, mausi[aux]20gn:4, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {SisHuBroWiMo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(Alter, H).
;; 25
%mausi:0, mausi[aux]20gn:5, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {BroWiSisHuMo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(Alter, H).
;; 26
%mausi:1, mausi[aux]20malego:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiSisHuMo}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(Alter, E).
;; 27
%mausi:2, mausi[aux]20femalego:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuBroWiMo}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(Alter, E).


mausi[aux]20femalego(Alter, Ego) :-  husband(A, Ego), brother(B, A), wife(C, B), mother(Alter, C).
;; 0
%mausi[aux]20femalego:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(Alter, E).


mausi[aux]20gn(Alter, Ego) :-  mother(A, Ego), sister(Alter, A).
                           |  [ext],  mother(A, Ego), generation[aux]20(Alter, A), female(Alter).
                           |  [ext],  father(A, Ego), brother(B, A), wife(C, B), sister(Alter, C).
                           |  [ext],  mother(A, Ego), sister(B, A), husband(C, B), brother(D, C), wife(Alter, D).
                           |  [ext],  sister(A, Ego), husband(B, A), brother(C, B), wife(D, C), mother(Alter, D).
                           |  [ext],  brother(A, Ego), wife(B, A), sister(C, B), husband(D, C), mother(Alter, D).
;; 0
%mausi[aux]20gn:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 1
%mausi[aux]20gn:1, generation[aux]20:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 2
%mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), female(Alter).
;; 3
%mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), female(Alter).
;; 4
%mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 5
%mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 6
%mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 7
%mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 8
%mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 9
%mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 10
%mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 11
%mausi[aux]20gn:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 12
%mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), female(Alter).
;; 13
%mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), female(Alter).
;; 14
%mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 15
%mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 16
%mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 17
%mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 18
%mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 19
%mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 20
%mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 21
%mausi[aux]20gn:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 22
%mausi[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), female(Alter).
;; 23
%mausi[aux]20gn:3, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(Alter, H).
;; 24
%mausi[aux]20gn:4, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(Alter, H).
;; 25
%mausi[aux]20gn:5, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(Alter, H).


mausi[aux]20malego(Alter, Ego) :-  wife(A, Ego), sister(B, A), husband(C, B), mother(Alter, C).
;; 0
%mausi[aux]20malego:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(Alter, E).


mavsa(Alter, Ego) :-  bhabhi(A, Ego), father(Alter, A).
                  |   jija(A, Ego), father(Alter, A).
{"BroWiBroWiFa_BroWiFa_FaBroDaHuFa_FaBroSoWiFa_FaSisDaHuFa_FaSisSoWiFa_HuBroWiBroWiFa_HuBroWiSisHuFa_MoBroDaHuFa_MoBroSoWiFa_MoSisDaHuFa_MoSisSoWiFa_SisHuFa_SisHuSisHuFa_SisHuSisHuSisHuFa_WiSisHuBroWiFa_WiSisHuSisHuFa"}
;; 0
%mavsa:0, bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {BroWiFa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), father(Alter, D).
;; 1
%mavsa:0, bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoBroSoWiFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), wife(F, E), father(Alter, F).
;; 2
%mavsa:0, bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoSisSoWiFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), wife(F, E), father(Alter, F).
;; 3
%mavsa:0, bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaBroSoWiFa}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), wife(F, E), father(Alter, F).
;; 4
%mavsa:0, bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaSisSoWiFa}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), wife(F, E), father(Alter, F).
;; 5
%mavsa:0, bhabhi:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {BroWiFa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), wife(I, H), father(Alter, I).
;; 6
%mavsa:0, bhabhi:0, bhai:1, bhai[aux]20femalego:0, brother:0, sibling:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=13, S=4, Star=0,  {BroWiBroWiFa}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(L, K), wife(M, L), father(Alter, M).
;; 7
%mavsa:0, bhabhi:0, bhai:1, bhai[aux]20femalego:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {HuBroWiBroWiFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), father(Alter, I).
;; 8
%mavsa:0, bhabhi:0, bhai:2, bhai[aux]20malego:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {WiSisHuBroWiFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), father(Alter, I).
;; 9
%mavsa:0, bhabhi:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {BroWiBroWiFa}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), father(Alter, H).
;; 10
%mavsa:1, jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {SisHuFa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), father(Alter, D).
;; 11
%mavsa:1, jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoBroDaHuFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), husband(F, E), father(Alter, F).
;; 12
%mavsa:1, jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoSisDaHuFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), husband(F, E), father(Alter, F).
;; 13
%mavsa:1, jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaBroDaHuFa}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), husband(F, E), father(Alter, F).
;; 14
%mavsa:1, jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaSisDaHuFa}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), husband(F, E), father(Alter, F).
;; 15
%mavsa:1, jija:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {SisHuFa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), husband(I, H), father(Alter, I).
;; 16
%mavsa:1, jija:0, bahen:1, bahen[aux]20femalego:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {HuBroWiSisHuFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), father(Alter, I).
;; 17
%mavsa:1, jija:0, bahen:2, bahen[aux]20malego:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {WiSisHuSisHuFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), father(Alter, I).
;; 18
%mavsa:1, jija:0, bahen:2, bahen[aux]20malego:1, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=13, S=4, Star=0,  {SisHuSisHuFa}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), husband(M, L), father(Alter, M).
;; 19
%mavsa:1, jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {SisHuFa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 20
%mavsa:1, jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=11, S=1, Star=0,  {MoBroDaHuFa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), husband(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), father(Alter, I).
;; 21
%mavsa:1, jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=11, S=1, Star=0,  {MoSisDaHuFa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), husband(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), father(Alter, I).
;; 22
%mavsa:1, jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=11, S=1, Star=0,  {FaBroDaHuFa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), husband(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), father(Alter, I).
;; 23
%mavsa:1, jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=11, S=1, Star=0,  {FaSisDaHuFa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), husband(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), father(Alter, I).
;; 24
%mavsa:1, jija:2, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {SisHuSisHuSisHuFa}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(L, K), father(Alter, L).


mavsi(Alter, Ego) :-  bhabhi(A, Ego), mother(Alter, A).
                  |   jija(A, Ego), mother(Alter, A).
{"BroWiBroWiMo_BroWiMo_FaBroDaHuMo_FaBroSoWiMo_FaSisDaHuMo_FaSisSoWiMo_HuBroWiBroWiMo_HuBroWiSisHuMo_MoBroDaHuMo_MoBroSoWiMo_MoSisDaHuMo_MoSisSoWiMo_SisHuMo_SisHuSisHuMo_SisHuSisHuSisHuMo_WiSisHuBroWiMo_WiSisHuSisHuMo"}
;; 0
%mavsi:0, bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {BroWiMo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(Alter, D).
;; 1
%mavsi:0, bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoBroSoWiMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), wife(F, E), mother(Alter, F).
;; 2
%mavsi:0, bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoSisSoWiMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), wife(F, E), mother(Alter, F).
;; 3
%mavsi:0, bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaBroSoWiMo}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), wife(F, E), mother(Alter, F).
;; 4
%mavsi:0, bhabhi:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaSisSoWiMo}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), wife(F, E), mother(Alter, F).
;; 5
%mavsi:0, bhabhi:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {BroWiMo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), wife(I, H), mother(Alter, I).
;; 6
%mavsi:0, bhabhi:0, bhai:1, bhai[aux]20femalego:0, brother:0, sibling:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=13, S=4, Star=0,  {BroWiBroWiMo}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(L, K), wife(M, L), mother(Alter, M).
;; 7
%mavsi:0, bhabhi:0, bhai:1, bhai[aux]20femalego:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {HuBroWiBroWiMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(Alter, I).
;; 8
%mavsi:0, bhabhi:0, bhai:2, bhai[aux]20malego:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {WiSisHuBroWiMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), mother(Alter, I).
;; 9
%mavsi:0, bhabhi:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {BroWiBroWiMo}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(Alter, H).
;; 10
%mavsi:1, jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {SisHuMo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(Alter, D).
;; 11
%mavsi:1, jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoBroDaHuMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), husband(F, E), mother(Alter, F).
;; 12
%mavsi:1, jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoSisDaHuMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), husband(F, E), mother(Alter, F).
;; 13
%mavsi:1, jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaBroDaHuMo}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), husband(F, E), mother(Alter, F).
;; 14
%mavsi:1, jija:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaSisDaHuMo}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), husband(F, E), mother(Alter, F).
;; 15
%mavsi:1, jija:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {SisHuMo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), husband(I, H), mother(Alter, I).
;; 16
%mavsi:1, jija:0, bahen:1, bahen[aux]20femalego:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {HuBroWiSisHuMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), mother(Alter, I).
;; 17
%mavsi:1, jija:0, bahen:2, bahen[aux]20malego:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {WiSisHuSisHuMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), mother(Alter, I).
;; 18
%mavsi:1, jija:0, bahen:2, bahen[aux]20malego:1, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=13, S=4, Star=0,  {SisHuSisHuMo}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), husband(M, L), mother(Alter, M).
;; 19
%mavsi:1, jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {SisHuMo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 20
%mavsi:1, jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=11, S=1, Star=0,  {MoBroDaHuMo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), husband(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), mother(Alter, I).
;; 21
%mavsi:1, jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=11, S=1, Star=0,  {MoSisDaHuMo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), husband(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), mother(Alter, I).
;; 22
%mavsi:1, jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=11, S=1, Star=0,  {FaBroDaHuMo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), husband(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), mother(Alter, I).
;; 23
%mavsi:1, jija:1, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=11, S=1, Star=0,  {FaSisDaHuMo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), husband(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), mother(Alter, I).
;; 24
%mavsi:1, jija:2, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {SisHuSisHuSisHuMo}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(L, K), mother(Alter, L).


nana(Alter, Ego) :-  mother(A, Ego), parent_equiv[aux]20(Alter, A), male(Alter).
{"MoFa_MoFaBro_MoFaSisHu_MoMoBro_MoMoSisHu"}
;; 0
%nana:0, parent_equiv[aux]20:0%
 Lvl=2,  PC=2, S=0, Star=0,  {MoFa}  
 mother(A, Ego), parent(Alter, A), male(Alter).
;; 1
%nana:0, parent_equiv[aux]20:1, parents:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoMoBro}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 2
%nana:0, parent_equiv[aux]20:1, parents:1, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoFaBro}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 3
%nana:0, parent_equiv[aux]20:2, parents:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoMoSisHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), male(Alter).
;; 4
%nana:0, parent_equiv[aux]20:2, parents:1, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoFaSisHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), male(Alter).


nanad(Alter, Ego) :-  husband(A, Ego), generation[aux]20smallGS(B, A), sister(Alter, B).
                  |  [ext],  husband(A, Ego), sister(B, A), husband(C, B), sister(Alter, C).
                  |  [ext],  husband(A, Ego), sister(B, A), husband(C, B), brother(D, C), wife(Alter, D).
                  |  [ext],  female(Ego), sister(A, Ego), husband(B, A), sister(Alter, B).
                  |  [ext],  female(Ego), sister(A, Ego), husband(B, A), sister(C, B), husband(D, C), brother(E, D), wife(Alter, E).
                  |  [ext],  female(Ego), sister(A, Ego), husband(B, A), sister(C, B), husband(D, C), sister(Alter, D).
{"HuFaBroDa_HuFaSisDa_HuMoBroDa_HuMoSisDa_HuSis_HuSisHuBroWi_HuSisHuSis_SisHuSis_SisHuSisHuBroWi_SisHuSisHuSis"}
;; 0
%nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {HuSis}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 1
%nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {HuSis}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 2
%nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {HuMoBroDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), female(Alter).
;; 3
%nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {HuMoBroDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), female(Alter).
;; 4
%nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {HuMoSisDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), female(Alter).
;; 5
%nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {HuMoSisDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), female(Alter).
;; 6
%nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {HuFaBroDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), female(Alter).
;; 7
%nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {HuFaBroDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), female(Alter).
;; 8
%nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {HuFaSisDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), female(Alter).
;; 9
%nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {HuFaSisDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(Alter, G), child(Alter, H), not(equal(Alter, F)), female(Alter).
;; 10
%nanad:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuSisHuSis}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), female(Alter).
;; 11
%nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {HuSisHuBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(Alter, H).
;; 12
%nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {SisHuSis}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 13
%nanad:4, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {SisHuSisHuBroWi}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(Alter, K).
;; 14
%nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {SisHuSisHuSis}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(Alter, I), child(Alter, J), not(equal(Alter, H)), female(Alter).


nanas(Alter, Ego) :-  spice(A, Ego), nani(Alter, A).
{"HuMoFaBroWi_HuMoFaSis_HuMoMo_HuMoMoBroWi_HuMoMoSis_WiMoFaBroWi_WiMoFaSis_WiMoMo_WiMoMoBroWi_WiMoMoSis"}
;; 0
%nanas:0, spice:0, nani:0, parent_equiv[aux]20:0%
 Lvl=2,  PC=2, S=1, Star=0,  {HuMoMo}  
 husband(A, Ego), mother(B, A), parent(Alter, B), female(Alter).
;; 1
%nanas:0, spice:0, nani:0, parent_equiv[aux]20:1, parents:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoMoSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 2
%nanas:0, spice:0, nani:0, parent_equiv[aux]20:1, parents:1, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoFaSis}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 3
%nanas:0, spice:0, nani:0, parent_equiv[aux]20:2, parents:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 4
%nanas:0, spice:0, nani:0, parent_equiv[aux]20:2, parents:1, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoFaBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 5
%nanas:0, spice:1, nani:0, parent_equiv[aux]20:0%
 Lvl=2,  PC=2, S=1, Star=0,  {WiMoMo}  
 wife(A, Ego), mother(B, A), parent(Alter, B), female(Alter).
;; 6
%nanas:0, spice:1, nani:0, parent_equiv[aux]20:1, parents:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoMoSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 7
%nanas:0, spice:1, nani:0, parent_equiv[aux]20:1, parents:1, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoFaSis}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 8
%nanas:0, spice:1, nani:0, parent_equiv[aux]20:2, parents:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 9
%nanas:0, spice:1, nani:0, parent_equiv[aux]20:2, parents:1, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoFaBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).


nanasara(Alter, Ego) :-  spice(A, Ego), nana(Alter, A).
{"HuMoFa_HuMoFaBro_HuMoFaSisHu_HuMoMoBro_HuMoMoSisHu_WiMoFa_WiMoFaBro_WiMoFaSisHu_WiMoMoBro_WiMoMoSisHu"}
;; 0
%nanasara:0, spice:0, nana:0, parent_equiv[aux]20:0%
 Lvl=2,  PC=2, S=1, Star=0,  {HuMoFa}  
 husband(A, Ego), mother(B, A), parent(Alter, B), male(Alter).
;; 1
%nanasara:0, spice:0, nana:0, parent_equiv[aux]20:1, parents:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoMoBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 2
%nanasara:0, spice:0, nana:0, parent_equiv[aux]20:1, parents:1, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoFaBro}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 3
%nanasara:0, spice:0, nana:0, parent_equiv[aux]20:2, parents:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 4
%nanasara:0, spice:0, nana:0, parent_equiv[aux]20:2, parents:1, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoFaSisHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 5
%nanasara:0, spice:1, nana:0, parent_equiv[aux]20:0%
 Lvl=2,  PC=2, S=1, Star=0,  {WiMoFa}  
 wife(A, Ego), mother(B, A), parent(Alter, B), male(Alter).
;; 6
%nanasara:0, spice:1, nana:0, parent_equiv[aux]20:1, parents:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoMoBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 7
%nanasara:0, spice:1, nana:0, parent_equiv[aux]20:1, parents:1, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoFaBro}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 8
%nanasara:0, spice:1, nana:0, parent_equiv[aux]20:2, parents:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 9
%nanasara:0, spice:1, nana:0, parent_equiv[aux]20:2, parents:1, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoFaSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).


nandoi(Alter, Ego) :-  nanad(A, Ego), husband(Alter, A).
{"HuFaBroDaHu_HuFaSisDaHu_HuMoBroDaHu_HuMoSisDaHu_HuSisHu_HuSisHuBro_HuSisHuSisHu_SisHuSisHu_SisHuSisHuBro_SisHuSisHuSisHu"}
;; 0
%nandoi:0, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuSisHu}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(Alter, G).
;; 1
%nandoi:0, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuSisHu}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(Alter, G).
;; 2
%nandoi:0, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuMoBroDaHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), husband(Alter, I).
;; 3
%nandoi:0, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuMoBroDaHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), husband(Alter, I).
;; 4
%nandoi:0, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuMoSisDaHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), husband(Alter, I).
;; 5
%nandoi:0, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuMoSisDaHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), husband(Alter, I).
;; 6
%nandoi:0, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuFaBroDaHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), husband(Alter, I).
;; 7
%nandoi:0, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuFaBroDaHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), husband(Alter, I).
;; 8
%nandoi:0, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuFaSisDaHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), husband(Alter, I).
;; 9
%nandoi:0, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuFaSisDaHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), husband(Alter, I).
;; 10
%nandoi:0, nanad:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {HuSisHuSisHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(Alter, H).
;; 11
%nandoi:0, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=4, Star=0,  {HuSisHuBro}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), husband(Alter, I).
;; 12
%nandoi:0, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {SisHuSisHu}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(Alter, G).
;; 13
%nandoi:0, nanad:4, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=12, S=4, Star=0,  {SisHuSisHuBro}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), husband(Alter, L).
;; 14
%nandoi:0, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {SisHuSisHuSisHu}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(Alter, K).


nani(Alter, Ego) :-  mother(A, Ego), parent_equiv[aux]20(Alter, A), female(Alter).
{"MoFaBroWi_MoFaSis_MoMo_MoMoBroWi_MoMoSis"}
;; 0
%nani:0, parent_equiv[aux]20:0%
 Lvl=2,  PC=2, S=0, Star=0,  {MoMo}  
 mother(A, Ego), parent(Alter, A), female(Alter).
;; 1
%nani:0, parent_equiv[aux]20:1, parents:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoMoSis}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 2
%nani:0, parent_equiv[aux]20:1, parents:1, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoFaSis}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 3
%nani:0, parent_equiv[aux]20:2, parents:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoMoBroWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), female(Alter).
;; 4
%nani:0, parent_equiv[aux]20:2, parents:1, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoFaBroWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), female(Alter).


parent_equiv[aux]20(Alter, Ego) :-  parent(Alter, Ego).
                                |  [ext],  parents(A, Ego), sibling(Alter, A).
                                |  [ext],  parents(A, Ego), sibling(B, A), spouse(Alter, B).
;; 0
%parent_equiv[aux]20:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(Alter, Ego).
;; 1
%parent_equiv[aux]20:1, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 2
%parent_equiv[aux]20:1, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 3
%parent_equiv[aux]20:2, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), spouse(Alter, D).
;; 4
%parent_equiv[aux]20:2, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), spouse(Alter, D).


parents(Alter, Ego) :-  mother(Alter, Ego).
                    |   father(Alter, Ego).
;; 0
%parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(Alter, Ego).
;; 1
%parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(Alter, Ego).


phupha(Alter, Ego) :-  bua(A, Ego), husband(Alter, A).
{"FaFaBroDaHu_FaFaFaBroDaDaHu_FaFaFaBroSoDaHu_FaFaFaSisDaDaHu_FaFaFaSisSoDaHu_FaFaMoBroDaDaHu_FaFaMoBroSoDaHu_FaFaMoSisDaDaHu_FaFaMoSisSoDaHu_FaFaSisDaHu_FaMoBroDaHu_FaMoFaBroDaDaHu_FaMoFaBroSoDaHu_FaMoFaSisDaDaHu_FaMoFaSisSoDaHu_FaMoMoBroDaDaHu_FaMoMoBroSoDaHu_FaMoMoSisDaDaHu_FaMoMoSisSoDaHu_FaMoSisDaHu_FaSisHu_FaSisHuBro_FaSisHuSisHu_MoSisHuSisHu"}
;; 0
%phupha:0, bua:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaSisHu}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(Alter, D).
;; 1
%phupha:0, bua:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaSisHu}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(Alter, D).
;; 2
%phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoBroDaHu}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), husband(Alter, F).
;; 3
%phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoSisDaHu}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), husband(Alter, F).
;; 4
%phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoBroSoDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 5
%phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoBroDaDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 6
%phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoSisSoDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 7
%phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoSisDaDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 8
%phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaBroSoDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 9
%phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaBroDaDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 10
%phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaSisSoDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 11
%phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaSisDaDaHu}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 12
%phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaBroDaHu}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), husband(Alter, F).
;; 13
%phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaSisDaHu}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), husband(Alter, F).
;; 14
%phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoBroSoDaHu}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 15
%phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoBroDaDaHu}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 16
%phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoSisSoDaHu}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 17
%phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoSisDaDaHu}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 18
%phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaBroSoDaHu}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 19
%phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaBroDaDaHu}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 20
%phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaSisSoDaHu}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), female(H), husband(Alter, H).
;; 21
%phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaSisDaDaHu}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), female(H), husband(Alter, H).
;; 22
%phupha:0, bua:2, parents:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {MoSisHuSisHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(Alter, H).
;; 23
%phupha:0, bua:2, parents:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {FaSisHuSisHu}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(Alter, H).
;; 24
%phupha:0, bua:3, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=3, Star=0,  {FaSisHuBro}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), husband(Alter, I).


phuphas(Alter, Ego) :-  spice(A, Ego), bua(Alter, A).
{"HuFaFaBroDa_HuFaFaSisDa_HuFaMoBroDa_HuFaMoSisDa_HuFaSis_WiFaFaBroDa_WiFaFaSisDa_WiFaMoBroDa_WiFaMoSisDa_WiFaSis"}
;; 0
%phuphas:0, spice:0, bua:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuFaSis}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 1
%phuphas:0, spice:0, bua:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuFaSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 2
%phuphas:0, spice:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoBroDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 3
%phuphas:0, spice:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoSisDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 4
%phuphas:0, spice:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaBroDa}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 5
%phuphas:0, spice:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaSisDa}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 6
%phuphas:0, spice:1, bua:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiFaSis}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 7
%phuphas:0, spice:1, bua:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiFaSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 8
%phuphas:0, spice:1, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoBroDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 9
%phuphas:0, spice:1, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoSisDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 10
%phuphas:0, spice:1, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaBroDa}  
[ext], [ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 11
%phuphas:0, spice:1, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaSisDa}  
[ext], [ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).


phuphasara(Alter, Ego) :-  spice(A, Ego), phupha(Alter, A).
{"HuFaFaBroDaHu_HuFaFaSisDaHu_HuFaMoBroDaHu_HuFaMoSisDaHu_HuFaSisHu_WiFaFaBroDaHu_WiFaFaSisDaHu_WiFaMoBroDaHu_WiFaMoSisDaHu_WiFaSisHu"}
;; 0
%phuphasara:0, spice:0, phupha:0, bua:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuFaSisHu}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 1
%phuphasara:0, spice:0, phupha:0, bua:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuFaSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 2
%phuphasara:0, spice:0, phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaMoBroDaHu}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), husband(Alter, G).
;; 3
%phuphasara:0, spice:0, phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaMoSisDaHu}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), husband(Alter, G).
;; 4
%phuphasara:0, spice:0, phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaFaBroDaHu}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), husband(Alter, G).
;; 5
%phuphasara:0, spice:0, phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaFaSisDaHu}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), husband(Alter, G).
;; 6
%phuphasara:0, spice:1, phupha:0, bua:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiFaSisHu}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 7
%phuphasara:0, spice:1, phupha:0, bua:1, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiFaSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 8
%phuphasara:0, spice:1, phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaMoBroDaHu}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), husband(Alter, G).
;; 9
%phuphasara:0, spice:1, phupha:0, bua:1, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaMoSisDaHu}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), husband(Alter, G).
;; 10
%phuphasara:0, spice:1, phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaFaBroDaHu}  
[ext], [ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), husband(Alter, G).
;; 11
%phuphasara:0, spice:1, phupha:0, bua:1, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaFaSisDaHu}  
[ext], [ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), husband(Alter, G).


pitas(Alter, Ego) :-  spice(A, Ego), caci(Alter, A).
{"HuFaBroWi_HuFaFaBroSoWi_HuFaFaSisSoWi_HuFaMoBroSoWi_HuFaMoSisSoWi_WiFaBroWi_WiFaFaBroSoWi_WiFaFaSisSoWi_WiFaMoBroSoWi_WiFaMoSisSoWi"}
;; 0
%pitas:0, spice:0, caci:0, caca:0, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuFaBroWi}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), wife(Alter, E).
;; 1
%pitas:0, spice:0, caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaMoBroSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), younger(G, B), wife(Alter, G).
;; 2
%pitas:0, spice:0, caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaMoSisSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), younger(G, B), wife(Alter, G).
;; 3
%pitas:0, spice:0, caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaFaBroSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), younger(G, B), wife(Alter, G).
;; 4
%pitas:0, spice:0, caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaFaSisSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), younger(G, B), wife(Alter, G).
;; 5
%pitas:0, spice:1, caci:0, caca:0, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiFaBroWi}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), wife(Alter, E).
;; 6
%pitas:0, spice:1, caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaMoBroSoWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), younger(G, B), wife(Alter, G).
;; 7
%pitas:0, spice:1, caci:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaMoSisSoWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), younger(G, B), wife(Alter, G).
;; 8
%pitas:0, spice:1, caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaFaBroSoWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), younger(G, B), wife(Alter, G).
;; 9
%pitas:0, spice:1, caci:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaFaSisSoWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), younger(G, B), wife(Alter, G).


pitasara(Alter, Ego) :-  spice(A, Ego), caca(Alter, A).
{"HuFaBro_HuFaFaBroSo_HuFaFaSisSo_HuFaMoBroSo_HuFaMoSisSo_WiFaBro_WiFaFaBroSo_WiFaFaSisSo_WiFaMoBroSo_WiFaMoSisSo"}
;; 0
%pitasara:0, spice:0, caca:0, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuFaBro}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter), younger(Alter, B).
;; 1
%pitasara:0, spice:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter), younger(Alter, B).
;; 2
%pitasara:0, spice:0, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter), younger(Alter, B).
;; 3
%pitasara:0, spice:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaBroSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter), younger(Alter, B).
;; 4
%pitasara:0, spice:0, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaSisSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter), younger(Alter, B).
;; 5
%pitasara:0, spice:1, caca:0, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiFaBro}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter), younger(Alter, B).
;; 6
%pitasara:0, spice:1, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoBroSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter), younger(Alter, B).
;; 7
%pitasara:0, spice:1, caca:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoSisSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter), younger(Alter, B).
;; 8
%pitasara:0, spice:1, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaBroSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter), younger(Alter, B).
;; 9
%pitasara:0, spice:1, caca:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaSisSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter), younger(Alter, B).


pota(Alter, Ego) :-  son(A, Ego), son(Alter, A).
                 |  [ext],  bhatija(A, Ego), son(Alter, A).
                 |  [ext],  bhanja(A, Ego), son(Alter, A).
{"BroSoSo_BroWiBroSo_BroWiBroWiBroSo_BroWiBroWiSisSoSo_BroWiSisSoSo_FaBroDaSoSo_FaBroSoSoSo_FaSisDaSoSo_FaSisSoSoSo_HuBroSoSo_HuBroWiBroSoSo_HuBroWiSisSoSo_HuFaBroDaSoSo_HuFaBroSoSoSo_HuFaSisDaSoSo_HuFaSisSoSoSo_HuMoBroDaSoSo_HuMoBroSoSoSo_HuMoSisDaSoSo_HuMoSisSoSoSo_HuSisHuBroSoSo_HuSisHuSisSoSo_HuSisSoSo_MoBroDaSoSo_MoBroSoSoSo_MoSisDaSoSo_MoSisSoSoSo_SisHuBroSo_SisHuBroSoSo_SisHuSisHuBroSo_SisHuSisHuBroSoSo_SisHuSisHuSisSoSo_SisHuSisSoSo_SisSoSo_SoSo_WiBroSoSo_WiBroWiBroSoSo_WiBroWiSisSoSo_WiFaBroDaSoSo_WiFaBroSoSoSo_WiFaSisDaSoSo_WiFaSisSoSoSo_WiMoBroDaSoSo_WiMoBroSoSoSo_WiMoSisDaSoSo_WiMoSisSoSoSo_WiSisHuBroSoSo_WiSisHuSisSoSo_WiSisSoSo"}
;; 0
%pota:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoSo}  
 son(A, Ego), son(Alter, A).
;; 1
%pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoSo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(Alter, D).
;; 2
%pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), son(Alter, F).
;; 3
%pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), son(Alter, F).
;; 4
%pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), son(Alter, F).
;; 5
%pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), son(Alter, F).
;; 6
%pota:1, bhatija:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {BroWiSisSoSo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), son(I, H), son(Alter, I).
;; 7
%pota:1, bhatija:0, bhai:1, bhai[aux]20femalego:0, brother:0, sibling:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {BroWiBroWiSisSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(L, K), son(M, L), son(Alter, M).
;; 8
%pota:1, bhatija:0, bhai:1, bhai[aux]20femalego:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuBroWiBroSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 9
%pota:1, bhatija:0, bhai:2, bhai[aux]20malego:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiSisHuBroSoSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 10
%pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroSoSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(Alter, E).
;; 11
%pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(Alter, G).
;; 12
%pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(Alter, G).
;; 13
%pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoSoSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(Alter, G).
;; 14
%pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoSoSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(Alter, G).
;; 15
%pota:1, bhatija:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuBroWiSisSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), son(Alter, J).
;; 16
%pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroSoSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(Alter, E).
;; 17
%pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoSoSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(Alter, G).
;; 18
%pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoSoSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(Alter, G).
;; 19
%pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoSoSo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(Alter, G).
;; 20
%pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoSoSo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(Alter, G).
;; 21
%pota:1, bhatija:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {WiBroWiSisSoSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), son(Alter, J).
;; 22
%pota:1, bhatija:2, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroSoSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(Alter, E).
;; 23
%pota:1, bhatija:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroSoSo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(Alter, E).
;; 24
%pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoSoSo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(Alter, G).
;; 25
%pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoSoSo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(Alter, G).
;; 26
%pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoSoSo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(Alter, G).
;; 27
%pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoSoSo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(Alter, G).
;; 28
%pota:1, bhatija:2, sala:2, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiBroWiBroSoSo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 29
%pota:1, bhatija:3, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {BroSoSo}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 30
%pota:1, bhatija:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {BroSoSo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 31
%pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoBroSoSoSo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), son(Alter, H).
;; 32
%pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoSisSoSoSo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), son(Alter, H).
;; 33
%pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaBroSoSoSo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), son(Alter, H).
;; 34
%pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaSisSoSoSo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), son(Alter, H).
;; 35
%pota:1, bhatija:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), son(E, D), son(Alter, E).
;; 36
%pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoSoSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), son(Alter, G).
;; 37
%pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoSoSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), son(Alter, G).
;; 38
%pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoSoSo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), son(Alter, G).
;; 39
%pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoSoSo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), son(Alter, G).
;; 40
%pota:1, bhatija:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {BroSoSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), son(F, E), son(Alter, F).
;; 41
%pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoBroSoSoSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), son(Alter, H).
;; 42
%pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoSisSoSoSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), son(Alter, H).
;; 43
%pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaBroSoSoSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), son(Alter, H).
;; 44
%pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaSisSoSoSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), son(Alter, H).
;; 45
%pota:1, bhatija:6, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {BroWiBroSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 46
%pota:1, bhatija:7, brother:0, sibling:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {BroWiBroWiBroSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), son(Alter, K).
;; 47
%pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoSo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), son(Alter, D).
;; 48
%pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), son(Alter, F).
;; 49
%pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), son(Alter, F).
;; 50
%pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), son(Alter, F).
;; 51
%pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), son(Alter, F).
;; 52
%pota:2, bhanja:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisHuBroSoSo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), son(I, H), son(Alter, I).
;; 53
%pota:2, bhanja:0, bahen:1, bahen[aux]20femalego:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuBroWiSisSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 54
%pota:2, bhanja:0, bahen:2, bahen[aux]20malego:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiSisHuSisSoSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 55
%pota:2, bhanja:0, bahen:2, bahen[aux]20malego:1, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {SisHuSisHuBroSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), son(M, L), son(Alter, M).
;; 56
%pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisSoSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(Alter, E).
;; 57
%pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroDaSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(Alter, G).
;; 58
%pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisDaSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(Alter, G).
;; 59
%pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroDaSoSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(Alter, G).
;; 60
%pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisDaSoSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(Alter, G).
;; 61
%pota:2, bhanja:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuSisHuBroSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), son(Alter, J).
;; 62
%pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisSoSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(Alter, E).
;; 63
%pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroDaSoSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(Alter, G).
;; 64
%pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisDaSoSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(Alter, G).
;; 65
%pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroDaSoSo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(Alter, G).
;; 66
%pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisDaSoSo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(Alter, G).
;; 67
%pota:2, bhanja:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {WiSisHuBroSoSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), son(Alter, J).
;; 68
%pota:2, bhanja:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {SisSoSo}  
[ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 69
%pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoBroDaSoSo}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), son(Alter, H).
;; 70
%pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoSisDaSoSo}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), son(Alter, H).
;; 71
%pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaBroDaSoSo}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), son(Alter, H).
;; 72
%pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaSisDaSoSo}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), son(Alter, H).
;; 73
%pota:2, bhanja:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuBroWiSisSoSo}  
[ext], [ext], [ext],  spouse(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 74
%pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {HuSisSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 75
%pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {HuSisSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 76
%pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoBroDaSoSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(Alter, J).
;; 77
%pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoBroDaSoSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(Alter, J).
;; 78
%pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoSisDaSoSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(Alter, J).
;; 79
%pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoSisDaSoSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(Alter, J).
;; 80
%pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaBroDaSoSo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(Alter, J).
;; 81
%pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaBroDaSoSo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(Alter, J).
;; 82
%pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaSisDaSoSo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(Alter, J).
;; 83
%pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaSisDaSoSo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(Alter, J).
;; 84
%pota:2, bhanja:3, nanad:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuSisHuSisSoSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 85
%pota:2, bhanja:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuSisHuBroSoSo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), son(Alter, J).
;; 86
%pota:2, bhanja:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {SisHuSisSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 87
%pota:2, bhanja:3, nanad:4, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {SisHuSisHuBroSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), son(M, L), son(Alter, M).
;; 88
%pota:2, bhanja:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=14, S=2, Star=0,  {SisHuSisHuSisSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), son(L, K), son(Alter, L).
;; 89
%pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisSoSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 90
%pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisSoSo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 91
%pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoBroDaSoSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(Alter, K).
;; 92
%pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoBroDaSoSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(Alter, K).
;; 93
%pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoSisDaSoSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(Alter, K).
;; 94
%pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoSisDaSoSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(Alter, K).
;; 95
%pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaBroDaSoSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(Alter, K).
;; 96
%pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaBroDaSoSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(Alter, K).
;; 97
%pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaSisDaSoSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(Alter, K).
;; 98
%pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaSisDaSoSo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(Alter, K).
;; 99
%pota:2, bhanja:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiSisHuSisSoSo}  
[ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 100
%pota:2, bhanja:5, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {SisHuBroSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 101
%pota:2, bhanja:6, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {SisHuSisHuBroSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), son(Alter, K).


poti(Alter, Ego) :-  son(A, Ego), daughter(Alter, A).
                 |  [ext],  bhatija(A, Ego), daughter(Alter, A).
                 |  [ext],  bhanja(A, Ego), daughter(Alter, A).
{"BroSoDa_BroWiBroDa_BroWiBroWiBroDa_BroWiBroWiSisSoDa_BroWiSisSoDa_FaBroDaSoDa_FaBroSoSoDa_FaSisDaSoDa_FaSisSoSoDa_HuBroSoDa_HuBroWiBroSoDa_HuBroWiSisSoDa_HuFaBroDaSoDa_HuFaBroSoSoDa_HuFaSisDaSoDa_HuFaSisSoSoDa_HuMoBroDaSoDa_HuMoBroSoSoDa_HuMoSisDaSoDa_HuMoSisSoSoDa_HuSisHuBroSoDa_HuSisHuSisSoDa_HuSisSoDa_MoBroDaSoDa_MoBroSoSoDa_MoSisDaSoDa_MoSisSoSoDa_SisHuBroDa_SisHuBroSoDa_SisHuSisHuBroDa_SisHuSisHuBroSoDa_SisHuSisHuSisSoDa_SisHuSisSoDa_SisSoDa_SoDa_WiBroSoDa_WiBroWiBroSoDa_WiBroWiSisSoDa_WiFaBroDaSoDa_WiFaBroSoSoDa_WiFaSisDaSoDa_WiFaSisSoSoDa_WiMoBroDaSoDa_WiMoBroSoSoDa_WiMoSisDaSoDa_WiMoSisSoSoDa_WiSisHuBroSoDa_WiSisHuSisSoDa_WiSisSoDa"}
;; 0
%poti:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoDa}  
 son(A, Ego), daughter(Alter, A).
;; 1
%poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoDa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), daughter(Alter, D).
;; 2
%poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), daughter(Alter, F).
;; 3
%poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), daughter(Alter, F).
;; 4
%poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), daughter(Alter, F).
;; 5
%poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), daughter(Alter, F).
;; 6
%poti:1, bhatija:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {BroWiSisSoDa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), son(I, H), daughter(Alter, I).
;; 7
%poti:1, bhatija:0, bhai:1, bhai[aux]20femalego:0, brother:0, sibling:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {BroWiBroWiSisSoDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), husband(L, K), son(M, L), daughter(Alter, M).
;; 8
%poti:1, bhatija:0, bhai:1, bhai[aux]20femalego:1, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuBroWiBroSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 9
%poti:1, bhatija:0, bhai:2, bhai[aux]20malego:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiSisHuBroSoDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 10
%poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroSoDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(Alter, E).
;; 11
%poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(Alter, G).
;; 12
%poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(Alter, G).
;; 13
%poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoSoDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(Alter, G).
;; 14
%poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoSoDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(Alter, G).
;; 15
%poti:1, bhatija:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuBroWiSisSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), daughter(Alter, J).
;; 16
%poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroSoDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(Alter, E).
;; 17
%poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoSoDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(Alter, G).
;; 18
%poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoSoDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(Alter, G).
;; 19
%poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoSoDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(Alter, G).
;; 20
%poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoSoDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(Alter, G).
;; 21
%poti:1, bhatija:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {WiBroWiSisSoDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), daughter(Alter, J).
;; 22
%poti:1, bhatija:2, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroSoDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(Alter, E).
;; 23
%poti:1, bhatija:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroSoDa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(Alter, E).
;; 24
%poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoSoDa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(Alter, G).
;; 25
%poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoSoDa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(Alter, G).
;; 26
%poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoSoDa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(Alter, G).
;; 27
%poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoSoDa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(Alter, G).
;; 28
%poti:1, bhatija:2, sala:2, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiBroWiBroSoDa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 29
%poti:1, bhatija:3, sala:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {BroSoDa}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 30
%poti:1, bhatija:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {BroSoDa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 31
%poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoBroSoSoDa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), daughter(Alter, H).
;; 32
%poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoSisSoSoDa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), daughter(Alter, H).
;; 33
%poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaBroSoSoDa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), daughter(Alter, H).
;; 34
%poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaSisSoSoDa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), daughter(Alter, H).
;; 35
%poti:1, bhatija:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), son(E, D), daughter(Alter, E).
;; 36
%poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoSoDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(Alter, G).
;; 37
%poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoSoDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(Alter, G).
;; 38
%poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoSoDa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(Alter, G).
;; 39
%poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoSoDa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(Alter, G).
;; 40
%poti:1, bhatija:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {BroSoDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), son(F, E), daughter(Alter, F).
;; 41
%poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoBroSoSoDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(Alter, H).
;; 42
%poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoSisSoSoDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(Alter, H).
;; 43
%poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaBroSoSoDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(Alter, H).
;; 44
%poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaSisSoSoDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(Alter, H).
;; 45
%poti:1, bhatija:6, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {BroWiBroDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 46
%poti:1, bhatija:7, brother:0, sibling:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {BroWiBroWiBroDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), daughter(Alter, K).
;; 47
%poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoDa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), daughter(Alter, D).
;; 48
%poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), daughter(Alter, F).
;; 49
%poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), daughter(Alter, F).
;; 50
%poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), daughter(Alter, F).
;; 51
%poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), daughter(Alter, F).
;; 52
%poti:2, bhanja:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisHuBroSoDa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), son(I, H), daughter(Alter, I).
;; 53
%poti:2, bhanja:0, bahen:1, bahen[aux]20femalego:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuBroWiSisSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 54
%poti:2, bhanja:0, bahen:2, bahen[aux]20malego:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiSisHuSisSoDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 55
%poti:2, bhanja:0, bahen:2, bahen[aux]20malego:1, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {SisHuSisHuBroSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), son(M, L), daughter(Alter, M).
;; 56
%poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisSoDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(Alter, E).
;; 57
%poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroDaSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(Alter, G).
;; 58
%poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisDaSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(Alter, G).
;; 59
%poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroDaSoDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(Alter, G).
;; 60
%poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisDaSoDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(Alter, G).
;; 61
%poti:2, bhanja:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuSisHuBroSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), daughter(Alter, J).
;; 62
%poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisSoDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(Alter, E).
;; 63
%poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroDaSoDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(Alter, G).
;; 64
%poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisDaSoDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(Alter, G).
;; 65
%poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroDaSoDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(Alter, G).
;; 66
%poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisDaSoDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(Alter, G).
;; 67
%poti:2, bhanja:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {WiSisHuBroSoDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), daughter(Alter, J).
;; 68
%poti:2, bhanja:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {SisSoDa}  
[ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 69
%poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoBroDaSoDa}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), daughter(Alter, H).
;; 70
%poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoSisDaSoDa}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), daughter(Alter, H).
;; 71
%poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaBroDaSoDa}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), daughter(Alter, H).
;; 72
%poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaSisDaSoDa}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), daughter(Alter, H).
;; 73
%poti:2, bhanja:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuBroWiSisSoDa}  
[ext], [ext], [ext],  spouse(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 74
%poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {HuSisSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 75
%poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {HuSisSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 76
%poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoBroDaSoDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(Alter, J).
;; 77
%poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoBroDaSoDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(Alter, J).
;; 78
%poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoSisDaSoDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(Alter, J).
;; 79
%poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuMoSisDaSoDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(Alter, J).
;; 80
%poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaBroDaSoDa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(Alter, J).
;; 81
%poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaBroDaSoDa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(Alter, J).
;; 82
%poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaSisDaSoDa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(Alter, J).
;; 83
%poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=1, Star=0,  {HuFaSisDaSoDa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(Alter, J).
;; 84
%poti:2, bhanja:3, nanad:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {HuSisHuSisSoDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 85
%poti:2, bhanja:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=3, Star=0,  {HuSisHuBroSoDa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), daughter(Alter, J).
;; 86
%poti:2, bhanja:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {SisHuSisSoDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 87
%poti:2, bhanja:3, nanad:4, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-2,  PC=14, S=3, Star=0,  {SisHuSisHuBroSoDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), son(M, L), daughter(Alter, M).
;; 88
%poti:2, bhanja:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=14, S=2, Star=0,  {SisHuSisHuSisSoDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), son(L, K), daughter(Alter, L).
;; 89
%poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisSoDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 90
%poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {SisSoDa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 91
%poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoBroDaSoDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(Alter, K).
;; 92
%poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoBroDaSoDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(Alter, K).
;; 93
%poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoSisDaSoDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(Alter, K).
;; 94
%poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {MoSisDaSoDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(Alter, K).
;; 95
%poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaBroDaSoDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(Alter, K).
;; 96
%poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaBroDaSoDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(Alter, K).
;; 97
%poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaSisDaSoDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(Alter, K).
;; 98
%poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=2, Star=0,  {FaSisDaSoDa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(Alter, K).
;; 99
%poti:2, bhanja:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {WiSisHuSisSoDa}  
[ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 100
%poti:2, bhanja:5, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {SisHuBroDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 101
%poti:2, bhanja:6, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {SisHuSisHuBroDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), daughter(Alter, K).


sala(Alter, Ego) :-  wife(A, Ego), brother(Alter, A).
                 |  [ext],  wife(A, Ego), generation[aux]20small(Alter, A), male(Alter).
                 |  [ext],  wife(A, Ego), brother(B, A), wife(C, B), brother(Alter, C).
{"WiBro_WiBroWiBro_WiFaBroSo_WiFaSisSo_WiMoBroSo_WiMoSisSo"}
;; 0
%sala:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiBro}  
 wife(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 1
%sala:1, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiBro}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 2
%sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiMoBroSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), male(Alter).
;; 3
%sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiMoSisSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), male(Alter).
;; 4
%sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiFaBroSo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), male(Alter).
;; 5
%sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiFaSisSo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), male(Alter).
;; 6
%sala:2, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiBroWiBro}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)), male(Alter).


salhaj(Alter, Ego) :-  sala(A, Ego), wife(Alter, A).
{"WiBroWi_WiBroWiBroWi_WiFaBroSoWi_WiFaSisSoWi_WiMoBroSoWi_WiMoSisSoWi"}
;; 0
%salhaj:0, sala:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {WiBroWi}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(Alter, D).
;; 1
%salhaj:0, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {WiBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(Alter, D).
;; 2
%salhaj:0, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoBroSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), wife(Alter, F).
;; 3
%salhaj:0, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoSisSoWi}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), wife(Alter, F).
;; 4
%salhaj:0, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaBroSoWi}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), wife(Alter, F).
;; 5
%salhaj:0, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaSisSoWi}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), wife(Alter, F).
;; 6
%salhaj:0, sala:2, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {WiBroWiBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(Alter, H).


sali(Alter, Ego) :-  wife(A, Ego), generation[aux]20small(Alter, A), female(Alter).
                 |  [ext],  male(Ego), brother(A, Ego), wife(B, A), sister(Alter, B).
{"BroWiSis_WiFaBroDa_WiFaSisDa_WiMoBroDa_WiMoSisDa_WiSis"}
;; 0
%sali:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiSis}  
 wife(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 1
%sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiMoBroDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), female(Alter).
;; 2
%sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiMoSisDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), female(Alter).
;; 3
%sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiFaBroDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), female(Alter).
;; 4
%sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiFaSisDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), female(Alter).
;; 5
%sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {BroWiSis}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).


sambeta(Alter, Ego) :-  children(A, Ego), spouse(B, A), brother(Alter, B).
{"DaHuBro_SoWiBro"}
;; 0
%sambeta:0, children:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SoWiBro}  
 son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 1
%sambeta:0, children:1, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {DaHuBro}  
 daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).


sambeti(Alter, Ego) :-  children(A, Ego), spouse(B, A), sister(Alter, B).
{"DaHuSis_SoWiSis"}
;; 0
%sambeti:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SoWiSis}  
 son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 1
%sambeti:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {DaHuSis}  
 daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).


samdhi(Alter, Ego) :-  jamai(A, Ego), father(Alter, A).
                   |   bahu(A, Ego), father(Alter, A).
{"BroDaDaHuFa_BroDaHuFa_BroDaSoWiFa_BroSoDaHuFa_BroSoSoWiFa_BroSoWiFa_BroWiBroDaHuFa_BroWiBroSoWiFa_BroWiBroWiBroDaHuFa_BroWiBroWiBroSoWiFa_BroWiBroWiBroWiFa_BroWiBroWiFa_BroWiSisDaDaHuFa_BroWiSisDaHuFa_BroWiSisDaSoWiFa_BroWiSisSoDaHuFa_BroWiSisSoSoWiFa_BroWiSisSoWiFa_DaDaHuFa_DaHuFa_DaSoWiFa_FaBroDaDaDaHuFa_FaBroDaDaHuFa_FaBroDaDaSoWiFa_FaBroDaSoDaHuFa_FaBroDaSoSoWiFa_FaBroDaSoWiFa_FaBroSoDaDaHuFa_FaBroSoDaHuFa_FaBroSoDaSoWiFa_FaBroSoSoDaHuFa_FaBroSoSoSoWiFa_FaBroSoSoWiFa_FaSisDaDaDaHuFa_FaSisDaDaHuFa_FaSisDaDaSoWiFa_FaSisDaSoDaHuFa_FaSisDaSoSoWiFa_FaSisDaSoWiFa_FaSisSoDaDaHuFa_FaSisSoDaHuFa_FaSisSoDaSoWiFa_FaSisSoSoDaHuFa_FaSisSoSoSoWiFa_FaSisSoSoWiFa_HuBroDaDaHuFa_HuBroDaHuFa_HuBroDaSoWiFa_HuBroSoDaHuFa_HuBroSoSoWiFa_HuBroSoWiFa_HuBroWiSisDaDaHuFa_HuBroWiSisDaHuFa_HuBroWiSisDaSoWiFa_HuBroWiSisSoDaHuFa_HuBroWiSisSoSoWiFa_HuBroWiSisSoWiFa_HuFaBroDaDaDaHuFa_HuFaBroDaDaHuFa_HuFaBroDaDaSoWiFa_HuFaBroDaSoDaHuFa_HuFaBroDaSoSoWiFa_HuFaBroDaSoWiFa_HuFaBroSoDaDaHuFa_HuFaBroSoDaHuFa_HuFaBroSoDaSoWiFa_HuFaBroSoSoDaHuFa_HuFaBroSoSoSoWiFa_HuFaBroSoSoWiFa_HuFaSisDaDaDaHuFa_HuFaSisDaDaHuFa_HuFaSisDaDaSoWiFa_HuFaSisDaSoDaHuFa_HuFaSisDaSoSoWiFa_HuFaSisDaSoWiFa_HuFaSisSoDaDaHuFa_HuFaSisSoDaHuFa_HuFaSisSoDaSoWiFa_HuFaSisSoSoDaHuFa_HuFaSisSoSoSoWiFa_HuFaSisSoSoWiFa_HuMoBroDaDaDaHuFa_HuMoBroDaDaHuFa_HuMoBroDaDaSoWiFa_HuMoBroDaSoDaHuFa_HuMoBroDaSoSoWiFa_HuMoBroDaSoWiFa_HuMoBroSoDaDaHuFa_HuMoBroSoDaHuFa_HuMoBroSoDaSoWiFa_HuMoBroSoSoDaHuFa_HuMoBroSoSoSoWiFa_HuMoBroSoSoWiFa_HuMoSisDaDaDaHuFa_HuMoSisDaDaHuFa_HuMoSisDaDaSoWiFa_HuMoSisDaSoDaHuFa_HuMoSisDaSoSoWiFa_HuMoSisDaSoWiFa_HuMoSisSoDaDaHuFa_HuMoSisSoDaHuFa_HuMoSisSoDaSoWiFa_HuMoSisSoSoDaHuFa_HuMoSisSoSoSoWiFa_HuMoSisSoSoWiFa_HuSisDaDaHuFa_HuSisDaHuFa_HuSisDaSoWiFa_HuSisHuBroDaDaHuFa_HuSisHuBroDaHuFa_HuSisHuBroDaSoWiFa_HuSisHuBroSoDaHuFa_HuSisHuBroSoSoWiFa_HuSisHuBroSoWiFa_HuSisSoDaHuFa_HuSisSoSoWiFa_HuSisSoWiFa_MoBroDaDaDaHuFa_MoBroDaDaHuFa_MoBroDaDaSoWiFa_MoBroDaSoDaHuFa_MoBroDaSoSoWiFa_MoBroDaSoWiFa_MoBroSoDaDaHuFa_MoBroSoDaHuFa_MoBroSoDaSoWiFa_MoBroSoSoDaHuFa_MoBroSoSoSoWiFa_MoBroSoSoWiFa_MoSisDaDaDaHuFa_MoSisDaDaHuFa_MoSisDaDaSoWiFa_MoSisDaSoDaHuFa_MoSisDaSoSoWiFa_MoSisDaSoWiFa_MoSisSoDaDaHuFa_MoSisSoDaHuFa_MoSisSoDaSoWiFa_MoSisSoSoDaHuFa_MoSisSoSoSoWiFa_MoSisSoSoWiFa_SisDaDaHuFa_SisDaHuFa_SisDaSoWiFa_SisHuBroDaDaHuFa_SisHuBroDaHuFa_SisHuBroDaSoWiFa_SisHuBroSoDaHuFa_SisHuBroSoSoWiFa_SisHuBroSoWiFa_SisHuBroWiFa_SisHuSisDaDaHuFa_SisHuSisDaHuFa_SisHuSisDaSoWiFa_SisHuSisHuBroDaHuFa_SisHuSisHuBroSoWiFa_SisHuSisHuBroWiFa_SisHuSisHuSisDaHuFa_SisHuSisHuSisSoWiFa_SisHuSisSoDaHuFa_SisHuSisSoSoWiFa_SisHuSisSoWiFa_SisSoDaHuFa_SisSoSoWiFa_SisSoWiFa_SoDaHuFa_SoSoWiFa_SoWiFa_WiBroDaDaHuFa_WiBroDaHuFa_WiBroDaSoWiFa_WiBroSoDaHuFa_WiBroSoSoWiFa_WiBroSoWiFa_WiBroWiSisDaDaHuFa_WiBroWiSisDaHuFa_WiBroWiSisDaSoWiFa_WiBroWiSisSoDaHuFa_WiBroWiSisSoSoWiFa_WiBroWiSisSoWiFa_WiFaBroDaDaDaHuFa_WiFaBroDaDaHuFa_WiFaBroDaDaSoWiFa_WiFaBroDaSoDaHuFa_WiFaBroDaSoSoWiFa_WiFaBroDaSoWiFa_WiFaBroSoDaDaHuFa_WiFaBroSoDaHuFa_WiFaBroSoDaSoWiFa_WiFaBroSoSoDaHuFa_WiFaBroSoSoSoWiFa_WiFaBroSoSoWiFa_WiFaSisDaDaDaHuFa_WiFaSisDaDaHuFa_WiFaSisDaDaSoWiFa_WiFaSisDaSoDaHuFa_WiFaSisDaSoSoWiFa_WiFaSisDaSoWiFa_WiFaSisSoDaDaHuFa_WiFaSisSoDaHuFa_WiFaSisSoDaSoWiFa_WiFaSisSoSoDaHuFa_WiFaSisSoSoSoWiFa_WiFaSisSoSoWiFa_WiMoBroDaDaDaHuFa_WiMoBroDaDaHuFa_WiMoBroDaDaSoWiFa_WiMoBroDaSoDaHuFa_WiMoBroDaSoSoWiFa_WiMoBroDaSoWiFa_WiMoBroSoDaDaHuFa_WiMoBroSoDaHuFa_WiMoBroSoDaSoWiFa_WiMoBroSoSoDaHuFa_WiMoBroSoSoSoWiFa_WiMoBroSoSoWiFa_WiMoSisDaDaDaHuFa_WiMoSisDaDaHuFa_WiMoSisDaDaSoWiFa_WiMoSisDaSoDaHuFa_WiMoSisDaSoSoWiFa_WiMoSisDaSoWiFa_WiMoSisSoDaDaHuFa_WiMoSisSoDaHuFa_WiMoSisSoDaSoWiFa_WiMoSisSoSoDaHuFa_WiMoSisSoSoSoWiFa_WiMoSisSoSoWiFa_WiSisDaDaHuFa_WiSisDaHuFa_WiSisDaSoWiFa_WiSisHuBroDaDaHuFa_WiSisHuBroDaHuFa_WiSisHuBroDaSoWiFa_WiSisHuBroSoDaHuFa_WiSisHuBroSoSoWiFa_WiSisHuBroSoWiFa_WiSisHuSisDaDaHuFa_WiSisHuSisDaHuFa_WiSisHuSisDaSoWiFa_WiSisHuSisSoDaHuFa_WiSisHuSisSoSoWiFa_WiSisHuSisSoWiFa_WiSisSoDaHuFa_WiSisSoSoWiFa_WiSisSoWiFa"}
;; 0
%samdhi:0, jamai:0, beti:0%
 Lvl=0,  PC=2, S=1, Star=0,  {DaHuFa}  
 daughter(A, Ego), husband(B, A), father(Alter, B).
;; 1
%samdhi:0, jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {BroDaHuFa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), husband(E, D), father(Alter, E).
;; 2
%samdhi:0, jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoBroSoDaHuFa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), husband(G, F), father(Alter, G).
;; 3
%samdhi:0, jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoSisSoDaHuFa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), husband(G, F), father(Alter, G).
;; 4
%samdhi:0, jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaBroSoDaHuFa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), husband(G, F), father(Alter, G).
;; 5
%samdhi:0, jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaSisSoDaHuFa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), husband(G, F), father(Alter, G).
;; 6
%samdhi:0, jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {BroWiSisDaHuFa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 7
%samdhi:0, jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuBroDaHuFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(F, E), father(Alter, F).
;; 8
%samdhi:0, jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoBroSoDaHuFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 9
%samdhi:0, jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoSisSoDaHuFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 10
%samdhi:0, jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaBroSoDaHuFa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 11
%samdhi:0, jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaSisSoDaHuFa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 12
%samdhi:0, jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {HuBroWiSisDaHuFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 13
%samdhi:0, jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiBroDaHuFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(F, E), father(Alter, F).
;; 14
%samdhi:0, jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoBroSoDaHuFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 15
%samdhi:0, jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoSisSoDaHuFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 16
%samdhi:0, jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaBroSoDaHuFa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 17
%samdhi:0, jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaSisSoDaHuFa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 18
%samdhi:0, jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {WiBroWiSisDaHuFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 19
%samdhi:0, jamai:1, bhatiji:2, sala:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiBroDaHuFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(F, E), father(Alter, F).
;; 20
%samdhi:0, jamai:1, bhatiji:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiBroDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(F, E), father(Alter, F).
;; 21
%samdhi:0, jamai:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoBroSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 22
%samdhi:0, jamai:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoSisSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 23
%samdhi:0, jamai:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaBroSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 24
%samdhi:0, jamai:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaSisSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 25
%samdhi:0, jamai:1, bhatiji:3, sala:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {BroDaHuFa}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(G, F), father(Alter, G).
;; 26
%samdhi:0, jamai:1, bhatiji:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {BroDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(G, F), father(Alter, G).
;; 27
%samdhi:0, jamai:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoBroSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 28
%samdhi:0, jamai:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoSisSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 29
%samdhi:0, jamai:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaBroSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 30
%samdhi:0, jamai:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaSisSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 31
%samdhi:0, jamai:1, bhatiji:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuBroDaHuFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), daughter(E, D), husband(F, E), father(Alter, F).
;; 32
%samdhi:0, jamai:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoBroSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 33
%samdhi:0, jamai:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoSisSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 34
%samdhi:0, jamai:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaBroSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 35
%samdhi:0, jamai:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaSisSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 36
%samdhi:0, jamai:1, bhatiji:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {BroDaHuFa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), daughter(F, E), husband(G, F), father(Alter, G).
;; 37
%samdhi:0, jamai:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoBroSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 38
%samdhi:0, jamai:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoSisSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 39
%samdhi:0, jamai:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaBroSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 40
%samdhi:0, jamai:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaSisSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 41
%samdhi:0, jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {SisDaHuFa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), husband(E, D), father(Alter, E).
;; 42
%samdhi:0, jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoBroDaDaHuFa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), husband(G, F), father(Alter, G).
;; 43
%samdhi:0, jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoSisDaDaHuFa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), husband(G, F), father(Alter, G).
;; 44
%samdhi:0, jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaBroDaDaHuFa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), husband(G, F), father(Alter, G).
;; 45
%samdhi:0, jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaSisDaDaHuFa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), husband(G, F), father(Alter, G).
;; 46
%samdhi:0, jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {SisHuBroDaHuFa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 47
%samdhi:0, jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuSisDaHuFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), husband(F, E), father(Alter, F).
;; 48
%samdhi:0, jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoBroDaDaHuFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 49
%samdhi:0, jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoSisDaDaHuFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 50
%samdhi:0, jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaBroDaDaHuFa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 51
%samdhi:0, jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaSisDaDaHuFa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 52
%samdhi:0, jamai:2, bhanji:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {HuSisHuBroDaHuFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 53
%samdhi:0, jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiSisDaHuFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), husband(F, E), father(Alter, F).
;; 54
%samdhi:0, jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoBroDaDaHuFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 55
%samdhi:0, jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoSisDaDaHuFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 56
%samdhi:0, jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaBroDaDaHuFa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 57
%samdhi:0, jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaSisDaDaHuFa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), husband(H, G), father(Alter, H).
;; 58
%samdhi:0, jamai:2, bhanji:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {WiSisHuBroDaHuFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 59
%samdhi:0, jamai:2, bhanji:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {SisDaHuFa}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), husband(G, F), father(Alter, G).
;; 60
%samdhi:0, jamai:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoBroDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 61
%samdhi:0, jamai:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoSisDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 62
%samdhi:0, jamai:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaBroDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 63
%samdhi:0, jamai:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaSisDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 64
%samdhi:0, jamai:2, bhanji:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {HuBroWiSisDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(J, I), father(Alter, J).
;; 65
%samdhi:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuSisDaHuFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 66
%samdhi:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuSisDaHuFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 67
%samdhi:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoBroDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), father(Alter, K).
;; 68
%samdhi:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoBroDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), father(Alter, K).
;; 69
%samdhi:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoSisDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), father(Alter, K).
;; 70
%samdhi:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoSisDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), father(Alter, K).
;; 71
%samdhi:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaBroDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), father(Alter, K).
;; 72
%samdhi:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaBroDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), father(Alter, K).
;; 73
%samdhi:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaSisDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), father(Alter, K).
;; 74
%samdhi:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaSisDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), father(Alter, K).
;; 75
%samdhi:0, jamai:2, bhanji:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {HuSisHuBroDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 76
%samdhi:0, jamai:2, bhanji:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {SisHuSisDaHuFa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 77
%samdhi:0, jamai:2, bhanji:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=14, S=3, Star=0,  {SisHuSisHuSisDaHuFa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), daughter(L, K), husband(M, L), father(Alter, M).
;; 78
%samdhi:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {SisDaHuFa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(J, I), father(Alter, J).
;; 79
%samdhi:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {SisDaHuFa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(J, I), father(Alter, J).
;; 80
%samdhi:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoBroDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), father(Alter, L).
;; 81
%samdhi:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoBroDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), father(Alter, L).
;; 82
%samdhi:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoSisDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), father(Alter, L).
;; 83
%samdhi:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoSisDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), father(Alter, L).
;; 84
%samdhi:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaBroDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), father(Alter, L).
;; 85
%samdhi:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaBroDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), father(Alter, L).
;; 86
%samdhi:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaSisDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), father(Alter, L).
;; 87
%samdhi:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaSisDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), father(Alter, L).
;; 88
%samdhi:0, jamai:2, bhanji:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {WiSisHuSisDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(J, I), father(Alter, J).
;; 89
%samdhi:0, jamai:3, poti:0%
 Lvl=-1,  PC=3, S=1, Star=0,  {SoDaHuFa}  
[ext],  son(A, Ego), daughter(B, A), husband(C, B), father(Alter, C).
;; 90
%samdhi:0, jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {BroSoDaHuFa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), daughter(E, D), husband(F, E), father(Alter, F).
;; 91
%samdhi:0, jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroSoSoDaHuFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 92
%samdhi:0, jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisSoSoDaHuFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 93
%samdhi:0, jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroSoSoDaHuFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 94
%samdhi:0, jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisSoSoDaHuFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 95
%samdhi:0, jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {BroWiSisSoDaHuFa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), son(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 96
%samdhi:0, jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroSoDaHuFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 97
%samdhi:0, jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 98
%samdhi:0, jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 99
%samdhi:0, jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 100
%samdhi:0, jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 101
%samdhi:0, jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuBroWiSisSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 102
%samdhi:0, jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroSoDaHuFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 103
%samdhi:0, jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 104
%samdhi:0, jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 105
%samdhi:0, jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 106
%samdhi:0, jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 107
%samdhi:0, jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiBroWiSisSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 108
%samdhi:0, jamai:3, poti:1, bhatija:2, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 109
%samdhi:0, jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 110
%samdhi:0, jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoSoDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 111
%samdhi:0, jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoSoDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 112
%samdhi:0, jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoSoDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 113
%samdhi:0, jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoSoDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 114
%samdhi:0, jamai:3, poti:1, bhatija:3, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 115
%samdhi:0, jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 116
%samdhi:0, jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoSoDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 117
%samdhi:0, jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoSoDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 118
%samdhi:0, jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoSoDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 119
%samdhi:0, jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoSoDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 120
%samdhi:0, jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), son(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 121
%samdhi:0, jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 122
%samdhi:0, jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 123
%samdhi:0, jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 124
%samdhi:0, jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 125
%samdhi:0, jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), son(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 126
%samdhi:0, jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 127
%samdhi:0, jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 128
%samdhi:0, jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 129
%samdhi:0, jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 130
%samdhi:0, jamai:3, poti:1, bhatija:6, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {BroWiBroDaHuFa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 131
%samdhi:0, jamai:3, poti:1, bhatija:7, brother:0, sibling:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=14, S=3, Star=0,  {BroWiBroWiBroDaHuFa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), daughter(L, K), husband(M, L), father(Alter, M).
;; 132
%samdhi:0, jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SisSoDaHuFa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), daughter(E, D), husband(F, E), father(Alter, F).
;; 133
%samdhi:0, jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroDaSoDaHuFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 134
%samdhi:0, jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisDaSoDaHuFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 135
%samdhi:0, jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroDaSoDaHuFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 136
%samdhi:0, jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisDaSoDaHuFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 137
%samdhi:0, jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisHuBroSoDaHuFa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), son(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 138
%samdhi:0, jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuSisSoDaHuFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 139
%samdhi:0, jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroDaSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 140
%samdhi:0, jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisDaSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 141
%samdhi:0, jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroDaSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 142
%samdhi:0, jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisDaSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 143
%samdhi:0, jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 144
%samdhi:0, jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiSisSoDaHuFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 145
%samdhi:0, jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroDaSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 146
%samdhi:0, jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisDaSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 147
%samdhi:0, jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroDaSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 148
%samdhi:0, jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisDaSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 149
%samdhi:0, jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiSisHuBroSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 150
%samdhi:0, jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {SisSoDaHuFa}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 151
%samdhi:0, jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 152
%samdhi:0, jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 153
%samdhi:0, jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 154
%samdhi:0, jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 155
%samdhi:0, jamai:3, poti:2, bhanja:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {HuBroWiSisSoDaHuFa}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 156
%samdhi:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 157
%samdhi:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisSoDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 158
%samdhi:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 159
%samdhi:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 160
%samdhi:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 161
%samdhi:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 162
%samdhi:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 163
%samdhi:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 164
%samdhi:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 165
%samdhi:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 166
%samdhi:0, jamai:3, poti:2, bhanja:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroSoDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 167
%samdhi:0, jamai:3, poti:2, bhanja:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {SisHuSisSoDaHuFa}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 168
%samdhi:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 169
%samdhi:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisSoDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 170
%samdhi:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 171
%samdhi:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 172
%samdhi:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 173
%samdhi:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 174
%samdhi:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 175
%samdhi:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 176
%samdhi:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 177
%samdhi:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 178
%samdhi:0, jamai:3, poti:2, bhanja:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {WiSisHuSisSoDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 179
%samdhi:0, jamai:3, poti:2, bhanja:5, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {SisHuBroDaHuFa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), husband(I, H), father(Alter, I).
;; 180
%samdhi:0, jamai:3, poti:2, bhanja:6, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=14, S=3, Star=0,  {SisHuSisHuBroDaHuFa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), daughter(L, K), husband(M, L), father(Alter, M).
;; 181
%samdhi:0, jamai:4, dhevti:0%
 Lvl=-1,  PC=3, S=1, Star=0,  {DaDaHuFa}  
[ext],  daughter(A, Ego), daughter(B, A), husband(C, B), father(Alter, C).
;; 182
%samdhi:0, jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {BroDaDaHuFa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), daughter(E, D), husband(F, E), father(Alter, F).
;; 183
%samdhi:0, jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroSoDaDaHuFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 184
%samdhi:0, jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisSoDaDaHuFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 185
%samdhi:0, jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroSoDaDaHuFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 186
%samdhi:0, jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisSoDaDaHuFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 187
%samdhi:0, jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {BroWiSisDaDaHuFa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), daughter(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 188
%samdhi:0, jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroDaDaHuFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 189
%samdhi:0, jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 190
%samdhi:0, jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 191
%samdhi:0, jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 192
%samdhi:0, jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 193
%samdhi:0, jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuBroWiSisDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 194
%samdhi:0, jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroDaDaHuFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 195
%samdhi:0, jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 196
%samdhi:0, jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 197
%samdhi:0, jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 198
%samdhi:0, jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 199
%samdhi:0, jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiBroWiSisDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 200
%samdhi:0, jamai:4, dhevti:1, bhatiji:2, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 201
%samdhi:0, jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 202
%samdhi:0, jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoDaDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 203
%samdhi:0, jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoDaDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 204
%samdhi:0, jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoDaDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 205
%samdhi:0, jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoDaDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 206
%samdhi:0, jamai:4, dhevti:1, bhatiji:3, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 207
%samdhi:0, jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 208
%samdhi:0, jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoDaDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 209
%samdhi:0, jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoDaDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 210
%samdhi:0, jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoDaDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 211
%samdhi:0, jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoDaDaHuFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 212
%samdhi:0, jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), daughter(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 213
%samdhi:0, jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 214
%samdhi:0, jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 215
%samdhi:0, jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 216
%samdhi:0, jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 217
%samdhi:0, jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), daughter(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 218
%samdhi:0, jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 219
%samdhi:0, jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 220
%samdhi:0, jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 221
%samdhi:0, jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 222
%samdhi:0, jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SisDaDaHuFa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), daughter(E, D), husband(F, E), father(Alter, F).
;; 223
%samdhi:0, jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroDaDaDaHuFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 224
%samdhi:0, jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisDaDaDaHuFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 225
%samdhi:0, jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroDaDaDaHuFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 226
%samdhi:0, jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisDaDaDaHuFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 227
%samdhi:0, jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisHuBroDaDaHuFa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), daughter(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 228
%samdhi:0, jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuSisDaDaHuFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 229
%samdhi:0, jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroDaDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 230
%samdhi:0, jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisDaDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 231
%samdhi:0, jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroDaDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 232
%samdhi:0, jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisDaDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 233
%samdhi:0, jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 234
%samdhi:0, jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiSisDaDaHuFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), husband(G, F), father(Alter, G).
;; 235
%samdhi:0, jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroDaDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 236
%samdhi:0, jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisDaDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 237
%samdhi:0, jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroDaDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 238
%samdhi:0, jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisDaDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), father(Alter, I).
;; 239
%samdhi:0, jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiSisHuBroDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 240
%samdhi:0, jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {SisDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), husband(H, G), father(Alter, H).
;; 241
%samdhi:0, jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 242
%samdhi:0, jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 243
%samdhi:0, jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 244
%samdhi:0, jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 245
%samdhi:0, jamai:4, dhevti:2, bhanji:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {HuBroWiSisDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 246
%samdhi:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 247
%samdhi:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisDaDaHuFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 248
%samdhi:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 249
%samdhi:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 250
%samdhi:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 251
%samdhi:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 252
%samdhi:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 253
%samdhi:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 254
%samdhi:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 255
%samdhi:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 256
%samdhi:0, jamai:4, dhevti:2, bhanji:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroDaDaHuFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), daughter(K, J), husband(L, K), father(Alter, L).
;; 257
%samdhi:0, jamai:4, dhevti:2, bhanji:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {SisHuSisDaDaHuFa}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(I, H), husband(J, I), father(Alter, J).
;; 258
%samdhi:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 259
%samdhi:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisDaDaHuFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 260
%samdhi:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 261
%samdhi:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 262
%samdhi:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 263
%samdhi:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 264
%samdhi:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 265
%samdhi:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 266
%samdhi:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 267
%samdhi:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), father(Alter, M).
;; 268
%samdhi:0, jamai:4, dhevti:2, bhanji:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {WiSisHuSisDaDaHuFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(J, I), husband(K, J), father(Alter, K).
;; 269
%samdhi:1, bahu:0, beta:0%
 Lvl=0,  PC=2, S=1, Star=0,  {SoWiFa}  
 son(A, Ego), wife(B, A), father(Alter, B).
;; 270
%samdhi:1, bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {BroSoWiFa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), wife(E, D), father(Alter, E).
;; 271
%samdhi:1, bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoBroSoSoWiFa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), wife(G, F), father(Alter, G).
;; 272
%samdhi:1, bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoSisSoSoWiFa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), wife(G, F), father(Alter, G).
;; 273
%samdhi:1, bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaBroSoSoWiFa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), wife(G, F), father(Alter, G).
;; 274
%samdhi:1, bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaSisSoSoWiFa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), wife(G, F), father(Alter, G).
;; 275
%samdhi:1, bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {BroWiSisSoWiFa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 276
%samdhi:1, bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuBroSoWiFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(F, E), father(Alter, F).
;; 277
%samdhi:1, bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoBroSoSoWiFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 278
%samdhi:1, bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoSisSoSoWiFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 279
%samdhi:1, bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaBroSoSoWiFa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 280
%samdhi:1, bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaSisSoSoWiFa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 281
%samdhi:1, bahu:1, bhatija:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {HuBroWiSisSoWiFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 282
%samdhi:1, bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiBroSoWiFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(F, E), father(Alter, F).
;; 283
%samdhi:1, bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoBroSoSoWiFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 284
%samdhi:1, bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoSisSoSoWiFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 285
%samdhi:1, bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaBroSoSoWiFa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 286
%samdhi:1, bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaSisSoSoWiFa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 287
%samdhi:1, bahu:1, bhatija:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {WiBroWiSisSoWiFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 288
%samdhi:1, bahu:1, bhatija:2, sala:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiBroSoWiFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(F, E), father(Alter, F).
;; 289
%samdhi:1, bahu:1, bhatija:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiBroSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(F, E), father(Alter, F).
;; 290
%samdhi:1, bahu:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoBroSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 291
%samdhi:1, bahu:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoSisSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 292
%samdhi:1, bahu:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaBroSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 293
%samdhi:1, bahu:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaSisSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 294
%samdhi:1, bahu:1, bhatija:3, sala:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {BroSoWiFa}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(G, F), father(Alter, G).
;; 295
%samdhi:1, bahu:1, bhatija:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {BroSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(G, F), father(Alter, G).
;; 296
%samdhi:1, bahu:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoBroSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), wife(I, H), father(Alter, I).
;; 297
%samdhi:1, bahu:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoSisSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), wife(I, H), father(Alter, I).
;; 298
%samdhi:1, bahu:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaBroSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), wife(I, H), father(Alter, I).
;; 299
%samdhi:1, bahu:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaSisSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), wife(I, H), father(Alter, I).
;; 300
%samdhi:1, bahu:1, bhatija:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuBroSoWiFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), son(E, D), wife(F, E), father(Alter, F).
;; 301
%samdhi:1, bahu:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoBroSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 302
%samdhi:1, bahu:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoSisSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 303
%samdhi:1, bahu:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaBroSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 304
%samdhi:1, bahu:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaSisSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), wife(H, G), father(Alter, H).
;; 305
%samdhi:1, bahu:1, bhatija:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {BroSoWiFa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), son(F, E), wife(G, F), father(Alter, G).
;; 306
%samdhi:1, bahu:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoBroSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), wife(I, H), father(Alter, I).
;; 307
%samdhi:1, bahu:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoSisSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), wife(I, H), father(Alter, I).
;; 308
%samdhi:1, bahu:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaBroSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), wife(I, H), father(Alter, I).
;; 309
%samdhi:1, bahu:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaSisSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), wife(I, H), father(Alter, I).
;; 310
%samdhi:1, bahu:1, bhatija:6, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {BroWiBroWiFa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), father(Alter, H).
;; 311
%samdhi:1, bahu:1, bhatija:7, brother:0, sibling:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {BroWiBroWiBroWiFa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), father(Alter, L).
;; 312
%samdhi:1, bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {SisSoWiFa}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), wife(E, D), father(Alter, E).
;; 313
%samdhi:1, bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoBroDaSoWiFa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), wife(G, F), father(Alter, G).
;; 314
%samdhi:1, bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoSisDaSoWiFa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), wife(G, F), father(Alter, G).
;; 315
%samdhi:1, bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaBroDaSoWiFa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), wife(G, F), father(Alter, G).
;; 316
%samdhi:1, bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaSisDaSoWiFa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), wife(G, F), father(Alter, G).
;; 317
%samdhi:1, bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {SisHuBroSoWiFa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 318
%samdhi:1, bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuSisSoWiFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), wife(F, E), father(Alter, F).
;; 319
%samdhi:1, bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoBroDaSoWiFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), wife(H, G), father(Alter, H).
;; 320
%samdhi:1, bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoSisDaSoWiFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), wife(H, G), father(Alter, H).
;; 321
%samdhi:1, bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaBroDaSoWiFa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), wife(H, G), father(Alter, H).
;; 322
%samdhi:1, bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaSisDaSoWiFa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), wife(H, G), father(Alter, H).
;; 323
%samdhi:1, bahu:2, bhanja:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {HuSisHuBroSoWiFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 324
%samdhi:1, bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiSisSoWiFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), wife(F, E), father(Alter, F).
;; 325
%samdhi:1, bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoBroDaSoWiFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), wife(H, G), father(Alter, H).
;; 326
%samdhi:1, bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoSisDaSoWiFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), wife(H, G), father(Alter, H).
;; 327
%samdhi:1, bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaBroDaSoWiFa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), wife(H, G), father(Alter, H).
;; 328
%samdhi:1, bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaSisDaSoWiFa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), wife(H, G), father(Alter, H).
;; 329
%samdhi:1, bahu:2, bhanja:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {WiSisHuBroSoWiFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 330
%samdhi:1, bahu:2, bhanja:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {SisSoWiFa}  
[ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(G, F), father(Alter, G).
;; 331
%samdhi:1, bahu:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoBroDaSoWiFa}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), wife(I, H), father(Alter, I).
;; 332
%samdhi:1, bahu:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoSisDaSoWiFa}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), wife(I, H), father(Alter, I).
;; 333
%samdhi:1, bahu:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaBroDaSoWiFa}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), wife(I, H), father(Alter, I).
;; 334
%samdhi:1, bahu:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaSisDaSoWiFa}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), wife(I, H), father(Alter, I).
;; 335
%samdhi:1, bahu:2, bhanja:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {HuBroWiSisSoWiFa}  
[ext], [ext], [ext],  spouse(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(J, I), father(Alter, J).
;; 336
%samdhi:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuSisSoWiFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), wife(I, H), father(Alter, I).
;; 337
%samdhi:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuSisSoWiFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), wife(I, H), father(Alter, I).
;; 338
%samdhi:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoBroDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), father(Alter, K).
;; 339
%samdhi:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoBroDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), father(Alter, K).
;; 340
%samdhi:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoSisDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), father(Alter, K).
;; 341
%samdhi:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoSisDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), father(Alter, K).
;; 342
%samdhi:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaBroDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), father(Alter, K).
;; 343
%samdhi:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaBroDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), father(Alter, K).
;; 344
%samdhi:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaSisDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), father(Alter, K).
;; 345
%samdhi:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaSisDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), father(Alter, K).
;; 346
%samdhi:1, bahu:2, bhanja:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {HuSisHuBroSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 347
%samdhi:1, bahu:2, bhanja:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {SisHuSisSoWiFa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), wife(I, H), father(Alter, I).
;; 348
%samdhi:1, bahu:2, bhanja:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=14, S=3, Star=0,  {SisHuSisHuSisSoWiFa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), son(L, K), wife(M, L), father(Alter, M).
;; 349
%samdhi:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {SisSoWiFa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(J, I), father(Alter, J).
;; 350
%samdhi:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {SisSoWiFa}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(J, I), father(Alter, J).
;; 351
%samdhi:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoBroDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), father(Alter, L).
;; 352
%samdhi:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoBroDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), father(Alter, L).
;; 353
%samdhi:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoSisDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), father(Alter, L).
;; 354
%samdhi:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoSisDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), father(Alter, L).
;; 355
%samdhi:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaBroDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), father(Alter, L).
;; 356
%samdhi:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaBroDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), father(Alter, L).
;; 357
%samdhi:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaSisDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), father(Alter, L).
;; 358
%samdhi:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaSisDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), father(Alter, L).
;; 359
%samdhi:1, bahu:2, bhanja:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {WiSisHuSisSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(J, I), father(Alter, J).
;; 360
%samdhi:1, bahu:2, bhanja:5, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {SisHuBroWiFa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), father(Alter, H).
;; 361
%samdhi:1, bahu:2, bhanja:6, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {SisHuSisHuBroWiFa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), father(Alter, L).
;; 362
%samdhi:1, bahu:3, pota:0%
 Lvl=-1,  PC=3, S=1, Star=0,  {SoSoWiFa}  
[ext],  son(A, Ego), son(B, A), wife(C, B), father(Alter, C).
;; 363
%samdhi:1, bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {BroSoSoWiFa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(E, D), wife(F, E), father(Alter, F).
;; 364
%samdhi:1, bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroSoSoSoWiFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 365
%samdhi:1, bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisSoSoSoWiFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 366
%samdhi:1, bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroSoSoSoWiFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 367
%samdhi:1, bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisSoSoSoWiFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 368
%samdhi:1, bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {BroWiSisSoSoWiFa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), son(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 369
%samdhi:1, bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroSoSoWiFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 370
%samdhi:1, bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 371
%samdhi:1, bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 372
%samdhi:1, bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 373
%samdhi:1, bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 374
%samdhi:1, bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuBroWiSisSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 375
%samdhi:1, bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroSoSoWiFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 376
%samdhi:1, bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 377
%samdhi:1, bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 378
%samdhi:1, bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 379
%samdhi:1, bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 380
%samdhi:1, bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiBroWiSisSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 381
%samdhi:1, bahu:3, pota:1, bhatija:2, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 382
%samdhi:1, bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 383
%samdhi:1, bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoSoSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 384
%samdhi:1, bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoSoSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 385
%samdhi:1, bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoSoSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 386
%samdhi:1, bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoSoSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 387
%samdhi:1, bahu:3, pota:1, bhatija:3, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 388
%samdhi:1, bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 389
%samdhi:1, bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoSoSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 390
%samdhi:1, bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoSoSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 391
%samdhi:1, bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoSoSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 392
%samdhi:1, bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoSoSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 393
%samdhi:1, bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), son(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 394
%samdhi:1, bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 395
%samdhi:1, bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 396
%samdhi:1, bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 397
%samdhi:1, bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 398
%samdhi:1, bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), son(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 399
%samdhi:1, bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 400
%samdhi:1, bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 401
%samdhi:1, bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 402
%samdhi:1, bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 403
%samdhi:1, bahu:3, pota:1, bhatija:6, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {BroWiBroSoWiFa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), wife(I, H), father(Alter, I).
;; 404
%samdhi:1, bahu:3, pota:1, bhatija:7, brother:0, sibling:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=14, S=3, Star=0,  {BroWiBroWiBroSoWiFa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), son(L, K), wife(M, L), father(Alter, M).
;; 405
%samdhi:1, bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SisSoSoWiFa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), son(E, D), wife(F, E), father(Alter, F).
;; 406
%samdhi:1, bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroDaSoSoWiFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 407
%samdhi:1, bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisDaSoSoWiFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 408
%samdhi:1, bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroDaSoSoWiFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 409
%samdhi:1, bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisDaSoSoWiFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 410
%samdhi:1, bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisHuBroSoSoWiFa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), son(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 411
%samdhi:1, bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuSisSoSoWiFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 412
%samdhi:1, bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroDaSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 413
%samdhi:1, bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisDaSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 414
%samdhi:1, bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroDaSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 415
%samdhi:1, bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisDaSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 416
%samdhi:1, bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 417
%samdhi:1, bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiSisSoSoWiFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 418
%samdhi:1, bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroDaSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 419
%samdhi:1, bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisDaSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 420
%samdhi:1, bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroDaSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 421
%samdhi:1, bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisDaSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 422
%samdhi:1, bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiSisHuBroSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 423
%samdhi:1, bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {SisSoSoWiFa}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 424
%samdhi:1, bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 425
%samdhi:1, bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 426
%samdhi:1, bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 427
%samdhi:1, bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 428
%samdhi:1, bahu:3, pota:2, bhanja:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {HuBroWiSisSoSoWiFa}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 429
%samdhi:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 430
%samdhi:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisSoSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 431
%samdhi:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 432
%samdhi:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 433
%samdhi:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 434
%samdhi:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 435
%samdhi:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 436
%samdhi:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 437
%samdhi:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 438
%samdhi:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 439
%samdhi:1, bahu:3, pota:2, bhanja:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroSoSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 440
%samdhi:1, bahu:3, pota:2, bhanja:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {SisHuSisSoSoWiFa}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 441
%samdhi:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 442
%samdhi:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisSoSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 443
%samdhi:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 444
%samdhi:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 445
%samdhi:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 446
%samdhi:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 447
%samdhi:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 448
%samdhi:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 449
%samdhi:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 450
%samdhi:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 451
%samdhi:1, bahu:3, pota:2, bhanja:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {WiSisHuSisSoSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 452
%samdhi:1, bahu:3, pota:2, bhanja:5, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {SisHuBroSoWiFa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), wife(I, H), father(Alter, I).
;; 453
%samdhi:1, bahu:3, pota:2, bhanja:6, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=14, S=3, Star=0,  {SisHuSisHuBroSoWiFa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), son(L, K), wife(M, L), father(Alter, M).
;; 454
%samdhi:1, bahu:4, dhevta:0%
 Lvl=-1,  PC=3, S=1, Star=0,  {DaSoWiFa}  
[ext],  daughter(A, Ego), son(B, A), wife(C, B), father(Alter, C).
;; 455
%samdhi:1, bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {BroDaSoWiFa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), son(E, D), wife(F, E), father(Alter, F).
;; 456
%samdhi:1, bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroSoDaSoWiFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 457
%samdhi:1, bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisSoDaSoWiFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 458
%samdhi:1, bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroSoDaSoWiFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 459
%samdhi:1, bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisSoDaSoWiFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 460
%samdhi:1, bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {BroWiSisDaSoWiFa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), daughter(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 461
%samdhi:1, bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroDaSoWiFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 462
%samdhi:1, bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 463
%samdhi:1, bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 464
%samdhi:1, bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 465
%samdhi:1, bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 466
%samdhi:1, bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuBroWiSisDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 467
%samdhi:1, bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroDaSoWiFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 468
%samdhi:1, bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 469
%samdhi:1, bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 470
%samdhi:1, bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 471
%samdhi:1, bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 472
%samdhi:1, bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiBroWiSisDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 473
%samdhi:1, bahu:4, dhevta:1, bhatiji:2, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 474
%samdhi:1, bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 475
%samdhi:1, bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoDaSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 476
%samdhi:1, bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoDaSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 477
%samdhi:1, bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoDaSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 478
%samdhi:1, bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoDaSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 479
%samdhi:1, bahu:4, dhevta:1, bhatiji:3, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 480
%samdhi:1, bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 481
%samdhi:1, bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoDaSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 482
%samdhi:1, bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoDaSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 483
%samdhi:1, bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoDaSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 484
%samdhi:1, bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoDaSoWiFa}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 485
%samdhi:1, bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), daughter(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 486
%samdhi:1, bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 487
%samdhi:1, bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 488
%samdhi:1, bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 489
%samdhi:1, bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 490
%samdhi:1, bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), daughter(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 491
%samdhi:1, bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 492
%samdhi:1, bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 493
%samdhi:1, bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 494
%samdhi:1, bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 495
%samdhi:1, bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SisDaSoWiFa}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), son(E, D), wife(F, E), father(Alter, F).
;; 496
%samdhi:1, bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroDaDaSoWiFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 497
%samdhi:1, bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisDaDaSoWiFa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 498
%samdhi:1, bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroDaDaSoWiFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 499
%samdhi:1, bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisDaDaSoWiFa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 500
%samdhi:1, bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisHuBroDaSoWiFa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), daughter(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 501
%samdhi:1, bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuSisDaSoWiFa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 502
%samdhi:1, bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroDaDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 503
%samdhi:1, bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisDaDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 504
%samdhi:1, bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroDaDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 505
%samdhi:1, bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisDaDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 506
%samdhi:1, bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 507
%samdhi:1, bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiSisDaSoWiFa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), wife(G, F), father(Alter, G).
;; 508
%samdhi:1, bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroDaDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 509
%samdhi:1, bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisDaDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 510
%samdhi:1, bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroDaDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 511
%samdhi:1, bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisDaDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), father(Alter, I).
;; 512
%samdhi:1, bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiSisHuBroDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 513
%samdhi:1, bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {SisDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), wife(H, G), father(Alter, H).
;; 514
%samdhi:1, bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 515
%samdhi:1, bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 516
%samdhi:1, bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 517
%samdhi:1, bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 518
%samdhi:1, bahu:4, dhevta:2, bhanji:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {HuBroWiSisDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 519
%samdhi:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 520
%samdhi:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisDaSoWiFa}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 521
%samdhi:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 522
%samdhi:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 523
%samdhi:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 524
%samdhi:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 525
%samdhi:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 526
%samdhi:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 527
%samdhi:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 528
%samdhi:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 529
%samdhi:1, bahu:4, dhevta:2, bhanji:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroDaSoWiFa}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), son(K, J), wife(L, K), father(Alter, L).
;; 530
%samdhi:1, bahu:4, dhevta:2, bhanji:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {SisHuSisDaSoWiFa}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(I, H), wife(J, I), father(Alter, J).
;; 531
%samdhi:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 532
%samdhi:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisDaSoWiFa}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(J, I), wife(K, J), father(Alter, K).
;; 533
%samdhi:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 534
%samdhi:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 535
%samdhi:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 536
%samdhi:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 537
%samdhi:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 538
%samdhi:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 539
%samdhi:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 540
%samdhi:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), father(Alter, M).
;; 541
%samdhi:1, bahu:4, dhevta:2, bhanji:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {WiSisHuSisDaSoWiFa}  
[ext], [ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(J, I), wife(K, J), father(Alter, K).


samdhin(Alter, Ego) :-  jamai(A, Ego), mother(Alter, A).
                    |   bahu(A, Ego), mother(Alter, A).
{"BroDaDaHuMo_BroDaHuMo_BroDaSoWiMo_BroSoDaHuMo_BroSoSoWiMo_BroSoWiMo_BroWiBroDaHuMo_BroWiBroSoWiMo_BroWiBroWiBroDaHuMo_BroWiBroWiBroSoWiMo_BroWiBroWiBroWiMo_BroWiBroWiMo_BroWiSisDaDaHuMo_BroWiSisDaHuMo_BroWiSisDaSoWiMo_BroWiSisSoDaHuMo_BroWiSisSoSoWiMo_BroWiSisSoWiMo_DaDaHuMo_DaHuMo_DaSoWiMo_FaBroDaDaDaHuMo_FaBroDaDaHuMo_FaBroDaDaSoWiMo_FaBroDaSoDaHuMo_FaBroDaSoSoWiMo_FaBroDaSoWiMo_FaBroSoDaDaHuMo_FaBroSoDaHuMo_FaBroSoDaSoWiMo_FaBroSoSoDaHuMo_FaBroSoSoSoWiMo_FaBroSoSoWiMo_FaSisDaDaDaHuMo_FaSisDaDaHuMo_FaSisDaDaSoWiMo_FaSisDaSoDaHuMo_FaSisDaSoSoWiMo_FaSisDaSoWiMo_FaSisSoDaDaHuMo_FaSisSoDaHuMo_FaSisSoDaSoWiMo_FaSisSoSoDaHuMo_FaSisSoSoSoWiMo_FaSisSoSoWiMo_HuBroDaDaHuMo_HuBroDaHuMo_HuBroDaSoWiMo_HuBroSoDaHuMo_HuBroSoSoWiMo_HuBroSoWiMo_HuBroWiSisDaDaHuMo_HuBroWiSisDaHuMo_HuBroWiSisDaSoWiMo_HuBroWiSisSoDaHuMo_HuBroWiSisSoSoWiMo_HuBroWiSisSoWiMo_HuFaBroDaDaDaHuMo_HuFaBroDaDaHuMo_HuFaBroDaDaSoWiMo_HuFaBroDaSoDaHuMo_HuFaBroDaSoSoWiMo_HuFaBroDaSoWiMo_HuFaBroSoDaDaHuMo_HuFaBroSoDaHuMo_HuFaBroSoDaSoWiMo_HuFaBroSoSoDaHuMo_HuFaBroSoSoSoWiMo_HuFaBroSoSoWiMo_HuFaSisDaDaDaHuMo_HuFaSisDaDaHuMo_HuFaSisDaDaSoWiMo_HuFaSisDaSoDaHuMo_HuFaSisDaSoSoWiMo_HuFaSisDaSoWiMo_HuFaSisSoDaDaHuMo_HuFaSisSoDaHuMo_HuFaSisSoDaSoWiMo_HuFaSisSoSoDaHuMo_HuFaSisSoSoSoWiMo_HuFaSisSoSoWiMo_HuMoBroDaDaDaHuMo_HuMoBroDaDaHuMo_HuMoBroDaDaSoWiMo_HuMoBroDaSoDaHuMo_HuMoBroDaSoSoWiMo_HuMoBroDaSoWiMo_HuMoBroSoDaDaHuMo_HuMoBroSoDaHuMo_HuMoBroSoDaSoWiMo_HuMoBroSoSoDaHuMo_HuMoBroSoSoSoWiMo_HuMoBroSoSoWiMo_HuMoSisDaDaDaHuMo_HuMoSisDaDaHuMo_HuMoSisDaDaSoWiMo_HuMoSisDaSoDaHuMo_HuMoSisDaSoSoWiMo_HuMoSisDaSoWiMo_HuMoSisSoDaDaHuMo_HuMoSisSoDaHuMo_HuMoSisSoDaSoWiMo_HuMoSisSoSoDaHuMo_HuMoSisSoSoSoWiMo_HuMoSisSoSoWiMo_HuSisDaDaHuMo_HuSisDaHuMo_HuSisDaSoWiMo_HuSisHuBroDaDaHuMo_HuSisHuBroDaHuMo_HuSisHuBroDaSoWiMo_HuSisHuBroSoDaHuMo_HuSisHuBroSoSoWiMo_HuSisHuBroSoWiMo_HuSisSoDaHuMo_HuSisSoSoWiMo_HuSisSoWiMo_MoBroDaDaDaHuMo_MoBroDaDaHuMo_MoBroDaDaSoWiMo_MoBroDaSoDaHuMo_MoBroDaSoSoWiMo_MoBroDaSoWiMo_MoBroSoDaDaHuMo_MoBroSoDaHuMo_MoBroSoDaSoWiMo_MoBroSoSoDaHuMo_MoBroSoSoSoWiMo_MoBroSoSoWiMo_MoSisDaDaDaHuMo_MoSisDaDaHuMo_MoSisDaDaSoWiMo_MoSisDaSoDaHuMo_MoSisDaSoSoWiMo_MoSisDaSoWiMo_MoSisSoDaDaHuMo_MoSisSoDaHuMo_MoSisSoDaSoWiMo_MoSisSoSoDaHuMo_MoSisSoSoSoWiMo_MoSisSoSoWiMo_SisDaDaHuMo_SisDaHuMo_SisDaSoWiMo_SisHuBroDaDaHuMo_SisHuBroDaHuMo_SisHuBroDaSoWiMo_SisHuBroSoDaHuMo_SisHuBroSoSoWiMo_SisHuBroSoWiMo_SisHuBroWiMo_SisHuSisDaDaHuMo_SisHuSisDaHuMo_SisHuSisDaSoWiMo_SisHuSisHuBroDaHuMo_SisHuSisHuBroSoWiMo_SisHuSisHuBroWiMo_SisHuSisHuSisDaHuMo_SisHuSisHuSisSoWiMo_SisHuSisSoDaHuMo_SisHuSisSoSoWiMo_SisHuSisSoWiMo_SisSoDaHuMo_SisSoSoWiMo_SisSoWiMo_SoDaHuMo_SoSoWiMo_SoWiMo_WiBroDaDaHuMo_WiBroDaHuMo_WiBroDaSoWiMo_WiBroSoDaHuMo_WiBroSoSoWiMo_WiBroSoWiMo_WiBroWiSisDaDaHuMo_WiBroWiSisDaHuMo_WiBroWiSisDaSoWiMo_WiBroWiSisSoDaHuMo_WiBroWiSisSoSoWiMo_WiBroWiSisSoWiMo_WiFaBroDaDaDaHuMo_WiFaBroDaDaHuMo_WiFaBroDaDaSoWiMo_WiFaBroDaSoDaHuMo_WiFaBroDaSoSoWiMo_WiFaBroDaSoWiMo_WiFaBroSoDaDaHuMo_WiFaBroSoDaHuMo_WiFaBroSoDaSoWiMo_WiFaBroSoSoDaHuMo_WiFaBroSoSoSoWiMo_WiFaBroSoSoWiMo_WiFaSisDaDaDaHuMo_WiFaSisDaDaHuMo_WiFaSisDaDaSoWiMo_WiFaSisDaSoDaHuMo_WiFaSisDaSoSoWiMo_WiFaSisDaSoWiMo_WiFaSisSoDaDaHuMo_WiFaSisSoDaHuMo_WiFaSisSoDaSoWiMo_WiFaSisSoSoDaHuMo_WiFaSisSoSoSoWiMo_WiFaSisSoSoWiMo_WiMoBroDaDaDaHuMo_WiMoBroDaDaHuMo_WiMoBroDaDaSoWiMo_WiMoBroDaSoDaHuMo_WiMoBroDaSoSoWiMo_WiMoBroDaSoWiMo_WiMoBroSoDaDaHuMo_WiMoBroSoDaHuMo_WiMoBroSoDaSoWiMo_WiMoBroSoSoDaHuMo_WiMoBroSoSoSoWiMo_WiMoBroSoSoWiMo_WiMoSisDaDaDaHuMo_WiMoSisDaDaHuMo_WiMoSisDaDaSoWiMo_WiMoSisDaSoDaHuMo_WiMoSisDaSoSoWiMo_WiMoSisDaSoWiMo_WiMoSisSoDaDaHuMo_WiMoSisSoDaHuMo_WiMoSisSoDaSoWiMo_WiMoSisSoSoDaHuMo_WiMoSisSoSoSoWiMo_WiMoSisSoSoWiMo_WiSisDaDaHuMo_WiSisDaHuMo_WiSisDaSoWiMo_WiSisHuBroDaDaHuMo_WiSisHuBroDaHuMo_WiSisHuBroDaSoWiMo_WiSisHuBroSoDaHuMo_WiSisHuBroSoSoWiMo_WiSisHuBroSoWiMo_WiSisHuSisDaDaHuMo_WiSisHuSisDaHuMo_WiSisHuSisDaSoWiMo_WiSisHuSisSoDaHuMo_WiSisHuSisSoSoWiMo_WiSisHuSisSoWiMo_WiSisSoDaHuMo_WiSisSoSoWiMo_WiSisSoWiMo"}
;; 0
%samdhin:0, jamai:0, beti:0%
 Lvl=0,  PC=2, S=1, Star=0,  {DaHuMo}  
 daughter(A, Ego), husband(B, A), mother(Alter, B).
;; 1
%samdhin:0, jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {BroDaHuMo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), husband(E, D), mother(Alter, E).
;; 2
%samdhin:0, jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoBroSoDaHuMo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), husband(G, F), mother(Alter, G).
;; 3
%samdhin:0, jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoSisSoDaHuMo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), husband(G, F), mother(Alter, G).
;; 4
%samdhin:0, jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaBroSoDaHuMo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), husband(G, F), mother(Alter, G).
;; 5
%samdhin:0, jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaSisSoDaHuMo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), husband(G, F), mother(Alter, G).
;; 6
%samdhin:0, jamai:1, bhatiji:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {BroWiSisDaHuMo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 7
%samdhin:0, jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuBroDaHuMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(F, E), mother(Alter, F).
;; 8
%samdhin:0, jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoBroSoDaHuMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 9
%samdhin:0, jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoSisSoDaHuMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 10
%samdhin:0, jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaBroSoDaHuMo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 11
%samdhin:0, jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaSisSoDaHuMo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 12
%samdhin:0, jamai:1, bhatiji:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {HuBroWiSisDaHuMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 13
%samdhin:0, jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiBroDaHuMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(F, E), mother(Alter, F).
;; 14
%samdhin:0, jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoBroSoDaHuMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 15
%samdhin:0, jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoSisSoDaHuMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 16
%samdhin:0, jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaBroSoDaHuMo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 17
%samdhin:0, jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaSisSoDaHuMo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 18
%samdhin:0, jamai:1, bhatiji:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {WiBroWiSisDaHuMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 19
%samdhin:0, jamai:1, bhatiji:2, sala:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiBroDaHuMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(F, E), mother(Alter, F).
;; 20
%samdhin:0, jamai:1, bhatiji:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiBroDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(F, E), mother(Alter, F).
;; 21
%samdhin:0, jamai:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoBroSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 22
%samdhin:0, jamai:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoSisSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 23
%samdhin:0, jamai:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaBroSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 24
%samdhin:0, jamai:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaSisSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 25
%samdhin:0, jamai:1, bhatiji:3, sala:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {BroDaHuMo}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(G, F), mother(Alter, G).
;; 26
%samdhin:0, jamai:1, bhatiji:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {BroDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(G, F), mother(Alter, G).
;; 27
%samdhin:0, jamai:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoBroSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 28
%samdhin:0, jamai:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoSisSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 29
%samdhin:0, jamai:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaBroSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 30
%samdhin:0, jamai:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaSisSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 31
%samdhin:0, jamai:1, bhatiji:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuBroDaHuMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), daughter(E, D), husband(F, E), mother(Alter, F).
;; 32
%samdhin:0, jamai:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoBroSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 33
%samdhin:0, jamai:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoSisSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 34
%samdhin:0, jamai:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaBroSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 35
%samdhin:0, jamai:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaSisSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 36
%samdhin:0, jamai:1, bhatiji:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {BroDaHuMo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), daughter(F, E), husband(G, F), mother(Alter, G).
;; 37
%samdhin:0, jamai:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoBroSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 38
%samdhin:0, jamai:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoSisSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 39
%samdhin:0, jamai:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaBroSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 40
%samdhin:0, jamai:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaSisSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 41
%samdhin:0, jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {SisDaHuMo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), husband(E, D), mother(Alter, E).
;; 42
%samdhin:0, jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoBroDaDaHuMo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), husband(G, F), mother(Alter, G).
;; 43
%samdhin:0, jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoSisDaDaHuMo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), husband(G, F), mother(Alter, G).
;; 44
%samdhin:0, jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaBroDaDaHuMo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), husband(G, F), mother(Alter, G).
;; 45
%samdhin:0, jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaSisDaDaHuMo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), husband(G, F), mother(Alter, G).
;; 46
%samdhin:0, jamai:2, bhanji:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {SisHuBroDaHuMo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 47
%samdhin:0, jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuSisDaHuMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), husband(F, E), mother(Alter, F).
;; 48
%samdhin:0, jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoBroDaDaHuMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 49
%samdhin:0, jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoSisDaDaHuMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 50
%samdhin:0, jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaBroDaDaHuMo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 51
%samdhin:0, jamai:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaSisDaDaHuMo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 52
%samdhin:0, jamai:2, bhanji:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {HuSisHuBroDaHuMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 53
%samdhin:0, jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiSisDaHuMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), husband(F, E), mother(Alter, F).
;; 54
%samdhin:0, jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoBroDaDaHuMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 55
%samdhin:0, jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoSisDaDaHuMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 56
%samdhin:0, jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaBroDaDaHuMo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 57
%samdhin:0, jamai:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaSisDaDaHuMo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), husband(H, G), mother(Alter, H).
;; 58
%samdhin:0, jamai:2, bhanji:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {WiSisHuBroDaHuMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 59
%samdhin:0, jamai:2, bhanji:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {SisDaHuMo}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), husband(G, F), mother(Alter, G).
;; 60
%samdhin:0, jamai:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoBroDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 61
%samdhin:0, jamai:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoSisDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 62
%samdhin:0, jamai:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaBroDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 63
%samdhin:0, jamai:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaSisDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 64
%samdhin:0, jamai:2, bhanji:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {HuBroWiSisDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(J, I), mother(Alter, J).
;; 65
%samdhin:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuSisDaHuMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 66
%samdhin:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuSisDaHuMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 67
%samdhin:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoBroDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), mother(Alter, K).
;; 68
%samdhin:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoBroDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), mother(Alter, K).
;; 69
%samdhin:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoSisDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), mother(Alter, K).
;; 70
%samdhin:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoSisDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), mother(Alter, K).
;; 71
%samdhin:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaBroDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), mother(Alter, K).
;; 72
%samdhin:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaBroDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), mother(Alter, K).
;; 73
%samdhin:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaSisDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), mother(Alter, K).
;; 74
%samdhin:0, jamai:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaSisDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), husband(K, J), mother(Alter, K).
;; 75
%samdhin:0, jamai:2, bhanji:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {HuSisHuBroDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 76
%samdhin:0, jamai:2, bhanji:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {SisHuSisDaHuMo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 77
%samdhin:0, jamai:2, bhanji:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=14, S=3, Star=0,  {SisHuSisHuSisDaHuMo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), daughter(L, K), husband(M, L), mother(Alter, M).
;; 78
%samdhin:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {SisDaHuMo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(J, I), mother(Alter, J).
;; 79
%samdhin:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {SisDaHuMo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(J, I), mother(Alter, J).
;; 80
%samdhin:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoBroDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), mother(Alter, L).
;; 81
%samdhin:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoBroDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), mother(Alter, L).
;; 82
%samdhin:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoSisDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), mother(Alter, L).
;; 83
%samdhin:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoSisDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), mother(Alter, L).
;; 84
%samdhin:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaBroDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), mother(Alter, L).
;; 85
%samdhin:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaBroDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), mother(Alter, L).
;; 86
%samdhin:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaSisDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), mother(Alter, L).
;; 87
%samdhin:0, jamai:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaSisDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), husband(L, K), mother(Alter, L).
;; 88
%samdhin:0, jamai:2, bhanji:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {WiSisHuSisDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), husband(J, I), mother(Alter, J).
;; 89
%samdhin:0, jamai:3, poti:0%
 Lvl=-1,  PC=3, S=1, Star=0,  {SoDaHuMo}  
[ext],  son(A, Ego), daughter(B, A), husband(C, B), mother(Alter, C).
;; 90
%samdhin:0, jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {BroSoDaHuMo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), daughter(E, D), husband(F, E), mother(Alter, F).
;; 91
%samdhin:0, jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroSoSoDaHuMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 92
%samdhin:0, jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisSoSoDaHuMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 93
%samdhin:0, jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroSoSoDaHuMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 94
%samdhin:0, jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisSoSoDaHuMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 95
%samdhin:0, jamai:3, poti:1, bhatija:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {BroWiSisSoDaHuMo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), son(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 96
%samdhin:0, jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroSoDaHuMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 97
%samdhin:0, jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 98
%samdhin:0, jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 99
%samdhin:0, jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 100
%samdhin:0, jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 101
%samdhin:0, jamai:3, poti:1, bhatija:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuBroWiSisSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 102
%samdhin:0, jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroSoDaHuMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 103
%samdhin:0, jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 104
%samdhin:0, jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 105
%samdhin:0, jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 106
%samdhin:0, jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 107
%samdhin:0, jamai:3, poti:1, bhatija:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiBroWiSisSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 108
%samdhin:0, jamai:3, poti:1, bhatija:2, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 109
%samdhin:0, jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 110
%samdhin:0, jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoSoDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 111
%samdhin:0, jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoSoDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 112
%samdhin:0, jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoSoDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 113
%samdhin:0, jamai:3, poti:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoSoDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 114
%samdhin:0, jamai:3, poti:1, bhatija:3, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 115
%samdhin:0, jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 116
%samdhin:0, jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoSoDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 117
%samdhin:0, jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoSoDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 118
%samdhin:0, jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoSoDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 119
%samdhin:0, jamai:3, poti:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoSoDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 120
%samdhin:0, jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), son(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 121
%samdhin:0, jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 122
%samdhin:0, jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 123
%samdhin:0, jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 124
%samdhin:0, jamai:3, poti:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 125
%samdhin:0, jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), son(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 126
%samdhin:0, jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 127
%samdhin:0, jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 128
%samdhin:0, jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 129
%samdhin:0, jamai:3, poti:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 130
%samdhin:0, jamai:3, poti:1, bhatija:6, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {BroWiBroDaHuMo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 131
%samdhin:0, jamai:3, poti:1, bhatija:7, brother:0, sibling:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=14, S=3, Star=0,  {BroWiBroWiBroDaHuMo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), daughter(L, K), husband(M, L), mother(Alter, M).
;; 132
%samdhin:0, jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SisSoDaHuMo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), daughter(E, D), husband(F, E), mother(Alter, F).
;; 133
%samdhin:0, jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroDaSoDaHuMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 134
%samdhin:0, jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisDaSoDaHuMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 135
%samdhin:0, jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroDaSoDaHuMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 136
%samdhin:0, jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisDaSoDaHuMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 137
%samdhin:0, jamai:3, poti:2, bhanja:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisHuBroSoDaHuMo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), son(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 138
%samdhin:0, jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuSisSoDaHuMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 139
%samdhin:0, jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroDaSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 140
%samdhin:0, jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisDaSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 141
%samdhin:0, jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroDaSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 142
%samdhin:0, jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisDaSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 143
%samdhin:0, jamai:3, poti:2, bhanja:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 144
%samdhin:0, jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiSisSoDaHuMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 145
%samdhin:0, jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroDaSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 146
%samdhin:0, jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisDaSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 147
%samdhin:0, jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroDaSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 148
%samdhin:0, jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisDaSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 149
%samdhin:0, jamai:3, poti:2, bhanja:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiSisHuBroSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 150
%samdhin:0, jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {SisSoDaHuMo}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 151
%samdhin:0, jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 152
%samdhin:0, jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 153
%samdhin:0, jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 154
%samdhin:0, jamai:3, poti:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 155
%samdhin:0, jamai:3, poti:2, bhanja:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {HuBroWiSisSoDaHuMo}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 156
%samdhin:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 157
%samdhin:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisSoDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 158
%samdhin:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 159
%samdhin:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 160
%samdhin:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 161
%samdhin:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 162
%samdhin:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 163
%samdhin:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 164
%samdhin:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 165
%samdhin:0, jamai:3, poti:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 166
%samdhin:0, jamai:3, poti:2, bhanja:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroSoDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 167
%samdhin:0, jamai:3, poti:2, bhanja:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {SisHuSisSoDaHuMo}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 168
%samdhin:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 169
%samdhin:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisSoDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 170
%samdhin:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 171
%samdhin:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 172
%samdhin:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 173
%samdhin:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 174
%samdhin:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 175
%samdhin:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 176
%samdhin:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 177
%samdhin:0, jamai:3, poti:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 178
%samdhin:0, jamai:3, poti:2, bhanja:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {WiSisHuSisSoDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 179
%samdhin:0, jamai:3, poti:2, bhanja:5, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {SisHuBroDaHuMo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), husband(I, H), mother(Alter, I).
;; 180
%samdhin:0, jamai:3, poti:2, bhanja:6, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=14, S=3, Star=0,  {SisHuSisHuBroDaHuMo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), daughter(L, K), husband(M, L), mother(Alter, M).
;; 181
%samdhin:0, jamai:4, dhevti:0%
 Lvl=-1,  PC=3, S=1, Star=0,  {DaDaHuMo}  
[ext],  daughter(A, Ego), daughter(B, A), husband(C, B), mother(Alter, C).
;; 182
%samdhin:0, jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {BroDaDaHuMo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), daughter(E, D), husband(F, E), mother(Alter, F).
;; 183
%samdhin:0, jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroSoDaDaHuMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 184
%samdhin:0, jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisSoDaDaHuMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 185
%samdhin:0, jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroSoDaDaHuMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 186
%samdhin:0, jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisSoDaDaHuMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 187
%samdhin:0, jamai:4, dhevti:1, bhatiji:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {BroWiSisDaDaHuMo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), daughter(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 188
%samdhin:0, jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroDaDaHuMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 189
%samdhin:0, jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 190
%samdhin:0, jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 191
%samdhin:0, jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 192
%samdhin:0, jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 193
%samdhin:0, jamai:4, dhevti:1, bhatiji:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuBroWiSisDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 194
%samdhin:0, jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroDaDaHuMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 195
%samdhin:0, jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 196
%samdhin:0, jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 197
%samdhin:0, jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 198
%samdhin:0, jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 199
%samdhin:0, jamai:4, dhevti:1, bhatiji:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiBroWiSisDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 200
%samdhin:0, jamai:4, dhevti:1, bhatiji:2, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 201
%samdhin:0, jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 202
%samdhin:0, jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoDaDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 203
%samdhin:0, jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoDaDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 204
%samdhin:0, jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoDaDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 205
%samdhin:0, jamai:4, dhevti:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoDaDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 206
%samdhin:0, jamai:4, dhevti:1, bhatiji:3, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 207
%samdhin:0, jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 208
%samdhin:0, jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoDaDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 209
%samdhin:0, jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoDaDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 210
%samdhin:0, jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoDaDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 211
%samdhin:0, jamai:4, dhevti:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoDaDaHuMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 212
%samdhin:0, jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), daughter(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 213
%samdhin:0, jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 214
%samdhin:0, jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 215
%samdhin:0, jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 216
%samdhin:0, jamai:4, dhevti:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 217
%samdhin:0, jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), daughter(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 218
%samdhin:0, jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 219
%samdhin:0, jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 220
%samdhin:0, jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 221
%samdhin:0, jamai:4, dhevti:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 222
%samdhin:0, jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SisDaDaHuMo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), daughter(E, D), husband(F, E), mother(Alter, F).
;; 223
%samdhin:0, jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroDaDaDaHuMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 224
%samdhin:0, jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisDaDaDaHuMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 225
%samdhin:0, jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroDaDaDaHuMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 226
%samdhin:0, jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisDaDaDaHuMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 227
%samdhin:0, jamai:4, dhevti:2, bhanji:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisHuBroDaDaHuMo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), daughter(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 228
%samdhin:0, jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuSisDaDaHuMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 229
%samdhin:0, jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroDaDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 230
%samdhin:0, jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisDaDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 231
%samdhin:0, jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroDaDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 232
%samdhin:0, jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisDaDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 233
%samdhin:0, jamai:4, dhevti:2, bhanji:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 234
%samdhin:0, jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiSisDaDaHuMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), husband(G, F), mother(Alter, G).
;; 235
%samdhin:0, jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroDaDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 236
%samdhin:0, jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisDaDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 237
%samdhin:0, jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroDaDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 238
%samdhin:0, jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisDaDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), daughter(H, G), husband(I, H), mother(Alter, I).
;; 239
%samdhin:0, jamai:4, dhevti:2, bhanji:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiSisHuBroDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 240
%samdhin:0, jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {SisDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), husband(H, G), mother(Alter, H).
;; 241
%samdhin:0, jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 242
%samdhin:0, jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 243
%samdhin:0, jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 244
%samdhin:0, jamai:4, dhevti:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 245
%samdhin:0, jamai:4, dhevti:2, bhanji:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {HuBroWiSisDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 246
%samdhin:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 247
%samdhin:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisDaDaHuMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 248
%samdhin:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 249
%samdhin:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 250
%samdhin:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 251
%samdhin:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 252
%samdhin:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 253
%samdhin:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 254
%samdhin:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 255
%samdhin:0, jamai:4, dhevti:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 256
%samdhin:0, jamai:4, dhevti:2, bhanji:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroDaDaHuMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), daughter(K, J), husband(L, K), mother(Alter, L).
;; 257
%samdhin:0, jamai:4, dhevti:2, bhanji:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {SisHuSisDaDaHuMo}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(I, H), husband(J, I), mother(Alter, J).
;; 258
%samdhin:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 259
%samdhin:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisDaDaHuMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 260
%samdhin:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 261
%samdhin:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 262
%samdhin:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 263
%samdhin:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 264
%samdhin:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 265
%samdhin:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 266
%samdhin:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 267
%samdhin:0, jamai:4, dhevti:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), daughter(L, K), husband(M, L), mother(Alter, M).
;; 268
%samdhin:0, jamai:4, dhevti:2, bhanji:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {WiSisHuSisDaDaHuMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(J, I), husband(K, J), mother(Alter, K).
;; 269
%samdhin:1, bahu:0, beta:0%
 Lvl=0,  PC=2, S=1, Star=0,  {SoWiMo}  
 son(A, Ego), wife(B, A), mother(Alter, B).
;; 270
%samdhin:1, bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {BroSoWiMo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), wife(E, D), mother(Alter, E).
;; 271
%samdhin:1, bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoBroSoSoWiMo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), wife(G, F), mother(Alter, G).
;; 272
%samdhin:1, bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoSisSoSoWiMo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), wife(G, F), mother(Alter, G).
;; 273
%samdhin:1, bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaBroSoSoWiMo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), wife(G, F), mother(Alter, G).
;; 274
%samdhin:1, bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaSisSoSoWiMo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), wife(G, F), mother(Alter, G).
;; 275
%samdhin:1, bahu:1, bhatija:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {BroWiSisSoWiMo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 276
%samdhin:1, bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuBroSoWiMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(F, E), mother(Alter, F).
;; 277
%samdhin:1, bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoBroSoSoWiMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 278
%samdhin:1, bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoSisSoSoWiMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 279
%samdhin:1, bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaBroSoSoWiMo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 280
%samdhin:1, bahu:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaSisSoSoWiMo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 281
%samdhin:1, bahu:1, bhatija:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {HuBroWiSisSoWiMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 282
%samdhin:1, bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiBroSoWiMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(F, E), mother(Alter, F).
;; 283
%samdhin:1, bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoBroSoSoWiMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 284
%samdhin:1, bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoSisSoSoWiMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 285
%samdhin:1, bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaBroSoSoWiMo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 286
%samdhin:1, bahu:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaSisSoSoWiMo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 287
%samdhin:1, bahu:1, bhatija:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {WiBroWiSisSoWiMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 288
%samdhin:1, bahu:1, bhatija:2, sala:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiBroSoWiMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(F, E), mother(Alter, F).
;; 289
%samdhin:1, bahu:1, bhatija:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiBroSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(F, E), mother(Alter, F).
;; 290
%samdhin:1, bahu:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoBroSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 291
%samdhin:1, bahu:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoSisSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 292
%samdhin:1, bahu:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaBroSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 293
%samdhin:1, bahu:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaSisSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 294
%samdhin:1, bahu:1, bhatija:3, sala:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {BroSoWiMo}  
[ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(G, F), mother(Alter, G).
;; 295
%samdhin:1, bahu:1, bhatija:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {BroSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(G, F), mother(Alter, G).
;; 296
%samdhin:1, bahu:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoBroSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), wife(I, H), mother(Alter, I).
;; 297
%samdhin:1, bahu:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoSisSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), wife(I, H), mother(Alter, I).
;; 298
%samdhin:1, bahu:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaBroSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), wife(I, H), mother(Alter, I).
;; 299
%samdhin:1, bahu:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaSisSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), wife(I, H), mother(Alter, I).
;; 300
%samdhin:1, bahu:1, bhatija:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuBroSoWiMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), son(E, D), wife(F, E), mother(Alter, F).
;; 301
%samdhin:1, bahu:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoBroSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 302
%samdhin:1, bahu:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoSisSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 303
%samdhin:1, bahu:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaBroSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 304
%samdhin:1, bahu:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaSisSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), wife(H, G), mother(Alter, H).
;; 305
%samdhin:1, bahu:1, bhatija:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {BroSoWiMo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), son(F, E), wife(G, F), mother(Alter, G).
;; 306
%samdhin:1, bahu:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoBroSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), wife(I, H), mother(Alter, I).
;; 307
%samdhin:1, bahu:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoSisSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), wife(I, H), mother(Alter, I).
;; 308
%samdhin:1, bahu:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaBroSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), wife(I, H), mother(Alter, I).
;; 309
%samdhin:1, bahu:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaSisSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), wife(I, H), mother(Alter, I).
;; 310
%samdhin:1, bahu:1, bhatija:6, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {BroWiBroWiMo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(Alter, H).
;; 311
%samdhin:1, bahu:1, bhatija:7, brother:0, sibling:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {BroWiBroWiBroWiMo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), mother(Alter, L).
;; 312
%samdhin:1, bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {SisSoWiMo}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), wife(E, D), mother(Alter, E).
;; 313
%samdhin:1, bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoBroDaSoWiMo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), wife(G, F), mother(Alter, G).
;; 314
%samdhin:1, bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoSisDaSoWiMo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), wife(G, F), mother(Alter, G).
;; 315
%samdhin:1, bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaBroDaSoWiMo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), wife(G, F), mother(Alter, G).
;; 316
%samdhin:1, bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaSisDaSoWiMo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), wife(G, F), mother(Alter, G).
;; 317
%samdhin:1, bahu:2, bhanja:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {SisHuBroSoWiMo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 318
%samdhin:1, bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuSisSoWiMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), wife(F, E), mother(Alter, F).
;; 319
%samdhin:1, bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoBroDaSoWiMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), wife(H, G), mother(Alter, H).
;; 320
%samdhin:1, bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoSisDaSoWiMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), wife(H, G), mother(Alter, H).
;; 321
%samdhin:1, bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaBroDaSoWiMo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), wife(H, G), mother(Alter, H).
;; 322
%samdhin:1, bahu:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaSisDaSoWiMo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), wife(H, G), mother(Alter, H).
;; 323
%samdhin:1, bahu:2, bhanja:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {HuSisHuBroSoWiMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 324
%samdhin:1, bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiSisSoWiMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), wife(F, E), mother(Alter, F).
;; 325
%samdhin:1, bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoBroDaSoWiMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), wife(H, G), mother(Alter, H).
;; 326
%samdhin:1, bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoSisDaSoWiMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), wife(H, G), mother(Alter, H).
;; 327
%samdhin:1, bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaBroDaSoWiMo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), wife(H, G), mother(Alter, H).
;; 328
%samdhin:1, bahu:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaSisDaSoWiMo}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), wife(H, G), mother(Alter, H).
;; 329
%samdhin:1, bahu:2, bhanja:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {WiSisHuBroSoWiMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 330
%samdhin:1, bahu:2, bhanja:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=6, S=3, Star=0,  {SisSoWiMo}  
[ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(G, F), mother(Alter, G).
;; 331
%samdhin:1, bahu:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoBroDaSoWiMo}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), wife(I, H), mother(Alter, I).
;; 332
%samdhin:1, bahu:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoSisDaSoWiMo}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), wife(I, H), mother(Alter, I).
;; 333
%samdhin:1, bahu:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaBroDaSoWiMo}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), wife(I, H), mother(Alter, I).
;; 334
%samdhin:1, bahu:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaSisDaSoWiMo}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), wife(I, H), mother(Alter, I).
;; 335
%samdhin:1, bahu:2, bhanja:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {HuBroWiSisSoWiMo}  
[ext], [ext], [ext],  spouse(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(J, I), mother(Alter, J).
;; 336
%samdhin:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuSisSoWiMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), wife(I, H), mother(Alter, I).
;; 337
%samdhin:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {HuSisSoWiMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), wife(I, H), mother(Alter, I).
;; 338
%samdhin:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoBroDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), mother(Alter, K).
;; 339
%samdhin:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoBroDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), mother(Alter, K).
;; 340
%samdhin:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoSisDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), mother(Alter, K).
;; 341
%samdhin:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuMoSisDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), mother(Alter, K).
;; 342
%samdhin:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaBroDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), mother(Alter, K).
;; 343
%samdhin:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaBroDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), mother(Alter, K).
;; 344
%samdhin:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaSisDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), mother(Alter, K).
;; 345
%samdhin:1, bahu:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=2, Star=0,  {HuFaSisDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), wife(K, J), mother(Alter, K).
;; 346
%samdhin:1, bahu:2, bhanja:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=4, Star=0,  {HuSisHuBroSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 347
%samdhin:1, bahu:2, bhanja:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {SisHuSisSoWiMo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), wife(I, H), mother(Alter, I).
;; 348
%samdhin:1, bahu:2, bhanja:3, nanad:5, sister:0, sibling:0, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=14, S=3, Star=0,  {SisHuSisHuSisSoWiMo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), female(K), son(L, K), wife(M, L), mother(Alter, M).
;; 349
%samdhin:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {SisSoWiMo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(J, I), mother(Alter, J).
;; 350
%samdhin:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {SisSoWiMo}  
[ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(J, I), mother(Alter, J).
;; 351
%samdhin:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoBroDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), mother(Alter, L).
;; 352
%samdhin:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoBroDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), mother(Alter, L).
;; 353
%samdhin:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoSisDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), mother(Alter, L).
;; 354
%samdhin:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {MoSisDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), mother(Alter, L).
;; 355
%samdhin:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaBroDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), mother(Alter, L).
;; 356
%samdhin:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaBroDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), mother(Alter, L).
;; 357
%samdhin:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaSisDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), mother(Alter, L).
;; 358
%samdhin:1, bahu:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=0,  PC=12, S=3, Star=0,  {FaSisDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), wife(L, K), mother(Alter, L).
;; 359
%samdhin:1, bahu:2, bhanja:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=3, Star=0,  {WiSisHuSisSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), wife(J, I), mother(Alter, J).
;; 360
%samdhin:1, bahu:2, bhanja:5, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=2, Star=0,  {SisHuBroWiMo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(Alter, H).
;; 361
%samdhin:1, bahu:2, bhanja:6, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=1,  PC=13, S=3, Star=0,  {SisHuSisHuBroWiMo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), wife(L, K), mother(Alter, L).
;; 362
%samdhin:1, bahu:3, pota:0%
 Lvl=-1,  PC=3, S=1, Star=0,  {SoSoWiMo}  
[ext],  son(A, Ego), son(B, A), wife(C, B), mother(Alter, C).
;; 363
%samdhin:1, bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {BroSoSoWiMo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(E, D), wife(F, E), mother(Alter, F).
;; 364
%samdhin:1, bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroSoSoSoWiMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 365
%samdhin:1, bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisSoSoSoWiMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 366
%samdhin:1, bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroSoSoSoWiMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), son(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 367
%samdhin:1, bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisSoSoSoWiMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), son(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 368
%samdhin:1, bahu:3, pota:1, bhatija:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {BroWiSisSoSoWiMo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), son(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 369
%samdhin:1, bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroSoSoWiMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 370
%samdhin:1, bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 371
%samdhin:1, bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 372
%samdhin:1, bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 373
%samdhin:1, bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 374
%samdhin:1, bahu:3, pota:1, bhatija:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuBroWiSisSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 375
%samdhin:1, bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroSoSoWiMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 376
%samdhin:1, bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 377
%samdhin:1, bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 378
%samdhin:1, bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 379
%samdhin:1, bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 380
%samdhin:1, bahu:3, pota:1, bhatija:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiBroWiSisSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), son(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 381
%samdhin:1, bahu:3, pota:1, bhatija:2, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 382
%samdhin:1, bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 383
%samdhin:1, bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoSoSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 384
%samdhin:1, bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoSoSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 385
%samdhin:1, bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoSoSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 386
%samdhin:1, bahu:3, pota:1, bhatija:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoSoSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 387
%samdhin:1, bahu:3, pota:1, bhatija:3, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 388
%samdhin:1, bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 389
%samdhin:1, bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoSoSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 390
%samdhin:1, bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoSoSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 391
%samdhin:1, bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoSoSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 392
%samdhin:1, bahu:3, pota:1, bhatija:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoSoSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 393
%samdhin:1, bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), son(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 394
%samdhin:1, bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 395
%samdhin:1, bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 396
%samdhin:1, bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 397
%samdhin:1, bahu:3, pota:1, bhatija:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 398
%samdhin:1, bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), son(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 399
%samdhin:1, bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 400
%samdhin:1, bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 401
%samdhin:1, bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 402
%samdhin:1, bahu:3, pota:1, bhatija:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 403
%samdhin:1, bahu:3, pota:1, bhatija:6, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {BroWiBroSoWiMo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), wife(I, H), mother(Alter, I).
;; 404
%samdhin:1, bahu:3, pota:1, bhatija:7, brother:0, sibling:0, brother:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=14, S=3, Star=0,  {BroWiBroWiBroSoWiMo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), son(L, K), wife(M, L), mother(Alter, M).
;; 405
%samdhin:1, bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SisSoSoWiMo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), son(E, D), wife(F, E), mother(Alter, F).
;; 406
%samdhin:1, bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroDaSoSoWiMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 407
%samdhin:1, bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisDaSoSoWiMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 408
%samdhin:1, bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroDaSoSoWiMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), son(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 409
%samdhin:1, bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisDaSoSoWiMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), son(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 410
%samdhin:1, bahu:3, pota:2, bhanja:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisHuBroSoSoWiMo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), son(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 411
%samdhin:1, bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuSisSoSoWiMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 412
%samdhin:1, bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroDaSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 413
%samdhin:1, bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisDaSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 414
%samdhin:1, bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroDaSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 415
%samdhin:1, bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisDaSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 416
%samdhin:1, bahu:3, pota:2, bhanja:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 417
%samdhin:1, bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiSisSoSoWiMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 418
%samdhin:1, bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroDaSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 419
%samdhin:1, bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisDaSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 420
%samdhin:1, bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroDaSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 421
%samdhin:1, bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisDaSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), son(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 422
%samdhin:1, bahu:3, pota:2, bhanja:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiSisHuBroSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 423
%samdhin:1, bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {SisSoSoWiMo}  
[ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 424
%samdhin:1, bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 425
%samdhin:1, bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 426
%samdhin:1, bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 427
%samdhin:1, bahu:3, pota:2, bhanja:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 428
%samdhin:1, bahu:3, pota:2, bhanja:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {HuBroWiSisSoSoWiMo}  
[ext], [ext], [ext], [ext],  spouse(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 429
%samdhin:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 430
%samdhin:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisSoSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 431
%samdhin:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 432
%samdhin:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 433
%samdhin:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 434
%samdhin:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 435
%samdhin:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 436
%samdhin:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 437
%samdhin:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 438
%samdhin:1, bahu:3, pota:2, bhanja:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 439
%samdhin:1, bahu:3, pota:2, bhanja:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroSoSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), son(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 440
%samdhin:1, bahu:3, pota:2, bhanja:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {SisHuSisSoSoWiMo}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 441
%samdhin:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 442
%samdhin:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisSoSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 443
%samdhin:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 444
%samdhin:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 445
%samdhin:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 446
%samdhin:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 447
%samdhin:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 448
%samdhin:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 449
%samdhin:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 450
%samdhin:1, bahu:3, pota:2, bhanja:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), son(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 451
%samdhin:1, bahu:3, pota:2, bhanja:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {WiSisHuSisSoSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 452
%samdhin:1, bahu:3, pota:2, bhanja:5, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=2, Star=0,  {SisHuBroSoWiMo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), wife(I, H), mother(Alter, I).
;; 453
%samdhin:1, bahu:3, pota:2, bhanja:6, sister:0, sibling:0, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=0,  PC=14, S=3, Star=0,  {SisHuSisHuBroSoWiMo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), mother(I, H), father(J, H), child(K, I), child(K, J), not(equal(K, H)), male(K), son(L, K), wife(M, L), mother(Alter, M).
;; 454
%samdhin:1, bahu:4, dhevta:0%
 Lvl=-1,  PC=3, S=1, Star=0,  {DaSoWiMo}  
[ext],  daughter(A, Ego), son(B, A), wife(C, B), mother(Alter, C).
;; 455
%samdhin:1, bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {BroDaSoWiMo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), son(E, D), wife(F, E), mother(Alter, F).
;; 456
%samdhin:1, bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroSoDaSoWiMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 457
%samdhin:1, bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisSoDaSoWiMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 458
%samdhin:1, bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroSoDaSoWiMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), male(E), daughter(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 459
%samdhin:1, bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisSoDaSoWiMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), male(E), daughter(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 460
%samdhin:1, bahu:4, dhevta:1, bhatiji:0, bhai:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {BroWiSisDaSoWiMo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(H, G), daughter(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 461
%samdhin:1, bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroDaSoWiMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 462
%samdhin:1, bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 463
%samdhin:1, bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 464
%samdhin:1, bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 465
%samdhin:1, bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 466
%samdhin:1, bahu:4, dhevta:1, bhatiji:1, spice:0, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuBroWiSisDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 467
%samdhin:1, bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroDaSoWiMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 468
%samdhin:1, bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 469
%samdhin:1, bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 470
%samdhin:1, bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 471
%samdhin:1, bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 472
%samdhin:1, bahu:4, dhevta:1, bhatiji:1, spice:1, bhai[aux]20gn:2, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiBroWiSisDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), husband(I, H), daughter(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 473
%samdhin:1, bahu:4, dhevta:1, bhatiji:2, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 474
%samdhin:1, bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiBroDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 475
%samdhin:1, bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroSoDaSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 476
%samdhin:1, bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisSoDaSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 477
%samdhin:1, bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroSoDaSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 478
%samdhin:1, bahu:4, dhevta:1, bhatiji:2, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisSoDaSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 479
%samdhin:1, bahu:4, dhevta:1, bhatiji:3, sala:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 480
%samdhin:1, bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 481
%samdhin:1, bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoDaSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 482
%samdhin:1, bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoDaSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 483
%samdhin:1, bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoDaSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 484
%samdhin:1, bahu:4, dhevta:1, bhatiji:3, sala:1, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoDaSoWiMo}  
[ext], [ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 485
%samdhin:1, bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuBroDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), male(D), daughter(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 486
%samdhin:1, bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroSoDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 487
%samdhin:1, bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisSoDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 488
%samdhin:1, bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroSoDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 489
%samdhin:1, bahu:4, dhevta:1, bhatiji:4, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisSoDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), elder(F, A), male(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 490
%samdhin:1, bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {BroDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), elder(E, B), male(E), daughter(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 491
%samdhin:1, bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroSoDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 492
%samdhin:1, bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisSoDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 493
%samdhin:1, bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroSoDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 494
%samdhin:1, bahu:4, dhevta:1, bhatiji:5, jeth:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisSoDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), elder(G, B), male(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 495
%samdhin:1, bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SisDaSoWiMo}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), son(E, D), wife(F, E), mother(Alter, F).
;; 496
%samdhin:1, bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoBroDaDaSoWiMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 497
%samdhin:1, bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoSisDaDaSoWiMo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 498
%samdhin:1, bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaBroDaDaSoWiMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), female(E), daughter(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 499
%samdhin:1, bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaSisDaDaSoWiMo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), female(E), daughter(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 500
%samdhin:1, bahu:4, dhevta:2, bhanji:0, bahen:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisHuBroDaSoWiMo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), daughter(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 501
%samdhin:1, bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {HuSisDaSoWiMo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 502
%samdhin:1, bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoBroDaDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 503
%samdhin:1, bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuMoSisDaDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 504
%samdhin:1, bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaBroDaDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 505
%samdhin:1, bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {HuFaSisDaDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 506
%samdhin:1, bahu:4, dhevta:2, bhanji:1, spice:0, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 507
%samdhin:1, bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {WiSisDaSoWiMo}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), wife(G, F), mother(Alter, G).
;; 508
%samdhin:1, bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoBroDaDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 509
%samdhin:1, bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiMoSisDaDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 510
%samdhin:1, bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaBroDaDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 511
%samdhin:1, bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {WiFaSisDaDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), daughter(G, F), son(H, G), wife(I, H), mother(Alter, I).
;; 512
%samdhin:1, bahu:4, dhevta:2, bhanji:1, spice:1, bahen[aux]20gn:1, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {WiSisHuBroDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 513
%samdhin:1, bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {SisDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), wife(H, G), mother(Alter, H).
;; 514
%samdhin:1, bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoBroDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 515
%samdhin:1, bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoSisDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 516
%samdhin:1, bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaBroDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), female(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 517
%samdhin:1, bahu:4, dhevta:2, bhanji:2, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {FaSisDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), wife(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), female(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 518
%samdhin:1, bahu:4, dhevta:2, bhanji:2, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {HuBroWiSisDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), male(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 519
%samdhin:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 520
%samdhin:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {HuSisDaSoWiMo}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 521
%samdhin:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 522
%samdhin:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoBroDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 523
%samdhin:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 524
%samdhin:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuMoSisDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 525
%samdhin:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 526
%samdhin:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaBroDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 527
%samdhin:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 528
%samdhin:1, bahu:4, dhevta:2, bhanji:3, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=2, Star=0,  {HuFaSisDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 529
%samdhin:1, bahu:4, dhevta:2, bhanji:3, nanad:2, sister:0, sibling:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=4, Star=0,  {HuSisHuBroDaSoWiMo}  
[ext], [ext], [ext], [ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), wife(I, H), daughter(J, I), son(K, J), wife(L, K), mother(Alter, L).
;; 530
%samdhin:1, bahu:4, dhevta:2, bhanji:3, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {SisHuSisDaSoWiMo}  
[ext], [ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(I, H), wife(J, I), mother(Alter, J).
;; 531
%samdhin:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:0, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 532
%samdhin:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:0, siblings:1, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {SisDaSoWiMo}  
[ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(J, I), wife(K, J), mother(Alter, K).
;; 533
%samdhin:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 534
%samdhin:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoBroDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 535
%samdhin:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 536
%samdhin:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {MoSisDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 537
%samdhin:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 538
%samdhin:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaBroDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 539
%samdhin:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 540
%samdhin:1, bahu:4, dhevta:2, bhanji:4, nanad:0, generation[aux]20smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=3, Star=0,  {FaSisDaDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), husband(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), daughter(K, J), son(L, K), wife(M, L), mother(Alter, M).
;; 541
%samdhin:1, bahu:4, dhevta:2, bhanji:4, nanad:3, sister:0, sibling:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=3, Star=0,  {WiSisHuSisDaSoWiMo}  
[ext], [ext], [ext], [ext],  wife(A, Ego), female(A), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(J, I), wife(K, J), mother(Alter, K).


sarhu(Alter, Ego) :-  sali(A, Ego), husband(Alter, A).
{"BroWiSisHu_WiFaBroDaHu_WiFaSisDaHu_WiMoBroDaHu_WiMoSisDaHu_WiSisHu"}
;; 0
%sarhu:0, sali:0, generation[aux]20small:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {WiSisHu}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(Alter, D).
;; 1
%sarhu:0, sali:0, generation[aux]20small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoBroDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), husband(Alter, F).
;; 2
%sarhu:0, sali:0, generation[aux]20small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoSisDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), husband(Alter, F).
;; 3
%sarhu:0, sali:0, generation[aux]20small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaBroDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), female(F), husband(Alter, F).
;; 4
%sarhu:0, sali:0, generation[aux]20small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaSisDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), female(F), husband(Alter, F).
;; 5
%sarhu:0, sali:1, brother:0, sibling:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=2, Star=0,  {BroWiSisHu}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), husband(Alter, G).


sas(Alter, Ego) :-  spice(A, Ego), mother(Alter, A).
{"HuMo_WiMo"}
;; 0
%sas:0, spice:0%
 Lvl=1,  PC=1, S=1, Star=0,  {HuMo}  
 husband(A, Ego), mother(Alter, A).
;; 1
%sas:0, spice:1%
 Lvl=1,  PC=1, S=1, Star=0,  {WiMo}  
 wife(A, Ego), mother(Alter, A).


sasur(Alter, Ego) :-  spice(A, Ego), father(Alter, A).
{"HuFa_WiFa"}
;; 0
%sasur:0, spice:0%
 Lvl=1,  PC=1, S=1, Star=0,  {HuFa}  
 husband(A, Ego), father(Alter, A).
;; 1
%sasur:0, spice:1%
 Lvl=1,  PC=1, S=1, Star=0,  {WiFa}  
 wife(A, Ego), father(Alter, A).


sibling(Alter, Ego) :-  mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 0
%sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).


siblings(Alter, Ego) :-  brother(Alter, Ego).
                     |   sister(Alter, Ego).
;; 0
%siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).


sister(Alter, Ego) :-  sibling(Alter, Ego), female(Alter).
;; 0
%sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).


spice(Alter, Ego) :-  husband(Alter, Ego).
                  |   wife(Alter, Ego).
;; 0
%spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(Alter, Ego).
;; 1
%spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(Alter, Ego).


step_brother(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
                         |   father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).
;; 0
%step_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
;; 1
%step_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).


step_daughter(Alter, Ego) :-  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).
;; 0
%step_daughter:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).


step_father(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).
;; 0
%step_father:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).


step_mother(Alter, Ego) :-  father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).
;; 0
%step_mother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).


step_sister(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
                        |   father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).
;; 0
%step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
;; 1
%step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).


step_son(Alter, Ego) :-  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).
;; 0
%step_son:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).


tai(Alter, Ego) :-  tau(A, Ego), wife(Alter, A).
{"FaBroWi_FaFaBroSoWi_FaFaFaBroDaSoWi_FaFaFaBroSoSoWi_FaFaFaSisDaSoWi_FaFaFaSisSoSoWi_FaFaMoBroDaSoWi_FaFaMoBroSoSoWi_FaFaMoSisDaSoWi_FaFaMoSisSoSoWi_FaFaSisSoWi_FaMoBroSoWi_FaMoFaBroDaSoWi_FaMoFaBroSoSoWi_FaMoFaSisDaSoWi_FaMoFaSisSoSoWi_FaMoMoBroDaSoWi_FaMoMoBroSoSoWi_FaMoMoSisDaSoWi_FaMoMoSisSoSoWi_FaMoSisSoWi"}
;; 0
%tai:0, tau:0, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaBroWi}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), elder(D, A), wife(Alter, D).
;; 1
%tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoBroSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), elder(F, A), wife(Alter, F).
;; 2
%tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoSisSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), elder(F, A), wife(Alter, F).
;; 3
%tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoBroSoSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 4
%tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoBroDaSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 5
%tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoSisSoSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 6
%tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoSisDaSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 7
%tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaBroSoSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 8
%tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaBroDaSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 9
%tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaSisSoSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 10
%tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaSisDaSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 11
%tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaBroSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), male(F), elder(F, A), wife(Alter, F).
;; 12
%tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaSisSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), male(F), elder(F, A), wife(Alter, F).
;; 13
%tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoBroSoSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 14
%tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoBroDaSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 15
%tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoSisSoSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 16
%tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoSisDaSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 17
%tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaBroSoSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 18
%tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaBroDaSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 19
%tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaSisSoSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).
;; 20
%tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaSisDaSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), male(H), elder(H, A), wife(Alter, H).


tau(Alter, Ego) :-  father(A, Ego), generation[aux]20(Alter, A), male(Alter), elder(Alter, A).
{"FaBro_FaFaBroSo_FaFaFaBroDaSo_FaFaFaBroSoSo_FaFaFaSisDaSo_FaFaFaSisSoSo_FaFaMoBroDaSo_FaFaMoBroSoSo_FaFaMoSisDaSo_FaFaMoSisSoSo_FaFaSisSo_FaMoBroSo_FaMoFaBroDaSo_FaMoFaBroSoSo_FaMoFaSisDaSo_FaMoFaSisSoSo_FaMoMoBroDaSo_FaMoMoBroSoSo_FaMoMoSisDaSo_FaMoMoSisSoSo_FaMoSisSo"}
;; 0
%tau:0, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaBro}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter), elder(Alter, A).
;; 1
%tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoBroSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), male(Alter), elder(Alter, A).
;; 2
%tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoSisSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), male(Alter), elder(Alter, A).
;; 3
%tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoBroSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 4
%tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoBroDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 5
%tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoSisSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 6
%tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoSisDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 7
%tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaBroSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 8
%tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaBroDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 9
%tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaSisSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 10
%tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaSisDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 11
%tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaBroSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), male(Alter), elder(Alter, A).
;; 12
%tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaSisSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), male(Alter), elder(Alter, A).
;; 13
%tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoBroSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 14
%tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoBroDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 15
%tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoSisSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 16
%tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoSisDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 17
%tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaBroSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 18
%tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaBroDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 19
%tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaSisSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter), elder(Alter, A).
;; 20
%tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaSisDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter), elder(Alter, A).


tayas(Alter, Ego) :-  spice(A, Ego), tai(Alter, A).
{"HuFaBroWi_HuFaFaBroSoWi_HuFaFaSisSoWi_HuFaMoBroSoWi_HuFaMoSisSoWi_WiFaBroWi_WiFaFaBroSoWi_WiFaFaSisSoWi_WiFaMoBroSoWi_WiFaMoSisSoWi"}
;; 0
%tayas:0, spice:0, tai:0, tau:0, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuFaBroWi}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), wife(Alter, E).
;; 1
%tayas:0, spice:0, tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaMoBroSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), elder(G, B), wife(Alter, G).
;; 2
%tayas:0, spice:0, tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaMoSisSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), elder(G, B), wife(Alter, G).
;; 3
%tayas:0, spice:0, tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaFaBroSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), elder(G, B), wife(Alter, G).
;; 4
%tayas:0, spice:0, tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaFaSisSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), elder(G, B), wife(Alter, G).
;; 5
%tayas:0, spice:1, tai:0, tau:0, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiFaBroWi}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), wife(Alter, E).
;; 6
%tayas:0, spice:1, tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaMoBroSoWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), elder(G, B), wife(Alter, G).
;; 7
%tayas:0, spice:1, tai:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaMoSisSoWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), elder(G, B), wife(Alter, G).
;; 8
%tayas:0, spice:1, tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaFaBroSoWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), male(G), elder(G, B), wife(Alter, G).
;; 9
%tayas:0, spice:1, tai:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaFaSisSoWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), male(G), elder(G, B), wife(Alter, G).


tayasara(Alter, Ego) :-  spice(A, Ego), tau(Alter, A).
{"HuFaBro_HuFaFaBroSo_HuFaFaSisSo_HuFaMoBroSo_HuFaMoSisSo_WiFaBro_WiFaFaBroSo_WiFaFaSisSo_WiFaMoBroSo_WiFaMoSisSo"}
;; 0
%tayasara:0, spice:0, tau:0, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuFaBro}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter), elder(Alter, B).
;; 1
%tayasara:0, spice:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter), elder(Alter, B).
;; 2
%tayasara:0, spice:0, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter), elder(Alter, B).
;; 3
%tayasara:0, spice:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaBroSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter), elder(Alter, B).
;; 4
%tayasara:0, spice:0, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaSisSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter), elder(Alter, B).
;; 5
%tayasara:0, spice:1, tau:0, generation[aux]20:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiFaBro}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter), elder(Alter, B).
;; 6
%tayasara:0, spice:1, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoBroSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter), elder(Alter, B).
;; 7
%tayasara:0, spice:1, tau:0, generation[aux]20:1, parents:0, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoSisSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter), elder(Alter, B).
;; 8
%tayasara:0, spice:1, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaBroSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter), elder(Alter, B).
;; 9
%tayasara:0, spice:1, tau:0, generation[aux]20:1, parents:1, generation[aux]20gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaSisSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter), elder(Alter, B).


wife_giver[aux]201(Alter, Ego) :-  brother(A, Ego), wife(B, A), sibling(Alter, B).
                               |   brother(A, Ego), wife(B, A), brother(C, B), wife_giver[aux]201(Alter, C).
;; 0
%wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 1
%wife_giver[aux]201:1, brother:0, sibling:0, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), male(J), wife(K, J), mother(L, K), father(M, K), child(Alter, L), child(Alter, M), not(equal(Alter, K)).


wife_giver[aux]202(Alter, Ego) :-  wife(A, Ego), sibling(Alter, A).
                               |   wife(A, Ego), brother(B, A), wife_giver[aux]201(Alter, B).
;; 0
%wife_giver[aux]202:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 1
%wife_giver[aux]202:1, brother:0, sibling:0, wife_giver[aux]201:0, brother:0, sibling:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), wife(H, G), mother(I, H), father(J, H), child(Alter, I), child(Alter, J), not(equal(Alter, H)).


wife_taker[aux]201(Alter, Ego) :-  sister(A, Ego), husband(B, A), sibling(Alter, B).
                               |   sister(A, Ego), husband(B, A), sister(C, B), wife_taker[aux]201(Alter, C).
;; 0
%wife_taker[aux]201:0, sister:0, sibling:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 1
%wife_taker[aux]201:1, sister:0, sibling:0, sister:0, sibling:0, wife_taker[aux]201:0, sister:0, sibling:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(H, G), father(I, G), child(J, H), child(J, I), not(equal(J, G)), female(J), husband(K, J), mother(L, K), father(M, K), child(Alter, L), child(Alter, M), not(equal(Alter, K)).


wife_taker[aux]202(Alter, Ego) :-  husband(A, Ego), sibling(Alter, A).
                               |   husband(A, Ego), sibling(B, A), wife_taker[aux]202(Alter, B).
;; 0
%wife_taker[aux]202:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 1
%wife_taker[aux]202:1, sibling:0, wife_taker[aux]202:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), husband(E, D), mother(F, E), father(G, E), child(Alter, F), child(Alter, G), not(equal(Alter, E)).

