;;  Horn Clause Representation of Omaha-19 Kinship Term-of-Reference Rules

;;  The following 'header' gives some basic parameters of this kinship system:
(languageName, "Omaha-19") (author, "L. H. Morgan") (date, "1871-01-01") (citation, "Lewis H. Morgan SYSTEMS OF CONSANGUINITY AND AFFINITY OF THE HUMAN FAMILY, 1871 (reprint 1997), University of Nebraska Press, Lincoln") 
(non_term, [aux], [eq], brother, children, half_brother, half_sister, parents, sibling, siblings, sister, spice, step_brother, step_daughter, step_father, step_mother, step_sister, step_son) (partial, false) (polygamyOK, false) (address, false) (recursiveLevels, 2)
(overlaps, (enaha, (weetushpa)), (indade, (weetushpa)), (weeha, (weetonga, weezontha)), (weenagee, (weetega, weetushpa, wetaha)), (weesonga, (weetushpa, weetenoo, weezhetha)), (weetega, (weenagee, wetaha)), (weetenoo, (weesonga, weetushpa)), (weetonga, (weeha, weetushpa, weezontha)), (weetushpa, (enaha, indade, weenagee, weesonga, weetenoo, weetonga, weezhetha, weezontha, wenisse, wetezha, wetoanska, wezhinga, wezhunga)), (weezhetha, (weesonga, weetushpa)), (weezontha, (weeha, weetonga, weetushpa)), (wenisse, (weetushpa, wezhinga)), (wetada, (wetonda)), (wetaha, (weenagee, weetega)), (wetezha, (weetushpa)), (wetoanska, (weetushpa)), (wetonda, (wetada)), (wezhinga, (weetushpa, wenisse)), (wezhunga, (weetushpa)))


;;  Kin Term Definitions:
;;	(Standard Macros are automatically incorporated.)

asheahga(Alter, Ego) :-  wife(A, Ego), father(Alter, A).
{"WiFa"}
;; 0
%asheahga:0%
 Lvl=1,  PC=1, S=1, Star=0,  {WiFa}  
 wife(A, Ego), father(Alter, A).


bro_pump[aux]35(Alter, Ego) :-  brother[eq](Alter, Ego).
                            |   bro_pump[aux]35(A, Ego), son(Alter, A).
;; 0
%bro_pump[aux]35:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 2
%bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 3
%bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 4
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(Alter, F).
;; 6
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 7
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), not(equal(J, A)), son(Alter, J).
;; 8
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), not(equal(J, A)), son(Alter, J).
;; 9
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), son(Alter, I).
;; 10
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 11
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 12
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 13
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(Alter, G).
;; 14
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 15
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(Alter, F).
;; 16
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(Alter, F).
;; 17
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 18
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E).
;; 19
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(Alter, G).
;; 20
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(Alter, G).
;; 21
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(Alter, F).
;; 22
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 23
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 24
%bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 25
%bro_pump[aux]35:0, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
;; 26
%bro_pump[aux]35:0, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).
;; 27
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(Alter, C).
;; 28
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(Alter, E).
;; 29
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(Alter, G).
;; 30
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(Alter, G).
;; 31
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(Alter, E).
;; 32
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(Alter, G).
;; 33
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 34
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), son(J, I), son(Alter, J).
;; 35
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 36
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 37
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 38
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(Alter, H).
;; 39
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 40
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(Alter, G).
;; 41
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(Alter, G).
;; 42
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(Alter, G).
;; 43
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(Alter, F).
;; 44
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 45
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 46
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 47
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 48
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), son(Alter, E).
;; 49
%bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), son(Alter, E).
;; 50
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(Alter, D).
;; 51
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(Alter, F).
;; 52
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 53
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 54
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(Alter, F).
;; 55
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(H, G), son(Alter, H).
;; 56
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 57
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 58
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 59
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 60
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(I, H), son(Alter, I).
;; 61
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 62
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), son(Alter, H).
;; 63
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), son(Alter, H).
;; 64
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 65
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), son(Alter, G).
;; 66
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 67
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), son(F, E), son(Alter, F).
;; 68
%bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), son(F, E), son(Alter, F).


brother(Alter, Ego) :-  sibling(Alter, Ego), male(Alter).
;; 0
%brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).


brother[eq](Alter, Ego) :-  brother(Alter, Ego).
                        |   father(A, Ego), brother[eq]a(B, A), son(Alter, B).
                        |   mother(A, Ego), sister[eq]1(B, A), son(Alter, B).
                        |   step_brother(Alter, Ego).
;; 0
%brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 2
%brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 3
%brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 4
%brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(Alter, F).
;; 6
%brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 7
%brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), not(equal(J, A)), son(Alter, J).
;; 8
%brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), not(equal(J, A)), son(Alter, J).
;; 9
%brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), son(Alter, I).
;; 10
%brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 11
%brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 12
%brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 13
%brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(Alter, G).
;; 14
%brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 15
%brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(Alter, F).
;; 16
%brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(Alter, F).
;; 17
%brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 18
%brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E).
;; 19
%brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(Alter, G).
;; 20
%brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(Alter, G).
;; 21
%brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(Alter, F).
;; 22
%brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 23
%brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 24
%brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 25
%brother[eq]:3, step_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
;; 26
%brother[eq]:3, step_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).


brother[eq]1(Alter, Ego) :-  brother[eq](Alter, Ego).
                         |   brother[eq]1a(A, Ego), son(Alter, A).
;; 0
%brother[eq]1:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%brother[eq]1:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 2
%brother[eq]1:0, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 3
%brother[eq]1:0, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 4
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(Alter, F).
;; 6
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 7
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), not(equal(J, A)), son(Alter, J).
;; 8
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), not(equal(J, A)), son(Alter, J).
;; 9
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), son(Alter, I).
;; 10
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 11
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 12
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 13
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(Alter, G).
;; 14
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 15
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(Alter, F).
;; 16
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(Alter, F).
;; 17
%brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 18
%brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E).
;; 19
%brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(Alter, G).
;; 20
%brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(Alter, G).
;; 21
%brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(Alter, F).
;; 22
%brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 23
%brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 24
%brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 25
%brother[eq]1:0, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
;; 26
%brother[eq]1:0, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).
;; 27
%brother[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(Alter, C).
;; 28
%brother[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(Alter, E).
;; 29
%brother[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(Alter, E).
;; 30
%brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(Alter, D).
;; 31
%brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(Alter, F).
;; 32
%brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(Alter, F).
;; 33
%brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(E, D), son(Alter, E).
;; 34
%brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(G, F), son(Alter, G).
;; 35
%brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(G, F), son(Alter, G).


brother[eq]1a(Alter, Ego) :-  brother[eq]a(Alter, Ego).
                          |   brother[eq]1a(A, Ego), son(Alter, A).
;; 0
%brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 2
%brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 3
%brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(Alter, C).
;; 4
%brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(Alter, E).
;; 5
%brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(Alter, E).
;; 6
%brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(Alter, D).
;; 7
%brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(Alter, F).
;; 8
%brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(Alter, F).


brother[eq]a(Alter, Ego) :-  brother(Alter, Ego).
                         |   father(A, Ego), brother(B, A), son(Alter, B).
                         |   mother(A, Ego), sister(B, A), son(Alter, B).
;; 0
%brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 2
%brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).


children(Alter, Ego) :-  son(Alter, Ego).
                     |   daughter(Alter, Ego).
;; 0
%children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(Alter, Ego).
;; 1
%children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(Alter, Ego).


enaha(Alter, Ego) :-  mother[eq](Alter, Ego).
                  |   mother(A, Ego), mother(B, A), brother[eq]1(C, B), son(D, C), daughter(Alter, D).
{"FaBroWi_FaFaBroSoWi_FaFaFaBroSoSoWi_FaFaMoSisSoSoWi_FaMoBroDaSoWi_FaMoBroSoDaSoWi_FaMoFaBroDaSoWi_FaMoMoBroDaDaSoWi_FaMoMoMoSisDaDaSoWi_FaMoMoSisDaSoWi_FaMoMoStsisDaSoWi_FaMoSisSoWi_FaMoStsisSoWi_FaStbroWi_Mo_MoBroDa_MoBroSoDa_MoBroSoSoDa_MoFaBroDa_MoFaBroSoDa_MoFaBroSoSoDa_MoFaBroSoSoSoDa_MoMoBroDaDa_MoMoBroSoDa_MoMoBroSoDaDa_MoMoBroSoSoDa_MoMoBroSoSoSoDa_MoMoFaBroDaDa_MoMoFaBroSoSoDa_MoMoMoBroDaDaDa_MoMoMoMoSisDaSoSoDa_MoMoMoSisDaDa_MoMoMoSisSoSoDa_MoMoMoStsisDaDa_MoMoMoStsisSoSoDa_MoMoSisDa_MoMoSisSoDa_MoMoSisSoSoDa_MoMoSisSoSoSoDa_MoMoStbroSoDa_MoMoStsisDa_MoSis_MoStsis_Stmo"}
;; 0
%enaha:0, mother[eq]:0, father[eq]:0%
 Lvl=1,  PC=1, S=1, Star=0,  {Mo}  
 father(A, Ego), wife(Alter, A).
;; 1
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaBroWi}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(Alter, D).
;; 2
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaBroSoWi}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(Alter, F).
;; 3
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaBroSoSoWi}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 4
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoSisSoSoWi}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), wife(Alter, H).
;; 5
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoSisSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(Alter, F).
;; 6
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoSisDaSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(H, G), wife(Alter, H).
;; 7
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=11, S=1, Star=0,  {FaMoMoMoSisDaDaSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(I, H), not(equal(I, B)), son(J, I), wife(Alter, J).
;; 8
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=9, S=3, Star=0,  {FaMoMoStsisDaSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), wife(Alter, J).
;; 9
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=9, S=3, Star=0,  {FaMoMoStsisDaSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), wife(Alter, J).
;; 10
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {FaMoMoBroDaDaSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(I, H), wife(Alter, I).
;; 11
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=7, S=3, Star=0,  {FaMoStsisSoWi}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(H, G), wife(Alter, H).
;; 12
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=7, S=3, Star=0,  {FaMoStsisSoWi}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(H, G), wife(Alter, H).
;; 13
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaBroDaSoWi}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 14
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoBroDaSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 15
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaMoBroSoDaSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), wife(Alter, H).
;; 16
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:3, step_brother:0%
 Lvl=1,  PC=5, S=3, Star=0,  {FaStbroWi}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), son(F, E), son(F, D), wife(Alter, F).
;; 17
%enaha:0, mother[eq]:0, father[eq]:1, brother[eq]:3, step_brother:1%
 Lvl=1,  PC=5, S=3, Star=0,  {FaStbroWi}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), son(F, E), son(F, D), wife(Alter, F).
;; 18
%enaha:0, mother[eq]:0, father[eq]:2, step_father:0%
 Lvl=1,  PC=2, S=2, Star=0,  {Mo}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(Alter, C).
;; 19
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoSis}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 20
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoSisDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E), not(equal(Alter, A)).
;; 21
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoSisDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(Alter, G), not(equal(Alter, A)).
;; 22
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=9, S=2, Star=0,  {MoMoMoStsisDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(Alter, I), not(equal(Alter, A)).
;; 23
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=9, S=2, Star=0,  {MoMoMoStsisDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(Alter, I), not(equal(Alter, A)).
;; 24
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(Alter, H), not(equal(Alter, A)).
;; 25
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=7, S=2, Star=0,  {MoMoStsisDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(Alter, G), not(equal(Alter, A)).
;; 26
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=7, S=2, Star=0,  {MoMoStsisDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(Alter, G), not(equal(Alter, A)).
;; 27
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaBroDaDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G), not(equal(Alter, A)).
;; 28
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F), not(equal(Alter, A)).
;; 29
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, A)).
;; 30
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=5, S=2, Star=0,  {MoStsis}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(Alter, E), daughter(Alter, D).
;; 31
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=5, S=2, Star=0,  {MoStsis}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(Alter, E), daughter(Alter, D).
;; 32
%enaha:0, mother[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaBroDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 33
%enaha:0, mother[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 34
%enaha:0, mother[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 35
%enaha:0, mother[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 36
%enaha:0, mother[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(Alter, E).
;; 37
%enaha:0, mother[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(Alter, G).
;; 38
%enaha:0, mother[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(Alter, G).
;; 39
%enaha:0, mother[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(Alter, F).
;; 40
%enaha:0, mother[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 41
%enaha:0, mother[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 42
%enaha:0, mother[eq]:2, step_mother:0%
 Lvl=1,  PC=2, S=1, Star=0,  {Stmo}  
 father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).
;; 43
%enaha:1, brother[eq]1:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 44
%enaha:1, brother[eq]1:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(Alter, H).
;; 45
%enaha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), daughter(Alter, H).
;; 46
%enaha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=0, Star=0,  {MoMoMoMoSisDaSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), son(I, H), son(J, I), daughter(Alter, J).
;; 47
%enaha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=10, S=2, Star=0,  {MoMoMoStsisSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), son(I, H), son(J, I), daughter(Alter, J).
;; 48
%enaha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=10, S=2, Star=0,  {MoMoMoStsisSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), son(I, H), son(J, I), daughter(Alter, J).
;; 49
%enaha:1, brother[eq]1:0, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStbroSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), son(G, F), son(G, E), son(H, G), daughter(Alter, H).
;; 50
%enaha:1, brother[eq]1:0, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStbroSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), son(G, F), son(G, E), son(H, G), daughter(Alter, H).
;; 51
%enaha:1, brother[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(Alter, G).
;; 52
%enaha:1, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).


father[eq](Alter, Ego) :-  father(Alter, Ego).
                       |   father(A, Ego), brother[eq](Alter, A).
                       |   step_father(Alter, Ego).
;; 0
%father[eq]:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(Alter, Ego).
;; 1
%father[eq]:1, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 2
%father[eq]:1, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 3
%father[eq]:1, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 4
%father[eq]:1, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 5
%father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 6
%father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(Alter, G).
;; 7
%father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 8
%father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 9
%father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 10
%father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(Alter, H).
;; 11
%father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(Alter, G).
;; 12
%father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(Alter, G).
;; 13
%father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 14
%father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 15
%father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), son(Alter, H).
;; 16
%father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), son(Alter, H).
;; 17
%father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(Alter, G).
;; 18
%father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 19
%father[eq]:1, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), son(Alter, E), son(Alter, D).
;; 20
%father[eq]:1, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), son(Alter, E), son(Alter, D).
;; 21
%father[eq]:2, step_father:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).


gahah(Alter, Ego) :-  wife(A, Ego), mother(Alter, A).
{"WiMo"}
;; 0
%gahah:0%
 Lvl=1,  PC=1, S=1, Star=0,  {WiMo}  
 wife(A, Ego), mother(Alter, A).


gen_dn[aux]35(Alter, Ego) :-  children(Alter, Ego).
                          |   children(A, Ego), children(Alter, A).
;; 0
%gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(Alter, Ego).
;; 1
%gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(Alter, Ego).
;; 2
%gen_dn[aux]35:1, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), son(Alter, A).
;; 3
%gen_dn[aux]35:1, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), daughter(Alter, A).
;; 4
%gen_dn[aux]35:1, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), son(Alter, A).
;; 5
%gen_dn[aux]35:1, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), daughter(Alter, A).


gen_up[aux]35(Alter, Ego) :-  father(Alter, Ego).
                          |   mother(Alter, Ego).
                          |   gen_up[aux]35(A, Ego), father(Alter, A).
                          |   gen_up[aux]35(A, Ego), mother(Alter, A).
;; 0
%gen_up[aux]35:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(Alter, Ego).
;; 1
%gen_up[aux]35:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(Alter, Ego).
;; 2
%gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(Alter, A).
;; 3
%gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(Alter, A).
;; 4
%gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(Alter, B).
;; 5
%gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(Alter, B).
;; 6
%gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(Alter, B).
;; 7
%gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(Alter, B).
;; 8
%gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(Alter, A).
;; 9
%gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(Alter, A).
;; 10
%gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(Alter, B).
;; 11
%gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(Alter, B).
;; 12
%gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(Alter, B).
;; 13
%gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(Alter, B).


generation[aux]35(Alter, Ego) :-  sibling(Alter, Ego).
                              |   parents(A, Ego), generation[aux]35gs(B, A), child(Alter, B).
;; 0
%generation[aux]35:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%generation[aux]35:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%generation[aux]35:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 4
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 5
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 6
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 7
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 8
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 9
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 10
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 11
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 12
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 13
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 14
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 15
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 16
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 17
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 18
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 19
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 20
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 21
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 22
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 23
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 24
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 25
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 26
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 27
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 28
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 29
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 30
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 31
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 32
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 33
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 34
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 35
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 36
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 37
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 38
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 39
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 40
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 41
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 42
%generation[aux]35:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 43
%generation[aux]35:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 44
%generation[aux]35:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 45
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 46
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 47
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 48
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 49
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 50
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 51
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 52
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 53
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 54
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 55
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 56
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 57
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 58
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 59
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 60
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 61
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 62
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 63
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 64
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 65
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 66
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 67
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 68
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 69
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 70
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 71
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 72
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 73
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 74
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 75
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 76
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 77
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 78
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 79
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 80
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 81
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 82
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 83
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 84
%generation[aux]35:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).


generation[aux]35gs(Alter, Ego) :-  siblings(Alter, Ego).
                                |   parents(A, Ego), generation[aux]35gs(B, A), children(Alter, B).
;; 0
%generation[aux]35gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%generation[aux]35gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 2
%generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 3
%generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 4
%generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 6
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 7
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 8
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 9
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 10
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 11
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 12
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 13
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 14
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 15
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 16
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 17
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 18
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 19
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 20
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 21
%generation[aux]35gs:1, parents:0, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 22
%generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 23
%generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 24
%generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 25
%generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 26
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 27
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 28
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 29
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 30
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 31
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 32
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 33
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:0, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 34
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 35
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 36
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 37
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 38
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 39
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 40
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 41
%generation[aux]35gs:1, parents:1, generation[aux]35gs:1, parents:1, generation[aux]35gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).


generation[aux]35small(Alter, Ego) :-  sibling(Alter, Ego).
                                   |   parents(A, Ego), siblings(B, A), child(Alter, B).
;; 0
%generation[aux]35small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%generation[aux]35small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%generation[aux]35small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%generation[aux]35small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 4
%generation[aux]35small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).


generation[aux]35smallGS(Alter, Ego) :-  siblings(Alter, Ego).
                                     |   parents(A, Ego), siblings(B, A), children(Alter, B).
;; 0
%generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 2
%generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 3
%generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 4
%generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 6
%generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 7
%generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 8
%generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 9
%generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).


half_brother(Alter, Ego) :-  mother(A, Ego), father(B, Ego), wife(C, B), son(Alter, C), son(Alter, B), not(equal(C, A)).
                         |   mother(A, Ego), father(B, Ego), husband(C, A), son(Alter, C), son(Alter, A), not(equal(C, B)).
;; 0
%half_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), wife(C, B), son(Alter, C), son(Alter, B), not(equal(C, A)).
;; 1
%half_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), husband(C, A), son(Alter, C), son(Alter, A), not(equal(C, B)).


half_sister(Alter, Ego) :-  mother(A, Ego), father(B, Ego), wife(C, B), daughter(Alter, C), daughter(Alter, B), not(equal(C, A)).
                        |   mother(A, Ego), father(B, Ego), husband(C, A), daughter(Alter, C), daughter(Alter, A), not(equal(C, B)).
;; 0
%half_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), wife(C, B), daughter(Alter, C), daughter(Alter, B), not(equal(C, A)).
;; 1
%half_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), husband(C, A), daughter(Alter, C), daughter(Alter, A), not(equal(C, B)).


indade(Alter, Ego) :-  father[eq](Alter, Ego).
                   |  [ext],  mother(A, Ego), sister[eq]1(B, A), husband(Alter, B).
{"Fa_FaBro_FaFaBroSo_FaFaFaBroSoSo_FaFaMoSisSoSo_FaMoBroDaSo_FaMoBroSoDaSo_FaMoBroSoSoDaSo_FaMoFaBroDaSo_FaMoFaBroSoDaSo_FaMoMoBroDaDaSo_FaMoMoMoSisDaDaSo_FaMoMoSisDaSo_FaMoMoSisSoDaSo_FaMoMoStsisDaSo_FaMoSisSo_FaMoStsisSo_FaStbro_MoBroDaHu_MoBroSoDaHu_MoBroSoSoDaHu_MoFaBroDaHu_MoFaBroSoDaHu_MoFaBroSoSoDaHu_MoMoBroDaDaHu_MoMoBroSoDaDaHu_MoMoFaBroDaDaHu_MoMoMoBroDaDaDaHu_MoMoMoSisDaDaHu_MoMoMoStsisDaDaHu_MoMoSisDaHu_MoMoSisSoDaHu_MoMoSisSoSoDaHu_MoMoStsisDaHu_MoSisHu_MoStsisHu_Stfa"}
;; 0
%indade:0, father[eq]:0%
 Lvl=1,  PC=1, S=0, Star=0,  {Fa}  
 father(Alter, Ego).
;; 1
%indade:0, father[eq]:1, brother[eq]:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaBro}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 2
%indade:0, father[eq]:1, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaBroSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 3
%indade:0, father[eq]:1, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaBroSoSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 4
%indade:0, father[eq]:1, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoSisSoSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 5
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoSisSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 6
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoSisDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(Alter, G).
;; 7
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=11, S=0, Star=0,  {FaMoMoMoSisDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 8
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=9, S=2, Star=0,  {FaMoMoStsisDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 9
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=9, S=2, Star=0,  {FaMoMoStsisDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 10
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(Alter, H).
;; 11
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=7, S=2, Star=0,  {FaMoStsisSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(Alter, G).
;; 12
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=7, S=2, Star=0,  {FaMoStsisSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(Alter, G).
;; 13
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaBroDaSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 14
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 15
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroSoDaSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), son(Alter, H).
;; 16
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisSoDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), son(Alter, H).
;; 17
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(Alter, G).
;; 18
%indade:0, father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 19
%indade:0, father[eq]:1, brother[eq]:3, step_brother:0%
 Lvl=1,  PC=5, S=2, Star=0,  {FaStbro}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), son(Alter, E), son(Alter, D).
;; 20
%indade:0, father[eq]:1, brother[eq]:3, step_brother:1%
 Lvl=1,  PC=5, S=2, Star=0,  {FaStbro}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), son(Alter, E), son(Alter, D).
;; 21
%indade:0, father[eq]:2, step_father:0%
 Lvl=1,  PC=2, S=1, Star=0,  {Stfa}  
 father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).
;; 22
%indade:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoSisHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(Alter, D).
;; 23
%indade:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoSisDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), husband(Alter, F).
;; 24
%indade:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoSisDaDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), husband(Alter, H).
;; 25
%indade:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=9, S=3, Star=0,  {MoMoMoStsisDaDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), not(equal(J, A)), husband(Alter, J).
;; 26
%indade:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=9, S=3, Star=0,  {MoMoMoStsisDaDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), not(equal(J, A)), husband(Alter, J).
;; 27
%indade:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {MoMoMoBroDaDaDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), husband(Alter, I).
;; 28
%indade:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=7, S=3, Star=0,  {MoMoStsisDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), husband(Alter, H).
;; 29
%indade:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=7, S=3, Star=0,  {MoMoStsisDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), husband(Alter, H).
;; 30
%indade:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaBroDaDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), husband(Alter, H).
;; 31
%indade:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoBroDaDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), husband(Alter, G).
;; 32
%indade:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoBroSoDaDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), husband(Alter, H).
;; 33
%indade:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=5, S=3, Star=0,  {MoStsisHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), husband(Alter, F).
;; 34
%indade:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=5, S=3, Star=0,  {MoStsisHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), husband(Alter, F).
;; 35
%indade:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaBroDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(Alter, F).
;; 36
%indade:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoBroDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(Alter, E).
;; 37
%indade:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaBroSoDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 38
%indade:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoSisSoDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), husband(Alter, G).
;; 39
%indade:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroSoDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(Alter, F).
;; 40
%indade:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoFaBroSoSoDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), husband(Alter, H).
;; 41
%indade:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoSisSoSoDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), husband(Alter, H).
;; 42
%indade:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoSoDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), husband(Alter, G).


mother[eq](Alter, Ego) :-  father[eq](A, Ego), wife(Alter, A).
                       |   mother(A, Ego), sister[eq]1(Alter, A).
                       |   step_mother(Alter, Ego).
;; 0
%mother[eq]:0, father[eq]:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), wife(Alter, A).
;; 1
%mother[eq]:0, father[eq]:1, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(Alter, D).
;; 2
%mother[eq]:0, father[eq]:1, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(Alter, F).
;; 3
%mother[eq]:0, father[eq]:1, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 4
%mother[eq]:0, father[eq]:1, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), wife(Alter, H).
;; 5
%mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(Alter, F).
;; 6
%mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(H, G), wife(Alter, H).
;; 7
%mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(I, H), not(equal(I, B)), son(J, I), wife(Alter, J).
;; 8
%mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), wife(Alter, J).
;; 9
%mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), wife(Alter, J).
;; 10
%mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(I, H), wife(Alter, I).
;; 11
%mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(H, G), wife(Alter, H).
;; 12
%mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(H, G), wife(Alter, H).
;; 13
%mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 14
%mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 15
%mother[eq]:0, father[eq]:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), wife(Alter, H).
;; 16
%mother[eq]:0, father[eq]:1, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), son(F, E), son(F, D), wife(Alter, F).
;; 17
%mother[eq]:0, father[eq]:1, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), son(F, E), son(F, D), wife(Alter, F).
;; 18
%mother[eq]:0, father[eq]:2, step_father:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(Alter, C).
;; 19
%mother[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 20
%mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E), not(equal(Alter, A)).
;; 21
%mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(Alter, G), not(equal(Alter, A)).
;; 22
%mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(Alter, I), not(equal(Alter, A)).
;; 23
%mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(Alter, I), not(equal(Alter, A)).
;; 24
%mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(Alter, H), not(equal(Alter, A)).
;; 25
%mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(Alter, G), not(equal(Alter, A)).
;; 26
%mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(Alter, G), not(equal(Alter, A)).
;; 27
%mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G), not(equal(Alter, A)).
;; 28
%mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F), not(equal(Alter, A)).
;; 29
%mother[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, A)).
;; 30
%mother[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(Alter, E), daughter(Alter, D).
;; 31
%mother[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(Alter, E), daughter(Alter, D).
;; 32
%mother[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 33
%mother[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 34
%mother[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 35
%mother[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 36
%mother[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(Alter, E).
;; 37
%mother[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(Alter, G).
;; 38
%mother[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(Alter, G).
;; 39
%mother[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(Alter, F).
;; 40
%mother[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 41
%mother[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 42
%mother[eq]:2, step_mother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).


parents(Alter, Ego) :-  mother(Alter, Ego).
                    |   father(Alter, Ego).
;; 0
%parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(Alter, Ego).
;; 1
%parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(Alter, Ego).


sibling(Alter, Ego) :-  mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 0
%sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).


siblings(Alter, Ego) :-  brother(Alter, Ego).
                     |   sister(Alter, Ego).
;; 0
%siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).


sister(Alter, Ego) :-  sibling(Alter, Ego), female(Alter).
;; 0
%sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).


sister[eq](Alter, Ego) :-  sister(Alter, Ego).
                       |   mother(A, Ego), sister[eq]1(B, A), daughter(Alter, B), not(equal(Alter, Ego)).
                       |   step_sister(Alter, Ego).
                       |   father(A, Ego), brother(B, A), daughter(Alter, B).
;; 0
%sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 1
%sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D), not(equal(Alter, Ego)).
;; 2
%sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(Alter, F), not(equal(Alter, Ego)).
;; 3
%sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), daughter(Alter, I), not(equal(Alter, Ego)).
;; 4
%sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 5
%sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 6
%sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 7
%sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(Alter, G), not(equal(Alter, Ego)).
;; 8
%sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 9
%sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(Alter, F), not(equal(Alter, Ego)).
;; 10
%sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(Alter, F), not(equal(Alter, Ego)).
;; 11
%sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F), not(equal(Alter, Ego)).
;; 12
%sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E), not(equal(Alter, Ego)).
;; 13
%sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)).
;; 14
%sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)).
;; 15
%sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(Alter, F), not(equal(Alter, Ego)).
;; 16
%sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)).
;; 17
%sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
;; 18
%sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).
;; 19
%sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).


sister[eq]1(Alter, Ego) :-  sister[eq](Alter, Ego).
                        |   brother[eq]1a(A, Ego), daughter(Alter, A).
;; 0
%sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 1
%sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D), not(equal(Alter, Ego)).
;; 2
%sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(Alter, F), not(equal(Alter, Ego)).
;; 3
%sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 4
%sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 5
%sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 6
%sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(Alter, G), not(equal(Alter, Ego)).
;; 7
%sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 8
%sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(Alter, F), not(equal(Alter, Ego)).
;; 9
%sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(Alter, F), not(equal(Alter, Ego)).
;; 10
%sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F), not(equal(Alter, Ego)).
;; 11
%sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E), not(equal(Alter, Ego)).
;; 12
%sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)).
;; 13
%sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)).
;; 14
%sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(Alter, F), not(equal(Alter, Ego)).
;; 15
%sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)).
;; 16
%sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
;; 17
%sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).
;; 18
%sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 19
%sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(Alter, C).
;; 20
%sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(Alter, E).
;; 21
%sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(Alter, E).
;; 22
%sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), daughter(Alter, D).
;; 23
%sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(Alter, F).
;; 24
%sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(Alter, F).
;; 25
%sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(E, D), daughter(Alter, E).
;; 26
%sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 27
%sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(G, F), daughter(Alter, G).


sister[eq]2(Alter, Ego) :-  sister[eq](Alter, Ego).
                        |   father(A, Ego), sister[eq]2(Alter, A).
;; 0
%sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 1
%sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D), not(equal(Alter, Ego)).
;; 2
%sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(Alter, F), not(equal(Alter, Ego)).
;; 3
%sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), daughter(Alter, I), not(equal(Alter, Ego)).
;; 4
%sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 5
%sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 6
%sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 7
%sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(Alter, G), not(equal(Alter, Ego)).
;; 8
%sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 9
%sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(Alter, F), not(equal(Alter, Ego)).
;; 10
%sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(Alter, F), not(equal(Alter, Ego)).
;; 11
%sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F), not(equal(Alter, Ego)).
;; 12
%sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E), not(equal(Alter, Ego)).
;; 13
%sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)).
;; 14
%sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)).
;; 15
%sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(Alter, F), not(equal(Alter, Ego)).
;; 16
%sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)).
;; 17
%sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
;; 18
%sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).
;; 19
%sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 20
%sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 21
%sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E), not(equal(Alter, A)).
;; 22
%sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(Alter, G), not(equal(Alter, A)).
;; 23
%sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(Alter, I), not(equal(Alter, A)).
;; 24
%sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(Alter, I), not(equal(Alter, A)).
;; 25
%sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(Alter, H), not(equal(Alter, A)).
;; 26
%sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(Alter, G), not(equal(Alter, A)).
;; 27
%sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(Alter, G), not(equal(Alter, A)).
;; 28
%sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G), not(equal(Alter, A)).
;; 29
%sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F), not(equal(Alter, A)).
;; 30
%sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, A)).
;; 31
%sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(Alter, E), daughter(Alter, D).
;; 32
%sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(Alter, E), daughter(Alter, D).
;; 33
%sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 34
%sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 35
%sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F), not(equal(Alter, B)).
;; 36
%sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(Alter, H), not(equal(Alter, B)).
;; 37
%sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(Alter, H), not(equal(Alter, B)).
;; 38
%sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(Alter, H), not(equal(Alter, B)).
;; 39
%sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G), not(equal(Alter, B)).
;; 40
%sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(Alter, F), daughter(Alter, E).
;; 41
%sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(Alter, F), daughter(Alter, E).
;; 42
%sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).


spice(Alter, Ego) :-  husband(Alter, Ego).
                  |   wife(Alter, Ego).
;; 0
%spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(Alter, Ego).
;; 1
%spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(Alter, Ego).


step_brother(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
                         |   father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).
;; 0
%step_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
;; 1
%step_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).


step_daughter(Alter, Ego) :-  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).
;; 0
%step_daughter:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).


step_father(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).
;; 0
%step_father:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).


step_mother(Alter, Ego) :-  father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).
;; 0
%step_mother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).


step_sister(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
                        |   father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).
;; 0
%step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
;; 1
%step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).


step_son(Alter, Ego) :-  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).
;; 0
%step_son:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).


washea(Alter, Ego) :-  husband(A, Ego), brother(Alter, A).
{"HuBro"}
;; 0
%washea:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {HuBro}  
 husband(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).


weeagronka(Alter, Ego) :-  husband(Alter, Ego).
{"Hu"}
;; 0
%weeagronka:0%
 Lvl=0,  PC=0, S=1, Star=0,  {Hu}  
 husband(Alter, Ego).


weegathnough(Alter, Ego) :-  wife(Alter, Ego).
{"Wi"}
;; 0
%weegathnough:0%
 Lvl=0,  PC=0, S=1, Star=0,  {Wi}  
 wife(Alter, Ego).


weeha(Alter, Ego) :-  step_sister(Alter, Ego), younger(Alter, Ego).
{"Stsis"}
;; 0
%weeha:0, step_sister:0%
 Lvl=0,  PC=4, S=2, Star=0,  {Stsis}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C), younger(Alter, Ego).
;; 1
%weeha:0, step_sister:1%
 Lvl=0,  PC=4, S=2, Star=0,  {Stsis}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C), younger(Alter, Ego).


weeka(Alter, Ego) :-  gen_up[aux]35(A, Ego), mother(Alter, A).
                  |   gen_up[aux]35(A, Ego), generation[aux]35smallGS(B, A), mother(Alter, B).
                  |   father(A, Ego), gen_up[aux]35(B, A), parents(C, B), sister(D, C), daughter(Alter, D).
                  |   mother(A, Ego), gen_up[aux]35(B, A), parents(C, B), sister(D, C), daughter(Alter, D).
                  |   husband(A, Ego), mother(Alter, A).
                  |   spice(A, Ego), gen_up[aux]35(B, A), mother(Alter, B).
                  |   spice(A, Ego), gen_up[aux]35(B, A), generation[aux]35smallGS(C, B), mother(Alter, C).
                  |   wife(A, Ego), brother(B, A), wife(Alter, B).
{"FaFaBroWi_FaFaFaBroWi_FaFaFaFaBroWi_FaFaFaFaSis_FaFaFaFaSisDa_FaFaFaMo_FaFaFaMoBroWi_FaFaFaMoSis_FaFaFaMoSisDa_FaFaFaSis_FaFaFaSisDa_FaFaMo_FaFaMoBroWi_FaFaMoFaBroWi_FaFaMoFaSis_FaFaMoFaSisDa_FaFaMoMo_FaFaMoMoBroWi_FaFaMoMoSis_FaFaMoMoSisDa_FaFaMoSis_FaFaMoSisDa_FaFaSis_FaMo_FaMoBroWi_FaMoFaBroWi_FaMoFaFaBroWi_FaMoFaFaSis_FaMoFaFaSisDa_FaMoFaMo_FaMoFaMoBroWi_FaMoFaMoSis_FaMoFaMoSisDa_FaMoFaSis_FaMoFaSisDa_FaMoMo_FaMoMoBroWi_FaMoMoFaBroWi_FaMoMoFaSis_FaMoMoFaSisDa_FaMoMoMo_FaMoMoMoBroWi_FaMoMoMoSis_FaMoMoMoSisDa_FaMoMoSis_FaMoMoSisDa_FaMoSis_HuFaFaBroWi_HuFaFaFaBroWi_HuFaFaFaMo_HuFaFaFaSis_HuFaFaMo_HuFaFaMoBroWi_HuFaFaMoMo_HuFaFaMoSis_HuFaFaSis_HuFaMo_HuFaMoBroWi_HuFaMoFaBroWi_HuFaMoFaMo_HuFaMoFaSis_HuFaMoMo_HuFaMoMoBroWi_HuFaMoMoMo_HuFaMoMoSis_HuFaMoSis_HuMo_HuMoFaBroWi_HuMoFaFaBroWi_HuMoFaFaMo_HuMoFaFaSis_HuMoFaMo_HuMoFaMoBroWi_HuMoFaMoMo_HuMoFaMoSis_HuMoFaSis_HuMoMo_HuMoMoBroWi_HuMoMoFaBroWi_HuMoMoFaMo_HuMoMoFaSis_HuMoMoMo_HuMoMoMoBroWi_HuMoMoMoMo_HuMoMoMoSis_HuMoMoSis_MoFaBroWi_MoFaFaBroWi_MoFaFaFaBroWi_MoFaFaFaSis_MoFaFaFaSisDa_MoFaFaMo_MoFaFaMoBroWi_MoFaFaMoSis_MoFaFaMoSisDa_MoFaFaSis_MoFaFaSisDa_MoFaMo_MoFaMoBroWi_MoFaMoFaBroWi_MoFaMoFaSis_MoFaMoFaSisDa_MoFaMoMo_MoFaMoMoBroWi_MoFaMoMoSis_MoFaMoMoSisDa_MoFaMoSis_MoFaMoSisDa_MoFaSis_MoMo_MoMoBroWi_MoMoFaBroWi_MoMoFaFaBroWi_MoMoFaFaSis_MoMoFaFaSisDa_MoMoFaMo_MoMoFaMoBroWi_MoMoFaMoSis_MoMoFaMoSisDa_MoMoFaSis_MoMoFaSisDa_MoMoMo_MoMoMoBroWi_MoMoMoFaBroWi_MoMoMoFaSis_MoMoMoFaSisDa_MoMoMoMo_MoMoMoMoBroWi_MoMoMoMoSis_MoMoMoMoSisDa_MoMoMoSis_MoMoMoSisDa_MoMoSis_WiBroWi_WiFaFaBroWi_WiFaFaFaBroWi_WiFaFaFaMo_WiFaFaFaSis_WiFaFaMo_WiFaFaMoBroWi_WiFaFaMoMo_WiFaFaMoSis_WiFaFaSis_WiFaMo_WiFaMoBroWi_WiFaMoFaBroWi_WiFaMoFaMo_WiFaMoFaSis_WiFaMoMo_WiFaMoMoBroWi_WiFaMoMoMo_WiFaMoMoSis_WiFaMoSis_WiMoFaBroWi_WiMoFaFaBroWi_WiMoFaFaMo_WiMoFaFaSis_WiMoFaMo_WiMoFaMoBroWi_WiMoFaMoMo_WiMoFaMoSis_WiMoFaSis_WiMoMo_WiMoMoBroWi_WiMoMoFaBroWi_WiMoMoFaMo_WiMoMoFaSis_WiMoMoMo_WiMoMoMoBroWi_WiMoMoMoMo_WiMoMoMoSis_WiMoMoSis"}
;; 0
%weeka:0, gen_up[aux]35:0%
 Lvl=2,  PC=2, S=0, Star=0,  {FaMo}  
 father(A, Ego), mother(Alter, A).
;; 1
%weeka:0, gen_up[aux]35:1%
 Lvl=2,  PC=2, S=0, Star=0,  {MoMo}  
 mother(A, Ego), mother(Alter, A).
;; 2
%weeka:0, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=3,  PC=3, S=0, Star=0,  {FaFaMo}  
 father(A, Ego), father(B, A), mother(Alter, B).
;; 3
%weeka:0, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoFaMo}  
 mother(A, Ego), father(B, A), mother(Alter, B).
;; 4
%weeka:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaFaMo}  
 father(A, Ego), father(B, A), father(C, B), mother(Alter, C).
;; 5
%weeka:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaFaMo}  
 mother(A, Ego), father(B, A), father(C, B), mother(Alter, C).
;; 6
%weeka:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoFaMo}  
 father(A, Ego), mother(B, A), father(C, B), mother(Alter, C).
;; 7
%weeka:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoFaMo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(Alter, C).
;; 8
%weeka:0, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=3,  PC=3, S=0, Star=0,  {FaMoMo}  
 father(A, Ego), mother(B, A), mother(Alter, B).
;; 9
%weeka:0, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoMoMo}  
 mother(A, Ego), mother(B, A), mother(Alter, B).
;; 10
%weeka:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaMoMo}  
 father(A, Ego), father(B, A), mother(C, B), mother(Alter, C).
;; 11
%weeka:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaMoMo}  
 mother(A, Ego), father(B, A), mother(C, B), mother(Alter, C).
;; 12
%weeka:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoMoMo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(Alter, C).
;; 13
%weeka:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoMoMo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(Alter, C).
;; 14
%weeka:1, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaMo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(Alter, D).
;; 15
%weeka:1, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaMo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(Alter, D).
;; 16
%weeka:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoBroWi}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(Alter, F).
;; 17
%weeka:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoBroWi}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(Alter, F).
;; 18
%weeka:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoSis}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(Alter, F).
;; 19
%weeka:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoSis}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(Alter, F).
;; 20
%weeka:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaBroWi}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(Alter, F).
;; 21
%weeka:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaBroWi}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(Alter, F).
;; 22
%weeka:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaSis}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(Alter, F).
;; 23
%weeka:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaSis}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(Alter, F).
;; 24
%weeka:1, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoMo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), mother(Alter, D).
;; 25
%weeka:1, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoMo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), mother(Alter, D).
;; 26
%weeka:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoBroWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(Alter, F).
;; 27
%weeka:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoBroWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(Alter, F).
;; 28
%weeka:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoSis}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(Alter, F).
;; 29
%weeka:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoSis}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(Alter, F).
;; 30
%weeka:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaBroWi}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), mother(Alter, F).
;; 31
%weeka:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaBroWi}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), mother(Alter, F).
;; 32
%weeka:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaSis}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), mother(Alter, F).
;; 33
%weeka:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaSis}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), mother(Alter, F).
;; 34
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaMo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(Alter, E).
;; 35
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaMo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(Alter, E).
;; 36
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoBroWi}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 37
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoBroWi}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 38
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoSis}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 39
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoSis}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 40
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaBroWi}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 41
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaBroWi}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 42
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaSis}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 43
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaSis}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 44
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaMo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(Alter, E).
;; 45
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaMo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(Alter, E).
;; 46
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoBroWi}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 47
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoBroWi}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 48
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoSis}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 49
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoSis}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 50
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaBroWi}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 51
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaBroWi}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 52
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaSis}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 53
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaSis}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 54
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaFaMo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 55
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaFaMo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 56
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaMoBroWi}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 57
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaMoBroWi}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 58
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaMoSis}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 59
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaMoSis}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 60
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaFaBroWi}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 61
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaFaBroWi}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 62
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaFaSis}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 63
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaFaSis}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 64
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaFaMo}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 65
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaFaMo}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 66
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaMoBroWi}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 67
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaMoBroWi}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 68
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaMoSis}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 69
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaMoSis}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 70
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaFaBroWi}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 71
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaFaBroWi}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 72
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaFaSis}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 73
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaFaSis}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 74
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoFaMo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 75
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoFaMo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 76
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaMoBroWi}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 77
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaMoBroWi}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 78
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaMoSis}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 79
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaMoSis}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 80
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaFaBroWi}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 81
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaFaBroWi}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 82
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaFaSis}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 83
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaFaSis}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 84
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoFaMo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 85
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoFaMo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 86
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaMoBroWi}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 87
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaMoBroWi}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 88
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaMoSis}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 89
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaMoSis}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 90
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaFaBroWi}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 91
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaFaBroWi}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 92
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaFaSis}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 93
%weeka:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaFaSis}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 94
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoMo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(Alter, E).
;; 95
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoMo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(Alter, E).
;; 96
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoBroWi}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 97
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoBroWi}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 98
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoSis}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 99
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoSis}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 100
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaBroWi}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 101
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaBroWi}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 102
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaSis}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 103
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaSis}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 104
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoMo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(Alter, E).
;; 105
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoMo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(Alter, E).
;; 106
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoBroWi}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 107
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoBroWi}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 108
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoSis}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 109
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoSis}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 110
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaBroWi}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 111
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaBroWi}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 112
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaSis}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 113
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaSis}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 114
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaMoMo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 115
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaMoMo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 116
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoMoBroWi}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 117
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoMoBroWi}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 118
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoMoSis}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 119
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoMoSis}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 120
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoFaBroWi}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 121
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoFaBroWi}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 122
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoFaSis}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 123
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoFaSis}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 124
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaMoMo}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 125
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaMoMo}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 126
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoMoBroWi}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 127
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoMoBroWi}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 128
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoMoSis}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 129
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoMoSis}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 130
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoFaBroWi}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 131
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoFaBroWi}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 132
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoFaSis}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 133
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoFaSis}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 134
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoMoMo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 135
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoMoMo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 136
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoMoBroWi}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 137
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoMoBroWi}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 138
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoMoSis}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 139
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoMoSis}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 140
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoFaBroWi}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 141
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoFaBroWi}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 142
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoFaSis}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 143
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoFaSis}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 144
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoMoMo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 145
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoMoMo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 146
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoMoBroWi}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 147
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoMoBroWi}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 148
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoMoSis}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 149
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoMoSis}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 150
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoFaBroWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 151
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoFaBroWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 152
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoFaSis}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 153
%weeka:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoFaSis}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 154
%weeka:2, gen_up[aux]35:0, parents:0, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoSisDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 155
%weeka:2, gen_up[aux]35:0, parents:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaSisDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 156
%weeka:2, gen_up[aux]35:1, parents:0, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoSisDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 157
%weeka:2, gen_up[aux]35:1, parents:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaSisDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 158
%weeka:2, gen_up[aux]35:2, gen_up[aux]35:0, parents:0, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoSisDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 159
%weeka:2, gen_up[aux]35:2, gen_up[aux]35:0, parents:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaSisDa}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 160
%weeka:2, gen_up[aux]35:2, gen_up[aux]35:1, parents:0, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoSisDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 161
%weeka:2, gen_up[aux]35:2, gen_up[aux]35:1, parents:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaSisDa}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 162
%weeka:2, gen_up[aux]35:3, gen_up[aux]35:0, parents:0, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoSisDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 163
%weeka:2, gen_up[aux]35:3, gen_up[aux]35:0, parents:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaSisDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 164
%weeka:2, gen_up[aux]35:3, gen_up[aux]35:1, parents:0, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoSisDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 165
%weeka:2, gen_up[aux]35:3, gen_up[aux]35:1, parents:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaSisDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 166
%weeka:3, gen_up[aux]35:0, parents:0, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoSisDa}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 167
%weeka:3, gen_up[aux]35:0, parents:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaSisDa}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 168
%weeka:3, gen_up[aux]35:1, parents:0, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoSisDa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 169
%weeka:3, gen_up[aux]35:1, parents:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaSisDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 170
%weeka:3, gen_up[aux]35:2, gen_up[aux]35:0, parents:0, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoSisDa}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 171
%weeka:3, gen_up[aux]35:2, gen_up[aux]35:0, parents:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaSisDa}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 172
%weeka:3, gen_up[aux]35:2, gen_up[aux]35:1, parents:0, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoSisDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 173
%weeka:3, gen_up[aux]35:2, gen_up[aux]35:1, parents:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaSisDa}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 174
%weeka:3, gen_up[aux]35:3, gen_up[aux]35:0, parents:0, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoSisDa}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 175
%weeka:3, gen_up[aux]35:3, gen_up[aux]35:0, parents:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaSisDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 176
%weeka:3, gen_up[aux]35:3, gen_up[aux]35:1, parents:0, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoSisDa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 177
%weeka:3, gen_up[aux]35:3, gen_up[aux]35:1, parents:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaSisDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 178
%weeka:4%
 Lvl=1,  PC=1, S=1, Star=0,  {HuMo}  
 husband(A, Ego), mother(Alter, A).
;; 179
%weeka:5, spice:0, gen_up[aux]35:0%
 Lvl=2,  PC=2, S=1, Star=0,  {HuFaMo}  
 husband(A, Ego), father(B, A), mother(Alter, B).
;; 180
%weeka:5, spice:0, gen_up[aux]35:1%
 Lvl=2,  PC=2, S=1, Star=0,  {HuMoMo}  
 husband(A, Ego), mother(B, A), mother(Alter, B).
;; 181
%weeka:5, spice:0, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaFaMo}  
 husband(A, Ego), father(B, A), father(C, B), mother(Alter, C).
;; 182
%weeka:5, spice:0, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoFaMo}  
 husband(A, Ego), mother(B, A), father(C, B), mother(Alter, C).
;; 183
%weeka:5, spice:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaFaMo}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 184
%weeka:5, spice:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaFaMo}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 185
%weeka:5, spice:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoFaMo}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 186
%weeka:5, spice:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoFaMo}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 187
%weeka:5, spice:0, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaMoMo}  
 husband(A, Ego), father(B, A), mother(C, B), mother(Alter, C).
;; 188
%weeka:5, spice:0, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoMoMo}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(Alter, C).
;; 189
%weeka:5, spice:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaMoMo}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 190
%weeka:5, spice:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaMoMo}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 191
%weeka:5, spice:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoMoMo}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 192
%weeka:5, spice:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoMoMo}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 193
%weeka:5, spice:1, gen_up[aux]35:0%
 Lvl=2,  PC=2, S=1, Star=0,  {WiFaMo}  
 wife(A, Ego), father(B, A), mother(Alter, B).
;; 194
%weeka:5, spice:1, gen_up[aux]35:1%
 Lvl=2,  PC=2, S=1, Star=0,  {WiMoMo}  
 wife(A, Ego), mother(B, A), mother(Alter, B).
;; 195
%weeka:5, spice:1, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaFaMo}  
 wife(A, Ego), father(B, A), father(C, B), mother(Alter, C).
;; 196
%weeka:5, spice:1, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoFaMo}  
 wife(A, Ego), mother(B, A), father(C, B), mother(Alter, C).
;; 197
%weeka:5, spice:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaFaMo}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 198
%weeka:5, spice:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaFaMo}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 199
%weeka:5, spice:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoFaMo}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 200
%weeka:5, spice:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoFaMo}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 201
%weeka:5, spice:1, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaMoMo}  
 wife(A, Ego), father(B, A), mother(C, B), mother(Alter, C).
;; 202
%weeka:5, spice:1, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoMoMo}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(Alter, C).
;; 203
%weeka:5, spice:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaMoMo}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 204
%weeka:5, spice:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaMoMo}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 205
%weeka:5, spice:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoMoMo}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 206
%weeka:5, spice:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoMoMo}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 207
%weeka:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaMo}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(Alter, E).
;; 208
%weeka:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaMo}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(Alter, E).
;; 209
%weeka:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoBroWi}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 210
%weeka:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoBroWi}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 211
%weeka:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoSis}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 212
%weeka:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoSis}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 213
%weeka:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaBroWi}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 214
%weeka:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaBroWi}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 215
%weeka:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaSis}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 216
%weeka:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaSis}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 217
%weeka:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoMo}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(Alter, E).
;; 218
%weeka:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoMo}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(Alter, E).
;; 219
%weeka:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoBroWi}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 220
%weeka:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoBroWi}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 221
%weeka:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoSis}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 222
%weeka:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoSis}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 223
%weeka:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaBroWi}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 224
%weeka:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaBroWi}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 225
%weeka:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaSis}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 226
%weeka:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaSis}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 227
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaMo}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 228
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaMo}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 229
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaMoBroWi}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 230
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaMoBroWi}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 231
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaMoSis}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 232
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaMoSis}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 233
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaFaBroWi}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 234
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaFaBroWi}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 235
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaFaSis}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 236
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaFaSis}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 237
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaMo}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 238
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaMo}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 239
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaMoBroWi}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 240
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaMoBroWi}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 241
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaMoSis}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 242
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaMoSis}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 243
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaFaBroWi}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 244
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaFaBroWi}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 245
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaFaSis}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 246
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaFaSis}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 247
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaFaFaMo}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 248
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaFaFaMo}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 249
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoFaFaMo}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 250
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoFaFaMo}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 251
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaMoFaMo}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 252
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaMoFaMo}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 253
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoMoFaMo}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 254
%weeka:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoMoFaMo}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 255
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoMo}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 256
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoMo}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 257
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoMoBroWi}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 258
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoMoBroWi}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 259
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoMoSis}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 260
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoMoSis}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 261
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoFaBroWi}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 262
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoFaBroWi}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 263
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoFaSis}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 264
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoFaSis}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 265
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoMo}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 266
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoMo}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 267
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoMoBroWi}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 268
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoMoBroWi}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 269
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoMoSis}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 270
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoMoSis}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 271
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoFaBroWi}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 272
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoFaBroWi}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 273
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoFaSis}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 274
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoFaSis}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 275
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaFaMoMo}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 276
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaFaMoMo}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 277
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoFaMoMo}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 278
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoFaMoMo}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 279
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaMoMoMo}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 280
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaMoMoMo}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 281
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoMoMoMo}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 282
%weeka:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoMoMoMo}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 283
%weeka:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaMo}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(Alter, E).
;; 284
%weeka:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaMo}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(Alter, E).
;; 285
%weeka:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoBroWi}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 286
%weeka:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoBroWi}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 287
%weeka:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoSis}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 288
%weeka:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoSis}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 289
%weeka:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaBroWi}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 290
%weeka:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaBroWi}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 291
%weeka:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaSis}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 292
%weeka:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaSis}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 293
%weeka:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoMo}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), mother(Alter, E).
;; 294
%weeka:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoMo}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), mother(Alter, E).
;; 295
%weeka:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoBroWi}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 296
%weeka:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoBroWi}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 297
%weeka:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoSis}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 298
%weeka:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoSis}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 299
%weeka:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaBroWi}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), mother(Alter, G).
;; 300
%weeka:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaBroWi}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), mother(Alter, G).
;; 301
%weeka:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaSis}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), mother(Alter, G).
;; 302
%weeka:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaSis}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), mother(Alter, G).
;; 303
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaMo}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 304
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaMo}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 305
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaMoBroWi}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 306
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaMoBroWi}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 307
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaMoSis}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 308
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaMoSis}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 309
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaFaBroWi}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 310
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaFaBroWi}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 311
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaFaSis}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 312
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaFaSis}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 313
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaMo}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 314
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaMo}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 315
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaMoBroWi}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 316
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaMoBroWi}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 317
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaMoSis}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 318
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaMoSis}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 319
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaFaBroWi}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 320
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaFaBroWi}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 321
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaFaSis}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 322
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaFaSis}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 323
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaFaFaMo}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 324
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaFaFaMo}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 325
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoFaFaMo}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 326
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoFaFaMo}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 327
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaMoFaMo}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 328
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaMoFaMo}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 329
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoMoFaMo}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 330
%weeka:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoMoFaMo}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 331
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoMo}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 332
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoMo}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 333
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoMoBroWi}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 334
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoMoBroWi}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 335
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoMoSis}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 336
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoMoSis}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 337
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoFaBroWi}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 338
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoFaBroWi}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 339
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoFaSis}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 340
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoFaSis}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 341
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoMo}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), mother(Alter, F).
;; 342
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoMo}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), mother(Alter, F).
;; 343
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoMoBroWi}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 344
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoMoBroWi}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 345
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoMoSis}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 346
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoMoSis}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 347
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoFaBroWi}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), mother(Alter, H).
;; 348
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoFaBroWi}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), mother(Alter, H).
;; 349
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoFaSis}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), mother(Alter, H).
;; 350
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoFaSis}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), mother(Alter, H).
;; 351
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaFaMoMo}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 352
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaFaMoMo}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 353
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoFaMoMo}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 354
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoFaMoMo}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 355
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaMoMoMo}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 356
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaMoMoMo}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 357
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoMoMoMo}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), mother(Alter, G).
;; 358
%weeka:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoMoMoMo}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), mother(Alter, G).
;; 359
%weeka:7, brother:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {WiBroWi}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(Alter, D).


weenagee(Alter, Ego) :-  father(A, Ego), sister(B, A), husband(Alter, B).
                     |   mother(A, Ego), bro_pump[aux]35(Alter, A).
                     |   mother(A, Ego), mother(B, A), bro_pump[aux]35(C, B), son(Alter, C).
                     |   mother(A, Ego), mother(B, A), mother(C, B), bro_pump[aux]35(D, C), son(Alter, D).
{"FaSisHu_MoBro_MoBroSo_MoBroSoSo_MoFaBroSo_MoFaBroSoSo_MoFaBroSoSoSo_MoFaFaBroSoSo_MoFaFaBroSoSoSo_MoFaMoSisSoSo_MoFaMoSisSoSoSo_MoMoBroDaSo_MoMoBroDaSoSo_MoMoBroDaSoSoSo_MoMoBroSo_MoMoBroSoDaSo_MoMoBroSoDaSoSo_MoMoBroSoSo_MoMoBroSoSoDaSo_MoMoBroSoSoSo_MoMoFaBroDaSo_MoMoFaBroDaSoSo_MoMoFaBroSoDaSo_MoMoFaBroSoSo_MoMoFaBroSoSoSo_MoMoMoBroDaDaSo_MoMoMoBroDaDaSoSo_MoMoMoBroDaDaSoSoSo_MoMoMoBroDaSoSo_MoMoMoBroSo_MoMoMoBroSoSo_MoMoMoBroSoSoSo_MoMoMoFaBroSoSo_MoMoMoMoSisDaDaSo_MoMoMoMoSisDaDaSoSo_MoMoMoMoSisDaSoSo_MoMoMoMoSisDaSoSoSo_MoMoMoMoSisDaSoSoSoSo_MoMoMoMoSisSoSo_MoMoMoSisDaSo_MoMoMoSisDaSoSo_MoMoMoSisDaSoSoSo_MoMoMoSisSoDaSo_MoMoMoSisSoSo_MoMoMoSisSoSoSo_MoMoMoStbroSo_MoMoMoStbroSoSo_MoMoMoStbroSoSoSo_MoMoMoStsisDaSo_MoMoMoStsisDaSoSo_MoMoMoStsisDaSoSoSo_MoMoMoStsisSoSo_MoMoMoStsisSoSoSo_MoMoMoStsisSoSoSoSo_MoMoSisSo_MoMoSisSoSo_MoMoSisSoSoSo_MoMoStbroSo_MoMoStbroSoSo_MoMoStbroSoSoSo_MoMoStsisSo_MoMoStsisSoSo_MoMoStsisSoSoSo_MoStbro_MoStbroSo_MoStbroSoSo"}
;; 0
%weenagee:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaSisHu}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(Alter, D).
;; 1
%weenagee:1, bro_pump[aux]35:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoBro}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 2
%weenagee:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaBroSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 3
%weenagee:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaFaBroSoSo}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 4
%weenagee:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaMoSisSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 5
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoSisSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 6
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoSisDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(Alter, G).
;; 7
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=11, S=0, Star=0,  {MoMoMoMoSisDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 8
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=9, S=2, Star=0,  {MoMoMoStsisDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 9
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=9, S=2, Star=0,  {MoMoMoStsisDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 10
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(Alter, H).
;; 11
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=7, S=2, Star=0,  {MoMoStsisSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(Alter, G).
;; 12
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=7, S=2, Star=0,  {MoMoStsisSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(Alter, G).
;; 13
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaBroDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 14
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 15
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), son(Alter, H).
;; 16
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), son(Alter, H).
;; 17
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(Alter, G).
;; 18
%weenagee:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 19
%weenagee:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:0%
 Lvl=1,  PC=5, S=2, Star=0,  {MoStbro}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), son(Alter, E), son(Alter, D).
;; 20
%weenagee:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:1%
 Lvl=1,  PC=5, S=2, Star=0,  {MoStbro}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), son(Alter, E), son(Alter, D).
;; 21
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 22
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 23
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoSoSo}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), son(Alter, H).
;; 24
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), son(Alter, H).
;; 25
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 26
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(H, G), son(Alter, H).
;; 27
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=0, Star=0,  {MoMoMoMoSisDaDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(I, H), not(equal(I, B)), son(J, I), son(Alter, J).
;; 28
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=10, S=2, Star=0,  {MoMoMoStsisDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), son(Alter, J).
;; 29
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=10, S=2, Star=0,  {MoMoMoStsisDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), son(Alter, J).
;; 30
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoBroDaDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(I, H), son(Alter, I).
;; 31
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(H, G), son(Alter, H).
;; 32
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(H, G), son(Alter, H).
;; 33
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), son(Alter, H).
;; 34
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(Alter, G).
;; 35
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 36
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStbroSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), son(F, E), son(F, D), son(Alter, F).
;; 37
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStbroSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), son(F, E), son(F, D), son(Alter, F).
;; 38
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(Alter, E).
;; 39
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(Alter, G).
;; 40
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(Alter, G).
;; 41
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(H, G), son(I, H), son(Alter, I).
;; 42
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {MoMoMoStsisDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), son(K, J), son(Alter, K).
;; 43
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=11, S=2, Star=0,  {MoMoMoStsisDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), son(K, J), son(Alter, K).
;; 44
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoBroDaDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(I, H), son(J, I), son(Alter, J).
;; 45
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(H, G), son(I, H), son(Alter, I).
;; 46
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(H, G), son(I, H), son(Alter, I).
;; 47
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 48
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStbroSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), son(F, E), son(F, D), son(G, F), son(Alter, G).
;; 49
%weenagee:1, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:1%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStbroSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), son(F, E), son(F, D), son(G, F), son(Alter, G).
;; 50
%weenagee:2, bro_pump[aux]35:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoBroSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 51
%weenagee:2, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaBroSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 52
%weenagee:2, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoSisSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 53
%weenagee:2, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=11, S=0, Star=0,  {MoMoMoMoSisDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), son(I, H), son(Alter, I).
;; 54
%weenagee:2, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=9, S=2, Star=0,  {MoMoMoStsisSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), son(I, H), son(Alter, I).
;; 55
%weenagee:2, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=9, S=2, Star=0,  {MoMoMoStsisSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), son(I, H), son(Alter, I).
;; 56
%weenagee:2, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), son(Alter, H).
;; 57
%weenagee:2, bro_pump[aux]35:0, brother[eq]:3, step_brother:0%
 Lvl=1,  PC=7, S=2, Star=0,  {MoMoStbroSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), son(G, F), son(G, E), son(Alter, G).
;; 58
%weenagee:2, bro_pump[aux]35:0, brother[eq]:3, step_brother:1%
 Lvl=1,  PC=7, S=2, Star=0,  {MoMoStbroSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), son(G, F), son(G, E), son(Alter, G).
;; 59
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 60
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), son(Alter, H).
;; 61
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), son(Alter, H).
;; 62
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=12, S=0, Star=0,  {MoMoMoMoSisDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), son(I, H), son(J, I), son(Alter, J).
;; 63
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=10, S=2, Star=0,  {MoMoMoStsisSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), son(I, H), son(J, I), son(Alter, J).
;; 64
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=10, S=2, Star=0,  {MoMoMoStsisSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), son(I, H), son(J, I), son(Alter, J).
;; 65
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStbroSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), son(G, F), son(G, E), son(H, G), son(Alter, H).
;; 66
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStbroSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), son(G, F), son(G, E), son(H, G), son(Alter, H).
;; 67
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(Alter, G).
;; 68
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=13, S=0, Star=0,  {MoMoMoMoSisDaSoSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), son(I, H), son(J, I), son(K, J), son(Alter, K).
;; 69
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {MoMoMoStsisSoSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), son(I, H), son(J, I), son(K, J), son(Alter, K).
;; 70
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=11, S=2, Star=0,  {MoMoMoStsisSoSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), son(I, H), son(J, I), son(K, J), son(Alter, K).
;; 71
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStbroSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), son(G, F), son(G, E), son(H, G), son(I, H), son(Alter, I).
;; 72
%weenagee:2, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStbroSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), son(G, F), son(G, E), son(H, G), son(I, H), son(Alter, I).
;; 73
%weenagee:3, bro_pump[aux]35:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoBroSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 74
%weenagee:3, bro_pump[aux]35:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=2,  PC=10, S=0, Star=0,  {MoMoMoFaBroSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 75
%weenagee:3, bro_pump[aux]35:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=2,  PC=10, S=0, Star=0,  {MoMoMoMoSisSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 76
%weenagee:3, bro_pump[aux]35:0, brother[eq]:3, step_brother:0%
 Lvl=2,  PC=8, S=2, Star=0,  {MoMoMoStbroSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), son(H, G), son(H, F), son(Alter, H).
;; 77
%weenagee:3, bro_pump[aux]35:0, brother[eq]:3, step_brother:1%
 Lvl=2,  PC=8, S=2, Star=0,  {MoMoMoStbroSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), son(H, G), son(H, F), son(Alter, H).
;; 78
%weenagee:3, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoBroSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 79
%weenagee:3, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:0%
 Lvl=1,  PC=9, S=2, Star=0,  {MoMoMoStbroSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), son(H, G), son(H, F), son(I, H), son(Alter, I).
;; 80
%weenagee:3, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:1%
 Lvl=1,  PC=9, S=2, Star=0,  {MoMoMoStbroSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), son(H, G), son(H, F), son(I, H), son(Alter, I).
;; 81
%weenagee:3, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), son(Alter, H).
;; 82
%weenagee:3, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=10, S=2, Star=0,  {MoMoMoStbroSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), son(H, G), son(H, F), son(I, H), son(J, I), son(Alter, J).
;; 83
%weenagee:3, bro_pump[aux]35:1, bro_pump[aux]35:1, bro_pump[aux]35:0, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=10, S=2, Star=0,  {MoMoMoStbroSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), son(H, G), son(H, F), son(I, H), son(J, I), son(Alter, J).


weeshetha(Alter, Ego) :-  wife(A, Ego), sister(B, A), husband(Alter, B).
{"WiSisHu"}
;; 0
%weeshetha:0, sister:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {WiSisHu}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(Alter, D).


weesonga(Alter, Ego) :-  brother[eq](Alter, Ego), younger(Alter, Ego).
{"Bro_FaBroSo_FaFaBroSoSo_FaMoSisSoSo_MoBroDaSo_MoBroSoDaSo_MoBroSoSoDaSo_MoFaBroDaSo_MoFaBroSoDaSo_MoMoBroDaDaSo_MoMoBroSoDaDaSo_MoMoFaBroDaDaSo_MoMoMoBroDaDaDaSo_MoMoMoSisDaDaSo_MoMoSisDaSo_MoMoSisSoDaSo_MoMoStsisDaSo_MoSisSo_MoStsisSo_Stbro"}
;; 0
%weesonga:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter), younger(Alter, Ego).
;; 1
%weesonga:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D), younger(Alter, Ego).
;; 2
%weesonga:0, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F), younger(Alter, Ego).
;; 3
%weesonga:0, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F), younger(Alter, Ego).
;; 4
%weesonga:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D), younger(Alter, Ego).
;; 5
%weesonga:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(Alter, F), younger(Alter, Ego).
;; 6
%weesonga:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(Alter, H), younger(Alter, Ego).
;; 7
%weesonga:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoBroDaDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), son(Alter, I), younger(Alter, Ego).
;; 8
%weesonga:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H), younger(Alter, Ego).
;; 9
%weesonga:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H), younger(Alter, Ego).
;; 10
%weesonga:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H), younger(Alter, Ego).
;; 11
%weesonga:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(Alter, G), younger(Alter, Ego).
;; 12
%weesonga:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H), younger(Alter, Ego).
;; 13
%weesonga:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStsisSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(Alter, F), younger(Alter, Ego).
;; 14
%weesonga:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStsisSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(Alter, F), younger(Alter, Ego).
;; 15
%weesonga:0, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F), younger(Alter, Ego).
;; 16
%weesonga:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E), younger(Alter, Ego).
;; 17
%weesonga:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(Alter, G), younger(Alter, Ego).
;; 18
%weesonga:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(Alter, G), younger(Alter, Ego).
;; 19
%weesonga:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(Alter, F), younger(Alter, Ego).
;; 20
%weesonga:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(Alter, G), younger(Alter, Ego).
;; 21
%weesonga:0, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=4, S=2, Star=0,  {Stbro}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C), younger(Alter, Ego).
;; 22
%weesonga:0, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=4, S=2, Star=0,  {Stbro}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C), younger(Alter, Ego).


weeteeme(Alter, Ego) :-  mother(A, Ego), brother[eq]1(B, A), wife(Alter, B).
                     |   father(A, Ego), sister(Alter, A).
{"FaSis_MoBroSoSoSoWi_MoBroSoSoWi_MoBroSoWi_MoBroWi_MoFaBroSoSoSoWi_MoFaBroSoSoWi_MoFaBroSoWi_MoFaFaBroSoSoWi_MoFaMoSisSoSoWi_MoMoBroDaSoWi_MoMoBroSoDaSoWi_MoMoFaBroDaSoWi_MoMoMoBroDaDaSoWi_MoMoMoMoSisDaDaSoWi_MoMoMoSisDaSoWi_MoMoMoStsisDaSoWi_MoMoSisSoSoSoWi_MoMoSisSoSoWi_MoMoSisSoWi_MoMoStsisSoWi_MoStbroWi"}
;; 0
%weeteeme:0, brother[eq]1:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoBroWi}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(Alter, D).
;; 1
%weeteeme:0, brother[eq]1:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaBroSoWi}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(Alter, F).
;; 2
%weeteeme:0, brother[eq]1:0, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaFaBroSoSoWi}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), wife(Alter, H).
;; 3
%weeteeme:0, brother[eq]1:0, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaMoSisSoSoWi}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), wife(Alter, H).
;; 4
%weeteeme:0, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoSisSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(Alter, F).
;; 5
%weeteeme:0, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoSisDaSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(H, G), wife(Alter, H).
;; 6
%weeteeme:0, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=11, S=1, Star=0,  {MoMoMoMoSisDaDaSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(I, H), not(equal(I, B)), son(J, I), wife(Alter, J).
;; 7
%weeteeme:0, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=9, S=3, Star=0,  {MoMoMoStsisDaSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), wife(Alter, J).
;; 8
%weeteeme:0, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=9, S=3, Star=0,  {MoMoMoStsisDaSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), wife(Alter, J).
;; 9
%weeteeme:0, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {MoMoMoBroDaDaSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(I, H), wife(Alter, I).
;; 10
%weeteeme:0, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=7, S=3, Star=0,  {MoMoStsisSoWi}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(H, G), wife(Alter, H).
;; 11
%weeteeme:0, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=7, S=3, Star=0,  {MoMoStsisSoWi}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(H, G), wife(Alter, H).
;; 12
%weeteeme:0, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaBroDaSoWi}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 13
%weeteeme:0, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoBroDaSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 14
%weeteeme:0, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoBroSoDaSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), wife(Alter, H).
;; 15
%weeteeme:0, brother[eq]1:0, brother[eq]:3, step_brother:0%
 Lvl=1,  PC=5, S=3, Star=0,  {MoStbroWi}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), son(F, E), son(F, D), wife(Alter, F).
;; 16
%weeteeme:0, brother[eq]1:0, brother[eq]:3, step_brother:1%
 Lvl=1,  PC=5, S=3, Star=0,  {MoStbroWi}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), son(F, E), son(F, D), wife(Alter, F).
;; 17
%weeteeme:0, brother[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoBroSoWi}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(Alter, E).
;; 18
%weeteeme:0, brother[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaBroSoSoWi}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), wife(Alter, G).
;; 19
%weeteeme:0, brother[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoSisSoSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), wife(Alter, G).
;; 20
%weeteeme:0, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroSoSoWi}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(Alter, F).
;; 21
%weeteeme:0, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoFaBroSoSoSoWi}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), wife(Alter, H).
;; 22
%weeteeme:0, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoSisSoSoSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), wife(Alter, H).
;; 23
%weeteeme:0, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoSoSoWi}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(G, F), wife(Alter, G).
;; 24
%weeteeme:1, sister:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaSis}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).


weetega(Alter, Ego) :-  gen_up[aux]35(A, Ego), father(Alter, A).
                    |   gen_up[aux]35(A, Ego), generation[aux]35smallGS(B, A), father(Alter, B).
                    |   father(A, Ego), gen_up[aux]35(B, A), parents(C, B), brother(D, C), son(Alter, D).
                    |   mother(A, Ego), gen_up[aux]35(B, A), parents(C, B), brother(D, C), son(Alter, D).
                    |   husband(A, Ego), father(Alter, A).
                    |   spice(A, Ego), gen_up[aux]35(B, A), father(Alter, B).
                    |   spice(A, Ego), gen_up[aux]35(B, A), generation[aux]35smallGS(C, B), father(Alter, C).
{"FaFa_FaFaBro_FaFaFa_FaFaFaBro_FaFaFaBroSo_FaFaFaFa_FaFaFaFaBro_FaFaFaFaBroSo_FaFaFaFaSisHu_FaFaFaMoBro_FaFaFaMoBroSo_FaFaFaMoSisHu_FaFaFaSisHu_FaFaMoBro_FaFaMoBroSo_FaFaMoFa_FaFaMoFaBro_FaFaMoFaBroSo_FaFaMoFaSisHu_FaFaMoMoBro_FaFaMoMoBroSo_FaFaMoMoSisHu_FaFaMoSisHu_FaFaSisHu_FaMoBro_FaMoFa_FaMoFaBro_FaMoFaBroSo_FaMoFaFa_FaMoFaFaBro_FaMoFaFaBroSo_FaMoFaFaSisHu_FaMoFaMoBro_FaMoFaMoBroSo_FaMoFaMoSisHu_FaMoFaSisHu_FaMoMoBro_FaMoMoBroSo_FaMoMoFa_FaMoMoFaBro_FaMoMoFaBroSo_FaMoMoFaSisHu_FaMoMoMoBro_FaMoMoMoBroSo_FaMoMoMoSisHu_FaMoMoSisHu_FaMoSisHu_HuFa_HuFaFa_HuFaFaBro_HuFaFaFa_HuFaFaFaBro_HuFaFaFaFa_HuFaFaFaSisHu_HuFaFaMoBro_HuFaFaMoFa_HuFaFaMoSisHu_HuFaFaSisHu_HuFaMoBro_HuFaMoFa_HuFaMoFaBro_HuFaMoFaFa_HuFaMoFaSisHu_HuFaMoMoBro_HuFaMoMoFa_HuFaMoMoSisHu_HuFaMoSisHu_HuMoFa_HuMoFaBro_HuMoFaFa_HuMoFaFaBro_HuMoFaFaFa_HuMoFaFaSisHu_HuMoFaMoBro_HuMoFaMoFa_HuMoFaMoSisHu_HuMoFaSisHu_HuMoMoBro_HuMoMoFa_HuMoMoFaBro_HuMoMoFaFa_HuMoMoFaSisHu_HuMoMoMoBro_HuMoMoMoFa_HuMoMoMoSisHu_HuMoMoSisHu_MoFa_MoFaBro_MoFaFa_MoFaFaBro_MoFaFaBroSo_MoFaFaFa_MoFaFaFaBro_MoFaFaFaBroSo_MoFaFaFaSisHu_MoFaFaMoBro_MoFaFaMoBroSo_MoFaFaMoSisHu_MoFaFaSisHu_MoFaMoBro_MoFaMoBroSo_MoFaMoFa_MoFaMoFaBro_MoFaMoFaBroSo_MoFaMoFaSisHu_MoFaMoMoBro_MoFaMoMoBroSo_MoFaMoMoSisHu_MoFaMoSisHu_MoFaSisHu_MoMoBro_MoMoFa_MoMoFaBro_MoMoFaBroSo_MoMoFaFa_MoMoFaFaBro_MoMoFaFaBroSo_MoMoFaFaSisHu_MoMoFaMoBro_MoMoFaMoBroSo_MoMoFaMoSisHu_MoMoFaSisHu_MoMoMoBro_MoMoMoBroSo_MoMoMoFa_MoMoMoFaBro_MoMoMoFaBroSo_MoMoMoFaSisHu_MoMoMoMoBro_MoMoMoMoBroSo_MoMoMoMoSisHu_MoMoMoSisHu_MoMoSisHu_WiFaFa_WiFaFaBro_WiFaFaFa_WiFaFaFaBro_WiFaFaFaFa_WiFaFaFaSisHu_WiFaFaMoBro_WiFaFaMoFa_WiFaFaMoSisHu_WiFaFaSisHu_WiFaMoBro_WiFaMoFa_WiFaMoFaBro_WiFaMoFaFa_WiFaMoFaSisHu_WiFaMoMoBro_WiFaMoMoFa_WiFaMoMoSisHu_WiFaMoSisHu_WiMoFa_WiMoFaBro_WiMoFaFa_WiMoFaFaBro_WiMoFaFaFa_WiMoFaFaSisHu_WiMoFaMoBro_WiMoFaMoFa_WiMoFaMoSisHu_WiMoFaSisHu_WiMoMoBro_WiMoMoFa_WiMoMoFaBro_WiMoMoFaFa_WiMoMoFaSisHu_WiMoMoMoBro_WiMoMoMoFa_WiMoMoMoSisHu_WiMoMoSisHu"}
;; 0
%weetega:0, gen_up[aux]35:0%
 Lvl=2,  PC=2, S=0, Star=0,  {FaFa}  
 father(A, Ego), father(Alter, A).
;; 1
%weetega:0, gen_up[aux]35:1%
 Lvl=2,  PC=2, S=0, Star=0,  {MoFa}  
 mother(A, Ego), father(Alter, A).
;; 2
%weetega:0, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=3,  PC=3, S=0, Star=0,  {FaFaFa}  
 father(A, Ego), father(B, A), father(Alter, B).
;; 3
%weetega:0, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoFaFa}  
 mother(A, Ego), father(B, A), father(Alter, B).
;; 4
%weetega:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaFaFa}  
 father(A, Ego), father(B, A), father(C, B), father(Alter, C).
;; 5
%weetega:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaFaFa}  
 mother(A, Ego), father(B, A), father(C, B), father(Alter, C).
;; 6
%weetega:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoFaFa}  
 father(A, Ego), mother(B, A), father(C, B), father(Alter, C).
;; 7
%weetega:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoFaFa}  
 mother(A, Ego), mother(B, A), father(C, B), father(Alter, C).
;; 8
%weetega:0, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=3,  PC=3, S=0, Star=0,  {FaMoFa}  
 father(A, Ego), mother(B, A), father(Alter, B).
;; 9
%weetega:0, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoMoFa}  
 mother(A, Ego), mother(B, A), father(Alter, B).
;; 10
%weetega:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaMoFa}  
 father(A, Ego), father(B, A), mother(C, B), father(Alter, C).
;; 11
%weetega:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaMoFa}  
 mother(A, Ego), father(B, A), mother(C, B), father(Alter, C).
;; 12
%weetega:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoMoFa}  
 father(A, Ego), mother(B, A), mother(C, B), father(Alter, C).
;; 13
%weetega:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoMoFa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(Alter, C).
;; 14
%weetega:1, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaFa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), father(Alter, D).
;; 15
%weetega:1, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaFa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), father(Alter, D).
;; 16
%weetega:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoBro}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), father(Alter, F).
;; 17
%weetega:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoBro}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), father(Alter, F).
;; 18
%weetega:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoSisHu}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), father(Alter, F).
;; 19
%weetega:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoSisHu}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), father(Alter, F).
;; 20
%weetega:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaBro}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), father(Alter, F).
;; 21
%weetega:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaBro}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), father(Alter, F).
;; 22
%weetega:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaSisHu}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), father(Alter, F).
;; 23
%weetega:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaSisHu}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), father(Alter, F).
;; 24
%weetega:1, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoFa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), father(Alter, D).
;; 25
%weetega:1, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoFa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), father(Alter, D).
;; 26
%weetega:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoBro}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), father(Alter, F).
;; 27
%weetega:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoBro}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), father(Alter, F).
;; 28
%weetega:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoSisHu}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), father(Alter, F).
;; 29
%weetega:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoSisHu}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), father(Alter, F).
;; 30
%weetega:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaBro}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), father(Alter, F).
;; 31
%weetega:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaBro}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), father(Alter, F).
;; 32
%weetega:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaSisHu}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), father(Alter, F).
;; 33
%weetega:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaSisHu}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), father(Alter, F).
;; 34
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaFa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), father(Alter, E).
;; 35
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaFa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), father(Alter, E).
;; 36
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoBro}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 37
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoBro}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 38
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoSisHu}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 39
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoSisHu}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 40
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaBro}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 41
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaBro}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 42
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaSisHu}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 43
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaSisHu}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 44
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaFa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), father(Alter, E).
;; 45
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaFa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), father(Alter, E).
;; 46
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoBro}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 47
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoBro}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 48
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoSisHu}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 49
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoSisHu}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 50
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaBro}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 51
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaBro}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 52
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaSisHu}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 53
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaSisHu}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 54
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaFaFa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 55
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaFaFa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 56
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaMoBro}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 57
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaMoBro}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 58
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaMoSisHu}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 59
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaMoSisHu}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 60
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaFaBro}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 61
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaFaBro}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 62
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaFaSisHu}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 63
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaFaFaSisHu}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 64
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaFaFa}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 65
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaFaFa}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 66
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaMoBro}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 67
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaMoBro}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 68
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaMoSisHu}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 69
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaMoSisHu}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 70
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaFaBro}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 71
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaFaBro}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 72
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaFaSisHu}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 73
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaFaFaSisHu}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 74
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoFaFa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 75
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoFaFa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 76
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaMoBro}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 77
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaMoBro}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 78
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaMoSisHu}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 79
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaMoSisHu}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 80
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaFaBro}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 81
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaFaBro}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 82
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaFaSisHu}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 83
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoFaFaSisHu}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 84
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoFaFa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 85
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoFaFa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 86
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaMoBro}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 87
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaMoBro}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 88
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaMoSisHu}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 89
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaMoSisHu}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 90
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaFaBro}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 91
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaFaBro}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 92
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaFaSisHu}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 93
%weetega:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoFaFaSisHu}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 94
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoFa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), father(Alter, E).
;; 95
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoFa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), father(Alter, E).
;; 96
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoBro}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 97
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoBro}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 98
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoSisHu}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 99
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoSisHu}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 100
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaBro}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 101
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaBro}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 102
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaSisHu}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 103
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaSisHu}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 104
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoFa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), father(Alter, E).
;; 105
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoFa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), father(Alter, E).
;; 106
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoBro}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 107
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoBro}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 108
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoSisHu}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 109
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoSisHu}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 110
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaBro}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 111
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaBro}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 112
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaSisHu}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 113
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaSisHu}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 114
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaMoFa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 115
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaMoFa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 116
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoMoBro}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 117
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoMoBro}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 118
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoMoSisHu}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 119
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoMoSisHu}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 120
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoFaBro}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 121
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoFaBro}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 122
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoFaSisHu}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 123
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaFaMoFaSisHu}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 124
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaMoFa}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 125
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaMoFa}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 126
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoMoBro}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 127
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoMoBro}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 128
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoMoSisHu}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 129
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoMoSisHu}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 130
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoFaBro}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 131
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoFaBro}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 132
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoFaSisHu}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 133
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoFaMoFaSisHu}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 134
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoMoFa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 135
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoMoFa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 136
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoMoBro}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 137
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoMoBro}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 138
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoMoSisHu}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 139
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoMoSisHu}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 140
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoFaBro}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 141
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoFaBro}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 142
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoFaSisHu}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 143
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {FaMoMoFaSisHu}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 144
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoMoFa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 145
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoMoFa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 146
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoMoBro}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 147
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoMoBro}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 148
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoMoSisHu}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 149
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoMoSisHu}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 150
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoFaBro}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 151
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoFaBro}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 152
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoFaSisHu}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 153
%weetega:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=4,  PC=10, S=0, Star=0,  {MoMoMoFaSisHu}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 154
%weetega:2, gen_up[aux]35:0, parents:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoBroSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 155
%weetega:2, gen_up[aux]35:0, parents:1, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaBroSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 156
%weetega:2, gen_up[aux]35:1, parents:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoBroSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 157
%weetega:2, gen_up[aux]35:1, parents:1, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaBroSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 158
%weetega:2, gen_up[aux]35:2, gen_up[aux]35:0, parents:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoBroSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 159
%weetega:2, gen_up[aux]35:2, gen_up[aux]35:0, parents:1, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaBroSo}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 160
%weetega:2, gen_up[aux]35:2, gen_up[aux]35:1, parents:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoBroSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 161
%weetega:2, gen_up[aux]35:2, gen_up[aux]35:1, parents:1, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaBroSo}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 162
%weetega:2, gen_up[aux]35:3, gen_up[aux]35:0, parents:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoBroSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 163
%weetega:2, gen_up[aux]35:3, gen_up[aux]35:0, parents:1, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaBroSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 164
%weetega:2, gen_up[aux]35:3, gen_up[aux]35:1, parents:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoBroSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 165
%weetega:2, gen_up[aux]35:3, gen_up[aux]35:1, parents:1, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaBroSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 166
%weetega:3, gen_up[aux]35:0, parents:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoBroSo}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 167
%weetega:3, gen_up[aux]35:0, parents:1, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaBroSo}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 168
%weetega:3, gen_up[aux]35:1, parents:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoBroSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 169
%weetega:3, gen_up[aux]35:1, parents:1, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaBroSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 170
%weetega:3, gen_up[aux]35:2, gen_up[aux]35:0, parents:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoBroSo}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 171
%weetega:3, gen_up[aux]35:2, gen_up[aux]35:0, parents:1, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaBroSo}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 172
%weetega:3, gen_up[aux]35:2, gen_up[aux]35:1, parents:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoBroSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 173
%weetega:3, gen_up[aux]35:2, gen_up[aux]35:1, parents:1, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaBroSo}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 174
%weetega:3, gen_up[aux]35:3, gen_up[aux]35:0, parents:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoBroSo}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 175
%weetega:3, gen_up[aux]35:3, gen_up[aux]35:0, parents:1, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaBroSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 176
%weetega:3, gen_up[aux]35:3, gen_up[aux]35:1, parents:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoBroSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 177
%weetega:3, gen_up[aux]35:3, gen_up[aux]35:1, parents:1, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaBroSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 178
%weetega:4%
 Lvl=1,  PC=1, S=1, Star=0,  {HuFa}  
 husband(A, Ego), father(Alter, A).
;; 179
%weetega:5, spice:0, gen_up[aux]35:0%
 Lvl=2,  PC=2, S=1, Star=0,  {HuFaFa}  
 husband(A, Ego), father(B, A), father(Alter, B).
;; 180
%weetega:5, spice:0, gen_up[aux]35:1%
 Lvl=2,  PC=2, S=1, Star=0,  {HuMoFa}  
 husband(A, Ego), mother(B, A), father(Alter, B).
;; 181
%weetega:5, spice:0, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaFaFa}  
 husband(A, Ego), father(B, A), father(C, B), father(Alter, C).
;; 182
%weetega:5, spice:0, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoFaFa}  
 husband(A, Ego), mother(B, A), father(C, B), father(Alter, C).
;; 183
%weetega:5, spice:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaFaFa}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), father(Alter, D).
;; 184
%weetega:5, spice:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaFaFa}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), father(Alter, D).
;; 185
%weetega:5, spice:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoFaFa}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 186
%weetega:5, spice:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoFaFa}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 187
%weetega:5, spice:0, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaMoFa}  
 husband(A, Ego), father(B, A), mother(C, B), father(Alter, C).
;; 188
%weetega:5, spice:0, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoMoFa}  
 husband(A, Ego), mother(B, A), mother(C, B), father(Alter, C).
;; 189
%weetega:5, spice:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaMoFa}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 190
%weetega:5, spice:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaMoFa}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 191
%weetega:5, spice:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoMoFa}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 192
%weetega:5, spice:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoMoFa}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 193
%weetega:5, spice:1, gen_up[aux]35:0%
 Lvl=2,  PC=2, S=1, Star=0,  {WiFaFa}  
 wife(A, Ego), father(B, A), father(Alter, B).
;; 194
%weetega:5, spice:1, gen_up[aux]35:1%
 Lvl=2,  PC=2, S=1, Star=0,  {WiMoFa}  
 wife(A, Ego), mother(B, A), father(Alter, B).
;; 195
%weetega:5, spice:1, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaFaFa}  
 wife(A, Ego), father(B, A), father(C, B), father(Alter, C).
;; 196
%weetega:5, spice:1, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoFaFa}  
 wife(A, Ego), mother(B, A), father(C, B), father(Alter, C).
;; 197
%weetega:5, spice:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaFaFa}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), father(Alter, D).
;; 198
%weetega:5, spice:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaFaFa}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), father(Alter, D).
;; 199
%weetega:5, spice:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoFaFa}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 200
%weetega:5, spice:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoFaFa}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 201
%weetega:5, spice:1, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaMoFa}  
 wife(A, Ego), father(B, A), mother(C, B), father(Alter, C).
;; 202
%weetega:5, spice:1, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoMoFa}  
 wife(A, Ego), mother(B, A), mother(C, B), father(Alter, C).
;; 203
%weetega:5, spice:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaMoFa}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 204
%weetega:5, spice:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaMoFa}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 205
%weetega:5, spice:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoMoFa}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 206
%weetega:5, spice:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoMoFa}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 207
%weetega:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaFa}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), father(Alter, E).
;; 208
%weetega:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaFa}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), father(Alter, E).
;; 209
%weetega:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoBro}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 210
%weetega:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoBro}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 211
%weetega:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoSisHu}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 212
%weetega:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoSisHu}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 213
%weetega:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaBro}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 214
%weetega:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaBro}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 215
%weetega:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaSisHu}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 216
%weetega:6, spice:0, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaSisHu}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 217
%weetega:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoFa}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), father(Alter, E).
;; 218
%weetega:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoFa}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), father(Alter, E).
;; 219
%weetega:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoBro}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 220
%weetega:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoBro}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 221
%weetega:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoSisHu}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 222
%weetega:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoSisHu}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 223
%weetega:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaBro}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 224
%weetega:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaBro}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 225
%weetega:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaSisHu}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 226
%weetega:6, spice:0, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaSisHu}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 227
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaFa}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 228
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaFa}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 229
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaMoBro}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 230
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaMoBro}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 231
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaMoSisHu}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 232
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaMoSisHu}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 233
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaFaBro}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 234
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaFaBro}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 235
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaFaSisHu}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 236
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaFaFaSisHu}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 237
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaFa}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 238
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaFa}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 239
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaMoBro}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 240
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaMoBro}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 241
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaMoSisHu}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 242
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaMoSisHu}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 243
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaFaBro}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 244
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaFaBro}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 245
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaFaSisHu}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 246
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoFaFaSisHu}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 247
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaFaFaFa}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 248
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaFaFaFa}  
 husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 249
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoFaFaFa}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 250
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoFaFaFa}  
 husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 251
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaMoFaFa}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 252
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaMoFaFa}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 253
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoMoFaFa}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 254
%weetega:6, spice:0, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoMoFaFa}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 255
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoFa}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 256
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoFa}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 257
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoMoBro}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 258
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoMoBro}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 259
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoMoSisHu}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 260
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoMoSisHu}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 261
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoFaBro}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 262
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoFaBro}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 263
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoFaSisHu}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 264
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuFaMoFaSisHu}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 265
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoFa}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 266
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoFa}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 267
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoMoBro}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 268
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoMoBro}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 269
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoMoSisHu}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 270
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoMoSisHu}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 271
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoFaBro}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 272
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoFaBro}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 273
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoFaSisHu}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 274
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {HuMoMoFaSisHu}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 275
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaFaMoFa}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 276
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaFaMoFa}  
 husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 277
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoFaMoFa}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 278
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoFaMoFa}  
 husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 279
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaMoMoFa}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 280
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuFaMoMoFa}  
 husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 281
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoMoMoFa}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 282
%weetega:6, spice:0, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {HuMoMoMoFa}  
 husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 283
%weetega:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaFa}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), father(Alter, E).
;; 284
%weetega:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaFa}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), father(Alter, E).
;; 285
%weetega:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoBro}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 286
%weetega:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoBro}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 287
%weetega:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoSisHu}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 288
%weetega:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoSisHu}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 289
%weetega:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaBro}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 290
%weetega:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaBro}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 291
%weetega:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaSisHu}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 292
%weetega:6, spice:1, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaSisHu}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 293
%weetega:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoFa}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), father(Alter, E).
;; 294
%weetega:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoFa}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), father(Alter, E).
;; 295
%weetega:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoBro}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 296
%weetega:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoBro}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 297
%weetega:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoSisHu}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 298
%weetega:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoSisHu}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 299
%weetega:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaBro}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), father(Alter, G).
;; 300
%weetega:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaBro}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), father(Alter, G).
;; 301
%weetega:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaSisHu}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), father(Alter, G).
;; 302
%weetega:6, spice:1, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaSisHu}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), father(Alter, G).
;; 303
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaFa}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 304
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaFa}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 305
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaMoBro}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 306
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaMoBro}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 307
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaMoSisHu}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 308
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaMoSisHu}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 309
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaFaBro}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 310
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaFaBro}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 311
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaFaSisHu}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 312
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaFaFaSisHu}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 313
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaFa}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 314
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaFa}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 315
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaMoBro}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 316
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaMoBro}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 317
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaMoSisHu}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 318
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaMoSisHu}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 319
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaFaBro}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 320
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaFaBro}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 321
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaFaSisHu}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 322
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoFaFaSisHu}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 323
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaFaFaFa}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 324
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaFaFaFa}  
 wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 325
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoFaFaFa}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 326
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoFaFaFa}  
 wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 327
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaMoFaFa}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 328
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaMoFaFa}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 329
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoMoFaFa}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 330
%weetega:6, spice:1, gen_up[aux]35:2, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoMoFaFa}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 331
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoFa}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 332
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoFa}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 333
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoMoBro}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 334
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoMoBro}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 335
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoMoSisHu}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 336
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoMoSisHu}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 337
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoFaBro}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 338
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoFaBro}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 339
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoFaSisHu}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 340
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiFaMoFaSisHu}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 341
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoFa}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), father(Alter, F).
;; 342
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoFa}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), father(Alter, F).
;; 343
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoMoBro}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 344
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoMoBro}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 345
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoMoSisHu}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 346
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoMoSisHu}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 347
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoFaBro}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), father(Alter, H).
;; 348
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoFaBro}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), father(Alter, H).
;; 349
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoFaSisHu}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), father(Alter, H).
;; 350
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=3,  PC=9, S=1, Star=0,  {WiMoMoFaSisHu}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), father(Alter, H).
;; 351
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaFaMoFa}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 352
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaFaMoFa}  
 wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 353
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoFaMoFa}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 354
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:2, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoFaMoFa}  
 wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 355
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaMoMoFa}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 356
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiFaMoMoFa}  
 wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).
;; 357
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoMoMoFa}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), father(Alter, G).
;; 358
%weetega:6, spice:1, gen_up[aux]35:3, gen_up[aux]35:3, gen_up[aux]35:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {WiMoMoMoFa}  
 wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), father(Alter, G).


weetenoo(Alter, Ego) :-  female(Ego), brother[eq](Alter, Ego), elder(Alter, Ego).
{"Bro_FaBroSo_FaFaBroSoSo_FaMoSisSoSo_MoBroDaSo_MoBroSoDaSo_MoBroSoSoDaSo_MoFaBroDaSo_MoFaBroSoDaSo_MoFaBroSoSoDaSo_MoFaBroSoSoSoDaSo_MoMoBroDaDaSo_MoMoBroSoDaDaSo_MoMoBroSoSoDaDaSo_MoMoFaBroDaDaSo_MoMoFaBroSoDaDaSo_MoMoMoSisDaDaSo_MoMoMoSisSoDaDaSo_MoMoSisDaSo_MoMoSisSoDaSo_MoMoSisSoSoDaSo_MoMoSisSoSoSoDaSo_MoMoStsisDaSo_MoSisSo_MoStsisSo_Stbro"}
;; 0
%weetenoo:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter), elder(Alter, Ego).
;; 1
%weetenoo:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroSo}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D), elder(Alter, Ego).
;; 2
%weetenoo:0, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroSoSo}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F), elder(Alter, Ego).
;; 3
%weetenoo:0, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisSoSo}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F), elder(Alter, Ego).
;; 4
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D), elder(Alter, Ego).
;; 5
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(Alter, F), elder(Alter, Ego).
;; 6
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(Alter, H), elder(Alter, Ego).
;; 7
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H), elder(Alter, Ego).
;; 8
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H), elder(Alter, Ego).
;; 9
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H), elder(Alter, Ego).
;; 10
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(Alter, G), elder(Alter, Ego).
;; 11
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroSoDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(Alter, I), elder(Alter, Ego).
;; 12
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisSoDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(Alter, I), elder(Alter, Ego).
;; 13
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H), elder(Alter, Ego).
;; 14
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroSoSoDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(Alter, I), elder(Alter, Ego).
;; 15
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStsisSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(Alter, F), elder(Alter, Ego).
;; 16
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStsisSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(Alter, F), elder(Alter, Ego).
;; 17
%weetenoo:0, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroDaSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F), elder(Alter, Ego).
;; 18
%weetenoo:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E), elder(Alter, Ego).
;; 19
%weetenoo:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(Alter, G), elder(Alter, Ego).
;; 20
%weetenoo:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(Alter, G), elder(Alter, Ego).
;; 21
%weetenoo:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(Alter, F), elder(Alter, Ego).
;; 22
%weetenoo:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoDaSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H), elder(Alter, Ego).
;; 23
%weetenoo:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H), elder(Alter, Ego).
;; 24
%weetenoo:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(Alter, G), elder(Alter, Ego).
;; 25
%weetenoo:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoSoSoDaSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(Alter, I), elder(Alter, Ego).
;; 26
%weetenoo:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoSoSoDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(Alter, I), elder(Alter, Ego).
;; 27
%weetenoo:0, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=4, S=2, Star=0,  {Stbro}  
 female(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C), elder(Alter, Ego).
;; 28
%weetenoo:0, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=4, S=2, Star=0,  {Stbro}  
 female(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C), elder(Alter, Ego).


weetonga(Alter, Ego) :-  male(Ego), sister[eq](Alter, Ego).
                     |   female(Ego), sister[eq](Alter, Ego), younger(Alter, Ego).
{"FaBroDa_MoBroDaDa_MoBroSoDaDa_MoBroSoSoDaDa_MoFaBroDaDa_MoFaBroSoDaDa_MoFaBroSoSoDaDa_MoFaBroSoSoSoDaDa_MoMoBroDaDaDa_MoMoBroSoDaDaDa_MoMoBroSoSoDaDaDa_MoMoFaBroDaDaDa_MoMoFaBroSoDaDaDa_MoMoMoSisSoDaDaDa_MoMoSisDaDa_MoMoSisSoDaDa_MoMoSisSoSoDaDa_MoMoSisSoSoSoDaDa_MoMoStsisDaDa_MoSisDa_MoStsisDa_Sis_Stsis"}
;; 0
%weetonga:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 1
%weetonga:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D), not(equal(Alter, Ego)).
;; 2
%weetonga:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(Alter, F), not(equal(Alter, Ego)).
;; 3
%weetonga:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 4
%weetonga:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 5
%weetonga:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 6
%weetonga:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(Alter, G), not(equal(Alter, Ego)).
;; 7
%weetonga:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroSoDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), daughter(Alter, I), not(equal(Alter, Ego)).
;; 8
%weetonga:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisSoDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), daughter(Alter, I), not(equal(Alter, Ego)).
;; 9
%weetonga:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)).
;; 10
%weetonga:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroSoSoDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), daughter(Alter, I), not(equal(Alter, Ego)).
;; 11
%weetonga:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStsisDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(Alter, F), not(equal(Alter, Ego)).
;; 12
%weetonga:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStsisDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(Alter, F), not(equal(Alter, Ego)).
;; 13
%weetonga:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroDaDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F), not(equal(Alter, Ego)).
;; 14
%weetonga:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E), not(equal(Alter, Ego)).
;; 15
%weetonga:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)).
;; 16
%weetonga:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)).
;; 17
%weetonga:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(Alter, F), not(equal(Alter, Ego)).
;; 18
%weetonga:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoDaDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H), not(equal(Alter, Ego)).
;; 19
%weetonga:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H), not(equal(Alter, Ego)).
;; 20
%weetonga:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)).
;; 21
%weetonga:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoSoSoDaDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(Alter, I), not(equal(Alter, Ego)).
;; 22
%weetonga:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoSoSoDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(Alter, I), not(equal(Alter, Ego)).
;; 23
%weetonga:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=4, S=2, Star=0,  {Stsis}  
 male(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
;; 24
%weetonga:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=4, S=2, Star=0,  {Stsis}  
 male(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).
;; 25
%weetonga:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroDa}  
 male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 26
%weetonga:1, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter), younger(Alter, Ego).
;; 27
%weetonga:1, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 28
%weetonga:1, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(Alter, F), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 29
%weetonga:1, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 30
%weetonga:1, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 31
%weetonga:1, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 32
%weetonga:1, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(Alter, G), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 33
%weetonga:1, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 34
%weetonga:1, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStsisDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(Alter, F), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 35
%weetonga:1, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStsisDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(Alter, F), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 36
%weetonga:1, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 37
%weetonga:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 38
%weetonga:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 39
%weetonga:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 40
%weetonga:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(Alter, F), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 41
%weetonga:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 42
%weetonga:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 43
%weetonga:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 44
%weetonga:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoSoSoDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(Alter, I), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 45
%weetonga:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoSoSoDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(Alter, I), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 46
%weetonga:1, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=4, S=2, Star=0,  {Stsis}  
 female(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C), younger(Alter, Ego).
;; 47
%weetonga:1, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=4, S=2, Star=0,  {Stsis}  
 female(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C), younger(Alter, Ego).
;; 48
%weetonga:1, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroDa}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D), younger(Alter, Ego).


weetushpa(Alter, Ego) :-  children(A, Ego), gen_dn[aux]35(Alter, A).
                      |   sister[eq]2(A, Ego), children(B, A), gen_dn[aux]35(Alter, B).
                      |   brother[eq](A, Ego), children(B, A), gen_dn[aux]35(Alter, B).
                      |   parents(A, Ego), generation[aux]35smallGS(B, A), children(C, B), children(D, C), gen_dn[aux]35(Alter, D).
{"BroDaDa_BroDaDaDa_BroDaDaSo_BroDaSo_BroDaSoDa_BroDaSoSo_BroSoDa_BroSoDaDa_BroSoDaSo_BroSoSo_BroSoSoDa_BroSoSoSo_DaDa_DaDaDa_DaDaSo_DaSo_DaSoDa_DaSoSo_FaBroDaDaDa_FaBroDaDaDaDa_FaBroDaDaDaSo_FaBroDaDaSo_FaBroDaDaSoDa_FaBroDaDaSoSo_FaBroDaSoDa_FaBroDaSoDaDa_FaBroDaSoDaSo_FaBroDaSoSo_FaBroDaSoSoDa_FaBroDaSoSoSo_FaBroSoDaDa_FaBroSoDaDaDa_FaBroSoDaDaSo_FaBroSoDaSo_FaBroSoDaSoDa_FaBroSoDaSoSo_FaBroSoSoDa_FaBroSoSoDaDa_FaBroSoSoDaSo_FaBroSoSoSo_FaBroSoSoSoDa_FaBroSoSoSoSo_FaFaBroDaDaDa_FaFaBroDaDaDaDa_FaFaBroDaDaDaSo_FaFaBroDaDaSo_FaFaBroDaDaSoDa_FaFaBroDaDaSoSo_FaFaBroDaSoDa_FaFaBroDaSoDaDa_FaFaBroDaSoDaSo_FaFaBroDaSoSo_FaFaBroDaSoSoDa_FaFaBroDaSoSoSo_FaFaBroSoDaDaDa_FaFaBroSoDaDaSo_FaFaBroSoDaSoDa_FaFaBroSoDaSoSo_FaFaBroSoSoDaDa_FaFaBroSoSoDaSo_FaFaBroSoSoSoDa_FaFaBroSoSoSoSo_FaFaFaBroDaDaDa_FaFaFaBroDaDaSo_FaFaFaBroDaSoDa_FaFaFaBroDaSoSo_FaFaMoBroDaDaDaDa_FaFaMoBroDaDaDaDaDa_FaFaMoBroDaDaDaDaSo_FaFaMoBroDaDaDaSo_FaFaMoBroDaDaDaSoDa_FaFaMoBroDaDaDaSoSo_FaFaMoBroDaDaSoDa_FaFaMoBroDaDaSoDaDa_FaFaMoBroDaDaSoDaSo_FaFaMoBroDaDaSoSo_FaFaMoBroDaDaSoSoDa_FaFaMoBroDaDaSoSoSo_FaFaMoMoSisDaDaDaDa_FaFaMoMoSisDaDaDaSo_FaFaMoMoSisDaDaSoDa_FaFaMoMoSisDaDaSoSo_FaFaMoSisDaDaDa_FaFaMoSisDaDaDaDa_FaFaMoSisDaDaDaSo_FaFaMoSisDaDaSo_FaFaMoSisDaDaSoDa_FaFaMoSisDaDaSoSo_FaFaMoSisDaSoDa_FaFaMoSisDaSoDaDa_FaFaMoSisDaSoDaSo_FaFaMoSisDaSoSo_FaFaMoSisDaSoSoDa_FaFaMoSisDaSoSoSo_FaFaMoStsisDaDaDa_FaFaMoStsisDaDaDaDa_FaFaMoStsisDaDaDaSo_FaFaMoStsisDaDaSo_FaFaMoStsisDaDaSoDa_FaFaMoStsisDaDaSoSo_FaFaMoStsisDaSoDa_FaFaMoStsisDaSoDaDa_FaFaMoStsisDaSoDaSo_FaFaMoStsisDaSoSo_FaFaMoStsisDaSoSoDa_FaFaMoStsisDaSoSoSo_FaFaSisDaDa_FaFaSisDaDaDa_FaFaSisDaDaDaDa_FaFaSisDaDaDaSo_FaFaSisDaDaSo_FaFaSisDaDaSoDa_FaFaSisDaDaSoSo_FaFaSisDaSo_FaFaSisDaSoDa_FaFaSisDaSoDaDa_FaFaSisDaSoDaSo_FaFaSisDaSoSo_FaFaSisDaSoSoDa_FaFaSisDaSoSoSo_FaFaSisSoDa_FaFaSisSoDaDa_FaFaSisSoDaDaDa_FaFaSisSoDaDaSo_FaFaSisSoDaSo_FaFaSisSoDaSoDa_FaFaSisSoDaSoSo_FaFaSisSoSo_FaFaSisSoSoDa_FaFaSisSoSoDaDa_FaFaSisSoSoDaSo_FaFaSisSoSoSo_FaFaSisSoSoSoDa_FaFaSisSoSoSoSo_FaFaStsisDaDa_FaFaStsisDaDaDa_FaFaStsisDaDaSo_FaFaStsisDaSo_FaFaStsisDaSoDa_FaFaStsisDaSoSo_FaFaStsisSoDa_FaFaStsisSoDaDa_FaFaStsisSoDaSo_FaFaStsisSoSo_FaFaStsisSoSoDa_FaFaStsisSoSoSo_FaMoBroDaDaDaDa_FaMoBroDaDaDaDaDa_FaMoBroDaDaDaDaSo_FaMoBroDaDaDaSo_FaMoBroDaDaDaSoDa_FaMoBroDaDaDaSoSo_FaMoBroDaDaSoDa_FaMoBroDaDaSoDaDa_FaMoBroDaDaSoDaSo_FaMoBroDaDaSoSo_FaMoBroDaDaSoSoDa_FaMoBroDaDaSoSoSo_FaMoBroDaSoDaDa_FaMoBroDaSoDaSo_FaMoBroDaSoSoDa_FaMoBroDaSoSoSo_FaMoBroSoDaDaDa_FaMoBroSoDaDaDaDa_FaMoBroSoDaDaDaDaDa_FaMoBroSoDaDaDaDaSo_FaMoBroSoDaDaDaSo_FaMoBroSoDaDaDaSoDa_FaMoBroSoDaDaDaSoSo_FaMoBroSoDaDaSo_FaMoBroSoDaDaSoDa_FaMoBroSoDaDaSoDaDa_FaMoBroSoDaDaSoDaSo_FaMoBroSoDaDaSoSo_FaMoBroSoDaDaSoSoDa_FaMoBroSoDaDaSoSoSo_FaMoBroSoDaSoDa_FaMoBroSoDaSoSo_FaMoBroSoSoDaDa_FaMoBroSoSoDaSo_FaMoBroSoSoSoDa_FaMoBroSoSoSoSo_FaMoFaBroDaDaDaDa_FaMoFaBroDaDaDaDaDa_FaMoFaBroDaDaDaDaSo_FaMoFaBroDaDaDaSo_FaMoFaBroDaDaDaSoDa_FaMoFaBroDaDaDaSoSo_FaMoFaBroDaDaSoDa_FaMoFaBroDaDaSoDaDa_FaMoFaBroDaDaSoDaSo_FaMoFaBroDaDaSoSo_FaMoFaBroDaDaSoSoDa_FaMoFaBroDaDaSoSoSo_FaMoMoBroDaDaDaDaDa_FaMoMoBroDaDaDaDaSo_FaMoMoBroDaDaDaSoDa_FaMoMoBroDaDaDaSoSo_FaMoMoSisDaDaDaDa_FaMoMoSisDaDaDaDaDa_FaMoMoSisDaDaDaDaSo_FaMoMoSisDaDaDaSo_FaMoMoSisDaDaDaSoDa_FaMoMoSisDaDaDaSoSo_FaMoMoSisDaDaSoDa_FaMoMoSisDaDaSoDaDa_FaMoMoSisDaDaSoDaSo_FaMoMoSisDaDaSoSo_FaMoMoSisDaDaSoSoDa_FaMoMoSisDaDaSoSoSo_FaMoSisDaDaDa_FaMoSisDaDaDaDa_FaMoSisDaDaDaSo_FaMoSisDaDaSo_FaMoSisDaDaSoDa_FaMoSisDaDaSoSo_FaMoSisDaSoDa_FaMoSisDaSoDaDa_FaMoSisDaSoDaSo_FaMoSisDaSoSo_FaMoSisDaSoSoDa_FaMoSisDaSoSoSo_FaMoSisSoDaDaDa_FaMoSisSoDaDaSo_FaMoSisSoDaSoDa_FaMoSisSoDaSoSo_FaMoSisSoSoDaDa_FaMoSisSoSoDaSo_FaMoSisSoSoSoDa_FaMoSisSoSoSoSo_FaMoStsisDaDaDa_FaMoStsisDaDaDaDa_FaMoStsisDaDaDaSo_FaMoStsisDaDaSo_FaMoStsisDaDaSoDa_FaMoStsisDaDaSoSo_FaMoStsisDaSoDa_FaMoStsisDaSoDaDa_FaMoStsisDaSoDaSo_FaMoStsisDaSoSo_FaMoStsisDaSoSoDa_FaMoStsisDaSoSoSo_FaSisDaDa_FaSisDaDaDa_FaSisDaDaDaDa_FaSisDaDaDaSo_FaSisDaDaSo_FaSisDaDaSoDa_FaSisDaDaSoSo_FaSisDaSo_FaSisDaSoDa_FaSisDaSoDaDa_FaSisDaSoDaSo_FaSisDaSoSo_FaSisDaSoSoDa_FaSisDaSoSoSo_FaSisSoDa_FaSisSoDaDa_FaSisSoDaDaDa_FaSisSoDaDaSo_FaSisSoDaSo_FaSisSoDaSoDa_FaSisSoDaSoSo_FaSisSoSo_FaSisSoSoDa_FaSisSoSoDaDa_FaSisSoSoDaSo_FaSisSoSoSo_FaSisSoSoSoDa_FaSisSoSoSoSo_FaStsisDaDa_FaStsisDaDaDa_FaStsisDaDaSo_FaStsisDaSo_FaStsisDaSoDa_FaStsisDaSoSo_FaStsisSoDa_FaStsisSoDaDa_FaStsisSoDaSo_FaStsisSoSo_FaStsisSoSoDa_FaStsisSoSoSo_MoBroDaDaDa_MoBroDaDaDaDa_MoBroDaDaDaDaDa_MoBroDaDaDaDaSo_MoBroDaDaDaSo_MoBroDaDaDaSoDa_MoBroDaDaDaSoSo_MoBroDaDaSo_MoBroDaDaSoDa_MoBroDaDaSoDaDa_MoBroDaDaSoDaSo_MoBroDaDaSoSo_MoBroDaDaSoSoDa_MoBroDaDaSoSoSo_MoBroDaSoDa_MoBroDaSoDaDa_MoBroDaSoDaDaDa_MoBroDaSoDaDaSo_MoBroDaSoDaSo_MoBroDaSoDaSoDa_MoBroDaSoDaSoSo_MoBroDaSoSo_MoBroDaSoSoDa_MoBroDaSoSoDaDa_MoBroDaSoSoDaSo_MoBroDaSoSoSo_MoBroDaSoSoSoDa_MoBroDaSoSoSoSo_MoBroSoDaDa_MoBroSoDaDaDa_MoBroSoDaDaDaDa_MoBroSoDaDaDaDaDa_MoBroSoDaDaDaDaSo_MoBroSoDaDaDaSo_MoBroSoDaDaDaSoDa_MoBroSoDaDaDaSoSo_MoBroSoDaDaSo_MoBroSoDaDaSoDa_MoBroSoDaDaSoDaDa_MoBroSoDaDaSoDaSo_MoBroSoDaDaSoSo_MoBroSoDaDaSoSoDa_MoBroSoDaDaSoSoSo_MoBroSoDaSo_MoBroSoDaSoDa_MoBroSoDaSoDaDa_MoBroSoDaSoDaSo_MoBroSoDaSoSo_MoBroSoDaSoSoDa_MoBroSoDaSoSoSo_MoBroSoSoDa_MoBroSoSoDaDa_MoBroSoSoDaDaDaDa_MoBroSoSoDaDaDaDaDa_MoBroSoSoDaDaDaDaSo_MoBroSoSoDaDaDaSo_MoBroSoSoDaDaDaSoDa_MoBroSoSoDaDaDaSoSo_MoBroSoSoDaDaSoDa_MoBroSoSoDaDaSoDaDa_MoBroSoSoDaDaSoDaSo_MoBroSoSoDaDaSoSo_MoBroSoSoDaDaSoSoDa_MoBroSoSoDaDaSoSoSo_MoBroSoSoDaSo_MoBroSoSoSo_MoBroSoSoSoDa_MoBroSoSoSoSo_MoFaBroDaDaDaDa_MoFaBroDaDaDaDaDa_MoFaBroDaDaDaDaSo_MoFaBroDaDaDaSo_MoFaBroDaDaDaSoDa_MoFaBroDaDaDaSoSo_MoFaBroDaDaSoDa_MoFaBroDaDaSoDaDa_MoFaBroDaDaSoDaSo_MoFaBroDaDaSoSo_MoFaBroDaDaSoSoDa_MoFaBroDaDaSoSoSo_MoFaBroDaSoDaDa_MoFaBroDaSoDaSo_MoFaBroDaSoSoDa_MoFaBroDaSoSoSo_MoFaBroSoDaDaDa_MoFaBroSoDaDaDaDa_MoFaBroSoDaDaDaDaDa_MoFaBroSoDaDaDaDaSo_MoFaBroSoDaDaDaSo_MoFaBroSoDaDaDaSoDa_MoFaBroSoDaDaDaSoSo_MoFaBroSoDaDaSo_MoFaBroSoDaDaSoDa_MoFaBroSoDaDaSoDaDa_MoFaBroSoDaDaSoDaSo_MoFaBroSoDaDaSoSo_MoFaBroSoDaDaSoSoDa_MoFaBroSoDaDaSoSoSo_MoFaBroSoDaSoDa_MoFaBroSoDaSoSo_MoFaBroSoSoDaDa_MoFaBroSoSoDaSo_MoFaBroSoSoSoDa_MoFaBroSoSoSoSo_MoFaSisDaDaDaDa_MoFaSisDaDaDaSo_MoFaSisDaDaSoDa_MoFaSisDaDaSoSo_MoFaSisDaSoDaDa_MoFaSisDaSoDaSo_MoFaSisDaSoSoDa_MoFaSisDaSoSoSo_MoFaSisSoDaDaDa_MoFaSisSoDaDaSo_MoFaSisSoDaSoDa_MoFaSisSoDaSoSo_MoFaSisSoSoDaDa_MoFaSisSoSoDaSo_MoFaSisSoSoSoDa_MoFaSisSoSoSoSo_MoMoBroDaDaDaDa_MoMoBroDaDaDaDaDa_MoMoBroDaDaDaDaDaDa_MoMoBroDaDaDaDaDaSo_MoMoBroDaDaDaDaSo_MoMoBroDaDaDaDaSoDa_MoMoBroDaDaDaDaSoSo_MoMoBroDaDaDaSo_MoMoBroDaDaDaSoDa_MoMoBroDaDaDaSoDaDa_MoMoBroDaDaDaSoDaSo_MoMoBroDaDaDaSoSo_MoMoBroDaDaDaSoSoDa_MoMoBroDaDaDaSoSoSo_MoMoBroDaDaSoDa_MoMoBroDaDaSoDaDa_MoMoBroDaDaSoDaDaDa_MoMoBroDaDaSoDaDaSo_MoMoBroDaDaSoDaSo_MoMoBroDaDaSoDaSoDa_MoMoBroDaDaSoDaSoSo_MoMoBroDaDaSoSo_MoMoBroDaDaSoSoDa_MoMoBroDaDaSoSoDaDa_MoMoBroDaDaSoSoDaSo_MoMoBroDaDaSoSoSo_MoMoBroDaDaSoSoSoDa_MoMoBroDaDaSoSoSoSo_MoMoBroDaSoDaDa_MoMoBroDaSoDaSo_MoMoBroDaSoSoDa_MoMoBroDaSoSoSo_MoMoBroSoDaDaDa_MoMoBroSoDaDaDaDaDa_MoMoBroSoDaDaDaDaSo_MoMoBroSoDaDaDaSoDa_MoMoBroSoDaDaDaSoSo_MoMoBroSoDaDaSo_MoMoBroSoDaDaSoDaDa_MoMoBroSoDaDaSoDaDaDa_MoMoBroSoDaDaSoDaDaSo_MoMoBroSoDaDaSoDaSo_MoMoBroSoDaDaSoDaSoDa_MoMoBroSoDaDaSoDaSoSo_MoMoBroSoDaDaSoSoDa_MoMoBroSoDaDaSoSoDaDa_MoMoBroSoDaDaSoSoDaSo_MoMoBroSoDaDaSoSoSo_MoMoBroSoDaDaSoSoSoDa_MoMoBroSoDaDaSoSoSoSo_MoMoBroSoDaSoDa_MoMoBroSoDaSoSo_MoMoBroSoSoDaDa_MoMoBroSoSoDaSo_MoMoBroSoSoSoDa_MoMoBroSoSoSoSo_MoMoFaBroDaDaDaDaDa_MoMoFaBroDaDaDaDaSo_MoMoFaBroDaDaDaSoDa_MoMoFaBroDaDaDaSoSo_MoMoFaBroDaDaSoDaDa_MoMoFaBroDaDaSoDaDaDa_MoMoFaBroDaDaSoDaDaSo_MoMoFaBroDaDaSoDaSo_MoMoFaBroDaDaSoDaSoDa_MoMoFaBroDaDaSoDaSoSo_MoMoFaBroDaDaSoSoDa_MoMoFaBroDaDaSoSoDaDa_MoMoFaBroDaDaSoSoDaSo_MoMoFaBroDaDaSoSoSo_MoMoFaBroDaDaSoSoSoDa_MoMoFaBroDaDaSoSoSoSo_MoMoMoSisDaDaSoDaDa_MoMoMoSisDaDaSoDaSo_MoMoMoSisDaDaSoSoDa_MoMoMoSisDaDaSoSoSo_MoMoSisDaDaDaDa_MoMoSisDaDaDaDaDa_MoMoSisDaDaDaDaSo_MoMoSisDaDaDaSo_MoMoSisDaDaDaSoDa_MoMoSisDaDaDaSoSo_MoMoSisDaDaSoDa_MoMoSisDaDaSoDaDa_MoMoSisDaDaSoDaSo_MoMoSisDaDaSoSo_MoMoSisDaDaSoSoDa_MoMoSisDaDaSoSoSo_MoMoSisDaSoDaDa_MoMoSisDaSoDaDaDa_MoMoSisDaSoDaDaSo_MoMoSisDaSoDaSo_MoMoSisDaSoDaSoDa_MoMoSisDaSoDaSoSo_MoMoSisDaSoSoDa_MoMoSisDaSoSoDaDa_MoMoSisDaSoSoDaSo_MoMoSisDaSoSoSo_MoMoSisDaSoSoSoDa_MoMoSisDaSoSoSoSo_MoMoSisSoDaDaDa_MoMoSisSoDaDaDaDa_MoMoSisSoDaDaDaDaDa_MoMoSisSoDaDaDaDaSo_MoMoSisSoDaDaDaSo_MoMoSisSoDaDaDaSoDa_MoMoSisSoDaDaDaSoSo_MoMoSisSoDaDaSo_MoMoSisSoDaDaSoDa_MoMoSisSoDaDaSoDaDa_MoMoSisSoDaDaSoDaSo_MoMoSisSoDaDaSoSo_MoMoSisSoDaDaSoSoDa_MoMoSisSoDaDaSoSoSo_MoMoSisSoDaSoDa_MoMoSisSoDaSoSo_MoMoSisSoSoDaDa_MoMoSisSoSoDaSo_MoMoSisSoSoSoDa_MoMoSisSoSoSoSo_MoMoStsisDaDaDaDa_MoMoStsisDaDaDaSo_MoMoStsisDaDaSoDa_MoMoStsisDaDaSoSo_MoMoStsisDaSoDaDa_MoMoStsisDaSoDaDaDa_MoMoStsisDaSoDaDaSo_MoMoStsisDaSoDaSo_MoMoStsisDaSoDaSoDa_MoMoStsisDaSoDaSoSo_MoMoStsisDaSoSoDa_MoMoStsisDaSoSoDaDa_MoMoStsisDaSoSoDaSo_MoMoStsisDaSoSoSo_MoMoStsisDaSoSoSoDa_MoMoStsisDaSoSoSoSo_MoSisDaDaDa_MoSisDaDaDaDa_MoSisDaDaDaSo_MoSisDaDaSo_MoSisDaDaSoDa_MoSisDaDaSoSo_MoSisDaSoDa_MoSisDaSoDaDa_MoSisDaSoDaSo_MoSisDaSoSo_MoSisDaSoSoDa_MoSisDaSoSoSo_MoSisSoDaDa_MoSisSoDaDaDa_MoSisSoDaDaSo_MoSisSoDaSo_MoSisSoDaSoDa_MoSisSoDaSoSo_MoSisSoSoDa_MoSisSoSoDaDa_MoSisSoSoDaSo_MoSisSoSoSo_MoSisSoSoSoDa_MoSisSoSoSoSo_MoStsisDaDaDa_MoStsisDaDaDaDa_MoStsisDaDaDaSo_MoStsisDaDaSo_MoStsisDaDaSoDa_MoStsisDaDaSoSo_MoStsisDaSoDa_MoStsisDaSoDaDa_MoStsisDaSoDaSo_MoStsisDaSoSo_MoStsisDaSoSoDa_MoStsisDaSoSoSo_MoStsisSoDaDa_MoStsisSoDaDaDa_MoStsisSoDaDaSo_MoStsisSoDaSo_MoStsisSoDaSoDa_MoStsisSoDaSoSo_MoStsisSoSoDa_MoStsisSoSoDaDa_MoStsisSoSoDaSo_MoStsisSoSoSo_MoStsisSoSoSoDa_MoStsisSoSoSoSo_SisDaDa_SisDaDaDa_SisDaDaSo_SisDaSo_SisDaSoDa_SisDaSoSo_SisSoDa_SisSoDaDa_SisSoDaSo_SisSoSo_SisSoSoDa_SisSoSoSo_SoDa_SoDaDa_SoDaSo_SoSo_SoSoDa_SoSoSo_StbroDaDa_StbroDaDaDa_StbroDaDaSo_StbroDaSo_StbroDaSoDa_StbroDaSoSo_StbroSoDa_StbroSoDaDa_StbroSoDaSo_StbroSoSo_StbroSoSoDa_StbroSoSoSo_StsisDaDa_StsisDaDaDa_StsisDaDaSo_StsisDaSo_StsisDaSoDa_StsisDaSoSo_StsisSoDa_StsisSoDaDa_StsisSoDaSo_StsisSoSo_StsisSoSoDa_StsisSoSoSo"}
;; 0
%weetushpa:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoSo}  
 son(A, Ego), son(Alter, A).
;; 1
%weetushpa:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoDa}  
 son(A, Ego), daughter(Alter, A).
;; 2
%weetushpa:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoSo}  
 son(A, Ego), son(B, A), son(Alter, B).
;; 3
%weetushpa:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoDa}  
 son(A, Ego), son(B, A), daughter(Alter, B).
;; 4
%weetushpa:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaSo}  
 son(A, Ego), daughter(B, A), son(Alter, B).
;; 5
%weetushpa:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaDa}  
 son(A, Ego), daughter(B, A), daughter(Alter, B).
;; 6
%weetushpa:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaSo}  
 daughter(A, Ego), son(Alter, A).
;; 7
%weetushpa:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaDa}  
 daughter(A, Ego), daughter(Alter, A).
;; 8
%weetushpa:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoSo}  
 daughter(A, Ego), son(B, A), son(Alter, B).
;; 9
%weetushpa:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoDa}  
 daughter(A, Ego), son(B, A), daughter(Alter, B).
;; 10
%weetushpa:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaSo}  
 daughter(A, Ego), daughter(B, A), son(Alter, B).
;; 11
%weetushpa:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaDa}  
 daughter(A, Ego), daughter(B, A), daughter(Alter, B).
;; 12
%weetushpa:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), son(Alter, D).
;; 13
%weetushpa:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), daughter(Alter, D).
;; 14
%weetushpa:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), son(E, D), son(Alter, E).
;; 15
%weetushpa:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), son(E, D), daughter(Alter, E).
;; 16
%weetushpa:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), daughter(E, D), son(Alter, E).
;; 17
%weetushpa:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), daughter(E, D), daughter(Alter, E).
;; 18
%weetushpa:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), son(Alter, D).
;; 19
%weetushpa:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), daughter(Alter, D).
;; 20
%weetushpa:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), son(E, D), son(Alter, E).
;; 21
%weetushpa:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), son(E, D), daughter(Alter, E).
;; 22
%weetushpa:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), daughter(E, D), son(Alter, E).
;; 23
%weetushpa:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), daughter(E, D), daughter(Alter, E).
;; 24
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), son(F, E), son(Alter, F).
;; 25
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), son(F, E), daughter(Alter, F).
;; 26
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), son(F, E), son(G, F), son(Alter, G).
;; 27
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), son(F, E), son(G, F), daughter(Alter, G).
;; 28
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), son(F, E), daughter(G, F), son(Alter, G).
;; 29
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), son(F, E), daughter(G, F), daughter(Alter, G).
;; 30
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), daughter(F, E), son(Alter, F).
;; 31
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), daughter(F, E), daughter(Alter, F).
;; 32
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), daughter(F, E), son(G, F), son(Alter, G).
;; 33
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), daughter(F, E), son(G, F), daughter(Alter, G).
;; 34
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), daughter(F, E), daughter(G, F), son(Alter, G).
;; 35
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 36
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), son(H, G), son(Alter, H).
;; 37
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(Alter, H).
;; 38
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), son(H, G), son(I, H), son(Alter, I).
;; 39
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaDaSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), son(H, G), son(I, H), daughter(Alter, I).
;; 40
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaDaSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(I, H), son(Alter, I).
;; 41
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaDaSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(I, H), daughter(Alter, I).
;; 42
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(Alter, H).
;; 43
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(Alter, H).
;; 44
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaDaDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(I, H), son(Alter, I).
;; 45
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaDaDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(I, H), daughter(Alter, I).
;; 46
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaDaDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(I, H), son(Alter, I).
;; 47
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaDaDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(I, H), daughter(Alter, I).
;; 48
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(J, I), son(Alter, J).
;; 49
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(J, I), daughter(Alter, J).
;; 50
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(J, I), son(Alter, J).
;; 51
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(J, I), daughter(Alter, J).
;; 52
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(J, I), son(Alter, J).
;; 53
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(J, I), daughter(Alter, J).
;; 54
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(J, I), son(Alter, J).
;; 55
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(J, I), daughter(Alter, J).
;; 56
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaDaDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(J, I), son(Alter, J).
;; 57
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaDaDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(J, I), daughter(Alter, J).
;; 58
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaDaDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(J, I), son(Alter, J).
;; 59
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaDaDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(J, I), daughter(Alter, J).
;; 60
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroDaDaDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), son(I, H), son(Alter, I).
;; 61
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroDaDaDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), son(I, H), daughter(Alter, I).
;; 62
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), son(I, H), son(J, I), son(Alter, J).
;; 63
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaDaSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), son(I, H), son(J, I), daughter(Alter, J).
;; 64
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaDaSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), son(I, H), daughter(J, I), son(Alter, J).
;; 65
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaDaSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 66
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroDaDaDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), daughter(I, H), son(Alter, I).
;; 67
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroDaDaDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), daughter(I, H), daughter(Alter, I).
;; 68
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaDaDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), daughter(I, H), son(J, I), son(Alter, J).
;; 69
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaDaDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), daughter(I, H), son(J, I), daughter(Alter, J).
;; 70
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaDaDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), daughter(I, H), daughter(J, I), son(Alter, J).
;; 71
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaDaDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 72
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroSoDaDaDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(J, I), son(Alter, J).
;; 73
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroSoDaDaDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(J, I), daughter(Alter, J).
;; 74
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroSoDaDaDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(J, I), son(Alter, J).
;; 75
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroSoDaDaDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(J, I), daughter(Alter, J).
;; 76
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), son(Alter, H).
;; 77
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(Alter, H).
;; 78
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), son(I, H), son(Alter, I).
;; 79
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), son(I, H), daughter(Alter, I).
;; 80
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(I, H), son(Alter, I).
;; 81
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaSoDaDa}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(I, H), daughter(Alter, I).
;; 82
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(Alter, H).
;; 83
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(Alter, H).
;; 84
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(I, H), son(Alter, I).
;; 85
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(I, H), daughter(Alter, I).
;; 86
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(I, H), son(Alter, I).
;; 87
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(I, H), daughter(Alter, I).
;; 88
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), son(Alter, H).
;; 89
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(Alter, H).
;; 90
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), son(I, H), son(Alter, I).
;; 91
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), son(I, H), daughter(Alter, I).
;; 92
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(I, H), son(Alter, I).
;; 93
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaSoDaDa}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(I, H), daughter(Alter, I).
;; 94
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(Alter, H).
;; 95
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(Alter, H).
;; 96
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(I, H), son(Alter, I).
;; 97
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(I, H), daughter(Alter, I).
;; 98
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(I, H), son(Alter, I).
;; 99
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisDaDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(I, H), daughter(Alter, I).
;; 100
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), son(Alter, H).
;; 101
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(Alter, H).
;; 102
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroDaDaSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), son(I, H), son(Alter, I).
;; 103
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroDaDaSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), son(I, H), daughter(Alter, I).
;; 104
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroDaDaSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(I, H), son(Alter, I).
;; 105
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroDaDaSoDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(I, H), daughter(Alter, I).
;; 106
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(Alter, H).
;; 107
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(Alter, H).
;; 108
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroDaDaDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(I, H), son(Alter, I).
;; 109
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroDaDaDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(I, H), daughter(Alter, I).
;; 110
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroDaDaDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(I, H), son(Alter, I).
;; 111
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroDaDaDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(I, H), daughter(Alter, I).
;; 112
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), son(G, F), son(Alter, G).
;; 113
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), son(G, F), daughter(Alter, G).
;; 114
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaDaSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), son(G, F), son(H, G), son(Alter, H).
;; 115
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaDaSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), son(G, F), son(H, G), daughter(Alter, H).
;; 116
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaDaSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), son(G, F), daughter(H, G), son(Alter, H).
;; 117
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaDaSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), son(G, F), daughter(H, G), daughter(Alter, H).
;; 118
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), daughter(G, F), son(Alter, G).
;; 119
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), daughter(G, F), daughter(Alter, G).
;; 120
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaDaDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), daughter(G, F), son(H, G), son(Alter, H).
;; 121
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaDaDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), daughter(G, F), son(H, G), daughter(Alter, H).
;; 122
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaDaDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), daughter(G, F), daughter(H, G), son(Alter, H).
;; 123
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaDaDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 124
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoDaDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), son(Alter, I).
;; 125
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoDaDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), daughter(Alter, I).
;; 126
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoDaDaSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), son(J, I), son(Alter, J).
;; 127
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoDaDaSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), son(J, I), daughter(Alter, J).
;; 128
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoDaDaSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), daughter(J, I), son(Alter, J).
;; 129
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoDaDaSoDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 130
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoDaDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), son(Alter, I).
;; 131
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoDaDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), daughter(Alter, I).
;; 132
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoDaDaDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), son(J, I), son(Alter, J).
;; 133
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoDaDaDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), son(J, I), daughter(Alter, J).
;; 134
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoDaDaDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), daughter(J, I), son(Alter, J).
;; 135
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoDaDaDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 136
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoDaDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), son(Alter, I).
;; 137
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoDaDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), daughter(Alter, I).
;; 138
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoDaDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), son(J, I), son(Alter, J).
;; 139
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoDaDaSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), son(J, I), daughter(Alter, J).
;; 140
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoDaDaSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), daughter(J, I), son(Alter, J).
;; 141
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoDaDaSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 142
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoDaDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), son(Alter, I).
;; 143
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoDaDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), daughter(Alter, I).
;; 144
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoDaDaDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), son(J, I), son(Alter, J).
;; 145
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoDaDaDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), son(J, I), daughter(Alter, J).
;; 146
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoDaDaDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), daughter(J, I), son(Alter, J).
;; 147
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoDaDaDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 148
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoDaDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), son(Alter, H).
;; 149
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoDaDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(Alter, H).
;; 150
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-5,  PC=11, S=0, Star=0,  {MoBroSoDaDaSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), son(I, H), son(Alter, I).
;; 151
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-5,  PC=11, S=0, Star=0,  {MoBroSoDaDaSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), son(I, H), daughter(Alter, I).
;; 152
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-5,  PC=11, S=0, Star=0,  {MoBroSoDaDaSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(I, H), son(Alter, I).
;; 153
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-5,  PC=11, S=0, Star=0,  {MoBroSoDaDaSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), daughter(I, H), daughter(Alter, I).
;; 154
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoDaDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(Alter, H).
;; 155
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoDaDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(Alter, H).
;; 156
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-5,  PC=11, S=0, Star=0,  {MoBroSoDaDaDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(I, H), son(Alter, I).
;; 157
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-5,  PC=11, S=0, Star=0,  {MoBroSoDaDaDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), son(I, H), daughter(Alter, I).
;; 158
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-5,  PC=11, S=0, Star=0,  {MoBroSoDaDaDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(I, H), son(Alter, I).
;; 159
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-5,  PC=11, S=0, Star=0,  {MoBroSoDaDaDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), daughter(I, H), daughter(Alter, I).
;; 160
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-5,  PC=11, S=0, Star=0,  {MoBroSoSoDaDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), son(Alter, I).
;; 161
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-5,  PC=11, S=0, Star=0,  {MoBroSoSoDaDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), daughter(Alter, I).
;; 162
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-6,  PC=12, S=0, Star=0,  {MoBroSoSoDaDaSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), son(J, I), son(Alter, J).
;; 163
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-6,  PC=12, S=0, Star=0,  {MoBroSoSoDaDaSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), son(J, I), daughter(Alter, J).
;; 164
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-6,  PC=12, S=0, Star=0,  {MoBroSoSoDaDaSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), daughter(J, I), son(Alter, J).
;; 165
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-6,  PC=12, S=0, Star=0,  {MoBroSoSoDaDaSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 166
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-5,  PC=11, S=0, Star=0,  {MoBroSoSoDaDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), son(Alter, I).
;; 167
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-5,  PC=11, S=0, Star=0,  {MoBroSoSoDaDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), daughter(Alter, I).
;; 168
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-6,  PC=12, S=0, Star=0,  {MoBroSoSoDaDaDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), son(J, I), son(Alter, J).
;; 169
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-6,  PC=12, S=0, Star=0,  {MoBroSoSoDaDaDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), son(J, I), daughter(Alter, J).
;; 170
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-6,  PC=12, S=0, Star=0,  {MoBroSoSoDaDaDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), daughter(J, I), son(Alter, J).
;; 171
%weetushpa:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-6,  PC=12, S=0, Star=0,  {MoBroSoSoDaDaDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 172
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {StsisSoSo}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), son(F, E), son(Alter, F).
;; 173
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=6, S=2, Star=0,  {StsisSoDa}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), son(F, E), daughter(Alter, F).
;; 174
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisSoSoSo}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), son(F, E), son(G, F), son(Alter, G).
;; 175
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisSoSoDa}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), son(F, E), son(G, F), daughter(Alter, G).
;; 176
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisSoDaSo}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), son(F, E), daughter(G, F), son(Alter, G).
;; 177
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisSoDaDa}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), son(F, E), daughter(G, F), daughter(Alter, G).
;; 178
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {StsisDaSo}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), daughter(F, E), son(Alter, F).
;; 179
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=6, S=2, Star=0,  {StsisDaDa}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), daughter(F, E), daughter(Alter, F).
;; 180
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisDaSoSo}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), daughter(F, E), son(G, F), son(Alter, G).
;; 181
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisDaSoDa}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), daughter(F, E), son(G, F), daughter(Alter, G).
;; 182
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisDaDaSo}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), daughter(F, E), daughter(G, F), son(Alter, G).
;; 183
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisDaDaDa}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 184
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {StsisSoSo}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), son(F, E), son(Alter, F).
;; 185
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=6, S=2, Star=0,  {StsisSoDa}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), son(F, E), daughter(Alter, F).
;; 186
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisSoSoSo}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), son(F, E), son(G, F), son(Alter, G).
;; 187
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisSoSoDa}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), son(F, E), son(G, F), daughter(Alter, G).
;; 188
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisSoDaSo}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), son(F, E), daughter(G, F), son(Alter, G).
;; 189
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisSoDaDa}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), son(F, E), daughter(G, F), daughter(Alter, G).
;; 190
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {StsisDaSo}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), daughter(F, E), son(Alter, F).
;; 191
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=6, S=2, Star=0,  {StsisDaDa}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), daughter(F, E), daughter(Alter, F).
;; 192
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisDaSoSo}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), daughter(F, E), son(G, F), son(Alter, G).
;; 193
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisDaSoDa}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), daughter(F, E), son(G, F), daughter(Alter, G).
;; 194
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisDaDaSo}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), daughter(F, E), daughter(G, F), son(Alter, G).
;; 195
%weetushpa:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StsisDaDaDa}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 196
%weetushpa:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(Alter, F).
;; 197
%weetushpa:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(Alter, F).
;; 198
%weetushpa:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), son(Alter, G).
;; 199
%weetushpa:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 200
%weetushpa:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 201
%weetushpa:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(G, F), daughter(Alter, G).
;; 202
%weetushpa:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), son(Alter, F).
;; 203
%weetushpa:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), daughter(Alter, F).
;; 204
%weetushpa:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 205
%weetushpa:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), son(G, F), daughter(Alter, G).
;; 206
%weetushpa:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), daughter(G, F), son(Alter, G).
;; 207
%weetushpa:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 208
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(Alter, E).
;; 209
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(Alter, E).
;; 210
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(Alter, F).
;; 211
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(Alter, F).
;; 212
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), son(Alter, F).
;; 213
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), daughter(Alter, F).
;; 214
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(Alter, E).
;; 215
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(Alter, E).
;; 216
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), son(Alter, F).
;; 217
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), daughter(Alter, F).
;; 218
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), son(Alter, F).
;; 219
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), daughter(Alter, F).
;; 220
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(Alter, G).
;; 221
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), daughter(Alter, G).
;; 222
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaSoSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(H, G), son(Alter, H).
;; 223
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaSoSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(H, G), daughter(Alter, H).
;; 224
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaSoDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), daughter(H, G), son(Alter, H).
;; 225
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaSoDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), daughter(H, G), daughter(Alter, H).
;; 226
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), son(Alter, G).
;; 227
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), daughter(Alter, G).
;; 228
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaDaSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), son(H, G), son(Alter, H).
;; 229
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaDaSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), son(H, G), daughter(Alter, H).
;; 230
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), daughter(H, G), son(Alter, H).
;; 231
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaDaDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 232
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 233
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 234
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaSoSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 235
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaSoSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(Alter, J).
;; 236
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaSoDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(Alter, J).
;; 237
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaSoDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 238
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), daughter(I, H), son(Alter, I).
;; 239
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(Alter, I).
;; 240
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaDaSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), daughter(I, H), son(J, I), son(Alter, J).
;; 241
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaDaSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), daughter(I, H), son(J, I), daughter(Alter, J).
;; 242
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(J, I), son(Alter, J).
;; 243
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaDaDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 244
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoBroDaDaDaSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), son(J, I), son(Alter, J).
;; 245
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoBroDaDaDaSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), son(J, I), daughter(Alter, J).
;; 246
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoBroDaDaDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), daughter(J, I), son(Alter, J).
;; 247
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoBroDaDaDaDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), daughter(J, I), daughter(Alter, J).
;; 248
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaMoStsisDaSoSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 249
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaMoStsisDaSoDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 250
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaSoSoSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 251
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaSoSoDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(Alter, J).
;; 252
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaSoDaSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(Alter, J).
;; 253
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaSoDaDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 254
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaMoStsisDaDaSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), son(Alter, I).
;; 255
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaMoStsisDaDaDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(Alter, I).
;; 256
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaDaSoSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), son(J, I), son(Alter, J).
;; 257
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaDaSoDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), son(J, I), daughter(Alter, J).
;; 258
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaDaDaSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(J, I), son(Alter, J).
;; 259
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaDaDaDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 260
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaMoStsisDaSoSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 261
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaMoStsisDaSoDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 262
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaSoSoSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 263
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaSoSoDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(Alter, J).
;; 264
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaSoDaSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(Alter, J).
;; 265
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaSoDaDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 266
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaMoStsisDaDaSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), son(Alter, I).
;; 267
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaMoStsisDaDaDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(Alter, I).
;; 268
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaDaSoSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), son(J, I), son(Alter, J).
;; 269
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaDaSoDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), son(J, I), daughter(Alter, J).
;; 270
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaDaDaSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(J, I), son(Alter, J).
;; 271
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {FaMoStsisDaDaDaDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 272
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaSoSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 273
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaSoDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 274
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaSoSoSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 275
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaSoSoDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(Alter, J).
;; 276
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaSoDaSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(Alter, J).
;; 277
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaSoDaDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 278
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaDaSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), son(Alter, I).
;; 279
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaDaDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(Alter, I).
;; 280
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaDaSoSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), son(J, I), son(Alter, J).
;; 281
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaDaSoDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), son(J, I), daughter(Alter, J).
;; 282
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaDaDaSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(J, I), son(Alter, J).
;; 283
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaDaDaDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 284
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(Alter, H).
;; 285
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), daughter(Alter, H).
;; 286
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroDaDaSoSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(I, H), son(Alter, I).
;; 287
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroDaDaSoSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(I, H), daughter(Alter, I).
;; 288
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroDaDaSoDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), daughter(I, H), son(Alter, I).
;; 289
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroDaDaSoDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), daughter(I, H), daughter(Alter, I).
;; 290
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), son(Alter, H).
;; 291
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), daughter(Alter, H).
;; 292
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroDaDaDaSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), son(I, H), son(Alter, I).
;; 293
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroDaDaDaSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), son(I, H), daughter(Alter, I).
;; 294
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroDaDaDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), daughter(I, H), son(Alter, I).
;; 295
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroDaDaDaDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), daughter(I, H), daughter(Alter, I).
;; 296
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroSoDaDaSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 297
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroSoDaDaSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 298
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {FaMoBroSoDaDaSoSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 299
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {FaMoBroSoDaDaSoSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(Alter, J).
;; 300
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {FaMoBroSoDaDaSoDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(Alter, J).
;; 301
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {FaMoBroSoDaDaSoDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 302
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroSoDaDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), son(Alter, I).
;; 303
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroSoDaDaDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(Alter, I).
;; 304
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {FaMoBroSoDaDaDaSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), son(J, I), son(Alter, J).
;; 305
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {FaMoBroSoDaDaDaSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), son(J, I), daughter(Alter, J).
;; 306
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {FaMoBroSoDaDaDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(J, I), son(Alter, J).
;; 307
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {FaMoBroSoDaDaDaDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 308
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaStsisSoSo}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(Alter, G).
;; 309
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaStsisSoDa}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), daughter(Alter, G).
;; 310
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisSoSoSo}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), son(Alter, H).
;; 311
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisSoSoDa}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), daughter(Alter, H).
;; 312
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisSoDaSo}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), son(Alter, H).
;; 313
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisSoDaDa}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), daughter(Alter, H).
;; 314
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaStsisDaSo}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), son(Alter, G).
;; 315
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaStsisDaDa}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), daughter(Alter, G).
;; 316
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisDaSoSo}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), son(H, G), son(Alter, H).
;; 317
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisDaSoDa}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), son(H, G), daughter(Alter, H).
;; 318
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisDaDaSo}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), daughter(H, G), son(Alter, H).
;; 319
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisDaDaDa}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 320
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaStsisSoSo}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(Alter, G).
;; 321
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaStsisSoDa}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), daughter(Alter, G).
;; 322
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisSoSoSo}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), son(Alter, H).
;; 323
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisSoSoDa}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), daughter(Alter, H).
;; 324
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisSoDaSo}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), son(Alter, H).
;; 325
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisSoDaDa}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), daughter(Alter, H).
;; 326
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaStsisDaSo}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), son(Alter, G).
;; 327
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=7, S=2, Star=0,  {FaStsisDaDa}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), daughter(Alter, G).
;; 328
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisDaSoSo}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), son(H, G), son(Alter, H).
;; 329
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisDaSoDa}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), son(H, G), daughter(Alter, H).
;; 330
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisDaDaSo}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), daughter(H, G), son(Alter, H).
;; 331
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {FaStsisDaDaDa}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 332
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(Alter, G).
;; 333
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(Alter, G).
;; 334
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaSoSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 335
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaSoSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 336
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaSoDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 337
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaSoDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 338
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), son(Alter, G).
;; 339
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 340
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 341
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 342
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 343
%weetushpa:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 344
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 345
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 346
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(Alter, G).
;; 347
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(Alter, G).
;; 348
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(Alter, G).
;; 349
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(Alter, G).
;; 350
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 351
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 352
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), son(Alter, G).
;; 353
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), daughter(Alter, G).
;; 354
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), son(Alter, G).
;; 355
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 356
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(H, G), son(Alter, H).
;; 357
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(H, G), daughter(Alter, H).
;; 358
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisDaSoSoSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(H, G), son(I, H), son(Alter, I).
;; 359
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisDaSoSoDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(H, G), son(I, H), daughter(Alter, I).
;; 360
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisDaSoDaSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(H, G), daughter(I, H), son(Alter, I).
;; 361
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisDaSoDaDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(H, G), daughter(I, H), daughter(Alter, I).
;; 362
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), son(Alter, H).
;; 363
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), daughter(Alter, H).
;; 364
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisDaDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), son(I, H), son(Alter, I).
;; 365
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisDaDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), son(I, H), daughter(Alter, I).
;; 366
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisDaDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), daughter(I, H), son(Alter, I).
;; 367
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisDaDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), daughter(I, H), daughter(Alter, I).
;; 368
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=12, S=0, Star=0,  {FaFaMoMoSisDaDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(I, H), not(equal(I, B)), son(J, I), son(Alter, J).
;; 369
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=12, S=0, Star=0,  {FaFaMoMoSisDaDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(I, H), not(equal(I, B)), son(J, I), daughter(Alter, J).
;; 370
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=12, S=0, Star=0,  {FaFaMoMoSisDaDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(I, H), not(equal(I, B)), daughter(J, I), son(Alter, J).
;; 371
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=12, S=0, Star=0,  {FaFaMoMoSisDaDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(I, H), not(equal(I, B)), daughter(J, I), daughter(Alter, J).
;; 372
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=10, S=2, Star=0,  {FaFaMoStsisDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), son(Alter, J).
;; 373
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=10, S=2, Star=0,  {FaFaMoStsisDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), daughter(Alter, J).
;; 374
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaSoSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), son(K, J), son(Alter, K).
;; 375
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaSoSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), son(K, J), daughter(Alter, K).
;; 376
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaSoDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), daughter(K, J), son(Alter, K).
;; 377
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaSoDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), daughter(K, J), daughter(Alter, K).
;; 378
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=10, S=2, Star=0,  {FaFaMoStsisDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), son(Alter, J).
;; 379
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=10, S=2, Star=0,  {FaFaMoStsisDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), daughter(Alter, J).
;; 380
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), son(K, J), son(Alter, K).
;; 381
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), son(K, J), daughter(Alter, K).
;; 382
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), daughter(K, J), son(Alter, K).
;; 383
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), daughter(K, J), daughter(Alter, K).
;; 384
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=10, S=2, Star=0,  {FaFaMoStsisDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), son(Alter, J).
;; 385
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=10, S=2, Star=0,  {FaFaMoStsisDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), daughter(Alter, J).
;; 386
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaSoSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), son(K, J), son(Alter, K).
;; 387
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaSoSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), son(K, J), daughter(Alter, K).
;; 388
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaSoDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), daughter(K, J), son(Alter, K).
;; 389
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaSoDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), daughter(K, J), daughter(Alter, K).
;; 390
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=10, S=2, Star=0,  {FaFaMoStsisDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), son(Alter, J).
;; 391
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=10, S=2, Star=0,  {FaFaMoStsisDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), daughter(Alter, J).
;; 392
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), son(K, J), son(Alter, K).
;; 393
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), son(K, J), daughter(Alter, K).
;; 394
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), daughter(K, J), son(Alter, K).
;; 395
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-1,  PC=11, S=2, Star=0,  {FaFaMoStsisDaDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), daughter(K, J), daughter(Alter, K).
;; 396
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoBroDaDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(I, H), son(Alter, I).
;; 397
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoBroDaDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(I, H), daughter(Alter, I).
;; 398
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoBroDaDaSoSoSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(I, H), son(J, I), son(Alter, J).
;; 399
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoBroDaDaSoSoDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(I, H), son(J, I), daughter(Alter, J).
;; 400
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoBroDaDaSoDaSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(I, H), daughter(J, I), son(Alter, J).
;; 401
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoBroDaDaSoDaDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 402
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoBroDaDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), son(Alter, I).
;; 403
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoBroDaDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), daughter(Alter, I).
;; 404
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoBroDaDaDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), son(J, I), son(Alter, J).
;; 405
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoBroDaDaDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), son(J, I), daughter(Alter, J).
;; 406
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoBroDaDaDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), daughter(J, I), son(Alter, J).
;; 407
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoBroDaDaDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 408
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {FaFaStsisSoSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(H, G), son(Alter, H).
;; 409
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {FaFaStsisSoDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(H, G), daughter(Alter, H).
;; 410
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisSoSoSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(H, G), son(I, H), son(Alter, I).
;; 411
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisSoSoDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(H, G), son(I, H), daughter(Alter, I).
;; 412
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisSoDaSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(H, G), daughter(I, H), son(Alter, I).
;; 413
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisSoDaDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(H, G), daughter(I, H), daughter(Alter, I).
;; 414
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {FaFaStsisDaSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), son(Alter, H).
;; 415
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {FaFaStsisDaDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), daughter(Alter, H).
;; 416
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisDaSoSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), son(I, H), son(Alter, I).
;; 417
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisDaSoDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), son(I, H), daughter(Alter, I).
;; 418
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisDaDaSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), daughter(I, H), son(Alter, I).
;; 419
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisDaDaDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), daughter(I, H), daughter(Alter, I).
;; 420
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {FaFaStsisSoSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(H, G), son(Alter, H).
;; 421
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {FaFaStsisSoDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(H, G), daughter(Alter, H).
;; 422
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisSoSoSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(H, G), son(I, H), son(Alter, I).
;; 423
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisSoSoDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(H, G), son(I, H), daughter(Alter, I).
;; 424
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisSoDaSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(H, G), daughter(I, H), son(Alter, I).
;; 425
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisSoDaDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(H, G), daughter(I, H), daughter(Alter, I).
;; 426
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {FaFaStsisDaSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), son(Alter, H).
;; 427
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {FaFaStsisDaDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), daughter(Alter, H).
;; 428
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisDaSoSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), son(I, H), son(Alter, I).
;; 429
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisDaSoDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), son(I, H), daughter(Alter, I).
;; 430
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisDaDaSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), daughter(I, H), son(Alter, I).
;; 431
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {FaFaStsisDaDaDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), daughter(I, H), daughter(Alter, I).
;; 432
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroDaSoSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), son(Alter, H).
;; 433
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroDaSoDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), daughter(Alter, H).
;; 434
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroDaDaSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), son(Alter, H).
;; 435
%weetushpa:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroDaDaDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 436
%weetushpa:2, brother[eq]:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(Alter, D).
;; 437
%weetushpa:2, brother[eq]:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), daughter(Alter, D).
;; 438
%weetushpa:2, brother[eq]:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(E, D), son(Alter, E).
;; 439
%weetushpa:2, brother[eq]:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(E, D), daughter(Alter, E).
;; 440
%weetushpa:2, brother[eq]:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), daughter(E, D), son(Alter, E).
;; 441
%weetushpa:2, brother[eq]:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), daughter(E, D), daughter(Alter, E).
;; 442
%weetushpa:2, brother[eq]:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), son(Alter, D).
;; 443
%weetushpa:2, brother[eq]:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), daughter(Alter, D).
;; 444
%weetushpa:2, brother[eq]:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), son(E, D), son(Alter, E).
;; 445
%weetushpa:2, brother[eq]:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), son(E, D), daughter(Alter, E).
;; 446
%weetushpa:2, brother[eq]:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), daughter(E, D), son(Alter, E).
;; 447
%weetushpa:2, brother[eq]:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), daughter(E, D), daughter(Alter, E).
;; 448
%weetushpa:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(Alter, F).
;; 449
%weetushpa:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(Alter, F).
;; 450
%weetushpa:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(G, F), son(Alter, G).
;; 451
%weetushpa:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 452
%weetushpa:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 453
%weetushpa:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(Alter, G).
;; 454
%weetushpa:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(Alter, F).
;; 455
%weetushpa:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(Alter, F).
;; 456
%weetushpa:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 457
%weetushpa:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), daughter(Alter, G).
;; 458
%weetushpa:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), son(Alter, G).
;; 459
%weetushpa:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 460
%weetushpa:2, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroSoSoSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 461
%weetushpa:2, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroSoSoSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 462
%weetushpa:2, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroSoSoDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 463
%weetushpa:2, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroSoSoDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 464
%weetushpa:2, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisSoSoSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 465
%weetushpa:2, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisSoSoSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 466
%weetushpa:2, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisSoSoDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 467
%weetushpa:2, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisSoSoDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 468
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(Alter, F).
;; 469
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(Alter, F).
;; 470
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(G, F), son(Alter, G).
;; 471
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 472
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 473
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(G, F), daughter(Alter, G).
;; 474
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), son(Alter, F).
;; 475
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), daughter(Alter, F).
;; 476
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 477
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), son(G, F), daughter(Alter, G).
;; 478
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), daughter(G, F), son(Alter, G).
;; 479
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 480
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(H, G), son(Alter, H).
;; 481
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(H, G), daughter(Alter, H).
;; 482
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaSoSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(H, G), son(I, H), son(Alter, I).
;; 483
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaSoSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(H, G), son(I, H), daughter(Alter, I).
;; 484
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaSoSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(H, G), daughter(I, H), son(Alter, I).
;; 485
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaSoSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(H, G), daughter(I, H), daughter(Alter, I).
;; 486
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), daughter(H, G), son(Alter, H).
;; 487
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), daughter(H, G), daughter(Alter, H).
;; 488
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaSoDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), daughter(H, G), son(I, H), son(Alter, I).
;; 489
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaSoDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), daughter(H, G), son(I, H), daughter(Alter, I).
;; 490
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaSoDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), daughter(H, G), daughter(I, H), son(Alter, I).
;; 491
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisDaSoDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), daughter(H, G), daughter(I, H), daughter(Alter, I).
;; 492
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisDaDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 493
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisDaDaSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(Alter, J).
;; 494
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisDaDaSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(Alter, J).
;; 495
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisDaDaSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 496
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 497
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(Alter, J).
;; 498
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(K, J), son(Alter, K).
;; 499
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(K, J), daughter(Alter, K).
;; 500
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(K, J), son(Alter, K).
;; 501
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(K, J), daughter(Alter, K).
;; 502
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(Alter, J).
;; 503
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 504
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(K, J), son(Alter, K).
;; 505
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(K, J), daughter(Alter, K).
;; 506
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(K, J), son(Alter, K).
;; 507
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(K, J), daughter(Alter, K).
;; 508
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 509
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(Alter, J).
;; 510
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(K, J), son(Alter, K).
;; 511
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(K, J), daughter(Alter, K).
;; 512
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(K, J), son(Alter, K).
;; 513
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(K, J), daughter(Alter, K).
;; 514
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(Alter, J).
;; 515
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=2, Star=0,  {MoMoStsisDaSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 516
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(K, J), son(Alter, K).
;; 517
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(K, J), daughter(Alter, K).
;; 518
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(K, J), son(Alter, K).
;; 519
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=11, S=2, Star=0,  {MoMoStsisDaSoDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(K, J), daughter(Alter, K).
;; 520
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaDaSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 521
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaDaSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(Alter, J).
;; 522
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=13, S=0, Star=0,  {MoMoFaBroDaDaSoSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(K, J), son(Alter, K).
;; 523
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=13, S=0, Star=0,  {MoMoFaBroDaDaSoSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(K, J), daughter(Alter, K).
;; 524
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=13, S=0, Star=0,  {MoMoFaBroDaDaSoSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(K, J), son(Alter, K).
;; 525
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=13, S=0, Star=0,  {MoMoFaBroDaDaSoSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(K, J), daughter(Alter, K).
;; 526
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaDaSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(Alter, J).
;; 527
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaDaSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 528
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=13, S=0, Star=0,  {MoMoFaBroDaDaSoDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(K, J), son(Alter, K).
;; 529
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=13, S=0, Star=0,  {MoMoFaBroDaDaSoDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(K, J), daughter(Alter, K).
;; 530
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=13, S=0, Star=0,  {MoMoFaBroDaDaSoDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(K, J), son(Alter, K).
;; 531
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=13, S=0, Star=0,  {MoMoFaBroDaDaSoDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(K, J), daughter(Alter, K).
;; 532
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroDaDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(I, H), son(Alter, I).
;; 533
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroDaDaSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(I, H), daughter(Alter, I).
;; 534
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaSoSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(I, H), son(J, I), son(Alter, J).
;; 535
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaSoSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(I, H), son(J, I), daughter(Alter, J).
;; 536
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaSoSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(I, H), daughter(J, I), son(Alter, J).
;; 537
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaSoSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(I, H), daughter(J, I), daughter(Alter, J).
;; 538
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroDaDaSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), daughter(I, H), son(Alter, I).
;; 539
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroDaDaSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), daughter(I, H), daughter(Alter, I).
;; 540
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaSoDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), daughter(I, H), son(J, I), son(Alter, J).
;; 541
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaSoDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), daughter(I, H), son(J, I), daughter(Alter, J).
;; 542
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaSoDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), daughter(I, H), daughter(J, I), son(Alter, J).
;; 543
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroDaDaSoDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 544
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroSoDaDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(Alter, J).
;; 545
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroSoDaDaSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(Alter, J).
;; 546
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-5,  PC=13, S=0, Star=0,  {MoMoBroSoDaDaSoSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(K, J), son(Alter, K).
;; 547
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-5,  PC=13, S=0, Star=0,  {MoMoBroSoDaDaSoSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), son(K, J), daughter(Alter, K).
;; 548
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-5,  PC=13, S=0, Star=0,  {MoMoBroSoDaDaSoSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(K, J), son(Alter, K).
;; 549
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-5,  PC=13, S=0, Star=0,  {MoMoBroSoDaDaSoSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), daughter(K, J), daughter(Alter, K).
;; 550
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroSoDaDaSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(Alter, J).
;; 551
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroSoDaDaSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(Alter, J).
;; 552
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-5,  PC=13, S=0, Star=0,  {MoMoBroSoDaDaSoDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(K, J), son(Alter, K).
;; 553
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-5,  PC=13, S=0, Star=0,  {MoMoBroSoDaDaSoDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), son(K, J), daughter(Alter, K).
;; 554
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-5,  PC=13, S=0, Star=0,  {MoMoBroSoDaDaSoDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(K, J), son(Alter, K).
;; 555
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-5,  PC=13, S=0, Star=0,  {MoMoBroSoDaDaSoDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), daughter(K, J), daughter(Alter, K).
;; 556
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), son(Alter, H).
;; 557
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), daughter(Alter, H).
;; 558
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), son(I, H), son(Alter, I).
;; 559
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), son(I, H), daughter(Alter, I).
;; 560
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), daughter(I, H), son(Alter, I).
;; 561
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoSoDaDa}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), daughter(I, H), daughter(Alter, I).
;; 562
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), son(Alter, H).
;; 563
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisSoDaDa}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), daughter(Alter, H).
;; 564
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), son(I, H), son(Alter, I).
;; 565
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), son(I, H), daughter(Alter, I).
;; 566
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), daughter(I, H), son(Alter, I).
;; 567
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), daughter(I, H), daughter(Alter, I).
;; 568
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), son(Alter, H).
;; 569
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), daughter(Alter, H).
;; 570
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), son(I, H), son(Alter, I).
;; 571
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), son(I, H), daughter(Alter, I).
;; 572
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), daughter(I, H), son(Alter, I).
;; 573
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoSoDaDa}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), daughter(I, H), daughter(Alter, I).
;; 574
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), son(Alter, H).
;; 575
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=2, Star=0,  {MoStsisSoDaDa}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), daughter(Alter, H).
;; 576
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), son(I, H), son(Alter, I).
;; 577
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), son(I, H), daughter(Alter, I).
;; 578
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), daughter(I, H), son(Alter, I).
;; 579
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=2, Star=0,  {MoStsisSoDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), daughter(I, H), daughter(Alter, I).
;; 580
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 581
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 582
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 583
%weetushpa:2, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaSoDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 584
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), son(Alter, G).
;; 585
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 586
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaSoSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 587
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaSoSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 588
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaSoSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 589
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaSoSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 590
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 591
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(G, F), daughter(Alter, G).
;; 592
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaSoDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 593
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaSoDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 594
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaSoDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 595
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroDaSoDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 596
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoDaSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 597
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoDaSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 598
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoDaSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 599
%weetushpa:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoDaSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 600
%weetushpa:2, brother[eq]:3, step_brother:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {StbroSoSo}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), son(F, E), son(Alter, F).
;; 601
%weetushpa:2, brother[eq]:3, step_brother:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=6, S=2, Star=0,  {StbroSoDa}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), son(F, E), daughter(Alter, F).
;; 602
%weetushpa:2, brother[eq]:3, step_brother:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroSoSoSo}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), son(F, E), son(G, F), son(Alter, G).
;; 603
%weetushpa:2, brother[eq]:3, step_brother:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroSoSoDa}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), son(F, E), son(G, F), daughter(Alter, G).
;; 604
%weetushpa:2, brother[eq]:3, step_brother:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroSoDaSo}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), son(F, E), daughter(G, F), son(Alter, G).
;; 605
%weetushpa:2, brother[eq]:3, step_brother:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroSoDaDa}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), son(F, E), daughter(G, F), daughter(Alter, G).
;; 606
%weetushpa:2, brother[eq]:3, step_brother:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {StbroDaSo}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), daughter(F, E), son(Alter, F).
;; 607
%weetushpa:2, brother[eq]:3, step_brother:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=6, S=2, Star=0,  {StbroDaDa}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), daughter(F, E), daughter(Alter, F).
;; 608
%weetushpa:2, brother[eq]:3, step_brother:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroDaSoSo}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), daughter(F, E), son(G, F), son(Alter, G).
;; 609
%weetushpa:2, brother[eq]:3, step_brother:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroDaSoDa}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), daughter(F, E), son(G, F), daughter(Alter, G).
;; 610
%weetushpa:2, brother[eq]:3, step_brother:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroDaDaSo}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), daughter(F, E), daughter(G, F), son(Alter, G).
;; 611
%weetushpa:2, brother[eq]:3, step_brother:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroDaDaDa}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 612
%weetushpa:2, brother[eq]:3, step_brother:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {StbroSoSo}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), son(F, E), son(Alter, F).
;; 613
%weetushpa:2, brother[eq]:3, step_brother:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=6, S=2, Star=0,  {StbroSoDa}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), son(F, E), daughter(Alter, F).
;; 614
%weetushpa:2, brother[eq]:3, step_brother:1, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroSoSoSo}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), son(F, E), son(G, F), son(Alter, G).
;; 615
%weetushpa:2, brother[eq]:3, step_brother:1, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroSoSoDa}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), son(F, E), son(G, F), daughter(Alter, G).
;; 616
%weetushpa:2, brother[eq]:3, step_brother:1, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroSoDaSo}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), son(F, E), daughter(G, F), son(Alter, G).
;; 617
%weetushpa:2, brother[eq]:3, step_brother:1, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroSoDaDa}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), son(F, E), daughter(G, F), daughter(Alter, G).
;; 618
%weetushpa:2, brother[eq]:3, step_brother:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {StbroDaSo}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), daughter(F, E), son(Alter, F).
;; 619
%weetushpa:2, brother[eq]:3, step_brother:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=6, S=2, Star=0,  {StbroDaDa}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), daughter(F, E), daughter(Alter, F).
;; 620
%weetushpa:2, brother[eq]:3, step_brother:1, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroDaSoSo}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), daughter(F, E), son(G, F), son(Alter, G).
;; 621
%weetushpa:2, brother[eq]:3, step_brother:1, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroDaSoDa}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), daughter(F, E), son(G, F), daughter(Alter, G).
;; 622
%weetushpa:2, brother[eq]:3, step_brother:1, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroDaDaSo}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), daughter(F, E), daughter(G, F), son(Alter, G).
;; 623
%weetushpa:2, brother[eq]:3, step_brother:1, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=7, S=2, Star=0,  {StbroDaDaDa}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 624
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(Alter, F).
;; 625
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(Alter, F).
;; 626
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(G, F), son(Alter, G).
;; 627
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 628
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 629
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(Alter, G).
;; 630
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(Alter, F).
;; 631
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(Alter, F).
;; 632
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 633
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), daughter(Alter, G).
;; 634
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), son(Alter, G).
;; 635
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 636
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(Alter, F).
;; 637
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(Alter, F).
;; 638
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), son(Alter, G).
;; 639
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 640
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 641
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(G, F), daughter(Alter, G).
;; 642
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), son(Alter, F).
;; 643
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), daughter(Alter, F).
;; 644
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 645
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), son(G, F), daughter(Alter, G).
;; 646
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), daughter(G, F), son(Alter, G).
;; 647
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 648
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(Alter, F).
;; 649
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(Alter, F).
;; 650
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(G, F), son(Alter, G).
;; 651
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 652
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 653
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(G, F), daughter(Alter, G).
;; 654
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), son(Alter, F).
;; 655
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), daughter(Alter, F).
;; 656
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 657
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), son(G, F), daughter(Alter, G).
;; 658
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), daughter(G, F), son(Alter, G).
;; 659
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 660
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), son(Alter, F).
;; 661
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), daughter(Alter, F).
;; 662
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), son(G, F), son(Alter, G).
;; 663
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 664
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 665
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), daughter(G, F), daughter(Alter, G).
;; 666
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), son(Alter, F).
;; 667
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), daughter(Alter, F).
;; 668
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 669
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), son(G, F), daughter(Alter, G).
;; 670
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), daughter(G, F), son(Alter, G).
;; 671
%weetushpa:3, parents:0, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 672
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 673
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 674
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 675
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 676
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 677
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 678
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 679
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 680
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 681
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 682
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 683
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 684
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 685
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 686
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 687
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 688
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 689
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 690
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 691
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 692
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 693
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 694
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 695
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 696
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaSoSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 697
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaSoSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 698
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaSoDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 699
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaSoDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 700
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaDaSoSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 701
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaDaSoDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 702
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaDaDaSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 703
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisDaDaDaDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 704
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 705
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 706
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 707
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 708
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 709
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 710
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 711
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 712
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 713
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 714
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 715
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaSoDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 716
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 717
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 718
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 719
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroDaDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 720
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 721
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 722
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 723
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 724
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 725
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 726
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 727
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 728
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 729
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 730
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 731
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 732
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaSoSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 733
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaSoDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 734
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaDaSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 735
%weetushpa:3, parents:0, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaDaDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 736
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(Alter, F).
;; 737
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(Alter, F).
;; 738
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(G, F), son(Alter, G).
;; 739
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 740
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 741
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(Alter, G).
;; 742
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(Alter, F).
;; 743
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(Alter, F).
;; 744
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 745
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), daughter(Alter, G).
;; 746
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), son(Alter, G).
;; 747
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 748
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(Alter, F).
;; 749
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(Alter, F).
;; 750
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), son(Alter, G).
;; 751
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 752
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 753
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(G, F), daughter(Alter, G).
;; 754
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), son(Alter, F).
;; 755
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), daughter(Alter, F).
;; 756
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 757
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), son(G, F), daughter(Alter, G).
;; 758
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), daughter(G, F), son(Alter, G).
;; 759
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 760
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(Alter, F).
;; 761
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(Alter, F).
;; 762
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(G, F), son(Alter, G).
;; 763
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 764
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 765
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(G, F), daughter(Alter, G).
;; 766
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), son(Alter, F).
;; 767
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), daughter(Alter, F).
;; 768
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 769
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), son(G, F), daughter(Alter, G).
;; 770
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), daughter(G, F), son(Alter, G).
;; 771
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 772
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), son(Alter, F).
;; 773
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), daughter(Alter, F).
;; 774
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), son(G, F), son(Alter, G).
;; 775
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 776
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), daughter(G, F), son(Alter, G).
;; 777
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), daughter(G, F), daughter(Alter, G).
;; 778
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), son(Alter, F).
;; 779
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), daughter(Alter, F).
;; 780
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 781
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), son(G, F), daughter(Alter, G).
;; 782
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:1, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), daughter(G, F), son(Alter, G).
;; 783
%weetushpa:3, parents:1, generation[aux]35smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1, gen_dn[aux]35:1, children:1, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), daughter(G, F), daughter(Alter, G).
;; 784
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 785
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 786
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 787
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 788
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 789
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 790
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 791
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 792
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 793
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 794
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 795
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 796
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 797
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 798
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 799
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 800
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisSoSoSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 801
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisSoSoSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 802
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisSoSoDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 803
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisSoSoDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 804
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisSoDaSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 805
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisSoDaSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 806
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisSoDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 807
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisSoDaDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 808
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaSoSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 809
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaSoSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 810
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaSoDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 811
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaSoDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 812
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaDaSoSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 813
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaDaSoDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 814
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaDaDaSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 815
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaDaDaDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 816
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroSoSoSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 817
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroSoSoSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 818
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroSoSoDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 819
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroSoSoDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 820
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroSoDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 821
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroSoDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 822
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroSoDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 823
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroSoDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 824
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaSoSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 825
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaSoSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 826
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaSoDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 827
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaSoDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 828
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 829
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 830
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 831
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 832
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 833
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 834
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 835
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 836
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 837
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 838
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 839
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 840
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), son(H, G), son(Alter, H).
;; 841
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 842
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), daughter(H, G), son(Alter, H).
;; 843
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(G, F), daughter(H, G), daughter(Alter, H).
;; 844
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaSoSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 845
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1, children:0, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaSoDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 846
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaDaSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), daughter(H, G), son(Alter, H).
;; 847
%weetushpa:3, parents:1, generation[aux]35smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1, children:1, gen_dn[aux]35:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaDaDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(G, F), daughter(H, G), daughter(Alter, H).


weezhetha(Alter, Ego) :-  male(Ego), brother[eq](Alter, Ego), elder(Alter, Ego).
{"Bro_FaBroSo_FaFaBroSoSo_FaMoSisSoSo_MoBroDaSo_MoBroSoDaSo_MoBroSoSoDaSo_MoFaBroDaSo_MoFaBroSoDaSo_MoFaBroSoSoDaSo_MoFaBroSoSoSoDaSo_MoMoBroDaDaSo_MoMoBroSoDaDaSo_MoMoBroSoSoDaDaSo_MoMoFaBroDaDaSo_MoMoFaBroSoDaDaSo_MoMoMoSisDaDaSo_MoMoMoSisSoDaDaSo_MoMoSisDaSo_MoMoSisSoDaSo_MoMoSisSoSoDaSo_MoMoSisSoSoSoDaSo_MoMoStsisDaSo_MoSisSo_MoStsisSo_Stbro"}
;; 0
%weezhetha:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter), elder(Alter, Ego).
;; 1
%weezhetha:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroSo}  
 male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D), elder(Alter, Ego).
;; 2
%weezhetha:0, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroSoSo}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F), elder(Alter, Ego).
;; 3
%weezhetha:0, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisSoSo}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F), elder(Alter, Ego).
;; 4
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D), elder(Alter, Ego).
;; 5
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(Alter, F), elder(Alter, Ego).
;; 6
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(Alter, H), elder(Alter, Ego).
;; 7
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H), elder(Alter, Ego).
;; 8
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H), elder(Alter, Ego).
;; 9
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H), elder(Alter, Ego).
;; 10
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(Alter, G), elder(Alter, Ego).
;; 11
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroSoDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(Alter, I), elder(Alter, Ego).
;; 12
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisSoDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(Alter, I), elder(Alter, Ego).
;; 13
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H), elder(Alter, Ego).
;; 14
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroSoSoDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(Alter, I), elder(Alter, Ego).
;; 15
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStsisSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(Alter, F), elder(Alter, Ego).
;; 16
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStsisSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(Alter, F), elder(Alter, Ego).
;; 17
%weezhetha:0, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroDaSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F), elder(Alter, Ego).
;; 18
%weezhetha:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E), elder(Alter, Ego).
;; 19
%weezhetha:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(Alter, G), elder(Alter, Ego).
;; 20
%weezhetha:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(Alter, G), elder(Alter, Ego).
;; 21
%weezhetha:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(Alter, F), elder(Alter, Ego).
;; 22
%weezhetha:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoDaSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H), elder(Alter, Ego).
;; 23
%weezhetha:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(Alter, H), elder(Alter, Ego).
;; 24
%weezhetha:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(Alter, G), elder(Alter, Ego).
;; 25
%weezhetha:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoSoSoDaSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(Alter, I), elder(Alter, Ego).
;; 26
%weezhetha:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoSoSoDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(Alter, I), elder(Alter, Ego).
;; 27
%weezhetha:0, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=4, S=2, Star=0,  {Stbro}  
 male(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C), elder(Alter, Ego).
;; 28
%weezhetha:0, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=4, S=2, Star=0,  {Stbro}  
 male(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C), elder(Alter, Ego).


weezontha(Alter, Ego) :-  female(Ego), sister[eq](Alter, Ego), elder(Alter, Ego).
                      |   step_sister(Alter, Ego), elder(Alter, Ego).
{"FaBroDa_MoBroDaDa_MoBroSoDaDa_MoBroSoSoDaDa_MoFaBroDaDa_MoFaBroSoDaDa_MoFaBroSoSoDaDa_MoFaBroSoSoSoDaDa_MoMoBroDaDaDa_MoMoBroSoDaDaDa_MoMoFaBroDaDaDa_MoMoSisDaDa_MoMoSisSoDaDa_MoMoSisSoSoDaDa_MoMoSisSoSoSoDaDa_MoMoStsisDaDa_MoSisDa_MoStsisDa_Sis_Stsis"}
;; 0
%weezontha:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter), elder(Alter, Ego).
;; 1
%weezontha:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 2
%weezontha:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(Alter, F), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 3
%weezontha:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 4
%weezontha:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=2, Star=0,  {MoMoStsisDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 5
%weezontha:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 6
%weezontha:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(Alter, G), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 7
%weezontha:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 8
%weezontha:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStsisDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(Alter, F), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 9
%weezontha:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=2, Star=0,  {MoStsisDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(Alter, F), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 10
%weezontha:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 11
%weezontha:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 12
%weezontha:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 13
%weezontha:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 14
%weezontha:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(Alter, F), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 15
%weezontha:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 16
%weezontha:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(Alter, H), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 17
%weezontha:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(Alter, G), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 18
%weezontha:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoSoSoDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(Alter, I), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 19
%weezontha:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoSoSoDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(Alter, I), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 20
%weezontha:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=4, S=2, Star=0,  {Stsis}  
 female(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C), elder(Alter, Ego).
;; 21
%weezontha:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=4, S=2, Star=0,  {Stsis}  
 female(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C), elder(Alter, Ego).
;; 22
%weezontha:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroDa}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D), elder(Alter, Ego).
;; 23
%weezontha:1, step_sister:0%
 Lvl=0,  PC=4, S=2, Star=0,  {Stsis}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C), elder(Alter, Ego).
;; 24
%weezontha:1, step_sister:1%
 Lvl=0,  PC=4, S=2, Star=0,  {Stsis}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C), elder(Alter, Ego).


wehunga(Alter, Ego) :-  wife(A, Ego), sister(Alter, A).
                    |   male(Ego), brother[eq](A, Ego), wife(Alter, A).
{"BroWi_FaBroSoWi_FaFaBroSoSoWi_FaMoSisSoSoWi_MoBroDaSoWi_MoBroSoDaSoWi_MoBroSoSoDaSoWi_MoFaBroDaSoWi_MoFaBroSoDaSoWi_MoFaBroSoSoDaSoWi_MoFaBroSoSoSoDaSoWi_MoMoBroDaDaSoWi_MoMoBroSoDaDaSoWi_MoMoBroSoSoDaDaSoWi_MoMoFaBroDaDaSoWi_MoMoFaBroSoDaDaSoWi_MoMoMoSisDaDaSoWi_MoMoMoSisSoDaDaSoWi_MoMoSisDaSoWi_MoMoSisSoDaSoWi_MoMoSisSoSoDaSoWi_MoMoSisSoSoSoDaSoWi_MoMoStsisDaSoWi_MoSisSoWi_MoStsisSoWi_StbroWi_WiSis"}
;; 0
%wehunga:0, sister:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiSis}  
 wife(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 1
%wehunga:1, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {BroWi}  
 male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(Alter, C).
;; 2
%wehunga:1, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroSoWi}  
 male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(Alter, E).
;; 3
%wehunga:1, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaFaBroSoSoWi}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), wife(Alter, G).
;; 4
%wehunga:1, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoSisSoSoWi}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), wife(Alter, G).
;; 5
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), wife(Alter, E).
;; 6
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoSisDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), wife(Alter, G).
;; 7
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {MoMoMoSisDaDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 8
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoMoStsisDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 9
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=3, Star=0,  {MoMoStsisDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 10
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {MoMoFaBroDaDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 11
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoBroDaDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), wife(Alter, H).
;; 12
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {MoMoFaBroSoDaDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), wife(Alter, J).
;; 13
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {MoMoMoSisSoDaDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), wife(Alter, J).
;; 14
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoBroSoDaDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 15
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoMoBroSoSoDaDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), wife(Alter, J).
;; 16
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=3, Star=0,  {MoStsisSoWi}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), wife(Alter, G).
;; 17
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=3, Star=0,  {MoStsisSoWi}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), wife(Alter, G).
;; 18
%wehunga:1, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaBroDaSoWi}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 19
%wehunga:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(Alter, F).
;; 20
%wehunga:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoFaBroSoDaSoWi}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), wife(Alter, H).
;; 21
%wehunga:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoSisSoDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), wife(Alter, H).
;; 22
%wehunga:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), wife(Alter, G).
;; 23
%wehunga:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoFaBroSoSoDaSoWi}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(I, H), wife(Alter, I).
;; 24
%wehunga:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoSisSoSoDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(I, H), wife(Alter, I).
;; 25
%wehunga:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {MoBroSoSoDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(H, G), wife(Alter, H).
;; 26
%wehunga:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoFaBroSoSoSoDaSoWi}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(J, I), wife(Alter, J).
;; 27
%wehunga:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoMoSisSoSoSoDaSoWi}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(J, I), wife(Alter, J).
;; 28
%wehunga:1, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=4, S=3, Star=0,  {StbroWi}  
 male(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), wife(Alter, E).
;; 29
%wehunga:1, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=4, S=3, Star=0,  {StbroWi}  
 male(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), wife(Alter, E).


wenisse(Alter, Ego) :-  son(Alter, Ego).
                    |   step_son(Alter, Ego).
                    |   male(Ego), brother[eq](A, Ego), son(Alter, A).
{"BroSo_FaBroSoSo_FaFaBroSoSoSo_FaMoSisSoSoSo_MoBroDaSoSo_MoBroSoDaSoSo_MoBroSoSoDaSoSo_MoFaBroDaSoSo_MoFaBroSoDaSoSo_MoFaBroSoSoDaSoSo_MoFaBroSoSoSoDaSoSo_MoMoBroDaDaSoSo_MoMoBroSoDaDaSoSo_MoMoBroSoSoDaDaSoSo_MoMoFaBroDaDaSoSo_MoMoFaBroSoDaDaSoSo_MoMoMoSisDaDaSoSo_MoMoMoSisSoDaDaSoSo_MoMoSisDaSoSo_MoMoSisSoDaSoSo_MoMoSisSoSoDaSoSo_MoMoSisSoSoSoDaSoSo_MoMoStsisDaSoSo_MoSisSoSo_MoStsisSoSo_So_StbroSo_Stso"}
;; 0
%wenisse:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {So}  
 son(Alter, Ego).
;; 1
%wenisse:1, step_son:0%
 Lvl=-1,  PC=2, S=2, Star=0,  {Stso}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).
;; 2
%wenisse:2, brother[eq]:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroSo}  
 male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(Alter, C).
;; 3
%wenisse:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoSo}  
 male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(Alter, E).
;; 4
%wenisse:2, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroSoSoSo}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(Alter, G).
;; 5
%wenisse:2, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisSoSoSo}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(Alter, G).
;; 6
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(Alter, E).
;; 7
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(Alter, G).
;; 8
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 9
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 10
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 11
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 12
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(Alter, H).
;; 13
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroSoDaDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), son(Alter, J).
;; 14
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisSoDaDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), son(Alter, J).
;; 15
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroSoDaDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 16
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroSoSoDaDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), son(Alter, J).
;; 17
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisSoSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(Alter, G).
;; 18
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisSoSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(Alter, G).
;; 19
%wenisse:2, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroDaSoSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(Alter, G).
;; 20
%wenisse:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(Alter, F).
;; 21
%wenisse:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaSoSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 22
%wenisse:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 23
%wenisse:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 24
%wenisse:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoSoDaSoSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(I, H), son(Alter, I).
;; 25
%wenisse:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoSoDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(I, H), son(Alter, I).
;; 26
%wenisse:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoSoDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 27
%wenisse:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoSoSoDaSoSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(J, I), son(Alter, J).
;; 28
%wenisse:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoSoSoDaSoSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(J, I), son(Alter, J).
;; 29
%wenisse:2, brother[eq]:3, step_brother:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {StbroSo}  
 male(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), son(Alter, E).
;; 30
%wenisse:2, brother[eq]:3, step_brother:1%
 Lvl=-1,  PC=5, S=2, Star=0,  {StbroSo}  
 male(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), son(Alter, E).


wesheka(Alter, Ego) :-  female(Ego), brother[eq](A, Ego), wife(Alter, A).
                    |   female(Ego), sister[eq](A, Ego), husband(Alter, A).
                    |   husband(A, Ego), sister(Alter, A).
                    |   husband(A, Ego), brother(B, A), wife(Alter, B).
{"BroWi_FaBroDaHu_FaBroSoWi_FaFaBroSoSoWi_FaMoSisSoSoWi_HuBroWi_HuSis_MoBroDaDaHu_MoBroDaSoWi_MoBroSoDaDaHu_MoBroSoDaSoWi_MoBroSoSoDaDaHu_MoBroSoSoDaSoWi_MoFaBroDaDaHu_MoFaBroDaSoWi_MoFaBroSoDaDaHu_MoFaBroSoDaSoWi_MoFaBroSoSoDaDaHu_MoFaBroSoSoDaSoWi_MoFaBroSoSoSoDaDaHu_MoFaBroSoSoSoDaSoWi_MoMoBroDaDaDaHu_MoMoBroDaDaSoWi_MoMoBroSoDaDaDaHu_MoMoBroSoDaDaSoWi_MoMoBroSoSoDaDaSoWi_MoMoFaBroDaDaDaHu_MoMoFaBroDaDaSoWi_MoMoFaBroSoDaDaSoWi_MoMoMoSisDaDaSoWi_MoMoMoSisSoDaDaSoWi_MoMoSisDaDaHu_MoMoSisDaSoWi_MoMoSisSoDaDaHu_MoMoSisSoDaSoWi_MoMoSisSoSoDaDaHu_MoMoSisSoSoDaSoWi_MoMoSisSoSoSoDaDaHu_MoMoSisSoSoSoDaSoWi_MoMoStsisDaDaHu_MoMoStsisDaSoWi_MoSisDaHu_MoSisSoWi_MoStsisDaHu_MoStsisSoWi_SisHu_StbroWi_StsisHu"}
;; 0
%wesheka:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {BroWi}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), wife(Alter, C).
;; 1
%wesheka:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroSoWi}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(Alter, E).
;; 2
%wesheka:0, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaFaBroSoSoWi}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), wife(Alter, G).
;; 3
%wesheka:0, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoSisSoSoWi}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), wife(Alter, G).
;; 4
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), wife(Alter, E).
;; 5
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoSisDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), wife(Alter, G).
;; 6
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {MoMoMoSisDaDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 7
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoMoStsisDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 8
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=3, Star=0,  {MoMoStsisDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 9
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {MoMoFaBroDaDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 10
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoBroDaDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), wife(Alter, H).
;; 11
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {MoMoFaBroSoDaDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), wife(Alter, J).
;; 12
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {MoMoMoSisSoDaDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), wife(Alter, J).
;; 13
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoBroSoDaDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 14
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoMoBroSoSoDaDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), wife(Alter, J).
;; 15
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=3, Star=0,  {MoStsisSoWi}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), wife(Alter, G).
;; 16
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=3, Star=0,  {MoStsisSoWi}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), wife(Alter, G).
;; 17
%wesheka:0, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaBroDaSoWi}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 18
%wesheka:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(Alter, F).
;; 19
%wesheka:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoFaBroSoDaSoWi}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), wife(Alter, H).
;; 20
%wesheka:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoSisSoDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), wife(Alter, H).
;; 21
%wesheka:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), wife(Alter, G).
;; 22
%wesheka:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoFaBroSoSoDaSoWi}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(I, H), wife(Alter, I).
;; 23
%wesheka:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoSisSoSoDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(I, H), wife(Alter, I).
;; 24
%wesheka:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {MoBroSoSoDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(H, G), wife(Alter, H).
;; 25
%wesheka:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoFaBroSoSoSoDaSoWi}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(J, I), wife(Alter, J).
;; 26
%wesheka:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoMoSisSoSoSoDaSoWi}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(J, I), wife(Alter, J).
;; 27
%wesheka:0, brother[eq]:3, step_brother:0%
 Lvl=0,  PC=4, S=3, Star=0,  {StbroWi}  
 female(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), wife(Alter, E).
;; 28
%wesheka:0, brother[eq]:3, step_brother:1%
 Lvl=0,  PC=4, S=3, Star=0,  {StbroWi}  
 female(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), wife(Alter, E).
;; 29
%wesheka:1, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {SisHu}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(Alter, C).
;; 30
%wesheka:1, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisDaHu}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), husband(Alter, E).
;; 31
%wesheka:1, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoSisDaDaHu}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), husband(Alter, G).
;; 32
%wesheka:1, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoMoStsisDaDaHu}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), husband(Alter, I).
;; 33
%wesheka:1, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=3, Star=0,  {MoMoStsisDaDaHu}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), husband(Alter, I).
;; 34
%wesheka:1, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {MoMoFaBroDaDaDaHu}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), husband(Alter, I).
;; 35
%wesheka:1, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoBroDaDaDaHu}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), husband(Alter, H).
;; 36
%wesheka:1, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoBroSoDaDaDaHu}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), husband(Alter, I).
;; 37
%wesheka:1, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=3, Star=0,  {MoStsisDaHu}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), husband(Alter, G).
;; 38
%wesheka:1, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=3, Star=0,  {MoStsisDaHu}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), husband(Alter, G).
;; 39
%wesheka:1, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaBroDaDaHu}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), husband(Alter, G).
;; 40
%wesheka:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroDaDaHu}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), husband(Alter, F).
;; 41
%wesheka:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoFaBroSoDaDaHu}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), husband(Alter, H).
;; 42
%wesheka:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoSisSoDaDaHu}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), husband(Alter, H).
;; 43
%wesheka:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaDaHu}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), husband(Alter, G).
;; 44
%wesheka:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoFaBroSoSoDaDaHu}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, Ego)), husband(Alter, I).
;; 45
%wesheka:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoSisSoSoDaDaHu}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, Ego)), husband(Alter, I).
;; 46
%wesheka:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {MoBroSoSoDaDaHu}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), husband(Alter, H).
;; 47
%wesheka:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoFaBroSoSoSoDaDaHu}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, Ego)), husband(Alter, J).
;; 48
%wesheka:1, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoMoSisSoSoSoDaDaHu}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, Ego)), husband(Alter, J).
;; 49
%wesheka:1, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=4, S=3, Star=0,  {StsisHu}  
 female(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), husband(Alter, E).
;; 50
%wesheka:1, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=4, S=3, Star=0,  {StsisHu}  
 female(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), husband(Alter, E).
;; 51
%wesheka:1, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroDaHu}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(Alter, E).
;; 52
%wesheka:2, sister:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {HuSis}  
 husband(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 53
%wesheka:3, brother:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {HuBroWi}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(Alter, D).


wetada(Alter, Ego) :-  father(A, Ego), sister(B, A), daughter(C, B), husband(Alter, C).
{"FaSisDaHu"}
;; 0
%wetada:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaSisDaHu}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), husband(Alter, E).


wetaha(Alter, Ego) :-  wife(A, Ego), brother(Alter, A).
                   |   male(Ego), sister[eq]2(A, Ego), husband(Alter, A).
                   |   husband(A, Ego), sister(B, A), husband(Alter, B).
{"FaBroDaHu_FaFaBroDaHu_FaFaFaBroDaHu_FaFaMoBroDaDaHu_FaFaMoBroSoDaDaHu_FaFaMoBroSoSoDaDaHu_FaFaMoSisDaHu_FaFaMoStsisDaHu_FaFaSisHu_FaFaStsisHu_FaMoBroDaDaHu_FaMoBroSoDaDaHu_FaMoBroSoSoDaDaHu_FaMoFaBroDaDaHu_FaMoFaBroSoDaDaHu_FaMoFaBroSoSoDaDaHu_FaMoMoBroDaDaDaHu_FaMoMoSisDaDaHu_FaMoMoSisSoDaDaHu_FaMoMoSisSoSoDaDaHu_FaMoSisDaHu_FaMoStsisDaHu_FaSisHu_FaStsisHu_HuSisHu_MoBroDaDaHu_MoBroSoDaDaHu_MoBroSoSoDaDaHu_MoFaBroDaDaHu_MoFaBroSoDaDaHu_MoFaBroSoSoDaDaHu_MoFaBroSoSoSoDaDaHu_MoMoBroDaDaDaHu_MoMoBroSoDaDaDaHu_MoMoFaBroDaDaDaHu_MoMoSisDaDaHu_MoMoSisSoDaDaHu_MoMoSisSoSoDaDaHu_MoMoSisSoSoSoDaDaHu_MoMoStsisDaDaHu_MoSisDaHu_MoStsisDaHu_SisHu_StsisHu_WiBro"}
;; 0
%wetaha:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiBro}  
 wife(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 1
%wetaha:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {SisHu}  
 male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), husband(Alter, C).
;; 2
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisDaHu}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), husband(Alter, E).
;; 3
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoSisDaDaHu}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), husband(Alter, G).
;; 4
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=3, Star=0,  {MoMoStsisDaDaHu}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), husband(Alter, I).
;; 5
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=3, Star=0,  {MoMoStsisDaDaHu}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), husband(Alter, I).
;; 6
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {MoMoFaBroDaDaDaHu}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), husband(Alter, I).
;; 7
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoBroDaDaDaHu}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), husband(Alter, H).
;; 8
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoBroSoDaDaDaHu}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), husband(Alter, I).
;; 9
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=3, Star=0,  {MoStsisDaHu}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), husband(Alter, G).
;; 10
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=3, Star=0,  {MoStsisDaHu}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), husband(Alter, G).
;; 11
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaBroDaDaHu}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), husband(Alter, G).
;; 12
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroDaDaHu}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), husband(Alter, F).
;; 13
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoFaBroSoDaDaHu}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), husband(Alter, H).
;; 14
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoSisSoDaDaHu}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), husband(Alter, H).
;; 15
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaDaHu}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), husband(Alter, G).
;; 16
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoFaBroSoSoDaDaHu}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, Ego)), husband(Alter, I).
;; 17
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoSisSoSoDaDaHu}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, Ego)), husband(Alter, I).
;; 18
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {MoBroSoSoDaDaHu}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), husband(Alter, H).
;; 19
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoFaBroSoSoSoDaDaHu}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, Ego)), husband(Alter, J).
;; 20
%wetaha:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoMoSisSoSoSoDaDaHu}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, Ego)), husband(Alter, J).
;; 21
%wetaha:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=4, S=3, Star=0,  {StsisHu}  
 male(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), husband(Alter, E).
;; 22
%wetaha:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=4, S=3, Star=0,  {StsisHu}  
 male(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), husband(Alter, E).
;; 23
%wetaha:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroDaHu}  
 male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(Alter, E).
;; 24
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaSisHu}  
 male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(Alter, D).
;; 25
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoSisDaHu}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), husband(Alter, F).
;; 26
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoSisDaDaHu}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), husband(Alter, H).
;; 27
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {FaMoMoBroDaDaDaHu}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), husband(Alter, I).
;; 28
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=7, S=3, Star=0,  {FaMoStsisDaHu}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), husband(Alter, H).
;; 29
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=7, S=3, Star=0,  {FaMoStsisDaHu}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), husband(Alter, H).
;; 30
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaBroDaDaHu}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), husband(Alter, H).
;; 31
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoBroDaDaHu}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), husband(Alter, G).
;; 32
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {FaMoFaBroSoDaDaHu}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), husband(Alter, I).
;; 33
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {FaMoMoSisSoDaDaHu}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), husband(Alter, I).
;; 34
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaMoBroSoDaDaHu}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), husband(Alter, H).
;; 35
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {FaMoFaBroSoSoDaDaHu}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, A)), husband(Alter, J).
;; 36
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {FaMoMoSisSoSoDaDaHu}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, A)), husband(Alter, J).
;; 37
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {FaMoBroSoSoDaDaHu}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), husband(Alter, I).
;; 38
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=5, S=3, Star=0,  {FaStsisHu}  
 male(Ego), father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), husband(Alter, F).
;; 39
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=5, S=3, Star=0,  {FaStsisHu}  
 male(Ego), father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), husband(Alter, F).
;; 40
%wetaha:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaBroDaHu}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(Alter, F).
;; 41
%wetaha:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaFaSisHu}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 42
%wetaha:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaMoSisDaHu}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), husband(Alter, G).
;; 43
%wetaha:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=2,  PC=8, S=3, Star=0,  {FaFaMoStsisDaHu}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), husband(Alter, I).
;; 44
%wetaha:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=2,  PC=8, S=3, Star=0,  {FaFaMoStsisDaHu}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), husband(Alter, I).
;; 45
%wetaha:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoBroDaDaHu}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), husband(Alter, H).
;; 46
%wetaha:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {FaFaMoBroSoDaDaHu}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, B)), husband(Alter, I).
;; 47
%wetaha:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {FaFaMoBroSoSoDaDaHu}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, B)), husband(Alter, J).
;; 48
%wetaha:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=2,  PC=6, S=3, Star=0,  {FaFaStsisHu}  
 male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), husband(Alter, G).
;; 49
%wetaha:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=2,  PC=6, S=3, Star=0,  {FaFaStsisHu}  
 male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), husband(Alter, G).
;; 50
%wetaha:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaFaBroDaHu}  
 male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), husband(Alter, G).
;; 51
%wetaha:2, sister:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {HuSisHu}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(Alter, D).


wetena(Alter, Ego) :-  sister[eq]2(A, Ego), son(B, A), wife(Alter, B).
                   |   brother[eq](A, Ego), son(B, A), wife(Alter, B).
{"BroSoWi_FaBroDaSoWi_FaBroSoSoWi_FaFaBroDaSoWi_FaFaBroSoSoSoWi_FaFaFaBroDaSoWi_FaFaMoBroDaDaSoWi_FaFaMoMoSisDaDaSoWi_FaFaMoSisDaSoWi_FaFaMoStsisDaSoWi_FaFaSisSoWi_FaFaStsisSoWi_FaMoBroDaDaSoWi_FaMoBroSoDaDaSoWi_FaMoFaBroDaDaSoWi_FaMoMoBroDaDaDaSoWi_FaMoMoSisDaDaSoWi_FaMoSisDaSoWi_FaMoSisSoSoSoWi_FaMoStsisDaSoWi_FaSisSoWi_FaStsisSoWi_MoBroDaDaSoWi_MoBroDaSoSoWi_MoBroSoDaDaSoWi_MoBroSoDaSoSoWi_MoBroSoSoDaDaSoWi_MoFaBroDaDaSoWi_MoFaBroDaSoSoWi_MoFaBroSoDaDaSoWi_MoMoBroDaDaDaSoWi_MoMoBroDaDaSoSoWi_MoMoBroSoDaDaDaSoWi_MoMoBroSoDaDaSoSoWi_MoMoFaBroDaDaDaSoWi_MoMoFaBroDaDaSoSoWi_MoMoMoSisDaDaSoSoWi_MoMoSisDaDaSoWi_MoMoSisDaSoSoWi_MoMoSisSoDaDaSoWi_MoMoStsisDaDaSoWi_MoMoStsisDaSoSoWi_MoSisDaSoWi_MoSisSoSoWi_MoStsisDaSoWi_MoStsisSoSoWi_SisSoWi_StbroSoWi_StsisSoWi"}
;; 0
%wetena:0, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SisSoWi}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), wife(Alter, D).
;; 1
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoSisDaSoWi}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), son(F, E), wife(Alter, F).
;; 2
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoSisDaDaSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), son(H, G), wife(Alter, H).
;; 3
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoMoStsisDaDaSoWi}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(J, I), wife(Alter, J).
;; 4
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoMoStsisDaDaSoWi}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(J, I), wife(Alter, J).
;; 5
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {MoMoFaBroDaDaDaSoWi}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(J, I), wife(Alter, J).
;; 6
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoBroDaDaDaSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), son(I, H), wife(Alter, I).
;; 7
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoMoBroSoDaDaDaSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(J, I), wife(Alter, J).
;; 8
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoStsisDaSoWi}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), wife(Alter, H).
;; 9
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoStsisDaSoWi}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(H, G), wife(Alter, H).
;; 10
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoFaBroDaDaSoWi}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), wife(Alter, H).
;; 11
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaDaSoWi}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), son(G, F), wife(Alter, G).
;; 12
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoFaBroSoDaDaSoWi}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), wife(Alter, I).
;; 13
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoSisSoDaDaSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), wife(Alter, I).
;; 14
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {MoBroSoDaDaSoWi}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(H, G), wife(Alter, H).
;; 15
%wetena:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=10, S=1, Star=0,  {MoBroSoSoDaDaSoWi}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(I, H), wife(Alter, I).
;; 16
%wetena:0, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=5, S=3, Star=0,  {StsisSoWi}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), son(F, E), wife(Alter, F).
;; 17
%wetena:0, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=5, S=3, Star=0,  {StsisSoWi}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), son(F, E), wife(Alter, F).
;; 18
%wetena:0, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaBroDaSoWi}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), wife(Alter, F).
;; 19
%wetena:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaSisSoWi}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), wife(Alter, E).
;; 20
%wetena:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoSisDaSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), wife(Alter, G).
;; 21
%wetena:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {FaMoMoSisDaDaSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 22
%wetena:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {FaMoMoBroDaDaDaSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), son(J, I), wife(Alter, J).
;; 23
%wetena:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaMoStsisDaSoWi}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 24
%wetena:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=3, Star=0,  {FaMoStsisDaSoWi}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 25
%wetena:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {FaMoFaBroDaDaSoWi}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 26
%wetena:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaMoBroDaDaSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), wife(Alter, H).
;; 27
%wetena:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {FaMoBroSoDaDaSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), wife(Alter, I).
;; 28
%wetena:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=3, Star=0,  {FaStsisSoWi}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), wife(Alter, G).
;; 29
%wetena:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=3, Star=0,  {FaStsisSoWi}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), wife(Alter, G).
;; 30
%wetena:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaFaBroDaSoWi}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), wife(Alter, G).
;; 31
%wetena:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaSisSoWi}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(Alter, F).
;; 32
%wetena:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoSisDaSoWi}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(H, G), wife(Alter, H).
;; 33
%wetena:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=11, S=1, Star=0,  {FaFaMoMoSisDaDaSoWi}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(I, H), not(equal(I, B)), son(J, I), wife(Alter, J).
;; 34
%wetena:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=9, S=3, Star=0,  {FaFaMoStsisDaSoWi}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), wife(Alter, J).
;; 35
%wetena:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=9, S=3, Star=0,  {FaFaMoStsisDaSoWi}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(J, I), wife(Alter, J).
;; 36
%wetena:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {FaFaMoBroDaDaSoWi}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(I, H), wife(Alter, I).
;; 37
%wetena:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=7, S=3, Star=0,  {FaFaStsisSoWi}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(H, G), wife(Alter, H).
;; 38
%wetena:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=7, S=3, Star=0,  {FaFaStsisSoWi}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(H, G), wife(Alter, H).
;; 39
%wetena:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaBroDaSoWi}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), wife(Alter, H).
;; 40
%wetena:1, brother[eq]:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {BroSoWi}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), wife(Alter, D).
;; 41
%wetena:1, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaBroSoSoWi}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), wife(Alter, F).
;; 42
%wetena:1, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaFaBroSoSoSoWi}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), wife(Alter, H).
;; 43
%wetena:1, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaMoSisSoSoSoWi}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), wife(Alter, H).
;; 44
%wetena:1, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoSisSoSoWi}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), wife(Alter, F).
;; 45
%wetena:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoSisDaSoSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(H, G), wife(Alter, H).
;; 46
%wetena:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {MoMoMoSisDaDaSoSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), wife(Alter, J).
;; 47
%wetena:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoMoStsisDaSoSoWi}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), wife(Alter, J).
;; 48
%wetena:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoMoStsisDaSoSoWi}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), wife(Alter, J).
;; 49
%wetena:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {MoMoFaBroDaDaSoSoWi}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), wife(Alter, J).
;; 50
%wetena:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoBroDaDaSoSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(I, H), wife(Alter, I).
;; 51
%wetena:1, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoMoBroSoDaDaSoSoWi}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(J, I), wife(Alter, J).
;; 52
%wetena:1, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoStsisSoSoWi}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), wife(Alter, H).
;; 53
%wetena:1, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoStsisSoSoWi}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(H, G), wife(Alter, H).
;; 54
%wetena:1, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoFaBroDaSoSoWi}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(H, G), wife(Alter, H).
;; 55
%wetena:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaSoSoWi}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(G, F), wife(Alter, G).
;; 56
%wetena:1, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {MoBroSoDaSoSoWi}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), son(H, G), wife(Alter, H).
;; 57
%wetena:1, brother[eq]:3, step_brother:0%
 Lvl=-1,  PC=5, S=3, Star=0,  {StbroSoWi}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), son(F, E), wife(Alter, F).
;; 58
%wetena:1, brother[eq]:3, step_brother:1%
 Lvl=-1,  PC=5, S=3, Star=0,  {StbroSoWi}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), son(F, E), wife(Alter, F).


wetenah(Alter, Ego) :-  son(A, Ego), wife(Alter, A).
{"SoWi"}
;; 0
%wetenah:0%
 Lvl=-1,  PC=1, S=1, Star=0,  {SoWi}  
 son(A, Ego), wife(Alter, A).


wetezha(Alter, Ego) :-  male(Ego), sister[eq]2(A, Ego), daughter(Alter, A).
                    |   female(Ego), brother[eq]1(A, Ego), daughter(Alter, A).
{"BroDa_BroSoDa_BroSoSoDa_BroSoSoSoDa_FaBroDaDa_FaBroSoDa_FaBroSoSoDa_FaBroSoSoSoDa_FaBroSoSoSoSoDa_FaFaBroDaDa_FaFaBroSoSoDa_FaFaFaBroDaDa_FaFaMoBroDaDaDa_FaFaMoBroSoDaDaDa_FaFaMoBroSoSoDaDaDa_FaFaMoSisDaDa_FaFaMoStsisDaDa_FaFaSisDa_FaFaStsisDa_FaMoBroDaDaDa_FaMoBroSoDaDaDa_FaMoBroSoSoDaDaDa_FaMoFaBroDaDaDa_FaMoFaBroSoDaDaDa_FaMoFaBroSoSoDaDaDa_FaMoMoBroDaDaDaDa_FaMoMoSisDaDaDa_FaMoMoSisSoDaDaDa_FaMoMoSisSoSoDaDaDa_FaMoSisDaDa_FaMoSisSoSoDa_FaMoStsisDaDa_FaSisDa_FaStsisDa_MoBroDaDaDa_MoBroDaSoDa_MoBroSoDaDaDa_MoBroSoDaSoDa_MoBroSoSoDaDaDa_MoBroSoSoDaSoDa_MoFaBroDaDaDa_MoFaBroDaSoDa_MoFaBroSoDaDaDa_MoFaBroSoDaSoDa_MoFaBroSoSoDaDaDa_MoFaBroSoSoDaSoDa_MoFaBroSoSoSoDaDaDa_MoFaBroSoSoSoDaSoDa_MoMoBroDaDaDaDa_MoMoBroDaDaSoDa_MoMoBroSoDaDaDaDa_MoMoBroSoDaDaSoDa_MoMoBroSoSoDaDaSoDa_MoMoFaBroDaDaDaDa_MoMoFaBroDaDaSoDa_MoMoFaBroSoDaDaSoDa_MoMoMoSisDaDaSoDa_MoMoMoSisSoDaDaSoDa_MoMoSisDaDaDa_MoMoSisDaSoDa_MoMoSisSoDaDaDa_MoMoSisSoDaSoDa_MoMoSisSoSoDaDaDa_MoMoSisSoSoDaSoDa_MoMoSisSoSoSoDaDaDa_MoMoSisSoSoSoDaSoDa_MoMoStsisDaDaDa_MoMoStsisDaSoDa_MoSisDaDa_MoSisSoDa_MoSisSoSoDa_MoSisSoSoSoDa_MoSisSoSoSoSoDa_MoStsisDaDa_MoStsisSoDa_SisDa_StbroDa_StsisDa"}
;; 0
%wetezha:0, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisDa}  
 male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(Alter, C).
;; 1
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), daughter(Alter, E).
;; 2
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), daughter(Alter, G).
;; 3
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(Alter, I).
;; 4
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(Alter, I).
;; 5
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(Alter, I).
;; 6
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), daughter(Alter, H).
;; 7
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroSoDaDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(Alter, I).
;; 8
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisDaDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(Alter, G).
;; 9
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisDaDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(Alter, G).
;; 10
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroDaDaDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(Alter, G).
;; 11
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), daughter(Alter, F).
;; 12
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaDaDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(Alter, H).
;; 13
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(Alter, H).
;; 14
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(Alter, G).
;; 15
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoSoDaDaDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, Ego)), daughter(Alter, I).
;; 16
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoSoDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, Ego)), daughter(Alter, I).
;; 17
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoSoDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(Alter, H).
;; 18
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoSoSoDaDaDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, Ego)), daughter(Alter, J).
;; 19
%wetezha:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoSoSoDaDaDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, Ego)), daughter(Alter, J).
;; 20
%wetezha:0, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {StsisDa}  
 male(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), daughter(Alter, E).
;; 21
%wetezha:0, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=5, S=2, Star=0,  {StsisDa}  
 male(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), daughter(Alter, E).
;; 22
%wetezha:0, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaDa}  
 male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E).
;; 23
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisDa}  
 male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 24
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaDa}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(Alter, F).
;; 25
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaDa}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), daughter(Alter, H).
;; 26
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoBroDaDaDaDa}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), daughter(Alter, I).
;; 27
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=2, Star=0,  {FaMoStsisDaDa}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H).
;; 28
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=2, Star=0,  {FaMoStsisDaDa}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H).
;; 29
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaDa}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H).
;; 30
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaDa}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(Alter, G).
;; 31
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroSoDaDaDa}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), daughter(Alter, I).
;; 32
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisSoDaDaDa}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), daughter(Alter, I).
;; 33
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaDaDa}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H).
;; 34
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroSoSoDaDaDa}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, A)), daughter(Alter, J).
;; 35
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisSoSoDaDaDa}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, A)), daughter(Alter, J).
;; 36
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroSoSoDaDaDa}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), daughter(Alter, I).
;; 37
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=2, Star=0,  {FaStsisDa}  
 male(Ego), father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(Alter, F).
;; 38
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=2, Star=0,  {FaStsisDa}  
 male(Ego), father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(Alter, F).
;; 39
%wetezha:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaDa}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 40
%wetezha:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaSisDa}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E).
;; 41
%wetezha:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoSisDaDa}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(Alter, G).
;; 42
%wetezha:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=9, S=2, Star=0,  {FaFaMoStsisDaDa}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(Alter, I).
;; 43
%wetezha:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=9, S=2, Star=0,  {FaFaMoStsisDaDa}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(Alter, I).
;; 44
%wetezha:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroDaDaDa}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(Alter, H).
;; 45
%wetezha:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoBroSoDaDaDa}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, B)), daughter(Alter, I).
;; 46
%wetezha:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoBroSoSoDaDaDa}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, B)), daughter(Alter, J).
;; 47
%wetezha:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=7, S=2, Star=0,  {FaFaStsisDa}  
 male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(Alter, G).
;; 48
%wetezha:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=7, S=2, Star=0,  {FaFaStsisDa}  
 male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(Alter, G).
;; 49
%wetezha:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaBroDaDa}  
 male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 50
%wetezha:1, brother[eq]1:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroDa}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(Alter, C).
;; 51
%wetezha:1, brother[eq]1:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoDa}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(Alter, E).
;; 52
%wetezha:1, brother[eq]1:0, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroSoSoDa}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(Alter, G).
;; 53
%wetezha:1, brother[eq]1:0, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisSoSoDa}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(Alter, G).
;; 54
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(Alter, E).
;; 55
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), daughter(Alter, G).
;; 56
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 57
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 58
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 59
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 60
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), daughter(Alter, H).
;; 61
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroSoDaDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), daughter(Alter, J).
;; 62
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisSoDaDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), daughter(Alter, J).
;; 63
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroSoDaDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 64
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroSoSoDaDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), daughter(Alter, J).
;; 65
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisSoDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), daughter(Alter, G).
;; 66
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisSoDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), daughter(Alter, G).
;; 67
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroDaSoDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(Alter, G).
;; 68
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(Alter, F).
;; 69
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaSoDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 70
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 71
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), daughter(Alter, G).
;; 72
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoSoDaSoDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(I, H), daughter(Alter, I).
;; 73
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoSoDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(I, H), daughter(Alter, I).
;; 74
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoSoDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 75
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoSoSoDaSoDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(J, I), daughter(Alter, J).
;; 76
%wetezha:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoSoSoDaSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(J, I), daughter(Alter, J).
;; 77
%wetezha:1, brother[eq]1:0, brother[eq]:3, step_brother:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {StbroDa}  
 female(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), daughter(Alter, E).
;; 78
%wetezha:1, brother[eq]1:0, brother[eq]:3, step_brother:1%
 Lvl=-1,  PC=5, S=2, Star=0,  {StbroDa}  
 female(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), daughter(Alter, E).
;; 79
%wetezha:1, brother[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoDa}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), daughter(Alter, D).
;; 80
%wetezha:1, brother[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoDa}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(Alter, F).
;; 81
%wetezha:1, brother[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(Alter, F).
;; 82
%wetezha:1, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoDa}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(E, D), daughter(Alter, E).
;; 83
%wetezha:1, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoDa}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 84
%wetezha:1, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(G, F), daughter(Alter, G).
;; 85
%wetezha:1, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoSoSoDa}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(E, D), son(F, E), daughter(Alter, F).
;; 86
%wetezha:1, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {FaBroSoSoSoSoDa}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(G, F), son(H, G), daughter(Alter, H).
;; 87
%wetezha:1, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoSisSoSoSoSoDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(G, F), son(H, G), daughter(Alter, H).


wetoanska(Alter, Ego) :-  male(Ego), sister[eq]2(A, Ego), son(Alter, A).
                      |   female(Ego), brother[eq]1(A, Ego), son(Alter, A).
{"BroSo_BroSoSo_BroSoSoSo_BroSoSoSoSo_FaBroDaSo_FaBroSoSo_FaBroSoSoSo_FaBroSoSoSoSo_FaBroSoSoSoSoSo_FaFaBroDaSo_FaFaBroSoSoSo_FaFaFaBroDaSo_FaFaMoBroDaDaSo_FaFaMoBroSoDaDaSo_FaFaMoBroSoSoDaDaSo_FaFaMoSisDaSo_FaFaMoStsisDaSo_FaFaSisSo_FaFaStsisSo_FaMoBroDaDaSo_FaMoBroSoDaDaSo_FaMoBroSoSoDaDaSo_FaMoFaBroDaDaSo_FaMoFaBroSoDaDaSo_FaMoFaBroSoSoDaDaSo_FaMoMoBroDaDaDaSo_FaMoMoSisDaDaSo_FaMoMoSisSoDaDaSo_FaMoMoSisSoSoDaDaSo_FaMoSisDaSo_FaMoSisSoSoSo_FaMoStsisDaSo_FaSisSo_FaStsisSo_MoBroDaDaSo_MoBroDaSoSo_MoBroSoDaDaSo_MoBroSoDaSoSo_MoBroSoSoDaDaSo_MoBroSoSoDaSoSo_MoFaBroDaDaSo_MoFaBroDaSoSo_MoFaBroSoDaDaSo_MoFaBroSoDaSoSo_MoFaBroSoSoDaDaSo_MoFaBroSoSoDaSoSo_MoFaBroSoSoSoDaDaSo_MoFaBroSoSoSoDaSoSo_MoMoBroDaDaDaSo_MoMoBroDaDaSoSo_MoMoBroSoDaDaDaSo_MoMoBroSoDaDaSoSo_MoMoBroSoSoDaDaSoSo_MoMoFaBroDaDaDaSo_MoMoFaBroDaDaSoSo_MoMoFaBroSoDaDaSoSo_MoMoMoSisDaDaSoSo_MoMoMoSisSoDaDaSoSo_MoMoSisDaDaSo_MoMoSisDaSoSo_MoMoSisSoDaDaSo_MoMoSisSoDaSoSo_MoMoSisSoSoDaDaSo_MoMoSisSoSoDaSoSo_MoMoSisSoSoSoDaDaSo_MoMoSisSoSoSoDaSoSo_MoMoStsisDaDaSo_MoMoStsisDaSoSo_MoSisDaSo_MoSisSoSo_MoSisSoSoSo_MoSisSoSoSoSo_MoSisSoSoSoSoSo_MoStsisDaSo_MoStsisSoSo_SisSo_StbroSo_StsisSo"}
;; 0
%wetoanska:0, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisSo}  
 male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(Alter, C).
;; 1
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), son(Alter, E).
;; 2
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), son(Alter, G).
;; 3
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(Alter, I).
;; 4
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(Alter, I).
;; 5
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(Alter, I).
;; 6
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), son(Alter, H).
;; 7
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroSoDaDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(Alter, I).
;; 8
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisDaSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(Alter, G).
;; 9
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisDaSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(Alter, G).
;; 10
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroDaDaSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(Alter, G).
;; 11
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), son(Alter, F).
;; 12
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaDaSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(Alter, H).
;; 13
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(Alter, H).
;; 14
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(Alter, G).
;; 15
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoSoDaDaSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, Ego)), son(Alter, I).
;; 16
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoSoDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, Ego)), son(Alter, I).
;; 17
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoSoDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(Alter, H).
;; 18
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoSoSoDaDaSo}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, Ego)), son(Alter, J).
;; 19
%wetoanska:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoSoSoDaDaSo}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, Ego)), son(Alter, J).
;; 20
%wetoanska:0, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {StsisSo}  
 male(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), son(Alter, E).
;; 21
%wetoanska:0, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=5, S=2, Star=0,  {StsisSo}  
 male(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), son(Alter, E).
;; 22
%wetoanska:0, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaSo}  
 male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E).
;; 23
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisSo}  
 male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 24
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaSo}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(Alter, F).
;; 25
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaSo}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 26
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoBroDaDaDaSo}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), son(Alter, I).
;; 27
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=2, Star=0,  {FaMoStsisDaSo}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 28
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=2, Star=0,  {FaMoStsisDaSo}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 29
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaSo}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 30
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaSo}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(Alter, G).
;; 31
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroSoDaDaSo}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(Alter, I).
;; 32
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisSoDaDaSo}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(Alter, I).
;; 33
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaDaSo}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 34
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroSoSoDaDaSo}  
 male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, A)), son(Alter, J).
;; 35
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisSoSoDaDaSo}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, A)), son(Alter, J).
;; 36
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroSoSoDaDaSo}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(Alter, I).
;; 37
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=2, Star=0,  {FaStsisSo}  
 male(Ego), father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(Alter, F).
;; 38
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=2, Star=0,  {FaStsisSo}  
 male(Ego), father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(Alter, F).
;; 39
%wetoanska:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaSo}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 40
%wetoanska:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaSisSo}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 41
%wetoanska:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoSisDaSo}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(Alter, G).
;; 42
%wetoanska:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=9, S=2, Star=0,  {FaFaMoStsisDaSo}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 43
%wetoanska:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=9, S=2, Star=0,  {FaFaMoStsisDaSo}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 44
%wetoanska:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroDaDaSo}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(Alter, H).
;; 45
%wetoanska:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoBroSoDaDaSo}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 46
%wetoanska:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoBroSoSoDaDaSo}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, B)), son(Alter, J).
;; 47
%wetoanska:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=7, S=2, Star=0,  {FaFaStsisSo}  
 male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(Alter, G).
;; 48
%wetoanska:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=7, S=2, Star=0,  {FaFaStsisSo}  
 male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(Alter, G).
;; 49
%wetoanska:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaBroDaSo}  
 male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 50
%wetoanska:1, brother[eq]1:0, brother[eq]:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroSo}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(Alter, C).
;; 51
%wetoanska:1, brother[eq]1:0, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoSo}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(Alter, E).
;; 52
%wetoanska:1, brother[eq]1:0, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroSoSoSo}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(Alter, G).
;; 53
%wetoanska:1, brother[eq]1:0, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisSoSoSo}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(Alter, G).
;; 54
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(Alter, E).
;; 55
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), son(Alter, G).
;; 56
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 57
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 58
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 59
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 60
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), son(Alter, H).
;; 61
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroSoDaDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), son(Alter, J).
;; 62
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisSoDaDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), son(Alter, J).
;; 63
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroSoDaDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), son(Alter, I).
;; 64
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroSoSoDaDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), son(Alter, J).
;; 65
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisSoSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), son(Alter, G).
;; 66
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisSoSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), son(Alter, G).
;; 67
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroDaSoSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), son(Alter, G).
;; 68
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(Alter, F).
;; 69
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaSoSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 70
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 71
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), son(Alter, G).
;; 72
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoSoDaSoSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(I, H), son(Alter, I).
;; 73
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoSoDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(I, H), son(Alter, I).
;; 74
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoSoDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(H, G), son(Alter, H).
;; 75
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoSoSoDaSoSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(J, I), son(Alter, J).
;; 76
%wetoanska:1, brother[eq]1:0, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoSoSoDaSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(J, I), son(Alter, J).
;; 77
%wetoanska:1, brother[eq]1:0, brother[eq]:3, step_brother:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {StbroSo}  
 female(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), son(Alter, E).
;; 78
%wetoanska:1, brother[eq]1:0, brother[eq]:3, step_brother:1%
 Lvl=-1,  PC=5, S=2, Star=0,  {StbroSo}  
 female(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), son(Alter, E).
;; 79
%wetoanska:1, brother[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoSo}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(Alter, D).
;; 80
%wetoanska:1, brother[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoSo}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(Alter, F).
;; 81
%wetoanska:1, brother[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(Alter, F).
;; 82
%wetoanska:1, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoSo}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(E, D), son(Alter, E).
;; 83
%wetoanska:1, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoSo}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(G, F), son(Alter, G).
;; 84
%wetoanska:1, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(G, F), son(Alter, G).
;; 85
%wetoanska:1, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoSoSoSo}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(E, D), son(F, E), son(Alter, F).
;; 86
%wetoanska:1, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {FaBroSoSoSoSoSo}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(G, F), son(H, G), son(Alter, H).
;; 87
%wetoanska:1, brother[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoSisSoSoSoSoSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(G, F), son(H, G), son(Alter, H).


wetonda(Alter, Ego) :-  daughter(A, Ego), husband(Alter, A).
                    |   sister[eq]2(A, Ego), daughter(B, A), husband(Alter, B).
                    |   brother[eq](A, Ego), daughter(B, A), husband(Alter, B).
{"BroDaHu_DaHu_FaBroDaDaHu_FaBroSoDaHu_FaFaBroDaDaHu_FaFaBroSoSoDaHu_FaFaFaBroDaDaHu_FaFaMoBroDaDaDaHu_FaFaMoMoSisDaDaDaHu_FaFaMoSisDaDaHu_FaFaMoStsisDaDaHu_FaFaSisDaHu_FaFaStsisDaHu_FaMoBroDaDaDaHu_FaMoBroSoDaDaDaHu_FaMoFaBroDaDaDaHu_FaMoMoBroDaDaDaDaHu_FaMoMoSisDaDaDaHu_FaMoSisDaDaHu_FaMoSisSoSoDaHu_FaMoStsisDaDaHu_FaSisDaHu_FaStsisDaHu_MoBroDaDaDaHu_MoBroDaSoDaHu_MoBroSoDaDaDaHu_MoBroSoDaSoDaHu_MoBroSoSoDaDaDaHu_MoFaBroDaDaDaHu_MoFaBroDaSoDaHu_MoFaBroSoDaDaDaHu_MoMoBroDaDaDaDaHu_MoMoBroDaDaSoDaHu_MoMoBroSoDaDaDaDaHu_MoMoBroSoDaDaSoDaHu_MoMoFaBroDaDaDaDaHu_MoMoFaBroDaDaSoDaHu_MoMoMoSisDaDaSoDaHu_MoMoSisDaDaDaHu_MoMoSisDaSoDaHu_MoMoSisSoDaDaDaHu_MoMoStsisDaDaDaHu_MoMoStsisDaSoDaHu_MoSisDaDaHu_MoSisSoDaHu_MoStsisDaDaHu_MoStsisSoDaHu_SisDaHu_StbroDaHu_StsisDaHu"}
;; 0
%wetonda:0%
 Lvl=-1,  PC=1, S=1, Star=0,  {DaHu}  
 daughter(A, Ego), husband(Alter, A).
;; 1
%wetonda:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SisDaHu}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), husband(Alter, D).
;; 2
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoSisDaDaHu}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), daughter(F, E), husband(Alter, F).
;; 3
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoSisDaDaDaHu}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), daughter(H, G), husband(Alter, H).
;; 4
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoMoStsisDaDaDaHu}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(J, I), husband(Alter, J).
;; 5
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoMoStsisDaDaDaHu}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(J, I), husband(Alter, J).
;; 6
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {MoMoFaBroDaDaDaDaHu}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(J, I), husband(Alter, J).
;; 7
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoBroDaDaDaDaHu}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), daughter(I, H), husband(Alter, I).
;; 8
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoMoBroSoDaDaDaDaHu}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(J, I), husband(Alter, J).
;; 9
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoStsisDaDaHu}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), husband(Alter, H).
;; 10
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoStsisDaDaHu}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(H, G), husband(Alter, H).
;; 11
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoFaBroDaDaDaHu}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), husband(Alter, H).
;; 12
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaDaDaHu}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), daughter(G, F), husband(Alter, G).
;; 13
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoFaBroSoDaDaDaHu}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), husband(Alter, I).
;; 14
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoSisSoDaDaDaHu}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), husband(Alter, I).
;; 15
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {MoBroSoDaDaDaHu}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(H, G), husband(Alter, H).
;; 16
%wetonda:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=10, S=1, Star=0,  {MoBroSoSoDaDaDaHu}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(I, H), husband(Alter, I).
;; 17
%wetonda:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=5, S=3, Star=0,  {StsisDaHu}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), daughter(F, E), husband(Alter, F).
;; 18
%wetonda:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=5, S=3, Star=0,  {StsisDaHu}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), daughter(F, E), husband(Alter, F).
;; 19
%wetonda:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaBroDaDaHu}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), husband(Alter, F).
;; 20
%wetonda:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaSisDaHu}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), husband(Alter, E).
;; 21
%wetonda:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoSisDaDaHu}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), husband(Alter, G).
;; 22
%wetonda:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {FaMoMoSisDaDaDaHu}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), daughter(I, H), husband(Alter, I).
;; 23
%wetonda:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {FaMoMoBroDaDaDaDaHu}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), daughter(J, I), husband(Alter, J).
;; 24
%wetonda:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=3, Star=0,  {FaMoStsisDaDaHu}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), husband(Alter, I).
;; 25
%wetonda:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=3, Star=0,  {FaMoStsisDaDaHu}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), husband(Alter, I).
;; 26
%wetonda:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {FaMoFaBroDaDaDaHu}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), husband(Alter, I).
;; 27
%wetonda:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaMoBroDaDaDaHu}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), husband(Alter, H).
;; 28
%wetonda:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {FaMoBroSoDaDaDaHu}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), husband(Alter, I).
;; 29
%wetonda:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=3, Star=0,  {FaStsisDaHu}  
 father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), husband(Alter, G).
;; 30
%wetonda:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=3, Star=0,  {FaStsisDaHu}  
 father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), husband(Alter, G).
;; 31
%wetonda:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaFaBroDaDaHu}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), husband(Alter, G).
;; 32
%wetonda:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaSisDaHu}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), husband(Alter, F).
;; 33
%wetonda:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoSisDaDaHu}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), husband(Alter, H).
;; 34
%wetonda:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=11, S=1, Star=0,  {FaFaMoMoSisDaDaDaHu}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), not(equal(H, C)), daughter(I, H), not(equal(I, B)), daughter(J, I), husband(Alter, J).
;; 35
%wetonda:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=9, S=3, Star=0,  {FaFaMoStsisDaDaHu}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), husband(Alter, J).
;; 36
%wetonda:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=9, S=3, Star=0,  {FaFaMoStsisDaDaHu}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(J, I), husband(Alter, J).
;; 37
%wetonda:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=1, Star=0,  {FaFaMoBroDaDaDaHu}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), husband(Alter, I).
;; 38
%wetonda:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=7, S=3, Star=0,  {FaFaStsisDaHu}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), husband(Alter, H).
;; 39
%wetonda:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=7, S=3, Star=0,  {FaFaStsisDaHu}  
 father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), husband(Alter, H).
;; 40
%wetonda:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaBroDaDaHu}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), husband(Alter, H).
;; 41
%wetonda:2, brother[eq]:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {BroDaHu}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), husband(Alter, D).
;; 42
%wetonda:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaBroSoDaHu}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), husband(Alter, F).
;; 43
%wetonda:2, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaFaBroSoSoDaHu}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), husband(Alter, H).
;; 44
%wetonda:2, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {FaMoSisSoSoDaHu}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), husband(Alter, H).
;; 45
%wetonda:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoSisSoDaHu}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), husband(Alter, F).
;; 46
%wetonda:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoMoSisDaSoDaHu}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), daughter(H, G), husband(Alter, H).
;; 47
%wetonda:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {MoMoMoSisDaDaSoDaHu}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), husband(Alter, J).
;; 48
%wetonda:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoMoStsisDaSoDaHu}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), husband(Alter, J).
;; 49
%wetonda:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=9, S=3, Star=0,  {MoMoStsisDaSoDaHu}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), husband(Alter, J).
;; 50
%wetonda:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=1, Star=0,  {MoMoFaBroDaDaSoDaHu}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), husband(Alter, J).
;; 51
%wetonda:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=1, Star=0,  {MoMoBroDaDaSoDaHu}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), daughter(I, H), husband(Alter, I).
;; 52
%wetonda:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=1, Star=0,  {MoMoBroSoDaDaSoDaHu}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(J, I), husband(Alter, J).
;; 53
%wetonda:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoStsisSoDaHu}  
 mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), husband(Alter, H).
;; 54
%wetonda:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=7, S=3, Star=0,  {MoStsisSoDaHu}  
 mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), daughter(H, G), husband(Alter, H).
;; 55
%wetonda:2, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {MoFaBroDaSoDaHu}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(H, G), husband(Alter, H).
;; 56
%wetonda:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaSoDaHu}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(G, F), husband(Alter, G).
;; 57
%wetonda:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {MoBroSoDaSoDaHu}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), daughter(H, G), husband(Alter, H).
;; 58
%wetonda:2, brother[eq]:3, step_brother:0%
 Lvl=-1,  PC=5, S=3, Star=0,  {StbroDaHu}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), daughter(F, E), husband(Alter, F).
;; 59
%wetonda:2, brother[eq]:3, step_brother:1%
 Lvl=-1,  PC=5, S=3, Star=0,  {StbroDaHu}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), daughter(F, E), husband(Alter, F).


wezhinga(Alter, Ego) :-  female(Ego), sister[eq]2(A, Ego), son(Alter, A).
                     |   female(Ego), step_son(Alter, Ego).
{"FaBroDaSo_FaFaBroDaSo_FaFaFaBroDaSo_FaFaMoBroDaDaSo_FaFaMoBroSoDaDaSo_FaFaMoBroSoSoDaDaSo_FaFaMoSisDaSo_FaFaMoStsisDaSo_FaFaSisSo_FaFaStsisSo_FaMoBroDaDaSo_FaMoBroSoDaDaSo_FaMoBroSoSoDaDaSo_FaMoFaBroDaDaSo_FaMoFaBroSoDaDaSo_FaMoFaBroSoSoDaDaSo_FaMoMoBroDaDaDaSo_FaMoMoSisDaDaSo_FaMoMoSisSoDaDaSo_FaMoMoSisSoSoDaDaSo_FaMoSisDaSo_FaMoStsisDaSo_FaSisSo_FaStsisSo_MoBroDaDaSo_MoBroSoDaDaSo_MoBroSoSoDaDaSo_MoFaBroDaDaSo_MoFaBroSoDaDaSo_MoFaBroSoSoDaDaSo_MoFaBroSoSoSoDaDaSo_MoMoBroDaDaDaSo_MoMoBroSoDaDaDaSo_MoMoFaBroDaDaDaSo_MoMoSisDaDaSo_MoMoSisSoDaDaSo_MoMoSisSoSoDaDaSo_MoMoSisSoSoSoDaDaSo_MoMoStsisDaDaSo_MoSisDaSo_MoStsisDaSo_SisSo_StsisSo_Stso"}
;; 0
%wezhinga:0, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisSo}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(Alter, C).
;; 1
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), son(Alter, E).
;; 2
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), son(Alter, G).
;; 3
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(Alter, I).
;; 4
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(Alter, I).
;; 5
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(Alter, I).
;; 6
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), son(Alter, H).
;; 7
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroSoDaDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), son(Alter, I).
;; 8
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisDaSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(Alter, G).
;; 9
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisDaSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), son(Alter, G).
;; 10
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroDaDaSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(Alter, G).
;; 11
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), son(Alter, F).
;; 12
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaDaSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(Alter, H).
;; 13
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(Alter, H).
;; 14
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), son(Alter, G).
;; 15
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoSoDaDaSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, Ego)), son(Alter, I).
;; 16
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoSoDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, Ego)), son(Alter, I).
;; 17
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoSoDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), son(Alter, H).
;; 18
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoSoSoDaDaSo}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, Ego)), son(Alter, J).
;; 19
%wezhinga:0, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoSoSoDaDaSo}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, Ego)), son(Alter, J).
;; 20
%wezhinga:0, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {StsisSo}  
 female(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), son(Alter, E).
;; 21
%wezhinga:0, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=5, S=2, Star=0,  {StsisSo}  
 female(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), son(Alter, E).
;; 22
%wezhinga:0, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaSo}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E).
;; 23
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisSo}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 24
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaSo}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(Alter, F).
;; 25
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaSo}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 26
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoBroDaDaDaSo}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), son(Alter, I).
;; 27
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=2, Star=0,  {FaMoStsisDaSo}  
 female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 28
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=2, Star=0,  {FaMoStsisDaSo}  
 female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 29
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaSo}  
 female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 30
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaSo}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(Alter, G).
;; 31
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroSoDaDaSo}  
 female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(Alter, I).
;; 32
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisSoDaDaSo}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(Alter, I).
;; 33
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaDaSo}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(Alter, H).
;; 34
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroSoSoDaDaSo}  
 female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, A)), son(Alter, J).
;; 35
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisSoSoDaDaSo}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, A)), son(Alter, J).
;; 36
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroSoSoDaDaSo}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(Alter, I).
;; 37
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=2, Star=0,  {FaStsisSo}  
 female(Ego), father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(Alter, F).
;; 38
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=2, Star=0,  {FaStsisSo}  
 female(Ego), father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(Alter, F).
;; 39
%wezhinga:0, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaSo}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 40
%wezhinga:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaSisSo}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 41
%wezhinga:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoSisDaSo}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), son(Alter, G).
;; 42
%wezhinga:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=9, S=2, Star=0,  {FaFaMoStsisDaSo}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 43
%wezhinga:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=9, S=2, Star=0,  {FaFaMoStsisDaSo}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 44
%wezhinga:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroDaDaSo}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), son(Alter, H).
;; 45
%wezhinga:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoBroSoDaDaSo}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, B)), son(Alter, I).
;; 46
%wezhinga:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoBroSoSoDaDaSo}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, B)), son(Alter, J).
;; 47
%wezhinga:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=7, S=2, Star=0,  {FaFaStsisSo}  
 female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), son(Alter, G).
;; 48
%wezhinga:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=7, S=2, Star=0,  {FaFaStsisSo}  
 female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), son(Alter, G).
;; 49
%wezhinga:0, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaBroDaSo}  
 female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 50
%wezhinga:1, step_son:0%
 Lvl=-1,  PC=2, S=2, Star=0,  {Stso}  
 female(Ego), spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).


wezhunga(Alter, Ego) :-  daughter(Alter, Ego).
                     |   female(Ego), sister[eq]2(A, Ego), daughter(Alter, A).
                     |   male(Ego), brother[eq](A, Ego), daughter(Alter, A).
                     |   step_daughter(Alter, Ego).
{"BroDa_Da_FaBroDaDa_FaBroSoDa_FaFaBroDaDa_FaFaBroSoSoDa_FaFaFaBroDaDa_FaFaMoBroDaDaDa_FaFaMoBroSoDaDaDa_FaFaMoBroSoSoDaDaDa_FaFaMoSisDaDa_FaFaMoStsisDaDa_FaFaSisDa_FaFaStsisDa_FaMoBroDaDaDa_FaMoBroSoDaDaDa_FaMoBroSoSoDaDaDa_FaMoFaBroDaDaDa_FaMoFaBroSoDaDaDa_FaMoFaBroSoSoDaDaDa_FaMoMoBroDaDaDaDa_FaMoMoSisDaDaDa_FaMoMoSisSoDaDaDa_FaMoMoSisSoSoDaDaDa_FaMoSisDaDa_FaMoSisSoSoDa_FaMoStsisDaDa_FaSisDa_FaStsisDa_MoBroDaDaDa_MoBroDaSoDa_MoBroSoDaDaDa_MoBroSoDaSoDa_MoBroSoSoDaDaDa_MoBroSoSoDaSoDa_MoFaBroDaDaDa_MoFaBroDaSoDa_MoFaBroSoDaDaDa_MoFaBroSoDaSoDa_MoFaBroSoSoDaDaDa_MoFaBroSoSoDaSoDa_MoFaBroSoSoSoDaDaDa_MoFaBroSoSoSoDaSoDa_MoMoBroDaDaDaDa_MoMoBroDaDaSoDa_MoMoBroSoDaDaDaDa_MoMoBroSoDaDaSoDa_MoMoBroSoSoDaDaSoDa_MoMoFaBroDaDaDaDa_MoMoFaBroDaDaSoDa_MoMoFaBroSoDaDaSoDa_MoMoMoSisDaDaSoDa_MoMoMoSisSoDaDaSoDa_MoMoSisDaDaDa_MoMoSisDaSoDa_MoMoSisSoDaDaDa_MoMoSisSoDaSoDa_MoMoSisSoSoDaDaDa_MoMoSisSoSoDaSoDa_MoMoSisSoSoSoDaDaDa_MoMoSisSoSoSoDaSoDa_MoMoStsisDaDaDa_MoMoStsisDaSoDa_MoSisDaDa_MoSisSoDa_MoStsisDaDa_MoStsisSoDa_SisDa_StbroDa_Stda_StsisDa"}
;; 0
%wezhunga:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {Da}  
 daughter(Alter, Ego).
;; 1
%wezhunga:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisDa}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(Alter, C).
;; 2
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), not(equal(E, Ego)), daughter(Alter, E).
;; 3
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(G, F), not(equal(G, Ego)), daughter(Alter, G).
;; 4
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(Alter, I).
;; 5
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(Alter, I).
;; 6
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(Alter, I).
;; 7
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(H, G), not(equal(H, Ego)), daughter(Alter, H).
;; 8
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroSoDaDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(I, H), not(equal(I, Ego)), daughter(Alter, I).
;; 9
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(Alter, G).
;; 10
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(G, F), not(equal(G, Ego)), daughter(Alter, G).
;; 11
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroDaDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(Alter, G).
;; 12
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), not(equal(F, Ego)), daughter(Alter, F).
;; 13
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(Alter, H).
;; 14
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(Alter, H).
;; 15
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(G, F), not(equal(G, Ego)), daughter(Alter, G).
;; 16
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoSoDaDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, Ego)), daughter(Alter, I).
;; 17
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoSoDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, Ego)), daughter(Alter, I).
;; 18
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoSoDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, Ego)), daughter(Alter, H).
;; 19
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoSoSoDaDaDa}  
 female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, Ego)), daughter(Alter, J).
;; 20
%wezhunga:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoSoSoDaDaDa}  
 female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, Ego)), daughter(Alter, J).
;; 21
%wezhunga:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {StsisDa}  
 female(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(E, D), daughter(E, C), daughter(Alter, E).
;; 22
%wezhunga:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=5, S=2, Star=0,  {StsisDa}  
 female(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(E, D), daughter(E, C), daughter(Alter, E).
;; 23
%wezhunga:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaDa}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E).
;; 24
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisDa}  
 female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 25
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaDa}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), daughter(Alter, F).
;; 26
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaDa}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), daughter(Alter, H).
;; 27
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoBroDaDaDaDa}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(I, H), not(equal(I, A)), daughter(Alter, I).
;; 28
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=8, S=2, Star=0,  {FaMoStsisDaDa}  
 female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H).
;; 29
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=8, S=2, Star=0,  {FaMoStsisDaDa}  
 female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), daughter(Alter, H).
;; 30
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaDa}  
 female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H).
;; 31
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaDa}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), daughter(Alter, G).
;; 32
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroSoDaDaDa}  
 female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), daughter(Alter, I).
;; 33
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisSoDaDaDa}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), daughter(Alter, I).
;; 34
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaDaDa}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), daughter(Alter, H).
;; 35
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroSoSoDaDaDa}  
 female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, A)), daughter(Alter, J).
;; 36
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisSoSoDaDaDa}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, A)), daughter(Alter, J).
;; 37
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {FaMoBroSoSoDaDaDa}  
 female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), daughter(Alter, I).
;; 38
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=0,  PC=6, S=2, Star=0,  {FaStsisDa}  
 female(Ego), father(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), daughter(Alter, F).
;; 39
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=0,  PC=6, S=2, Star=0,  {FaStsisDa}  
 female(Ego), father(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), daughter(Alter, F).
;; 40
%wezhunga:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaDa}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 41
%wezhunga:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaSisDa}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E).
;; 42
%wezhunga:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoSisDaDa}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(Alter, G).
;; 43
%wezhunga:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=9, S=2, Star=0,  {FaFaMoStsisDaDa}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), husband(F, E), not(equal(F, D)), wife(G, F), not(equal(G, E)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(Alter, I).
;; 44
%wezhunga:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=9, S=2, Star=0,  {FaFaMoStsisDaDa}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, C), wife(F, D), not(equal(F, E)), husband(G, F), not(equal(G, D)), daughter(H, G), daughter(H, F), daughter(I, H), not(equal(I, B)), daughter(Alter, I).
;; 45
%wezhunga:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroDaDaDa}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, B)), daughter(Alter, H).
;; 46
%wezhunga:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoBroSoDaDaDa}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, B)), daughter(Alter, I).
;; 47
%wezhunga:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoBroSoSoDaDaDa}  
 female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(I, H), daughter(J, I), not(equal(J, B)), daughter(Alter, J).
;; 48
%wezhunga:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:0%
 Lvl=1,  PC=7, S=2, Star=0,  {FaFaStsisDa}  
 female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(Alter, G).
;; 49
%wezhunga:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:2, step_sister:1%
 Lvl=1,  PC=7, S=2, Star=0,  {FaFaStsisDa}  
 female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(Alter, G).
;; 50
%wezhunga:1, sister[eq]2:1, sister[eq]2:1, sister[eq]2:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaBroDaDa}  
 female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 51
%wezhunga:2, brother[eq]:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroDa}  
 male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(Alter, C).
;; 52
%wezhunga:2, brother[eq]:1, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoDa}  
 male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(Alter, E).
;; 53
%wezhunga:2, brother[eq]:1, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroSoSoDa}  
 male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(Alter, G).
;; 54
%wezhunga:2, brother[eq]:1, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisSoSoDa}  
 male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(Alter, G).
;; 55
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(Alter, E).
;; 56
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), not(equal(F, A)), son(G, F), daughter(Alter, G).
;; 57
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:0, sister:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), not(equal(G, B)), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 58
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), husband(E, D), not(equal(E, C)), wife(F, E), not(equal(F, D)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 59
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=9, S=2, Star=0,  {MoMoStsisDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, B), wife(E, C), not(equal(E, D)), husband(F, E), not(equal(F, C)), daughter(G, F), daughter(G, E), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 60
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 61
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(G, F), not(equal(G, A)), son(H, G), daughter(Alter, H).
;; 62
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroSoDaDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), daughter(Alter, J).
;; 63
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisSoDaDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), daughter(Alter, J).
;; 64
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoBroSoDaDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), daughter(H, G), not(equal(H, A)), son(I, H), daughter(Alter, I).
;; 65
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:1, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoBroSoSoDaDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), daughter(I, H), not(equal(I, A)), son(J, I), daughter(Alter, J).
;; 66
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:0%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisSoDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), wife(E, D), not(equal(E, C)), daughter(F, E), daughter(F, D), son(G, F), daughter(Alter, G).
;; 67
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:2, step_sister:1%
 Lvl=-1,  PC=7, S=2, Star=0,  {MoStsisSoDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), husband(E, D), not(equal(E, B)), daughter(F, E), daughter(F, D), son(G, F), daughter(Alter, G).
;; 68
%wezhunga:2, brother[eq]:2, sister[eq]1:0, sister[eq]:3, brother:0, sibling:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroDaSoDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(G, F), daughter(Alter, G).
;; 69
%wezhunga:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(Alter, F).
;; 70
%wezhunga:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaSoDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 71
%wezhunga:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 72
%wezhunga:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(G, F), daughter(Alter, G).
;; 73
%wezhunga:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoFaBroSoSoDaSoDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), daughter(H, G), son(I, H), daughter(Alter, I).
;; 74
%wezhunga:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {MoMoSisSoSoDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), daughter(H, G), son(I, H), daughter(Alter, I).
;; 75
%wezhunga:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:0, brother:0, sibling:0%
 Lvl=-4,  PC=10, S=0, Star=0,  {MoBroSoSoDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(G, F), son(H, G), daughter(Alter, H).
;; 76
%wezhunga:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:1, brother:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoFaBroSoSoSoDaSoDa}  
 male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(J, I), daughter(Alter, J).
;; 77
%wezhunga:2, brother[eq]:2, sister[eq]1:1, brother[eq]1a:1, brother[eq]1a:1, brother[eq]1a:0, brother[eq]a:2, sister:0, sibling:0%
 Lvl=-4,  PC=12, S=0, Star=0,  {MoMoSisSoSoSoDaSoDa}  
 male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(G, F), son(H, G), daughter(I, H), son(J, I), daughter(Alter, J).
;; 78
%wezhunga:2, brother[eq]:3, step_brother:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {StbroDa}  
 male(Ego), father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(E, D), son(E, C), daughter(Alter, E).
;; 79
%wezhunga:2, brother[eq]:3, step_brother:1%
 Lvl=-1,  PC=5, S=2, Star=0,  {StbroDa}  
 male(Ego), father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(E, D), son(E, C), daughter(Alter, E).
;; 80
%wezhunga:3, step_daughter:0%
 Lvl=-1,  PC=2, S=2, Star=0,  {Stda}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).

