;;  Horn Clause Representation of Paumari(Adr) Kinship Term-of-Address Rules

;;  The following 'header' gives some basic parameters of this kinship system:
(languageName, "Paumari(Adr)") (author, "Mary Ann Odmark and Rachel Landin") (date, "1985-01-01") (citation, "Mary Ann Odmark and Rachel Landin in SOUTH AMERICAN KINSHIP pp. 93-111") 
(non_term, [aux], brother, children, half_brother, half_sister, parents, sibling, siblings, sister, spice, step_brother, step_daughter, step_father, step_mother, step_sister, step_son) (partial, false) (polygamyOK, true) (address, true) (recursiveLevels, 1)
(synonyms, (amo_amo, ijimaro), (moxo, xoni))
(overlaps, (aajo, (moxo)), (ba_ai, (moxo)), (moxo, (aajo, ba_ai)))
(umbrellas, (moxo, (athoni, ijimaro, makhini)))


;;  Kin Term Definitions:
;;	(Standard Macros are automatically incorporated.)

aajo(Alter, Ego) :-  brother(Alter, Ego), elder(Alter, Ego).
                 |   even_gen[aux]42(Alter, Ego), male(Alter), elder(Alter, Ego).
{"Bro_FaBroSo_FaFaSisDaSo_FaMoBroDaSo_MoFaSisSoSo_MoMoBroSoSo_MoSisSo"}
;; 0
%aajo:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter), elder(Alter, Ego).
;; 1
%aajo:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter), elder(Alter, Ego).
;; 2
%aajo:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisSo}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C), male(Alter), elder(Alter, Ego).
;; 3
%aajo:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroSo}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C), male(Alter), elder(Alter, Ego).
;; 4
%aajo:1, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoSo}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), male(Alter), elder(Alter, Ego).
;; 5
%aajo:1, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoSo}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), male(Alter), elder(Alter, Ego).
;; 6
%aajo:1, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaSo}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), male(Alter), elder(Alter, Ego).
;; 7
%aajo:1, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaSo}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), male(Alter), elder(Alter, Ego).


aaso(Alter, Ego) :-  cross_up1[aux]42(Alter, Ego), female(Alter).
                 |   spice(A, Ego), mother(Alter, A).
{"FaFaSisDa_FaMoBroDa_HuMo_MoFaSisDa_MoMoBroDa_WiMo"}
;; 0
%aaso:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoBroDa}  
 mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).
;; 1
%aaso:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaSisDa}  
 mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).
;; 2
%aaso:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoBroDa}  
 father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).
;; 3
%aaso:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaSisDa}  
 father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).
;; 4
%aaso:1, spice:0%
 Lvl=1,  PC=1, S=1, Star=0,  {HuMo}  
 husband(A, Ego), mother(Alter, A).
;; 5
%aaso:1, spice:1%
 Lvl=1,  PC=1, S=1, Star=0,  {WiMo}  
 wife(A, Ego), mother(Alter, A).


ajabona(Alter, Ego) :-  sibling_in_law[aux]42(Alter, Ego), male(Ego), male(Alter).
{"FaBroDaHu_MoSisDaHu_SisHu_WiBro_WiFaBroSo_WiMoSisSo"}
;; 0
%ajabona:0, sibling_in_law[aux]42:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiBro}  
 spouse(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Ego), male(Alter).
;; 1
%ajabona:0, sibling_in_law[aux]42:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiBro}  
 spouse(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Ego), male(Alter).
;; 2
%ajabona:0, sibling_in_law[aux]42:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiMoSisSo}  
 spouse(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D), male(Ego), male(Alter).
;; 3
%ajabona:0, sibling_in_law[aux]42:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiFaBroSo}  
 spouse(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D), male(Ego), male(Alter).
;; 4
%ajabona:0, sibling_in_law[aux]42:2, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {SisHu}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), spouse(Alter, C), male(Ego), male(Alter).
;; 5
%ajabona:0, sibling_in_law[aux]42:3, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {SisHu}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), spouse(Alter, C), male(Ego), male(Alter).
;; 6
%ajabona:0, sibling_in_law[aux]42:3, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisDaHu}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), spouse(Alter, E), male(Ego), male(Alter).
;; 7
%ajabona:0, sibling_in_law[aux]42:3, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroDaHu}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), spouse(Alter, E), male(Ego), male(Alter).


amo_amo(Alter, Ego) :-  cross_cousin[aux]42(Alter, Ego), female(Alter).
{"FaFaBroDaDa_FaFaSisSoDa_FaMoBroSoDa_FaMoSisDaDa_FaSisDa_MoBroDa_MoFaBroSoDa_MoFaSisDaDa_MoMoBroDaDa_MoMoSisSoDa"}
;; 0
%amo_amo:0, cross_cousin[aux]42:0, parents:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroDa}  
 mother(A, Ego), gender(B, A), mother(C, A), father(D, A), child(E, C), child(E, D), not(equal(E, A)), gender(F, E), child(Alter, E), not(equal(B, F)), female(Alter).
;; 1
%amo_amo:0, cross_cousin[aux]42:0, parents:1, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisDa}  
 father(A, Ego), gender(B, A), mother(C, A), father(D, A), child(E, C), child(E, D), not(equal(E, A)), gender(F, E), child(Alter, E), not(equal(B, F)), female(Alter).
;; 2
%amo_amo:0, cross_cousin[aux]42:1, parents:0, cross_cousin[aux]42:0, parents:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaDa}  
 mother(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I), female(Alter).
;; 3
%amo_amo:0, cross_cousin[aux]42:1, parents:0, cross_cousin[aux]42:0, parents:1, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaDa}  
 mother(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I), female(Alter).
;; 4
%amo_amo:0, cross_cousin[aux]42:1, parents:1, cross_cousin[aux]42:0, parents:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoDa}  
 father(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I), female(Alter).
;; 5
%amo_amo:0, cross_cousin[aux]42:1, parents:1, cross_cousin[aux]42:0, parents:1, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoDa}  
 father(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I), female(Alter).
;; 6
%amo_amo:0, cross_cousin[aux]42:2, parents:0, parents:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoDa}  
 mother(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)), female(Alter).
;; 7
%amo_amo:0, cross_cousin[aux]42:2, parents:0, parents:1, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoDa}  
 mother(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)), female(Alter).
;; 8
%amo_amo:0, cross_cousin[aux]42:2, parents:1, parents:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaDa}  
 father(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)), female(Alter).
;; 9
%amo_amo:0, cross_cousin[aux]42:2, parents:1, parents:1, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaDa}  
 father(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)), female(Alter).


athoni(Alter, Ego) :-  children(A, Ego), daughter(Alter, A).
{"DaDa_SoDa"}
;; 0
%athoni:0, children:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoDa}  
 son(A, Ego), daughter(Alter, A).
;; 1
%athoni:0, children:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaDa}  
 daughter(A, Ego), daughter(Alter, A).


ba_ai(Alter, Ego) :-  sister(Alter, Ego), elder(Alter, Ego).
                  |   even_gen[aux]42(Alter, Ego), female(Alter), elder(Alter, Ego).
{"FaBroDa_FaFaSisDaDa_FaMoBroDaDa_MoFaSisSoDa_MoMoBroSoDa_MoSisDa_Sis"}
;; 0
%ba_ai:0, sister:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter), elder(Alter, Ego).
;; 1
%ba_ai:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter), elder(Alter, Ego).
;; 2
%ba_ai:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisDa}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C), female(Alter), elder(Alter, Ego).
;; 3
%ba_ai:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroDa}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C), female(Alter), elder(Alter, Ego).
;; 4
%ba_ai:1, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoDa}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), female(Alter), elder(Alter, Ego).
;; 5
%ba_ai:1, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoDa}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), female(Alter), elder(Alter, Ego).
;; 6
%ba_ai:1, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaDa}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), female(Alter), elder(Alter, Ego).
;; 7
%ba_ai:1, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaDa}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), female(Alter), elder(Alter, Ego).


badori(Alter, Ego) :-  parents(A, Ego), father(Alter, A).
{"FaFa_MoFa"}
;; 0
%badori:0, parents:0%
 Lvl=2,  PC=2, S=0, Star=0,  {MoFa}  
 mother(A, Ego), father(Alter, A).
;; 1
%badori:0, parents:1%
 Lvl=2,  PC=2, S=0, Star=0,  {FaFa}  
 father(A, Ego), father(Alter, A).


bi_i(Alter, Ego) :-  father(Alter, Ego).
{"Fa"}
;; 0
%bi_i:0%
 Lvl=1,  PC=1, S=0, Star=0,  {Fa}  
 father(Alter, Ego).


bihadi(Alter, Ego) :-  male(Ego), cross_dn1[aux]42(Alter, Ego), male(Alter).
                   |   male(Ego), cross_dn1[aux]42(Alter, Ego), female(Alter).
{"FaSisDaDa_FaSisDaSo_FaSisSoDa_FaSisSoSo_MoBroDaDa_MoBroDaSo_MoBroSoDa_MoBroSoSo"}
;; 0
%bihadi:0, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaSo}  
 male(Ego), mother(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 1
%bihadi:0, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaSo}  
 male(Ego), mother(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 2
%bihadi:0, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoSo}  
 male(Ego), father(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 3
%bihadi:0, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoSo}  
 male(Ego), father(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 4
%bihadi:1, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaDa}  
 male(Ego), mother(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).
;; 5
%bihadi:1, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaDa}  
 male(Ego), mother(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).
;; 6
%bihadi:1, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoDa}  
 male(Ego), father(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).
;; 7
%bihadi:1, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoDa}  
 male(Ego), father(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).


brother(Alter, Ego) :-  sibling(Alter, Ego), male(Alter).
;; 0
%brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).


children(Alter, Ego) :-  son(Alter, Ego).
                     |   daughter(Alter, Ego).
;; 0
%children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(Alter, Ego).
;; 1
%children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(Alter, Ego).


cross_cousin[aux]42(Alter, Ego) :-  parents(A, Ego), gender(B, A), sibling(C, A), gender(D, C), child(Alter, C), not(equal(B, D)).
                                |   parents(A, Ego), gender(B, A), cross_cousin[aux]42(C, A), gender(B, C), child(Alter, C).
                                |   parents(A, Ego), gender(B, A), parents(C, A), gender(D, C), sibling(C, E), gender(D, E), child(F, E), gender(G, F), child(Alter, F), not(equal(B, G)).
;; 0
%cross_cousin[aux]42:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), gender(B, A), mother(C, A), father(D, A), child(E, C), child(E, D), not(equal(E, A)), gender(F, E), child(Alter, E), not(equal(B, F)).
;; 1
%cross_cousin[aux]42:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), gender(B, A), mother(C, A), father(D, A), child(E, C), child(E, D), not(equal(E, A)), gender(F, E), child(Alter, E), not(equal(B, F)).
;; 2
%cross_cousin[aux]42:1, parents:0, cross_cousin[aux]42:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I).
;; 3
%cross_cousin[aux]42:1, parents:0, cross_cousin[aux]42:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I).
;; 4
%cross_cousin[aux]42:1, parents:1, cross_cousin[aux]42:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I).
;; 5
%cross_cousin[aux]42:1, parents:1, cross_cousin[aux]42:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I).
;; 6
%cross_cousin[aux]42:2, parents:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)).
;; 7
%cross_cousin[aux]42:2, parents:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)).
;; 8
%cross_cousin[aux]42:2, parents:1, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)).
;; 9
%cross_cousin[aux]42:2, parents:1, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)).


cross_dn1[aux]42(Alter, Ego) :-  cross_up1[aux]42(Ego, Alter).
;; 0
%cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)).
;; 1
%cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)).
;; 2
%cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:1, odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), parent(B, A), mother(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), son(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(J, D).
;; 3
%cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:1, odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), parent(B, A), mother(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), daughter(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(J, D).
;; 4
%cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:1, odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), parent(B, A), father(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), son(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(J, D).
;; 5
%cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:1, odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), parent(B, A), father(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), daughter(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(J, D).
;; 6
%cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)).
;; 7
%cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)).
;; 8
%cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:1, odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), parent(B, A), mother(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), son(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(J, D).
;; 9
%cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:1, odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), parent(B, A), mother(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), daughter(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(J, D).
;; 10
%cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:1, odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), parent(B, A), father(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), son(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(J, D).
;; 11
%cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:1, odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), parent(B, A), father(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), daughter(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(J, D).


cross_up1[aux]42(Alter, Ego) :-  parents(A, Ego), odd_gen[aux]42(Alter, A).
;; 0
%cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(G, D), not(equal(F, G)).
;; 1
%cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(G, D), not(equal(F, G)).
;; 2
%cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(G, D), not(equal(F, G)).
;; 3
%cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(G, D), not(equal(F, G)).


even_gen[aux]42(Alter, Ego) :-  sibling(Alter, Ego).
                            |   parents(A, Ego), even_gen[aux]42(A, B), child(Alter, B), gender(C, A), gender(C, B).
                            |   parents(A, Ego), odd_gen[aux]42(A, B), child(Alter, B), gender(C, A), gender(D, B), not(equal(C, D)).
;; 0
%even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C).
;; 2
%even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C).
;; 3
%even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)).
;; 4
%even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)).
;; 5
%even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)).
;; 6
%even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)).


generation[aux]42(Alter, Ego) :-  sibling(Alter, Ego).
                              |   parents(A, Ego), generation[aux]42gs(B, A), child(Alter, B).
;; 0
%generation[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 4
%generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 5
%generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 6
%generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 7
%generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 8
%generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 9
%generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 10
%generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 11
%generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 12
%generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 13
%generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 14
%generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 15
%generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 16
%generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 17
%generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 18
%generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 19
%generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 20
%generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).


generation[aux]42gs(Alter, Ego) :-  siblings(Alter, Ego).
                                |   parents(A, Ego), generation[aux]42gs(B, A), children(Alter, B).
;; 0
%generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 2
%generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 3
%generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 4
%generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 6
%generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 7
%generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 8
%generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 9
%generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).


half_brother(Alter, Ego) :-  mother(A, Ego), father(B, Ego), wife(C, B), son(Alter, C), son(Alter, B), not(equal(C, A)).
                         |   mother(A, Ego), father(B, Ego), husband(C, A), son(Alter, C), son(Alter, A), not(equal(C, B)).
;; 0
%half_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), wife(C, B), son(Alter, C), son(Alter, B), not(equal(C, A)).
;; 1
%half_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), husband(C, A), son(Alter, C), son(Alter, A), not(equal(C, B)).


half_sister(Alter, Ego) :-  mother(A, Ego), father(B, Ego), wife(C, B), daughter(Alter, C), daughter(Alter, B), not(equal(C, A)).
                        |   mother(A, Ego), father(B, Ego), husband(C, A), daughter(Alter, C), daughter(Alter, A), not(equal(C, B)).
;; 0
%half_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), wife(C, B), daughter(Alter, C), daughter(Alter, B), not(equal(C, A)).
;; 1
%half_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), husband(C, A), daughter(Alter, C), daughter(Alter, A), not(equal(C, B)).


ijimaro(Alter, Ego) :-  cross_cousin[aux]42(Alter, Ego), female(Alter).
;; 0
%ijimaro:0, cross_cousin[aux]42:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), gender(B, A), mother(C, A), father(D, A), child(E, C), child(E, D), not(equal(E, A)), gender(F, E), child(Alter, E), not(equal(B, F)), female(Alter).
;; 1
%ijimaro:0, cross_cousin[aux]42:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), gender(B, A), mother(C, A), father(D, A), child(E, C), child(E, D), not(equal(E, A)), gender(F, E), child(Alter, E), not(equal(B, F)), female(Alter).
;; 2
%ijimaro:0, cross_cousin[aux]42:1, parents:0, cross_cousin[aux]42:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I), female(Alter).
;; 3
%ijimaro:0, cross_cousin[aux]42:1, parents:0, cross_cousin[aux]42:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I), female(Alter).
;; 4
%ijimaro:0, cross_cousin[aux]42:1, parents:1, cross_cousin[aux]42:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I), female(Alter).
;; 5
%ijimaro:0, cross_cousin[aux]42:1, parents:1, cross_cousin[aux]42:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I), female(Alter).
;; 6
%ijimaro:0, cross_cousin[aux]42:2, parents:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)), female(Alter).
;; 7
%ijimaro:0, cross_cousin[aux]42:2, parents:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)), female(Alter).
;; 8
%ijimaro:0, cross_cousin[aux]42:2, parents:1, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)), female(Alter).
;; 9
%ijimaro:0, cross_cousin[aux]42:2, parents:1, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)), female(Alter).


isai(Alter, Ego) :-  children(Alter, Ego).
{"Da_So"}
;; 0
%isai:0, children:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {So}  
 son(Alter, Ego).
;; 1
%isai:0, children:1%
 Lvl=-1,  PC=1, S=0, Star=0,  {Da}  
 daughter(Alter, Ego).


javi(Alter, Ego) :-  cross_cousin[aux]42(Alter, Ego), male(Alter).
{"FaFaBroDaSo_FaFaSisSoSo_FaMoBroSoSo_FaMoSisDaSo_FaSisSo_MoBroSo_MoFaBroSoSo_MoFaSisDaSo_MoMoBroDaSo_MoMoSisSoSo"}
;; 0
%javi:0, cross_cousin[aux]42:0, parents:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroSo}  
 mother(A, Ego), gender(B, A), mother(C, A), father(D, A), child(E, C), child(E, D), not(equal(E, A)), gender(F, E), child(Alter, E), not(equal(B, F)), male(Alter).
;; 1
%javi:0, cross_cousin[aux]42:0, parents:1, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisSo}  
 father(A, Ego), gender(B, A), mother(C, A), father(D, A), child(E, C), child(E, D), not(equal(E, A)), gender(F, E), child(Alter, E), not(equal(B, F)), male(Alter).
;; 2
%javi:0, cross_cousin[aux]42:1, parents:0, cross_cousin[aux]42:0, parents:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaSo}  
 mother(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I), male(Alter).
;; 3
%javi:0, cross_cousin[aux]42:1, parents:0, cross_cousin[aux]42:0, parents:1, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaSo}  
 mother(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I), male(Alter).
;; 4
%javi:0, cross_cousin[aux]42:1, parents:1, cross_cousin[aux]42:0, parents:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoSo}  
 father(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I), male(Alter).
;; 5
%javi:0, cross_cousin[aux]42:1, parents:1, cross_cousin[aux]42:0, parents:1, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoSo}  
 father(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), child(I, G), not(equal(D, H)), gender(B, I), child(Alter, I), male(Alter).
;; 6
%javi:0, cross_cousin[aux]42:2, parents:0, parents:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoSo}  
 mother(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)), male(Alter).
;; 7
%javi:0, cross_cousin[aux]42:2, parents:0, parents:1, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoSo}  
 mother(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)), male(Alter).
;; 8
%javi:0, cross_cousin[aux]42:2, parents:1, parents:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaSo}  
 father(A, Ego), gender(B, A), mother(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)), male(Alter).
;; 9
%javi:0, cross_cousin[aux]42:2, parents:1, parents:1, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaSo}  
 father(A, Ego), gender(B, A), father(C, A), gender(D, C), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), gender(D, F), child(H, F), gender(I, H), child(Alter, H), not(equal(B, I)), male(Alter).


koko(Alter, Ego) :-  cross_up1[aux]42(Alter, Ego), male(Alter).
                 |   spice(A, Ego), father(Alter, A).
{"FaFaSisSo_FaMoBroSo_HuFa_MoFaSisSo_MoMoBroSo_WiFa"}
;; 0
%koko:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoBroSo}  
 mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 1
%koko:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaSisSo}  
 mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 2
%koko:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoBroSo}  
 father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 3
%koko:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaSisSo}  
 father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 4
%koko:1, spice:0%
 Lvl=1,  PC=1, S=1, Star=0,  {HuFa}  
 husband(A, Ego), father(Alter, A).
;; 5
%koko:1, spice:1%
 Lvl=1,  PC=1, S=1, Star=0,  {WiFa}  
 wife(A, Ego), father(Alter, A).


mado(Alter, Ego) :-  parents(A, Ego), mother(Alter, A).
{"FaMo_MoMo"}
;; 0
%mado:0, parents:0%
 Lvl=2,  PC=2, S=0, Star=0,  {MoMo}  
 mother(A, Ego), mother(Alter, A).
;; 1
%mado:0, parents:1%
 Lvl=2,  PC=2, S=0, Star=0,  {FaMo}  
 father(A, Ego), mother(Alter, A).


makhini(Alter, Ego) :-  children(A, Ego), son(Alter, A).
{"DaSo_SoSo"}
;; 0
%makhini:0, children:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoSo}  
 son(A, Ego), son(Alter, A).
;; 1
%makhini:0, children:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaSo}  
 daughter(A, Ego), son(Alter, A).


mamai(Alter, Ego) :-  para_up1[aux]42(Alter, Ego), female(Alter).
                  |   parents(A, Ego), parents(B, A), square[aux]42(Alter, B), female(Alter).
{"FaFaBroDa_FaFaFaBroDa_FaFaFaFaBroDa_FaFaFaFaSisDa_FaFaFaMo_FaFaFaMoBroDa_FaFaFaMoSisDa_FaFaFaSis_FaFaFaSisDa_FaFaMo_FaFaMoBroDa_FaFaMoFaBroDa_FaFaMoFaSisDa_FaFaMoMo_FaFaMoMoBroDa_FaFaMoMoSisDa_FaFaMoSis_FaFaMoSisDa_FaFaSis_FaMoFaBroDa_FaMoFaFaBroDa_FaMoFaFaSisDa_FaMoFaMo_FaMoFaMoBroDa_FaMoFaMoSisDa_FaMoFaSis_FaMoFaSisDa_FaMoMo_FaMoMoBroDa_FaMoMoFaBroDa_FaMoMoFaSisDa_FaMoMoMo_FaMoMoMoBroDa_FaMoMoMoSisDa_FaMoMoSis_FaMoMoSisDa_FaMoSis_FaMoSisDa_FaSis_MoFaBroDa_MoFaFaBroDa_MoFaFaFaBroDa_MoFaFaFaSisDa_MoFaFaMo_MoFaFaMoBroDa_MoFaFaMoSisDa_MoFaFaSis_MoFaFaSisDa_MoFaMo_MoFaMoBroDa_MoFaMoFaBroDa_MoFaMoFaSisDa_MoFaMoMo_MoFaMoMoBroDa_MoFaMoMoSisDa_MoFaMoSis_MoFaMoSisDa_MoFaSis_MoMoFaBroDa_MoMoFaFaBroDa_MoMoFaFaSisDa_MoMoFaMo_MoMoFaMoBroDa_MoMoFaMoSisDa_MoMoFaSis_MoMoFaSisDa_MoMoMo_MoMoMoBroDa_MoMoMoFaBroDa_MoMoMoFaSisDa_MoMoMoMo_MoMoMoMoBroDa_MoMoMoMoSisDa_MoMoMoSis_MoMoMoSisDa_MoMoSis_MoMoSisDa_MoSis_StfaFaBroDa_StfaMoSisDa_StfaSis_Stmo_StmoFaBroDa_StmoMoSisDa_StmoSis"}
;; 0
%mamai:0, para_up1[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoSis}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 1
%mamai:0, para_up1[aux]42:0, parents:0, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoSisDa}  
 mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D), female(Alter).
;; 2
%mamai:0, para_up1[aux]42:0, parents:0, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaBroDa}  
 mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D), female(Alter).
;; 3
%mamai:0, para_up1[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaSis}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 4
%mamai:0, para_up1[aux]42:0, parents:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoSisDa}  
 father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D), female(Alter).
;; 5
%mamai:0, para_up1[aux]42:0, parents:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaBroDa}  
 father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D), female(Alter).
;; 6
%mamai:0, para_up1[aux]42:1%
 Lvl=1,  PC=2, S=1, Star=0,  {Stmo}  
 parent(A, Ego), parent(B, Ego), spouse(Alter, A), not(equal(B, A)), not(equal(B, Alter)), female(Alter).
;; 7
%mamai:0, para_up1[aux]42:2, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=6, S=1, Star=0,  {StfaSis}  
 mother(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 8
%mamai:0, para_up1[aux]42:2, parents:0, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=8, S=1, Star=0,  {StfaMoSisDa}  
 mother(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), mother(E, F), father(G, F), child(D, E), child(D, G), not(equal(D, F)), child(Alter, F), gender(H, D), gender(H, F), female(Alter).
;; 9
%mamai:0, para_up1[aux]42:2, parents:0, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=8, S=1, Star=0,  {StfaFaBroDa}  
 mother(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), father(D, C), mother(E, F), father(G, F), child(D, E), child(D, G), not(equal(D, F)), child(Alter, F), gender(H, D), gender(H, F), female(Alter).
;; 10
%mamai:0, para_up1[aux]42:2, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=6, S=1, Star=0,  {StmoSis}  
 father(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 11
%mamai:0, para_up1[aux]42:2, parents:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=8, S=1, Star=0,  {StmoMoSisDa}  
 father(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), mother(E, F), father(G, F), child(D, E), child(D, G), not(equal(D, F)), child(Alter, F), gender(H, D), gender(H, F), female(Alter).
;; 12
%mamai:0, para_up1[aux]42:2, parents:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=8, S=1, Star=0,  {StmoFaBroDa}  
 father(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), father(D, C), mother(E, F), father(G, F), child(D, E), child(D, G), not(equal(D, F)), child(Alter, F), gender(H, D), gender(H, F), female(Alter).
;; 13
%mamai:1, parents:0, parents:0, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoMoSis}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 14
%mamai:1, parents:0, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoBroDa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 15
%mamai:1, parents:0, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoSisDa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 16
%mamai:1, parents:0, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaBroDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 17
%mamai:1, parents:0, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaSisDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 18
%mamai:1, parents:0, parents:0, square[aux]42:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoMoMo}  
 mother(A, Ego), mother(B, A), parent(Alter, B), female(Alter).
;; 19
%mamai:1, parents:0, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoMoSis}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 20
%mamai:1, parents:0, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoBroDa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 21
%mamai:1, parents:0, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoSisDa}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 22
%mamai:1, parents:0, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaBroDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 23
%mamai:1, parents:0, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaSisDa}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 24
%mamai:1, parents:0, parents:0, square[aux]42:2, parents:0, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoMoMo}  
 mother(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 25
%mamai:1, parents:0, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoFaSis}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 26
%mamai:1, parents:0, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoBroDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 27
%mamai:1, parents:0, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoSisDa}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 28
%mamai:1, parents:0, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaBroDa}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 29
%mamai:1, parents:0, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaSisDa}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 30
%mamai:1, parents:0, parents:0, square[aux]42:2, parents:1, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoFaMo}  
 mother(A, Ego), mother(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 31
%mamai:1, parents:0, parents:1, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoFaSis}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 32
%mamai:1, parents:0, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoBroDa}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 33
%mamai:1, parents:0, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoSisDa}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 34
%mamai:1, parents:0, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaBroDa}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 35
%mamai:1, parents:0, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaSisDa}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 36
%mamai:1, parents:0, parents:1, square[aux]42:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoFaMo}  
 mother(A, Ego), father(B, A), parent(Alter, B), female(Alter).
;; 37
%mamai:1, parents:0, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaMoSis}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 38
%mamai:1, parents:0, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoBroDa}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 39
%mamai:1, parents:0, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoSisDa}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 40
%mamai:1, parents:0, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaBroDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 41
%mamai:1, parents:0, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaSisDa}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 42
%mamai:1, parents:0, parents:1, square[aux]42:2, parents:0, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaMoMo}  
 mother(A, Ego), father(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 43
%mamai:1, parents:0, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaFaSis}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 44
%mamai:1, parents:0, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoBroDa}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 45
%mamai:1, parents:0, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoSisDa}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 46
%mamai:1, parents:0, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaBroDa}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 47
%mamai:1, parents:0, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaSisDa}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 48
%mamai:1, parents:0, parents:1, square[aux]42:2, parents:1, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaFaMo}  
 mother(A, Ego), father(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 49
%mamai:1, parents:1, parents:0, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaMoSis}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 50
%mamai:1, parents:1, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoBroDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 51
%mamai:1, parents:1, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoSisDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 52
%mamai:1, parents:1, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaBroDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 53
%mamai:1, parents:1, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaSisDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 54
%mamai:1, parents:1, parents:0, square[aux]42:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaMoMo}  
 father(A, Ego), mother(B, A), parent(Alter, B), female(Alter).
;; 55
%mamai:1, parents:1, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoMoSis}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 56
%mamai:1, parents:1, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoBroDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 57
%mamai:1, parents:1, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoSisDa}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 58
%mamai:1, parents:1, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaBroDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 59
%mamai:1, parents:1, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaSisDa}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 60
%mamai:1, parents:1, parents:0, square[aux]42:2, parents:0, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoMoMo}  
 father(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 61
%mamai:1, parents:1, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoFaSis}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 62
%mamai:1, parents:1, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoBroDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 63
%mamai:1, parents:1, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoSisDa}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 64
%mamai:1, parents:1, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaBroDa}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 65
%mamai:1, parents:1, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaSisDa}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 66
%mamai:1, parents:1, parents:0, square[aux]42:2, parents:1, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoFaMo}  
 father(A, Ego), mother(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 67
%mamai:1, parents:1, parents:1, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaFaSis}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 68
%mamai:1, parents:1, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoBroDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 69
%mamai:1, parents:1, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoSisDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 70
%mamai:1, parents:1, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaBroDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 71
%mamai:1, parents:1, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaSisDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 72
%mamai:1, parents:1, parents:1, square[aux]42:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaFaMo}  
 father(A, Ego), father(B, A), parent(Alter, B), female(Alter).
;; 73
%mamai:1, parents:1, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaMoSis}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 74
%mamai:1, parents:1, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoBroDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 75
%mamai:1, parents:1, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoSisDa}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 76
%mamai:1, parents:1, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaBroDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 77
%mamai:1, parents:1, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaSisDa}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 78
%mamai:1, parents:1, parents:1, square[aux]42:2, parents:0, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaMoMo}  
 father(A, Ego), father(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 79
%mamai:1, parents:1, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaFaSis}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 80
%mamai:1, parents:1, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoBroDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 81
%mamai:1, parents:1, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoSisDa}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 82
%mamai:1, parents:1, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaBroDa}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 83
%mamai:1, parents:1, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaSisDa}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 84
%mamai:1, parents:1, parents:1, square[aux]42:2, parents:1, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaFaMo}  
 father(A, Ego), father(B, A), father(C, B), parent(Alter, C), female(Alter).


mia(Alter, Ego) :-  mother(Alter, Ego).
{"Mo"}
;; 0
%mia:0%
 Lvl=1,  PC=1, S=0, Star=0,  {Mo}  
 mother(Alter, Ego).


moxo(Alter, Ego) :-  xoni(Alter, Ego).
{"Bro_BroDa_BroDaDa_BroDaSo_BroSo_BroSoDa_BroSoSo_DaDa_DaDaDa_DaDaDaDa_DaDaDaSo_DaDaHuBroDa_DaDaHuBroSo_DaDaHuFaBroDaDa_DaDaHuFaBroDaSo_DaDaHuFaBroSoDa_DaDaHuFaBroSoSo_DaDaHuFaSisDaDa_DaDaHuFaSisDaSo_DaDaHuFaSisSoDa_DaDaHuFaSisSoSo_DaDaHuMoBroDaDa_DaDaHuMoBroDaSo_DaDaHuMoBroSoDa_DaDaHuMoBroSoSo_DaDaHuMoSisDaDa_DaDaHuMoSisDaSo_DaDaHuMoSisSoDa_DaDaHuMoSisSoSo_DaDaHuSisDa_DaDaHuSisSo_DaDaSo_DaDaSoDa_DaDaSoSo_DaHuBroDa_DaHuBroDaDa_DaHuBroDaSo_DaHuBroSo_DaHuBroSoDa_DaHuBroSoSo_DaHuFaBroDaDa_DaHuFaBroDaSo_DaHuFaBroSoDa_DaHuFaBroSoSo_DaHuFaSisDaDa_DaHuFaSisDaSo_DaHuFaSisSoDa_DaHuFaSisSoSo_DaHuMoBroDaDa_DaHuMoBroDaSo_DaHuMoBroSoDa_DaHuMoBroSoSo_DaHuMoSisDaDa_DaHuMoSisDaSo_DaHuMoSisSoDa_DaHuMoSisSoSo_DaHuSisDa_DaHuSisDaDa_DaHuSisDaSo_DaHuSisSo_DaHuSisSoDa_DaHuSisSoSo_DaSo_DaSoDa_DaSoDaDa_DaSoDaSo_DaSoSo_DaSoSoDa_DaSoSoSo_DaSoWiBroDa_DaSoWiBroSo_DaSoWiFaBroDaDa_DaSoWiFaBroDaSo_DaSoWiFaBroSoDa_DaSoWiFaBroSoSo_DaSoWiFaSisDaDa_DaSoWiFaSisDaSo_DaSoWiFaSisSoDa_DaSoWiFaSisSoSo_DaSoWiMoBroDaDa_DaSoWiMoBroDaSo_DaSoWiMoBroSoDa_DaSoWiMoBroSoSo_DaSoWiMoSisDaDa_DaSoWiMoSisDaSo_DaSoWiMoSisSoDa_DaSoWiMoSisSoSo_DaSoWiSisDa_DaSoWiSisSo_FaBroDa_FaBroDaDa_FaBroDaSo_FaBroSo_FaBroSoDa_FaBroSoSo_FaFaSisDaDa_FaFaSisDaDaDa_FaFaSisDaDaSo_FaFaSisDaSo_FaFaSisDaSoDa_FaFaSisDaSoSo_FaMoBroDaDa_FaMoBroDaDaDa_FaMoBroDaDaSo_FaMoBroDaSo_FaMoBroDaSoDa_FaMoBroDaSoSo_FaSisDaDa_FaSisDaSo_FaSisSoDa_FaSisSoSo_HuBroDaDa_HuBroDaSo_HuBroSoDa_HuBroSoSo_HuSisDaDa_HuSisDaSo_HuSisSoDa_HuSisSoSo_MoBroDaDa_MoBroDaSo_MoBroSoDa_MoBroSoSo_MoFaSisSoDa_MoFaSisSoDaDa_MoFaSisSoDaSo_MoFaSisSoSo_MoFaSisSoSoDa_MoFaSisSoSoSo_MoMoBroSoDa_MoMoBroSoDaDa_MoMoBroSoDaSo_MoMoBroSoSo_MoMoBroSoSoDa_MoMoBroSoSoSo_MoSisDa_MoSisDaDa_MoSisDaSo_MoSisSo_MoSisSoDa_MoSisSoSo_Sis_SisDa_SisDaDa_SisDaSo_SisSo_SisSoDa_SisSoSo_SoDa_SoDaDa_SoDaDaDa_SoDaDaSo_SoDaHuBroDa_SoDaHuBroSo_SoDaHuFaBroDaDa_SoDaHuFaBroDaSo_SoDaHuFaBroSoDa_SoDaHuFaBroSoSo_SoDaHuFaSisDaDa_SoDaHuFaSisDaSo_SoDaHuFaSisSoDa_SoDaHuFaSisSoSo_SoDaHuMoBroDaDa_SoDaHuMoBroDaSo_SoDaHuMoBroSoDa_SoDaHuMoBroSoSo_SoDaHuMoSisDaDa_SoDaHuMoSisDaSo_SoDaHuMoSisSoDa_SoDaHuMoSisSoSo_SoDaHuSisDa_SoDaHuSisSo_SoDaSo_SoDaSoDa_SoDaSoSo_SoSo_SoSoDa_SoSoDaDa_SoSoDaSo_SoSoSo_SoSoSoDa_SoSoSoSo_SoSoWiBroDa_SoSoWiBroSo_SoSoWiFaBroDaDa_SoSoWiFaBroDaSo_SoSoWiFaBroSoDa_SoSoWiFaBroSoSo_SoSoWiFaSisDaDa_SoSoWiFaSisDaSo_SoSoWiFaSisSoDa_SoSoWiFaSisSoSo_SoSoWiMoBroDaDa_SoSoWiMoBroDaSo_SoSoWiMoBroSoDa_SoSoWiMoBroSoSo_SoSoWiMoSisDaDa_SoSoWiMoSisDaSo_SoSoWiMoSisSoDa_SoSoWiMoSisSoSo_SoSoWiSisDa_SoSoWiSisSo_SoWiBroDa_SoWiBroDaDa_SoWiBroDaSo_SoWiBroSo_SoWiBroSoDa_SoWiBroSoSo_SoWiFaBroDaDa_SoWiFaBroDaSo_SoWiFaBroSoDa_SoWiFaBroSoSo_SoWiFaSisDaDa_SoWiFaSisDaSo_SoWiFaSisSoDa_SoWiFaSisSoSo_SoWiMoBroDaDa_SoWiMoBroDaSo_SoWiMoBroSoDa_SoWiMoBroSoSo_SoWiMoSisDaDa_SoWiMoSisDaSo_SoWiMoSisSoDa_SoWiMoSisSoSo_SoWiSisDa_SoWiSisDaDa_SoWiSisDaSo_SoWiSisSo_SoWiSisSoDa_SoWiSisSoSo_WiBroDaDa_WiBroDaSo_WiBroSoDa_WiBroSoSo_WiSisDaDa_WiSisDaSo_WiSisSoDa_WiSisSoSo"}
;; 0
%moxo:0, xoni:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter), younger(Alter, Ego).
;; 1
%moxo:0, xoni:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter), younger(Alter, Ego).
;; 2
%moxo:0, xoni:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), younger(Alter, Ego), male(Alter).
;; 3
%moxo:0, xoni:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisSo}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C), younger(Alter, Ego), male(Alter).
;; 4
%moxo:0, xoni:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroSo}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C), younger(Alter, Ego), male(Alter).
;; 5
%moxo:0, xoni:1, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoSo}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), male(Alter).
;; 6
%moxo:0, xoni:1, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoSo}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), male(Alter).
;; 7
%moxo:0, xoni:1, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaSo}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), male(Alter).
;; 8
%moxo:0, xoni:1, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaSo}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), male(Alter).
;; 9
%moxo:0, xoni:2, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), younger(Alter, Ego), female(Alter).
;; 10
%moxo:0, xoni:2, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisDa}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C), younger(Alter, Ego), female(Alter).
;; 11
%moxo:0, xoni:2, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroDa}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C), younger(Alter, Ego), female(Alter).
;; 12
%moxo:0, xoni:2, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoDa}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), female(Alter).
;; 13
%moxo:0, xoni:2, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoDa}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), female(Alter).
;; 14
%moxo:0, xoni:2, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaDa}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), female(Alter).
;; 15
%moxo:0, xoni:2, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaDa}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), female(Alter).
;; 16
%moxo:0, xoni:3, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(Alter, C).
;; 17
%moxo:0, xoni:3, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(Alter, C).
;; 18
%moxo:0, xoni:3, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoSo}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), male(E), son(Alter, E).
;; 19
%moxo:0, xoni:3, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoDa}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), male(E), daughter(Alter, E).
;; 20
%moxo:0, xoni:3, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoSo}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), male(E), son(Alter, E).
;; 21
%moxo:0, xoni:3, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoDa}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), male(E), daughter(Alter, E).
;; 22
%moxo:0, xoni:3, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoSoSo}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), son(Alter, I).
;; 23
%moxo:0, xoni:3, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoSoDa}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), daughter(Alter, I).
;; 24
%moxo:0, xoni:3, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoSoSo}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), son(Alter, I).
;; 25
%moxo:0, xoni:3, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoSoDa}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), daughter(Alter, I).
;; 26
%moxo:0, xoni:3, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaSoSo}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), son(Alter, I).
;; 27
%moxo:0, xoni:3, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaSoDa}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), daughter(Alter, I).
;; 28
%moxo:0, xoni:3, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaSoSo}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), son(Alter, I).
;; 29
%moxo:0, xoni:3, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaSoDa}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), daughter(Alter, I).
;; 30
%moxo:0, xoni:4, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(Alter, C).
;; 31
%moxo:0, xoni:4, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(Alter, C).
;; 32
%moxo:0, xoni:4, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaSo}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), female(E), son(Alter, E).
;; 33
%moxo:0, xoni:4, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaDa}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), female(E), daughter(Alter, E).
;; 34
%moxo:0, xoni:4, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaSo}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), female(E), son(Alter, E).
;; 35
%moxo:0, xoni:4, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaDa}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), female(E), daughter(Alter, E).
;; 36
%moxo:0, xoni:4, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoDaSo}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), son(Alter, I).
;; 37
%moxo:0, xoni:4, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoDaDa}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), daughter(Alter, I).
;; 38
%moxo:0, xoni:4, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoDaSo}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), son(Alter, I).
;; 39
%moxo:0, xoni:4, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoDaDa}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), daughter(Alter, I).
;; 40
%moxo:0, xoni:4, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaDaSo}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), son(Alter, I).
;; 41
%moxo:0, xoni:4, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaDaDa}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), daughter(Alter, I).
;; 42
%moxo:0, xoni:4, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaSo}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), son(Alter, I).
;; 43
%moxo:0, xoni:4, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaDa}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), daughter(Alter, I).
;; 44
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoSo}  
 male(Ego), son(A, Ego), son(B, A), son(Alter, B).
;; 45
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(Alter, B).
;; 46
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiBroSo}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 47
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiBroDa}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 48
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiSisSo}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 49
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiSisDa}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 50
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroSoSo}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 51
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroSoDa}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 52
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroDaSo}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 53
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroDaDa}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 54
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisSoSo}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 55
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisSoDa}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 56
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisDaSo}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 57
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisDaDa}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 58
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroSoSo}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 59
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroSoDa}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 60
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroDaSo}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 61
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroDaDa}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 62
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisSoSo}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 63
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisSoDa}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 64
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisDaSo}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 65
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisDaDa}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 66
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoSo}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 67
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoDa}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 68
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaSo}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 69
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaDa}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 70
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroSoSo}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 71
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroSoDa}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 72
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroDaSo}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 73
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroDaDa}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 74
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisSoSo}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 75
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisSoDa}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 76
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisDaSo}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 77
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisDaDa}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 78
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoSo}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 79
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoDa}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 80
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaSo}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 81
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaDa}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 82
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoSo}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 83
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoDa}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 84
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaSo}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 85
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaDa}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 86
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), son(Alter, C).
;; 87
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), daughter(Alter, C).
;; 88
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiBroSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 89
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiBroDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 90
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiSisSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 91
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiSisDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 92
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroSoSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 93
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroSoDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 94
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroDaSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 95
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroDaDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 96
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisSoSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 97
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisSoDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 98
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisDaSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 99
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisDaDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 100
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroSoSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 101
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroSoDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 102
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroDaSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 103
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroDaDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 104
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisSoSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 105
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisSoDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 106
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisDaSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 107
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisDaDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 108
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 109
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 110
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 111
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 112
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 113
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 114
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 115
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 116
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 117
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 118
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 119
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 120
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 121
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 122
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 123
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 124
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 125
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 126
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 127
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 128
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), son(Alter, C).
;; 129
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), daughter(Alter, C).
;; 130
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiBroSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 131
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiBroDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 132
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiSisSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 133
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiSisDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 134
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroSoSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 135
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroSoDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 136
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroDaSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 137
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroDaDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 138
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisSoSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 139
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisSoDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 140
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisDaSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 141
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisDaDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 142
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroSoSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 143
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroSoDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 144
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroDaSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 145
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroDaDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 146
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisSoSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 147
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisSoDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 148
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisDaSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 149
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisDaDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 150
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 151
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 152
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 153
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 154
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 155
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 156
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 157
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 158
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 159
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 160
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 161
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 162
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 163
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 164
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 165
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 166
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 167
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 168
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 169
%moxo:0, xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 170
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(Alter, B).
;; 171
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(Alter, B).
;; 172
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiBroSo}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 173
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiBroDa}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 174
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiSisSo}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 175
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiSisDa}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 176
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 177
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 178
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 179
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 180
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 181
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 182
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 183
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 184
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 185
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 186
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 187
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 188
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 189
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 190
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 191
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 192
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoSo}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 193
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoDa}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 194
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaSo}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 195
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaDa}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 196
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 197
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 198
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 199
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 200
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 201
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 202
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 203
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 204
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 205
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 206
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 207
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 208
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 209
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 210
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 211
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 212
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), son(Alter, C).
;; 213
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), daughter(Alter, C).
;; 214
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 215
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 216
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 217
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 218
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 219
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 220
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 221
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 222
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 223
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 224
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 225
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 226
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 227
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 228
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 229
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 230
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 231
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 232
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 233
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 234
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuBroSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 235
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuBroDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 236
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuSisSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 237
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuSisDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 238
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 239
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 240
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 241
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 242
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 243
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 244
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 245
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 246
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 247
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 248
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 249
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 250
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 251
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 252
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 253
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 254
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), son(Alter, C).
;; 255
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), daughter(Alter, C).
;; 256
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 257
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 258
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 259
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 260
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 261
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 262
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 263
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 264
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 265
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 266
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 267
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 268
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 269
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 270
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 271
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 272
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 273
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 274
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 275
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 276
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuBroSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 277
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuBroDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 278
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuSisSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 279
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuSisDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 280
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 281
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 282
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 283
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 284
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 285
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 286
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 287
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 288
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 289
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 290
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 291
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 292
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisSoSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 293
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisSoDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 294
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisDaSo}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 295
%moxo:0, xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisDaDa}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 296
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(Alter, B).
;; 297
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(Alter, B).
;; 298
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoSo}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 299
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoDa}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 300
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaSo}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 301
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaDa}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 302
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 303
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 304
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 305
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 306
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 307
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 308
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 309
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 310
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 311
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 312
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 313
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 314
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 315
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 316
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 317
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 318
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuBroSo}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 319
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuBroDa}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 320
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuSisSo}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 321
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuSisDa}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 322
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 323
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 324
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 325
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 326
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 327
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 328
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 329
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 330
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 331
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 332
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 333
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 334
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 335
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 336
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 337
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 338
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), son(Alter, C).
;; 339
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), daughter(Alter, C).
;; 340
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiBroSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 341
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiBroDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 342
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiSisSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 343
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiSisDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 344
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 345
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 346
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 347
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 348
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 349
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 350
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 351
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 352
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 353
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 354
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 355
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 356
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 357
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 358
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 359
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 360
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 361
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 362
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 363
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 364
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 365
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 366
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 367
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 368
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 369
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 370
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 371
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 372
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 373
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 374
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 375
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 376
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 377
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 378
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 379
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 380
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), son(Alter, C).
;; 381
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), daughter(Alter, C).
;; 382
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiBroSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 383
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiBroDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 384
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiSisSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 385
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiSisDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 386
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 387
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 388
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 389
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 390
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 391
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 392
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 393
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 394
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 395
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 396
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 397
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 398
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 399
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 400
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 401
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 402
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 403
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 404
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 405
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 406
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 407
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 408
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 409
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 410
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 411
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 412
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 413
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 414
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 415
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 416
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 417
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 418
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 419
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 420
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaSo}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 421
%moxo:0, xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaDa}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 422
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(Alter, B).
;; 423
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(Alter, B).
;; 424
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 425
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 426
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 427
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 428
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 429
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 430
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 431
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiBroDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 432
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 433
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 434
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 435
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {WiSisDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 436
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 437
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 438
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 439
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 440
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 441
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 442
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 443
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 444
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuBroSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 445
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuBroDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 446
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuSisSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 447
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuSisDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 448
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 449
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 450
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 451
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 452
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 453
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 454
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 455
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 456
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 457
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 458
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 459
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 460
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 461
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 462
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 463
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 464
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), son(Alter, C).
;; 465
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), daughter(Alter, C).
;; 466
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 467
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 468
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 469
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 470
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 471
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 472
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 473
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 474
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 475
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 476
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 477
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 478
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 479
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 480
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 481
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 482
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 483
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 484
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 485
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 486
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuBroSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 487
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuBroDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 488
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuSisSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 489
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuSisDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 490
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 491
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 492
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 493
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 494
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 495
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 496
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 497
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 498
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 499
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 500
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 501
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 502
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 503
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 504
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 505
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 506
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), son(Alter, C).
;; 507
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), daughter(Alter, C).
;; 508
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 509
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 510
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 511
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 512
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 513
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 514
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 515
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 516
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 517
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 518
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 519
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 520
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 521
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 522
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 523
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 524
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 525
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 526
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 527
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 528
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuBroSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 529
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuBroDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 530
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuSisSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 531
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuSisDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 532
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 533
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 534
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 535
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 536
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 537
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 538
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 539
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 540
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 541
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 542
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 543
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 544
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisSoSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 545
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisSoDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 546
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisDaSo}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 547
%moxo:0, xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisDaDa}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 548
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoSo}  
 female(Ego), son(A, Ego), son(B, A), son(Alter, B).
;; 549
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(Alter, B).
;; 550
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiBroSo}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 551
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiBroDa}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 552
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiSisSo}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 553
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiSisDa}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 554
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroSoSo}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 555
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroSoDa}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 556
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroDaSo}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 557
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroDaDa}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 558
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisSoSo}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 559
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisSoDa}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 560
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisDaSo}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 561
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisDaDa}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 562
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroSoSo}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 563
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroSoDa}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 564
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroDaSo}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 565
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroDaDa}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 566
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisSoSo}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 567
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisSoDa}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 568
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisDaSo}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 569
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisDaDa}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 570
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoSo}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 571
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoDa}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 572
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaSo}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 573
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaDa}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 574
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoSo}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 575
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoDa}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 576
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaSo}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 577
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaDa}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 578
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoSo}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 579
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoDa}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 580
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaSo}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 581
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaDa}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 582
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroSoSo}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 583
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroSoDa}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 584
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroDaSo}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 585
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroDaDa}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 586
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisSoSo}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 587
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisSoDa}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 588
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisDaSo}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 589
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisDaDa}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 590
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), son(Alter, C).
;; 591
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), daughter(Alter, C).
;; 592
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiBroSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 593
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiBroDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 594
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiSisSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 595
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiSisDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 596
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroSoSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 597
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroSoDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 598
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroDaSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 599
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroDaDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 600
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisSoSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 601
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisSoDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 602
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisDaSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 603
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisDaDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 604
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroSoSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 605
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroSoDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 606
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroDaSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 607
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroDaDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 608
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisSoSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 609
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisSoDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 610
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisDaSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 611
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisDaDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 612
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 613
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 614
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 615
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 616
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 617
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 618
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 619
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 620
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 621
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 622
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 623
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 624
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 625
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 626
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 627
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 628
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 629
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 630
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 631
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 632
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), son(Alter, C).
;; 633
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), daughter(Alter, C).
;; 634
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiBroSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 635
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiBroDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 636
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiSisSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 637
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoWiSisDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 638
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroSoSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 639
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroSoDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 640
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroDaSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 641
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoBroDaDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 642
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisSoSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 643
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisSoDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 644
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisDaSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 645
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiMoSisDaDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 646
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroSoSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 647
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroSoDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 648
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroDaSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 649
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaBroDaDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 650
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisSoSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 651
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisSoDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 652
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisDaSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 653
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoWiFaSisDaDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 654
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 655
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 656
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 657
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 658
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 659
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 660
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 661
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 662
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 663
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 664
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 665
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 666
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 667
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 668
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 669
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 670
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 671
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 672
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 673
%moxo:0, xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 674
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(Alter, B).
;; 675
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(Alter, B).
;; 676
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiBroSo}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 677
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiBroDa}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 678
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiSisSo}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 679
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoWiSisDa}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 680
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 681
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 682
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 683
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoBroDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 684
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 685
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 686
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 687
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiMoSisDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 688
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 689
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 690
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 691
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaBroDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 692
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 693
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 694
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 695
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SoWiFaSisDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 696
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoSo}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 697
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoDa}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 698
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaSo}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 699
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaDa}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 700
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 701
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 702
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 703
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 704
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 705
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 706
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 707
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 708
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 709
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 710
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 711
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 712
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 713
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 714
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 715
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 716
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), son(Alter, C).
;; 717
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), daughter(Alter, C).
;; 718
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 719
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 720
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 721
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 722
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 723
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 724
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 725
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 726
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 727
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 728
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 729
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 730
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 731
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 732
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 733
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 734
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 735
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 736
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 737
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 738
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuBroSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 739
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuBroDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 740
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuSisSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 741
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuSisDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 742
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 743
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 744
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 745
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 746
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 747
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 748
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 749
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 750
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 751
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 752
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 753
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 754
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 755
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 756
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 757
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 758
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), son(Alter, C).
;; 759
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), daughter(Alter, C).
;; 760
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 761
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 762
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 763
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 764
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 765
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 766
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 767
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiBroDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 768
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 769
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 770
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 771
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoWiSisDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 772
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 773
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 774
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 775
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 776
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 777
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 778
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 779
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 780
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuBroSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 781
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuBroDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 782
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuSisSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 783
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {SoDaHuSisDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 784
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 785
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 786
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 787
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoBroDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 788
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 789
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 790
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 791
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuMoSisDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 792
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 793
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 794
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 795
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaBroDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 796
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisSoSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 797
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisSoDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 798
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisDaSo}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 799
%moxo:0, xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaHuFaSisDaDa}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 800
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(Alter, B).
;; 801
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(Alter, B).
;; 802
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoSo}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 803
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoDa}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 804
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaSo}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 805
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaDa}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 806
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 807
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 808
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 809
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 810
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 811
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 812
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 813
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 814
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 815
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 816
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 817
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 818
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 819
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 820
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 821
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 822
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuBroSo}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 823
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuBroDa}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 824
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuSisSo}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 825
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuSisDa}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 826
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 827
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 828
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 829
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 830
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 831
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 832
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 833
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 834
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 835
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 836
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 837
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 838
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 839
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 840
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 841
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 842
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), son(Alter, C).
;; 843
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), daughter(Alter, C).
;; 844
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiBroSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 845
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiBroDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 846
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiSisSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 847
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiSisDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 848
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 849
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 850
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 851
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 852
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 853
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 854
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 855
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 856
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 857
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 858
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 859
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 860
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 861
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 862
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 863
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 864
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 865
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 866
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 867
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 868
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 869
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 870
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 871
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 872
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 873
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 874
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 875
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 876
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 877
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 878
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 879
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 880
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 881
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 882
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 883
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 884
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), son(Alter, C).
;; 885
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), daughter(Alter, C).
;; 886
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiBroSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 887
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiBroDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 888
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiSisSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 889
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoWiSisDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 890
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 891
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 892
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 893
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoBroDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 894
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 895
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 896
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 897
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiMoSisDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 898
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 899
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 900
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 901
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaBroDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 902
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 903
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 904
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 905
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoWiFaSisDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 906
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 907
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 908
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 909
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 910
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 911
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 912
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 913
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 914
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 915
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 916
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 917
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 918
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 919
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 920
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 921
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 922
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 923
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 924
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaSo}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 925
%moxo:0, xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaDa}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 926
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(Alter, B).
;; 927
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(Alter, B).
;; 928
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 929
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {SoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 930
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 931
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 932
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 933
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 934
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 935
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {BroDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 936
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 937
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 938
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 939
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {SisDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 940
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 941
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 942
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 943
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuBroDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 944
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 945
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 946
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 947
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {HuSisDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 948
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuBroSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 949
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuBroDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 950
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuSisSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 951
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {DaHuSisDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 952
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 953
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 954
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 955
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoBroDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 956
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 957
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 958
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 959
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuMoSisDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 960
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 961
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 962
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 963
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaBroDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 964
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 965
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 966
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 967
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {DaHuFaSisDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 968
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), son(Alter, C).
;; 969
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), daughter(Alter, C).
;; 970
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 971
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 972
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 973
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 974
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 975
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 976
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 977
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 978
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 979
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 980
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 981
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 982
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 983
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 984
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 985
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 986
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 987
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 988
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 989
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 990
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuBroSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 991
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuBroDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 992
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuSisSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 993
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuSisDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 994
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 995
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 996
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 997
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 998
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 999
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 1000
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 1001
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 1002
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 1003
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 1004
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 1005
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 1006
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 1007
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 1008
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 1009
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 1010
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), son(Alter, C).
;; 1011
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), daughter(Alter, C).
;; 1012
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 1013
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 1014
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 1015
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 1016
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 1017
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 1018
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 1019
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {SoDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 1020
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 1021
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 1022
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 1023
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 1024
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 1025
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 1026
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 1027
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuBroDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 1028
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 1029
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 1030
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 1031
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaHuSisDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 1032
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuBroSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 1033
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuBroDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 1034
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuSisSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 1035
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-3,  PC=9, S=0, Star=0,  {DaDaHuSisDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 1036
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 1037
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 1038
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 1039
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoBroDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 1040
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 1041
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 1042
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 1043
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuMoSisDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 1044
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 1045
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 1046
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 1047
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaBroDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 1048
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisSoSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 1049
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisSoDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 1050
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisDaSo}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 1051
%moxo:0, xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=11, S=0, Star=0,  {DaDaHuFaSisDaDa}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 1052
%moxo:0, xoni:7, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaSo}  
 female(Ego), mother(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 1053
%moxo:0, xoni:7, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaSo}  
 female(Ego), mother(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 1054
%moxo:0, xoni:7, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoSo}  
 female(Ego), father(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 1055
%moxo:0, xoni:7, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoSo}  
 female(Ego), father(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 1056
%moxo:0, xoni:8, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaDa}  
 female(Ego), mother(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).
;; 1057
%moxo:0, xoni:8, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaDa}  
 female(Ego), mother(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).
;; 1058
%moxo:0, xoni:8, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoDa}  
 female(Ego), father(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).
;; 1059
%moxo:0, xoni:8, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoDa}  
 female(Ego), father(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).


odd_gen[aux]42(Alter, Ego) :-  parents(A, Ego), even_gen[aux]42(A, B), child(Alter, B), gender(C, A), gender(D, B), not(equal(C, D)).
                           |   parent(A, Ego), odd_gen[aux]42gs(A, B), child(Alter, B), gender(C, A), gender(C, B).
;; 0
%odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(F, C), not(equal(E, F)).
;; 1
%odd_gen[aux]42:0, parents:0, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(G, E), child(Alter, C), gender(H, A), gender(I, C), not(equal(H, I)).
;; 2
%odd_gen[aux]42:0, parents:0, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(G, E), child(Alter, C), gender(H, A), gender(I, C), not(equal(H, I)).
;; 3
%odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(F, C), not(equal(E, F)).
;; 4
%odd_gen[aux]42:0, parents:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(G, E), child(Alter, C), gender(H, A), gender(I, C), not(equal(H, I)).
;; 5
%odd_gen[aux]42:0, parents:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(G, E), child(Alter, C), gender(H, A), gender(I, C), not(equal(H, I)).
;; 6
%odd_gen[aux]42:1, odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), son(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(I, C).
;; 7
%odd_gen[aux]42:1, odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), daughter(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(I, C).
;; 8
%odd_gen[aux]42:1, odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), son(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(I, C).
;; 9
%odd_gen[aux]42:1, odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), daughter(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(I, C).


odd_gen[aux]42gs(Alter, Ego) :-  parents(A, Ego), even_gen[aux]42(A, B), children(Alter, B), gender(C, A), gender(D, B), not(equal(C, D)).
                             |   parent(A, Ego), odd_gen[aux]42gs(A, B), children(Alter, B), gender(C, A), gender(C, B).
;; 0
%odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), son(Alter, C), gender(E, A), gender(F, C), not(equal(E, F)).
;; 1
%odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), daughter(Alter, C), gender(E, A), gender(F, C), not(equal(E, F)).
;; 2
%odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(G, E), son(Alter, C), gender(H, A), gender(I, C), not(equal(H, I)).
;; 3
%odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(G, E), daughter(Alter, C), gender(H, A), gender(I, C), not(equal(H, I)).
;; 4
%odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(G, E), son(Alter, C), gender(H, A), gender(I, C), not(equal(H, I)).
;; 5
%odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(G, E), daughter(Alter, C), gender(H, A), gender(I, C), not(equal(H, I)).
;; 6
%odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), son(Alter, C), gender(E, A), gender(F, C), not(equal(E, F)).
;; 7
%odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), daughter(Alter, C), gender(E, A), gender(F, C), not(equal(E, F)).
;; 8
%odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(G, E), son(Alter, C), gender(H, A), gender(I, C), not(equal(H, I)).
;; 9
%odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(G, E), daughter(Alter, C), gender(H, A), gender(I, C), not(equal(H, I)).
;; 10
%odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(G, E), son(Alter, C), gender(H, A), gender(I, C), not(equal(H, I)).
;; 11
%odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(G, E), daughter(Alter, C), gender(H, A), gender(I, C), not(equal(H, I)).
;; 12
%odd_gen[aux]42gs:1, odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), son(A, E), gender(G, B), gender(H, E), not(equal(G, H)), son(Alter, C), gender(I, A), gender(I, C).
;; 13
%odd_gen[aux]42gs:1, odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), son(A, E), gender(G, B), gender(H, E), not(equal(G, H)), daughter(Alter, C), gender(I, A), gender(I, C).
;; 14
%odd_gen[aux]42gs:1, odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), daughter(A, E), gender(G, B), gender(H, E), not(equal(G, H)), son(Alter, C), gender(I, A), gender(I, C).
;; 15
%odd_gen[aux]42gs:1, odd_gen[aux]42gs:0, parents:0, even_gen[aux]42:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), daughter(A, E), gender(G, B), gender(H, E), not(equal(G, H)), daughter(Alter, C), gender(I, A), gender(I, C).
;; 16
%odd_gen[aux]42gs:1, odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), son(A, E), gender(G, B), gender(H, E), not(equal(G, H)), son(Alter, C), gender(I, A), gender(I, C).
;; 17
%odd_gen[aux]42gs:1, odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), son(A, E), gender(G, B), gender(H, E), not(equal(G, H)), daughter(Alter, C), gender(I, A), gender(I, C).
;; 18
%odd_gen[aux]42gs:1, odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), daughter(A, E), gender(G, B), gender(H, E), not(equal(G, H)), son(Alter, C), gender(I, A), gender(I, C).
;; 19
%odd_gen[aux]42gs:1, odd_gen[aux]42gs:0, parents:1, even_gen[aux]42:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), daughter(A, E), gender(G, B), gender(H, E), not(equal(G, H)), daughter(Alter, C), gender(I, A), gender(I, C).


papai(Alter, Ego) :-  para_up1[aux]42(Alter, Ego), male(Alter).
                  |   parents(A, Ego), parents(B, A), square[aux]42(Alter, B), male(Alter).
{"FaBro_FaFaBro_FaFaBroSo_FaFaFa_FaFaFaBro_FaFaFaBroSo_FaFaFaFa_FaFaFaFaBroSo_FaFaFaFaSisSo_FaFaFaMoBroSo_FaFaFaMoSisSo_FaFaFaSisSo_FaFaMoBro_FaFaMoBroSo_FaFaMoFa_FaFaMoFaBroSo_FaFaMoFaSisSo_FaFaMoMoBroSo_FaFaMoMoSisSo_FaFaMoSisSo_FaMoBro_FaMoFa_FaMoFaBro_FaMoFaBroSo_FaMoFaFa_FaMoFaFaBroSo_FaMoFaFaSisSo_FaMoFaMoBroSo_FaMoFaMoSisSo_FaMoFaSisSo_FaMoMoBro_FaMoMoBroSo_FaMoMoFa_FaMoMoFaBroSo_FaMoMoFaSisSo_FaMoMoMoBroSo_FaMoMoMoSisSo_FaMoMoSisSo_FaMoSisSo_MoBro_MoFaBro_MoFaBroSo_MoFaFa_MoFaFaBro_MoFaFaBroSo_MoFaFaFa_MoFaFaFaBroSo_MoFaFaFaSisSo_MoFaFaMoBroSo_MoFaFaMoSisSo_MoFaFaSisSo_MoFaMoBro_MoFaMoBroSo_MoFaMoFa_MoFaMoFaBroSo_MoFaMoFaSisSo_MoFaMoMoBroSo_MoFaMoMoSisSo_MoFaMoSisSo_MoMoBro_MoMoFa_MoMoFaBro_MoMoFaBroSo_MoMoFaFa_MoMoFaFaBroSo_MoMoFaFaSisSo_MoMoFaMoBroSo_MoMoFaMoSisSo_MoMoFaSisSo_MoMoMoBro_MoMoMoBroSo_MoMoMoFa_MoMoMoFaBroSo_MoMoMoFaSisSo_MoMoMoMoBroSo_MoMoMoMoSisSo_MoMoMoSisSo_MoMoSisSo_Stfa_StfaBro_StfaFaBroSo_StfaMoSisSo_StmoBro_StmoFaBroSo_StmoMoSisSo"}
;; 0
%papai:0, para_up1[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoBro}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 1
%papai:0, para_up1[aux]42:0, parents:0, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoSisSo}  
 mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D), male(Alter).
;; 2
%papai:0, para_up1[aux]42:0, parents:0, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaBroSo}  
 mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D), male(Alter).
;; 3
%papai:0, para_up1[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaBro}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 4
%papai:0, para_up1[aux]42:0, parents:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoSisSo}  
 father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D), male(Alter).
;; 5
%papai:0, para_up1[aux]42:0, parents:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaBroSo}  
 father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D), male(Alter).
;; 6
%papai:0, para_up1[aux]42:1%
 Lvl=1,  PC=2, S=1, Star=0,  {Stfa}  
 parent(A, Ego), parent(B, Ego), spouse(Alter, A), not(equal(B, A)), not(equal(B, Alter)), male(Alter).
;; 7
%papai:0, para_up1[aux]42:2, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=6, S=1, Star=0,  {StfaBro}  
 mother(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 8
%papai:0, para_up1[aux]42:2, parents:0, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=8, S=1, Star=0,  {StfaMoSisSo}  
 mother(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), mother(E, F), father(G, F), child(D, E), child(D, G), not(equal(D, F)), child(Alter, F), gender(H, D), gender(H, F), male(Alter).
;; 9
%papai:0, para_up1[aux]42:2, parents:0, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=8, S=1, Star=0,  {StfaFaBroSo}  
 mother(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), father(D, C), mother(E, F), father(G, F), child(D, E), child(D, G), not(equal(D, F)), child(Alter, F), gender(H, D), gender(H, F), male(Alter).
;; 10
%papai:0, para_up1[aux]42:2, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=6, S=1, Star=0,  {StmoBro}  
 father(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 11
%papai:0, para_up1[aux]42:2, parents:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=8, S=1, Star=0,  {StmoMoSisSo}  
 father(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), mother(E, F), father(G, F), child(D, E), child(D, G), not(equal(D, F)), child(Alter, F), gender(H, D), gender(H, F), male(Alter).
;; 12
%papai:0, para_up1[aux]42:2, parents:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=1,  PC=8, S=1, Star=0,  {StmoFaBroSo}  
 father(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), father(D, C), mother(E, F), father(G, F), child(D, E), child(D, G), not(equal(D, F)), child(Alter, F), gender(H, D), gender(H, F), male(Alter).
;; 13
%papai:1, parents:0, parents:0, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoMoBro}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 14
%papai:1, parents:0, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoBroSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 15
%papai:1, parents:0, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoSisSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 16
%papai:1, parents:0, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaBroSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 17
%papai:1, parents:0, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaSisSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 18
%papai:1, parents:0, parents:0, square[aux]42:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoMoFa}  
 mother(A, Ego), mother(B, A), parent(Alter, B), male(Alter).
;; 19
%papai:1, parents:0, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoMoBro}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 20
%papai:1, parents:0, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoBroSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 21
%papai:1, parents:0, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoSisSo}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 22
%papai:1, parents:0, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaBroSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 23
%papai:1, parents:0, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaSisSo}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 24
%papai:1, parents:0, parents:0, square[aux]42:2, parents:0, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoMoFa}  
 mother(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 25
%papai:1, parents:0, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoFaBro}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 26
%papai:1, parents:0, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoBroSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 27
%papai:1, parents:0, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoSisSo}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 28
%papai:1, parents:0, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaBroSo}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 29
%papai:1, parents:0, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaSisSo}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 30
%papai:1, parents:0, parents:0, square[aux]42:2, parents:1, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoFaFa}  
 mother(A, Ego), mother(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 31
%papai:1, parents:0, parents:1, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoFaBro}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 32
%papai:1, parents:0, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoBroSo}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 33
%papai:1, parents:0, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoSisSo}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 34
%papai:1, parents:0, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaBroSo}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 35
%papai:1, parents:0, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaSisSo}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 36
%papai:1, parents:0, parents:1, square[aux]42:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoFaFa}  
 mother(A, Ego), father(B, A), parent(Alter, B), male(Alter).
;; 37
%papai:1, parents:0, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaMoBro}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 38
%papai:1, parents:0, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoBroSo}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 39
%papai:1, parents:0, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoSisSo}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 40
%papai:1, parents:0, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaBroSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 41
%papai:1, parents:0, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaSisSo}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 42
%papai:1, parents:0, parents:1, square[aux]42:2, parents:0, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaMoFa}  
 mother(A, Ego), father(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 43
%papai:1, parents:0, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaFaBro}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 44
%papai:1, parents:0, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoBroSo}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 45
%papai:1, parents:0, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoSisSo}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 46
%papai:1, parents:0, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaBroSo}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 47
%papai:1, parents:0, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaSisSo}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 48
%papai:1, parents:0, parents:1, square[aux]42:2, parents:1, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaFaFa}  
 mother(A, Ego), father(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 49
%papai:1, parents:1, parents:0, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaMoBro}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 50
%papai:1, parents:1, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoBroSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 51
%papai:1, parents:1, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoSisSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 52
%papai:1, parents:1, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaBroSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 53
%papai:1, parents:1, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaSisSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 54
%papai:1, parents:1, parents:0, square[aux]42:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaMoFa}  
 father(A, Ego), mother(B, A), parent(Alter, B), male(Alter).
;; 55
%papai:1, parents:1, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoMoBro}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 56
%papai:1, parents:1, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoBroSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 57
%papai:1, parents:1, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoSisSo}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 58
%papai:1, parents:1, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaBroSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 59
%papai:1, parents:1, parents:0, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaSisSo}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 60
%papai:1, parents:1, parents:0, square[aux]42:2, parents:0, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoMoFa}  
 father(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 61
%papai:1, parents:1, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoFaBro}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 62
%papai:1, parents:1, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoBroSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 63
%papai:1, parents:1, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoSisSo}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 64
%papai:1, parents:1, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaBroSo}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 65
%papai:1, parents:1, parents:0, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaSisSo}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 66
%papai:1, parents:1, parents:0, square[aux]42:2, parents:1, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoFaFa}  
 father(A, Ego), mother(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 67
%papai:1, parents:1, parents:1, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaFaBro}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 68
%papai:1, parents:1, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoBroSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 69
%papai:1, parents:1, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoSisSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 70
%papai:1, parents:1, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaBroSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 71
%papai:1, parents:1, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaSisSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 72
%papai:1, parents:1, parents:1, square[aux]42:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaFaFa}  
 father(A, Ego), father(B, A), parent(Alter, B), male(Alter).
;; 73
%papai:1, parents:1, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaMoBro}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 74
%papai:1, parents:1, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoBroSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 75
%papai:1, parents:1, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoSisSo}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 76
%papai:1, parents:1, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaBroSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 77
%papai:1, parents:1, parents:1, square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaSisSo}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 78
%papai:1, parents:1, parents:1, square[aux]42:2, parents:0, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaMoFa}  
 father(A, Ego), father(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 79
%papai:1, parents:1, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaFaBro}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 80
%papai:1, parents:1, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoBroSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 81
%papai:1, parents:1, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoSisSo}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 82
%papai:1, parents:1, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaBroSo}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 83
%papai:1, parents:1, parents:1, square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaSisSo}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 84
%papai:1, parents:1, parents:1, square[aux]42:2, parents:1, square[aux]42:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaFaFa}  
 father(A, Ego), father(B, A), father(C, B), parent(Alter, C), male(Alter).


para_dn1[aux]42(Alter, Ego) :-  para_up1[aux]42(Ego, Alter).
;; 0
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)).
;; 1
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:0, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(F, D).
;; 2
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:0, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(F, D).
;; 3
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:0, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), mother(B, A), mother(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), child(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(K, D), not(equal(J, K)).
;; 4
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:0, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), mother(B, A), father(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), child(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(K, D), not(equal(J, K)).
;; 5
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:0, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), father(B, A), mother(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), child(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(K, D), not(equal(J, K)).
;; 6
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:0, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), father(B, A), father(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), child(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(K, D), not(equal(J, K)).
;; 7
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)).
;; 8
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(F, D).
;; 9
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(F, D).
;; 10
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:1, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), mother(B, A), mother(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), child(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(K, D), not(equal(J, K)).
;; 11
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:1, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), mother(B, A), father(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), child(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(K, D), not(equal(J, K)).
;; 12
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:1, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), father(B, A), mother(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), child(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(K, D), not(equal(J, K)).
;; 13
%para_dn1[aux]42:0, para_up1[aux]42:0, parents:1, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), father(B, A), father(C, D), mother(E, F), father(G, F), child(C, E), child(C, G), not(equal(C, F)), child(B, F), gender(H, C), gender(I, F), not(equal(H, I)), child(Ego, D), gender(J, B), gender(K, D), not(equal(J, K)).
;; 14
%para_dn1[aux]42:0, para_up1[aux]42:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Alter), parent(B, Alter), spouse(Ego, A), not(equal(B, A)), not(equal(B, Ego)).
;; 15
%para_dn1[aux]42:0, para_up1[aux]42:2, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Alter), parent(B, Alter), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)).
;; 16
%para_dn1[aux]42:0, para_up1[aux]42:2, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Alter), parent(B, Alter), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)).


para_up1[aux]42(Alter, Ego) :-  parents(A, Ego), even_gen[aux]42(Alter, A).
                            |   parent(A, Ego), parent(B, Ego), spouse(Alter, A), not(equal(B, A)), not(equal(B, Alter)).
                            |   parents(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), even_gen[aux]42(Alter, C).
;; 0
%para_up1[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 1
%para_up1[aux]42:0, parents:0, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D).
;; 2
%para_up1[aux]42:0, parents:0, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D).
;; 3
%para_up1[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 4
%para_up1[aux]42:0, parents:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D).
;; 5
%para_up1[aux]42:0, parents:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D).
;; 6
%para_up1[aux]42:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(A, Ego), parent(B, Ego), spouse(Alter, A), not(equal(B, A)), not(equal(B, Alter)).
;; 7
%para_up1[aux]42:2, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 8
%para_up1[aux]42:2, parents:0, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), mother(E, F), father(G, F), child(D, E), child(D, G), not(equal(D, F)), child(Alter, F), gender(H, D), gender(H, F).
;; 9
%para_up1[aux]42:2, parents:0, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), father(D, C), mother(E, F), father(G, F), child(D, E), child(D, G), not(equal(D, F)), child(Alter, F), gender(H, D), gender(H, F).
;; 10
%para_up1[aux]42:2, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 11
%para_up1[aux]42:2, parents:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), mother(D, C), mother(E, F), father(G, F), child(D, E), child(D, G), not(equal(D, F)), child(Alter, F), gender(H, D), gender(H, F).
;; 12
%para_up1[aux]42:2, parents:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(B, Ego), spouse(C, A), not(equal(B, A)), not(equal(B, C)), father(D, C), mother(E, F), father(G, F), child(D, E), child(D, G), not(equal(D, F)), child(Alter, F), gender(H, D), gender(H, F).


parents(Alter, Ego) :-  mother(Alter, Ego).
                    |   father(Alter, Ego).
;; 0
%parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(Alter, Ego).
;; 1
%parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(Alter, Ego).


sibling(Alter, Ego) :-  mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 0
%sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).


sibling_in_law[aux]42(Alter, Ego) :-  spouse(A, Ego), sibling(Alter, A).
                                  |   spouse(A, Ego), even_gen[aux]42(Alter, A).
                                  |   sibling(A, Ego), spouse(Alter, A).
                                  |   even_gen[aux]42(A, Ego), spouse(Alter, A).
;; 0
%sibling_in_law[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 1
%sibling_in_law[aux]42:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 2
%sibling_in_law[aux]42:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D).
;; 3
%sibling_in_law[aux]42:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Alter, D), gender(F, B), gender(F, D).
;; 4
%sibling_in_law[aux]42:2, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), spouse(Alter, C).
;; 5
%sibling_in_law[aux]42:3, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), spouse(Alter, C).
;; 6
%sibling_in_law[aux]42:3, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), spouse(Alter, E).
;; 7
%sibling_in_law[aux]42:3, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), spouse(Alter, E).
;; 8
%sibling_in_law[aux]42:3, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), spouse(Alter, I).
;; 9
%sibling_in_law[aux]42:3, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), spouse(Alter, I).
;; 10
%sibling_in_law[aux]42:3, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), spouse(Alter, I).
;; 11
%sibling_in_law[aux]42:3, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), spouse(Alter, I).


siblings(Alter, Ego) :-  brother(Alter, Ego).
                     |   sister(Alter, Ego).
;; 0
%siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).


sister(Alter, Ego) :-  sibling(Alter, Ego), female(Alter).
;; 0
%sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).


spice(Alter, Ego) :-  husband(Alter, Ego).
                  |   wife(Alter, Ego).
;; 0
%spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(Alter, Ego).
;; 1
%spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(Alter, Ego).


square[aux]42(Alter, Ego) :-  generation[aux]42(Alter, Ego).
                          |   parent(Alter, Ego).
                          |   parents(A, Ego), square[aux]42(Alter, A).
;; 0
%square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 4
%square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 5
%square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 6
%square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 7
%square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 8
%square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 9
%square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 10
%square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 11
%square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 12
%square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 13
%square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 14
%square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 15
%square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 16
%square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 17
%square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 18
%square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 19
%square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 20
%square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 21
%square[aux]42:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(Alter, Ego).
;; 22
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 23
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 24
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 25
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 26
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 27
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 28
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 29
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 30
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 31
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 32
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 33
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 34
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 35
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 36
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 37
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 38
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 39
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 40
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 41
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 42
%square[aux]42:2, parents:0, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 43
%square[aux]42:2, parents:0, square[aux]42:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(Alter, A).
;; 44
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 45
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 46
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 47
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 48
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 49
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 50
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 51
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 52
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 53
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 54
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 55
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 56
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 57
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 58
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 59
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 60
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 61
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 62
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 63
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 64
%square[aux]42:2, parents:1, square[aux]42:0, generation[aux]42:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 65
%square[aux]42:2, parents:1, square[aux]42:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(Alter, A).


square[aux]42dn_gs(Alter, Ego) :-  children(Alter, Ego).
                               |   parents(A, Ego), generation[aux]42gs(B, A), children(Alter, B).
                               |   children(A, Ego), square[aux]42dn_gs(Alter, A).
;; 0
%square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(Alter, Ego).
;; 1
%square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(Alter, Ego).
;; 2
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 3
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 4
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 6
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 7
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 8
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 9
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 10
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 11
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 12
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 13
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 14
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 15
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 16
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 17
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 18
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 19
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 20
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 21
%square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 22
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 23
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 24
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 25
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 26
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 27
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 28
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 29
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 30
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 31
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 32
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 33
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 34
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 35
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 36
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 37
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 38
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 39
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 40
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 41
%square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 42
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), son(Alter, A).
;; 43
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), daughter(Alter, A).
;; 44
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 45
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 46
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 47
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E).
;; 48
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 49
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 50
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 51
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 52
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 53
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 54
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 55
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 56
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 57
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 58
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 59
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 60
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 61
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 62
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 63
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 64
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 65
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 66
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 67
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E).
;; 68
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 69
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 70
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 71
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 72
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 73
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 74
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 75
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 76
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 77
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 78
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 79
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 80
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 81
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 82
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 83
%square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 84
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), son(Alter, A).
;; 85
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), daughter(Alter, A).
;; 86
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 87
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 88
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 89
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E).
;; 90
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 91
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 92
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 93
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 94
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 95
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 96
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 97
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 98
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 99
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 100
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 101
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 102
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 103
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 104
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 105
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 106
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 107
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 108
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 109
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E).
;; 110
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 111
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 112
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 113
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 114
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 115
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 116
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 117
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 118
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 119
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 120
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 121
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 122
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 123
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 124
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 125
%square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).


step_brother(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
                         |   father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).
;; 0
%step_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
;; 1
%step_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).


step_daughter(Alter, Ego) :-  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).
;; 0
%step_daughter:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).


step_father(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).
;; 0
%step_father:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).


step_mother(Alter, Ego) :-  father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).
;; 0
%step_mother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).


step_sister(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
                        |   father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).
;; 0
%step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
;; 1
%step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).


step_son(Alter, Ego) :-  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).
;; 0
%step_son:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).


xoni(Alter, Ego) :-  siblings(Alter, Ego), younger(Alter, Ego).
                 |   even_gen[aux]42(Alter, Ego), younger(Alter, Ego), male(Alter).
                 |   even_gen[aux]42(Alter, Ego), younger(Alter, Ego), female(Alter).
                 |   even_gen[aux]42(A, Ego), male(A), children(Alter, A).
                 |   even_gen[aux]42(A, Ego), female(A), children(Alter, A).
                 |   male(Ego), children(A, Ego), children(B, A), square[aux]42dn_gs(Alter, B).
                 |   female(Ego), children(A, Ego), children(B, A), square[aux]42dn_gs(Alter, B).
                 |   female(Ego), cross_dn1[aux]42(Alter, Ego), male(Alter).
                 |   female(Ego), cross_dn1[aux]42(Alter, Ego), female(Alter).
;; 0
%xoni:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter), younger(Alter, Ego).
;; 1
%xoni:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter), younger(Alter, Ego).
;; 2
%xoni:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), younger(Alter, Ego), male(Alter).
;; 3
%xoni:1, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C), younger(Alter, Ego), male(Alter).
;; 4
%xoni:1, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C), younger(Alter, Ego), male(Alter).
;; 5
%xoni:1, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), male(Alter).
;; 6
%xoni:1, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), male(Alter).
;; 7
%xoni:1, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), male(Alter).
;; 8
%xoni:1, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), male(Alter).
;; 9
%xoni:2, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), younger(Alter, Ego), female(Alter).
;; 10
%xoni:2, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C), younger(Alter, Ego), female(Alter).
;; 11
%xoni:2, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(Alter, C), gender(E, A), gender(E, C), younger(Alter, Ego), female(Alter).
;; 12
%xoni:2, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), female(Alter).
;; 13
%xoni:2, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), female(Alter).
;; 14
%xoni:2, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), female(Alter).
;; 15
%xoni:2, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(Alter, C), gender(I, A), gender(J, C), not(equal(I, J)), younger(Alter, Ego), female(Alter).
;; 16
%xoni:3, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(Alter, C).
;; 17
%xoni:3, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(Alter, C).
;; 18
%xoni:3, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), male(E), son(Alter, E).
;; 19
%xoni:3, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), male(E), daughter(Alter, E).
;; 20
%xoni:3, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), male(E), son(Alter, E).
;; 21
%xoni:3, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), male(E), daughter(Alter, E).
;; 22
%xoni:3, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), son(Alter, I).
;; 23
%xoni:3, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), daughter(Alter, I).
;; 24
%xoni:3, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), son(Alter, I).
;; 25
%xoni:3, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), daughter(Alter, I).
;; 26
%xoni:3, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), son(Alter, I).
;; 27
%xoni:3, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), daughter(Alter, I).
;; 28
%xoni:3, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), son(Alter, I).
;; 29
%xoni:3, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), male(I), daughter(Alter, I).
;; 30
%xoni:4, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(Alter, C).
;; 31
%xoni:4, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(Alter, C).
;; 32
%xoni:4, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), female(E), son(Alter, E).
;; 33
%xoni:4, even_gen[aux]42:1, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), female(E), daughter(Alter, E).
;; 34
%xoni:4, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), female(E), son(Alter, E).
;; 35
%xoni:4, even_gen[aux]42:1, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), child(E, C), gender(F, A), gender(F, C), female(E), daughter(Alter, E).
;; 36
%xoni:4, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), son(Alter, I).
;; 37
%xoni:4, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), daughter(Alter, I).
;; 38
%xoni:4, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), son(Alter, I).
;; 39
%xoni:4, even_gen[aux]42:2, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), daughter(Alter, I).
;; 40
%xoni:4, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), son(Alter, I).
;; 41
%xoni:4, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), daughter(Alter, I).
;; 42
%xoni:4, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), son(Alter, I).
;; 43
%xoni:4, even_gen[aux]42:2, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, C), mother(D, E), father(F, E), child(B, D), child(B, F), not(equal(B, E)), child(A, E), gender(G, B), gender(H, E), not(equal(G, H)), child(I, C), gender(J, A), gender(K, C), not(equal(J, K)), female(I), daughter(Alter, I).
;; 44
%xoni:5, children:0, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(Alter, B).
;; 45
%xoni:5, children:0, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(Alter, B).
;; 46
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 47
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 48
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 49
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 50
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 51
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 52
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 53
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 54
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 55
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 56
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 57
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 58
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 59
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 60
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 61
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 62
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 63
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 64
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 65
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 66
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 67
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 68
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 69
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 70
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 71
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 72
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 73
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 74
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 75
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 76
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 77
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 78
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 79
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 80
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 81
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 82
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 83
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 84
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 85
%xoni:5, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 86
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), son(Alter, C).
;; 87
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), daughter(Alter, C).
;; 88
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 89
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 90
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 91
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 92
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 93
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 94
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 95
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 96
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 97
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 98
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 99
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 100
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 101
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 102
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 103
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 104
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 105
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 106
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 107
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 108
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 109
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 110
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 111
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 112
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 113
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 114
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 115
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 116
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 117
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 118
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 119
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 120
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 121
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 122
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 123
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 124
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 125
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 126
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 127
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 128
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), son(Alter, C).
;; 129
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), daughter(Alter, C).
;; 130
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 131
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 132
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 133
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 134
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 135
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 136
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 137
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 138
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 139
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 140
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 141
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 142
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 143
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 144
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 145
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 146
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 147
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 148
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 149
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 150
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 151
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 152
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 153
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 154
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 155
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 156
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 157
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 158
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 159
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 160
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 161
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 162
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 163
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 164
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 165
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 166
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 167
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 168
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 169
%xoni:5, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 170
%xoni:5, children:0, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(Alter, B).
;; 171
%xoni:5, children:0, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(Alter, B).
;; 172
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 173
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 174
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 175
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 176
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 177
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 178
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 179
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 180
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 181
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 182
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 183
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 184
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 185
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 186
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 187
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 188
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 189
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 190
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 191
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 192
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 193
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 194
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 195
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 196
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 197
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 198
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 199
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 200
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 201
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 202
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 203
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 204
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 205
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 206
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 207
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 208
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 209
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 210
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 211
%xoni:5, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 212
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), son(Alter, C).
;; 213
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), daughter(Alter, C).
;; 214
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 215
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 216
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 217
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 218
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 219
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 220
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 221
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 222
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 223
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 224
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 225
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 226
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 227
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 228
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 229
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 230
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 231
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 232
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 233
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 234
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 235
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 236
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 237
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 238
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 239
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 240
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 241
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 242
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 243
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 244
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 245
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 246
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 247
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 248
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 249
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 250
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 251
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 252
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 253
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 254
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), son(Alter, C).
;; 255
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), daughter(Alter, C).
;; 256
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 257
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 258
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 259
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 260
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 261
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 262
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 263
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 264
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 265
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 266
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 267
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 268
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 269
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 270
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 271
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 272
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 273
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 274
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 275
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 276
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 277
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 278
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 279
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 280
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 281
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 282
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 283
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 284
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 285
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 286
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 287
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 288
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 289
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 290
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 291
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 292
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 293
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 294
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 295
%xoni:5, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 296
%xoni:5, children:1, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(Alter, B).
;; 297
%xoni:5, children:1, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(Alter, B).
;; 298
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 299
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 300
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 301
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 302
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 303
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 304
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 305
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 306
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 307
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 308
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 309
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 310
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 311
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 312
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 313
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 314
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 315
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 316
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 317
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 318
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 319
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 320
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 321
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 322
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 323
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 324
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 325
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 326
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 327
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 328
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 329
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 330
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 331
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 332
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 333
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 334
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 335
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 336
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 337
%xoni:5, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 338
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), son(Alter, C).
;; 339
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), daughter(Alter, C).
;; 340
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 341
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 342
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 343
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 344
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 345
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 346
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 347
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 348
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 349
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 350
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 351
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 352
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 353
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 354
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 355
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 356
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 357
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 358
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 359
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 360
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 361
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 362
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 363
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 364
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 365
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 366
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 367
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 368
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 369
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 370
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 371
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 372
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 373
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 374
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 375
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 376
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 377
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 378
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 379
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 380
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), son(Alter, C).
;; 381
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), daughter(Alter, C).
;; 382
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 383
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 384
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 385
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 386
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 387
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 388
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 389
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 390
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 391
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 392
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 393
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 394
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 395
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 396
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 397
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 398
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 399
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 400
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 401
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 402
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 403
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 404
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 405
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 406
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 407
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 408
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 409
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 410
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 411
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 412
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 413
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 414
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 415
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 416
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 417
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 418
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 419
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 420
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 421
%xoni:5, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 422
%xoni:5, children:1, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(Alter, B).
;; 423
%xoni:5, children:1, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(Alter, B).
;; 424
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 425
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 426
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 427
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 428
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 429
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 430
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 431
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 432
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 433
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 434
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 435
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 436
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 437
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 438
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 439
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 440
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 441
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 442
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 443
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 444
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 445
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 446
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 447
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 448
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 449
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 450
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 451
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 452
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 453
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 454
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 455
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 456
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 457
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 458
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 459
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 460
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 461
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 462
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 463
%xoni:5, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 464
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), son(Alter, C).
;; 465
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), daughter(Alter, C).
;; 466
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 467
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 468
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 469
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 470
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 471
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 472
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 473
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 474
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 475
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 476
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 477
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 478
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 479
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 480
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 481
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 482
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 483
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 484
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 485
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 486
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 487
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 488
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 489
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 490
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 491
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 492
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 493
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 494
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 495
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 496
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 497
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 498
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 499
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 500
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 501
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 502
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 503
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 504
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 505
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 506
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), son(Alter, C).
;; 507
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), daughter(Alter, C).
;; 508
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 509
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 510
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 511
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 512
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 513
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 514
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 515
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 516
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 517
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 518
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 519
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 520
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 521
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 522
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 523
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 524
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 525
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 526
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 527
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 528
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 529
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 530
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 531
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 532
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 533
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 534
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 535
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 536
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 537
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 538
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 539
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 540
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 541
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 542
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 543
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 544
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 545
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 546
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 547
%xoni:5, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 548
%xoni:6, children:0, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(Alter, B).
;; 549
%xoni:6, children:0, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(Alter, B).
;; 550
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 551
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 552
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 553
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 554
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 555
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 556
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 557
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 558
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 559
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 560
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 561
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 562
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 563
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 564
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 565
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 566
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 567
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 568
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 569
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 570
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 571
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 572
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 573
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 574
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 575
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 576
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 577
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 578
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 579
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 580
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 581
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 582
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 583
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 584
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 585
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 586
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 587
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 588
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 589
%xoni:6, children:0, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 590
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), son(Alter, C).
;; 591
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), daughter(Alter, C).
;; 592
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 593
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 594
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 595
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 596
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 597
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 598
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 599
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 600
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 601
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 602
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 603
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 604
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 605
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 606
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 607
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 608
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 609
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 610
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 611
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 612
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 613
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 614
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 615
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 616
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 617
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 618
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 619
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 620
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 621
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 622
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 623
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 624
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 625
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 626
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 627
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 628
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 629
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 630
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 631
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 632
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), son(Alter, C).
;; 633
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), daughter(Alter, C).
;; 634
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 635
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 636
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 637
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 638
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 639
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 640
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 641
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 642
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 643
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 644
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 645
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 646
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 647
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 648
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 649
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 650
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 651
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 652
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 653
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 654
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 655
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 656
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 657
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 658
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 659
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 660
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 661
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 662
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 663
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 664
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 665
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 666
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 667
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 668
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 669
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 670
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 671
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 672
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 673
%xoni:6, children:0, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 674
%xoni:6, children:0, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(Alter, B).
;; 675
%xoni:6, children:0, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(Alter, B).
;; 676
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 677
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 678
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 679
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 680
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 681
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 682
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 683
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 684
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 685
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 686
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 687
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 688
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 689
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 690
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 691
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 692
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 693
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 694
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 695
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 696
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 697
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 698
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 699
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 700
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 701
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 702
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 703
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 704
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 705
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 706
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 707
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 708
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 709
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 710
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 711
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 712
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 713
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 714
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 715
%xoni:6, children:0, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 716
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), son(Alter, C).
;; 717
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), daughter(Alter, C).
;; 718
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 719
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 720
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 721
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 722
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 723
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 724
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 725
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 726
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 727
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 728
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 729
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 730
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 731
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 732
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 733
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 734
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 735
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 736
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 737
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 738
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 739
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 740
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 741
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 742
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 743
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 744
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 745
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 746
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 747
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 748
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 749
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 750
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 751
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 752
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 753
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 754
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 755
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 756
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 757
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 758
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), son(Alter, C).
;; 759
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), daughter(Alter, C).
;; 760
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 761
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 762
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 763
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 764
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 765
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 766
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 767
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 768
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 769
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 770
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 771
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 772
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 773
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 774
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 775
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 776
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 777
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 778
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 779
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 780
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 781
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 782
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 783
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 784
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 785
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 786
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 787
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 788
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 789
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 790
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 791
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 792
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 793
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 794
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 795
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 796
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 797
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 798
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 799
%xoni:6, children:0, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), son(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 800
%xoni:6, children:1, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(Alter, B).
;; 801
%xoni:6, children:1, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(Alter, B).
;; 802
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 803
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 804
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 805
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 806
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 807
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 808
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 809
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 810
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 811
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 812
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 813
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 814
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 815
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 816
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 817
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 818
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 819
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 820
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 821
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 822
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 823
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 824
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 825
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 826
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 827
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 828
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 829
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 830
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 831
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 832
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 833
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 834
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 835
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 836
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 837
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 838
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 839
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 840
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 841
%xoni:6, children:1, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 842
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), son(Alter, C).
;; 843
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), daughter(Alter, C).
;; 844
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 845
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 846
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 847
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 848
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 849
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 850
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 851
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 852
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 853
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 854
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 855
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 856
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 857
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 858
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 859
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 860
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 861
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 862
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 863
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 864
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 865
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 866
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 867
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 868
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 869
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 870
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 871
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 872
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 873
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 874
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 875
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 876
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 877
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 878
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 879
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 880
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 881
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 882
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 883
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 884
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), son(Alter, C).
;; 885
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), daughter(Alter, C).
;; 886
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 887
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 888
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 889
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 890
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 891
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 892
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 893
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 894
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 895
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 896
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 897
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 898
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 899
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 900
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 901
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 902
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 903
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 904
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 905
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 906
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 907
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 908
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 909
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 910
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 911
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 912
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 913
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 914
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 915
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 916
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 917
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 918
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 919
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 920
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 921
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 922
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 923
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 924
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 925
%xoni:6, children:1, children:0, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), son(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 926
%xoni:6, children:1, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(Alter, B).
;; 927
%xoni:6, children:1, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(Alter, B).
;; 928
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 929
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 930
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 931
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 932
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 933
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 934
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 935
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 936
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 937
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 938
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 939
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 940
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 941
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 942
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 943
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 944
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 945
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 946
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 947
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 948
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 949
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 950
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 951
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 952
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 953
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 954
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 955
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 956
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 957
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 958
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 959
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 960
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 961
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 962
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 963
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 964
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 965
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 966
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 967
%xoni:6, children:1, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 968
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), son(Alter, C).
;; 969
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), daughter(Alter, C).
;; 970
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 971
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 972
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 973
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 974
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 975
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 976
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 977
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 978
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 979
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 980
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 981
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 982
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 983
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 984
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 985
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 986
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 987
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 988
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 989
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 990
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 991
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 992
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 993
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 994
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 995
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 996
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 997
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 998
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 999
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 1000
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 1001
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 1002
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 1003
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 1004
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 1005
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 1006
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 1007
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 1008
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 1009
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:0, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), son(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 1010
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), son(Alter, C).
;; 1011
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), daughter(Alter, C).
;; 1012
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 1013
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 1014
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 1015
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 1016
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 1017
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 1018
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 1019
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 1020
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 1021
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 1022
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 1023
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 1024
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 1025
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 1026
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 1027
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 1028
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 1029
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 1030
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 1031
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:0, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), mother(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 1032
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(Alter, G).
;; 1033
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(Alter, G).
;; 1034
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(Alter, G).
;; 1035
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(Alter, G).
;; 1036
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 1037
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 1038
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 1039
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 1040
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 1041
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 1042
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 1043
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:0, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 1044
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), son(Alter, I).
;; 1045
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), son(I, H), daughter(Alter, I).
;; 1046
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), son(Alter, I).
;; 1047
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), daughter(I, H), daughter(Alter, I).
;; 1048
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), son(Alter, I).
;; 1049
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), son(I, H), daughter(Alter, I).
;; 1050
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), son(Alter, I).
;; 1051
%xoni:6, children:1, children:1, square[aux]42dn_gs:2, children:1, square[aux]42dn_gs:1, parents:1, generation[aux]42gs:1, parents:1, generation[aux]42gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), daughter(A, Ego), daughter(B, A), daughter(C, B), father(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), daughter(I, H), daughter(Alter, I).
;; 1052
%xoni:7, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), mother(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 1053
%xoni:7, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), mother(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 1054
%xoni:7, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), father(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 1055
%xoni:7, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), father(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), male(Alter).
;; 1056
%xoni:8, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), mother(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).
;; 1057
%xoni:8, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:0, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), mother(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).
;; 1058
%xoni:8, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:0, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), father(A, Alter), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).
;; 1059
%xoni:8, cross_dn1[aux]42:0, cross_up1[aux]42:0, parents:1, odd_gen[aux]42:0, parents:1, even_gen[aux]42:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), father(A, Alter), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), child(Ego, D), gender(F, B), gender(G, D), not(equal(F, G)), female(Alter).

